(<alteration>)
(**** beginning of start.gcode ****)
(This file is for a MakerBot Thing-O-Matic)
(**** begin initialization commands ****)
G21 (set units to mm)
G90 (set positioning to absolute)
M108 R1.98 (set extruder speed)
M103 (Make sure extruder is off)
M104 S225 T0 (set extruder temperature)
M109 S110 T0 (set heated-build-platform temperature)
(**** end initialization commands ****)
(**** begin homing ****)
G162 Z F500 (home Z axis maximum)
G92 Z10 (set Z to 0)
G1 Z0.0 (move z down 10)
G162 Z F100 (home Z axis maximum)
G161 X Y F2500 (home XY axes minimum)
M132 X Y Z A B (Recall stored home offsets for XYZAB axis)
(**** end homing ****)
(**** begin pre-wipe commands ****)
G1 X52.0 Y-57.0 Z10.0 F3300.0 (move to waiting position)
M6 T0 (wait for toolhead parts, nozzle, HBP, etc., to reach temperature)
M101 (Extruder on, forward)
G04 P5000 (Wait t/1000 seconds)
M103 (Extruder off)
(**** end pre-wipe commands ****)
(**** end of start.gcode ****)
(</alteration>)
(<creation> skeinforge </creation>)
(<version> 10.11.05 </version>)
(<extruderInitialization>)
(<craftTypeName> extrusion </craftTypeName>)
M105
(<bridgeWidthMultiplier> 1.0 </bridgeWidthMultiplier>)
(<decimalPlacesCarried> 3 </decimalPlacesCarried>)
(<layerThickness> 0.29 </layerThickness>)
(<threadSequenceString> loops perimeter infill </threadSequenceString>)
(<operatingFeedRatePerSecond> 30.0 </operatingFeedRatePerSecond>)
(<operatingFlowRate> 1.17935176361 </operatingFlowRate>)
(<orbitalFeedRatePerSecond> 15.0 </orbitalFeedRatePerSecond>)
(<travelFeedRatePerSecond> 40.0 </travelFeedRatePerSecond>)
(<perimeterWidth> 0.433 </perimeterWidth>)
(<profileName> ABS </profileName>)
(<procedureDone> carve,bottom </procedureDone>)
(<procedureDone> preface </procedureDone>)
(<procedureDone> inset </procedureDone>)
(<procedureDone> fill </procedureDone>)
(<procedureDone> speed </procedureDone>)
(<procedureDone> raft </procedureDone>)
(<procedureDone> comb </procedureDone>)
(<procedureDone> cool </procedureDone>)
(<procedureDone> outline </procedureDone>)
(<procedureDone> reversal </procedureDone>)
(<procedureDone> export </procedureDone>)
(</extruderInitialization>)
(<extrusion>)
;M113 S1.0
M108 R1.179
(<layer> 0.445 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z0.445 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z0.445 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z0.445 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z0.445 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z0.445 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z0.445 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z0.445 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z0.445 </boundaryPoint>)
(<loop> inner )
G1 X26.52 Y-26.52 Z0.45 F1080.0
M101
G1 X-26.52 Y-26.52 Z0.45 F1080.0
G1 X-26.52 Y26.52 Z0.45 F1080.0
G1 X26.52 Y26.52 Z0.45 F1080.0
G1 X26.52 Y-25.16 Z0.45 F1080.0
M108 R35.0
M102
G1 X26.52 Y-26.52 Z0.45 F1080.0
M108 R1.179
M103
G1 X6.03 Y-5.08 Z0.45 F1800.0
M108 R35.0
M101
G1 X4.41 Y-3.39 Z0.45 F1800.0
M108 R1.179
G1 X3.96 Y-3.96 Z0.45 F1350.0
G1 X2.81 Y-4.86 Z0.45 F1350.0
G1 X1.45 Y-5.42 Z0.45 F1350.0
G1 X-0.0 Y-5.61 Z0.45 F1350.0
G1 X-1.45 Y-5.42 Z0.45 F1350.0
G1 X-2.81 Y-4.86 Z0.45 F1350.0
G1 X-3.96 Y-3.96 Z0.45 F1350.0
G1 X-4.86 Y-2.81 Z0.45 F1350.0
G1 X-5.42 Y-1.45 Z0.45 F1350.0
G1 X-5.61 Y0.0 Z0.45 F1350.0
G1 X-5.42 Y1.45 Z0.45 F1350.0
G1 X-4.86 Y2.81 Z0.45 F1350.0
G1 X-3.96 Y3.96 Z0.45 F1350.0
G1 X-2.81 Y4.86 Z0.45 F1350.0
G1 X-1.45 Y5.42 Z0.45 F1350.0
G1 X0.0 Y5.61 Z0.45 F1350.0
G1 X1.45 Y5.42 Z0.45 F1350.0
G1 X2.81 Y4.86 Z0.45 F1350.0
G1 X3.96 Y3.96 Z0.45 F1350.0
G1 X4.86 Y2.81 Z0.45 F1350.0
G1 X5.42 Y1.45 Z0.45 F1350.0
G1 X5.61 Y-0.0 Z0.45 F1350.0
G1 X5.42 Y-1.45 Z0.45 F1350.0
G1 X5.22 Y-1.92 Z0.45 F1350.0
M108 R35.0
M102
G1 X4.86 Y-2.81 Z0.45 F1350.0
G1 X4.41 Y-3.39 Z0.45 F1350.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X4.79 Y-4.79 Z0.45 F1115.086
M108 R1.179
G1 X21.11 Y-2.56 Z0.45 F1350.0
G1 X21.75 Y-2.29 Z0.45 F1350.0
G1 X22.3 Y-1.87 Z0.45 F1350.0
G1 X22.72 Y-1.32 Z0.45 F1350.0
G1 X22.99 Y-0.69 Z0.45 F1350.0
G1 X23.08 Y0.0 Z0.45 F1350.0
G1 X22.99 Y0.69 Z0.45 F1350.0
G1 X22.72 Y1.32 Z0.45 F1350.0
G1 X22.3 Y1.87 Z0.45 F1350.0
G1 X21.75 Y2.29 Z0.45 F1350.0
G1 X21.11 Y2.56 Z0.45 F1350.0
G1 X4.79 Y4.79 Z0.45 F1350.0
G1 X2.56 Y21.11 Z0.45 F1350.0
G1 X2.29 Y21.75 Z0.45 F1350.0
G1 X1.87 Y22.3 Z0.45 F1350.0
G1 X1.32 Y22.72 Z0.45 F1350.0
G1 X0.69 Y22.99 Z0.45 F1350.0
G1 X0.0 Y23.08 Z0.45 F1350.0
G1 X-0.69 Y22.99 Z0.45 F1350.0
G1 X-1.32 Y22.72 Z0.45 F1350.0
G1 X-1.87 Y22.3 Z0.45 F1350.0
G1 X-2.29 Y21.75 Z0.45 F1350.0
G1 X-2.56 Y21.11 Z0.45 F1350.0
G1 X-4.79 Y4.79 Z0.45 F1350.0
G1 X-21.11 Y2.56 Z0.45 F1350.0
G1 X-21.75 Y2.29 Z0.45 F1350.0
G1 X-22.3 Y1.87 Z0.45 F1350.0
G1 X-22.72 Y1.32 Z0.45 F1350.0
G1 X-22.99 Y0.69 Z0.45 F1350.0
G1 X-23.08 Y0.0 Z0.45 F1350.0
G1 X-22.99 Y-0.69 Z0.45 F1350.0
G1 X-22.72 Y-1.32 Z0.45 F1350.0
G1 X-22.3 Y-1.87 Z0.45 F1350.0
G1 X-21.75 Y-2.29 Z0.45 F1350.0
G1 X-21.11 Y-2.56 Z0.45 F1350.0
G1 X-4.79 Y-4.79 Z0.45 F1350.0
G1 X-2.56 Y-21.11 Z0.45 F1350.0
G1 X-2.29 Y-21.75 Z0.45 F1350.0
G1 X-1.87 Y-22.3 Z0.45 F1350.0
G1 X-1.32 Y-22.72 Z0.45 F1350.0
G1 X-0.69 Y-22.99 Z0.45 F1350.0
G1 X0.0 Y-23.08 Z0.45 F1350.0
G1 X0.69 Y-22.99 Z0.45 F1350.0
G1 X1.32 Y-22.72 Z0.45 F1350.0
G1 X1.87 Y-22.3 Z0.45 F1350.0
G1 X2.29 Y-21.75 Z0.45 F1350.0
G1 X2.56 Y-21.11 Z0.45 F1350.0
G1 X4.79 Y-4.79 Z0.45 F1350.0
M103
(</loop>)
(<perimeter> outer )
G1 X5.17 Y-5.17 Z0.45 F1440.0
M101
G1 X21.23 Y-2.98 Z0.45 F1080.0
G1 X21.97 Y-2.67 Z0.45 F1080.0
G1 X22.61 Y-2.18 Z0.45 F1080.0
G1 X23.1 Y-1.54 Z0.45 F1080.0
G1 X23.41 Y-0.8 Z0.45 F1080.0
G1 X23.52 Y0.0 Z0.45 F1080.0
G1 X23.41 Y0.8 Z0.45 F1080.0
G1 X23.1 Y1.54 Z0.45 F1080.0
G1 X22.61 Y2.18 Z0.45 F1080.0
G1 X21.97 Y2.67 Z0.45 F1080.0
G1 X21.23 Y2.98 Z0.45 F1080.0
G1 X5.17 Y5.17 Z0.45 F1080.0
G1 X2.98 Y21.23 Z0.45 F1080.0
G1 X2.67 Y21.97 Z0.45 F1080.0
G1 X2.18 Y22.61 Z0.45 F1080.0
G1 X1.54 Y23.1 Z0.45 F1080.0
G1 X0.8 Y23.41 Z0.45 F1080.0
G1 X-0.0 Y23.52 Z0.45 F1080.0
G1 X-0.8 Y23.41 Z0.45 F1080.0
G1 X-1.54 Y23.1 Z0.45 F1080.0
G1 X-2.18 Y22.61 Z0.45 F1080.0
G1 X-2.67 Y21.97 Z0.45 F1080.0
G1 X-2.98 Y21.23 Z0.45 F1080.0
G1 X-5.17 Y5.17 Z0.45 F1080.0
G1 X-21.23 Y2.98 Z0.45 F1080.0
G1 X-21.97 Y2.67 Z0.45 F1080.0
G1 X-22.61 Y2.18 Z0.45 F1080.0
G1 X-23.1 Y1.54 Z0.45 F1080.0
G1 X-23.41 Y0.8 Z0.45 F1080.0
G1 X-23.52 Y-0.0 Z0.45 F1080.0
G1 X-23.41 Y-0.8 Z0.45 F1080.0
G1 X-23.1 Y-1.54 Z0.45 F1080.0
G1 X-22.61 Y-2.18 Z0.45 F1080.0
G1 X-21.97 Y-2.67 Z0.45 F1080.0
G1 X-21.23 Y-2.98 Z0.45 F1080.0
G1 X-5.17 Y-5.17 Z0.45 F1080.0
G1 X-2.98 Y-21.23 Z0.45 F1080.0
G1 X-2.67 Y-21.97 Z0.45 F1080.0
G1 X-2.18 Y-22.61 Z0.45 F1080.0
G1 X-1.54 Y-23.1 Z0.45 F1080.0
G1 X-0.8 Y-23.41 Z0.45 F1080.0
G1 X0.0 Y-23.52 Z0.45 F1080.0
G1 X0.8 Y-23.41 Z0.45 F1080.0
G1 X1.54 Y-23.1 Z0.45 F1080.0
G1 X2.18 Y-22.61 Z0.45 F1080.0
G1 X2.67 Y-21.97 Z0.45 F1080.0
G1 X2.98 Y-21.23 Z0.45 F1080.0
G1 X4.99 Y-6.51 Z0.45 F1080.0
M108 R35.0
M102
G1 X5.17 Y-5.17 Z0.45 F1080.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z0.445 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z0.445 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z0.445 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z0.445 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z0.445 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z0.445 </boundaryPoint>)
(<perimeter> inner )
G1 X4.98 Y-4.98 Z0.45 F1440.0
M108 R35.0
M101
G1 X3.66 Y-3.66 Z0.45 F1440.0
M108 R1.179
G1 X2.59 Y-4.48 Z0.45 F1080.0
G1 X1.34 Y-5.0 Z0.45 F1080.0
G1 X0.0 Y-5.17 Z0.45 F1080.0
G1 X-1.34 Y-5.0 Z0.45 F1080.0
G1 X-2.59 Y-4.48 Z0.45 F1080.0
G1 X-3.66 Y-3.66 Z0.45 F1080.0
G1 X-4.48 Y-2.59 Z0.45 F1080.0
G1 X-5.0 Y-1.34 Z0.45 F1080.0
G1 X-5.17 Y-0.0 Z0.45 F1080.0
G1 X-5.0 Y1.34 Z0.45 F1080.0
G1 X-4.48 Y2.59 Z0.45 F1080.0
G1 X-3.66 Y3.66 Z0.45 F1080.0
G1 X-2.59 Y4.48 Z0.45 F1080.0
G1 X-1.34 Y5.0 Z0.45 F1080.0
G1 X-0.0 Y5.17 Z0.45 F1080.0
G1 X1.34 Y5.0 Z0.45 F1080.0
G1 X2.59 Y4.48 Z0.45 F1080.0
G1 X3.66 Y3.66 Z0.45 F1080.0
G1 X4.48 Y2.59 Z0.45 F1080.0
G1 X5.0 Y1.34 Z0.45 F1080.0
G1 X5.17 Y0.0 Z0.45 F1080.0
G1 X5.0 Y-1.34 Z0.45 F1080.0
G1 X4.48 Y-2.58 Z0.45 F1080.0
M108 R35.0
M102
G1 X4.48 Y-2.59 Z0.45 F1080.0
G1 X3.66 Y-3.66 Z0.45 F1080.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z0.445 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z0.445 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z0.445 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z0.445 </boundaryPoint>)
(<loop> inner )
G1 X3.14 Y-3.14 Z0.45 F1800.0
M108 R35.0
M101
G1 X1.49 Y-1.49 Z0.45 F1800.0
M108 R1.179
G1 X1.05 Y-1.82 Z0.45 F1350.0
G1 X0.54 Y-2.03 Z0.45 F1350.0
G1 X0.0 Y-2.1 Z0.45 F1350.0
G1 X-0.54 Y-2.03 Z0.45 F1350.0
G1 X-1.05 Y-1.82 Z0.45 F1350.0
G1 X-1.49 Y-1.49 Z0.45 F1350.0
G1 X-1.82 Y-1.05 Z0.45 F1350.0
G1 X-2.03 Y-0.54 Z0.45 F1350.0
G1 X-2.1 Y0.0 Z0.45 F1350.0
G1 X-2.03 Y0.54 Z0.45 F1350.0
G1 X-1.82 Y1.05 Z0.45 F1350.0
G1 X-1.49 Y1.49 Z0.45 F1350.0
G1 X-1.05 Y1.82 Z0.45 F1350.0
G1 X-0.54 Y2.03 Z0.45 F1350.0
G1 X0.0 Y2.1 Z0.45 F1350.0
G1 X0.54 Y2.03 Z0.45 F1350.0
G1 X1.05 Y1.82 Z0.45 F1350.0
G1 X1.49 Y1.49 Z0.45 F1350.0
G1 X1.82 Y1.05 Z0.45 F1350.0
G1 X2.03 Y0.54 Z0.45 F1350.0
G1 X2.1 Y0.0 Z0.45 F1350.0
G1 X2.03 Y-0.54 Z0.45 F1350.0
G1 X1.82 Y-1.05 Z0.45 F1350.0
G1 X1.49 Y-1.49 Z0.45 F1350.0
M103
(</loop>)
(<loop> outer )
G1 X1.87 Y-1.87 Z0.45 F1800.0
M101
G1 X2.29 Y-1.32 Z0.45 F1350.0
G1 X2.56 Y-0.69 Z0.45 F1350.0
G1 X2.65 Y0.0 Z0.45 F1350.0
G1 X2.56 Y0.69 Z0.45 F1350.0
G1 X2.29 Y1.32 Z0.45 F1350.0
G1 X1.87 Y1.87 Z0.45 F1350.0
G1 X1.32 Y2.29 Z0.45 F1350.0
G1 X0.69 Y2.56 Z0.45 F1350.0
G1 X0.0 Y2.65 Z0.45 F1350.0
G1 X-0.69 Y2.56 Z0.45 F1350.0
G1 X-1.32 Y2.29 Z0.45 F1350.0
G1 X-1.87 Y1.87 Z0.45 F1350.0
G1 X-2.29 Y1.32 Z0.45 F1350.0
G1 X-2.56 Y0.69 Z0.45 F1350.0
G1 X-2.65 Y0.0 Z0.45 F1350.0
G1 X-2.56 Y-0.69 Z0.45 F1350.0
G1 X-2.29 Y-1.32 Z0.45 F1350.0
G1 X-1.87 Y-1.87 Z0.45 F1350.0
G1 X-1.32 Y-2.29 Z0.45 F1350.0
G1 X-0.69 Y-2.56 Z0.45 F1350.0
G1 X0.0 Y-2.65 Z0.45 F1350.0
G1 X0.69 Y-2.56 Z0.45 F1350.0
G1 X1.32 Y-2.29 Z0.45 F1350.0
G1 X1.87 Y-1.87 Z0.45 F1350.0
M103
(</loop>)
(<perimeter> outer )
G1 X2.18 Y-2.18 Z0.45 F1440.0
M101
G1 X2.67 Y-1.54 Z0.45 F1080.0
G1 X2.98 Y-0.8 Z0.45 F1080.0
G1 X3.08 Y0.0 Z0.45 F1080.0
G1 X2.98 Y0.8 Z0.45 F1080.0
G1 X2.67 Y1.54 Z0.45 F1080.0
G1 X2.18 Y2.18 Z0.45 F1080.0
G1 X1.54 Y2.67 Z0.45 F1080.0
G1 X0.8 Y2.98 Z0.45 F1080.0
G1 X-0.0 Y3.08 Z0.45 F1080.0
G1 X-0.8 Y2.98 Z0.45 F1080.0
G1 X-1.54 Y2.67 Z0.45 F1080.0
G1 X-2.18 Y2.18 Z0.45 F1080.0
G1 X-2.67 Y1.54 Z0.45 F1080.0
G1 X-2.98 Y0.8 Z0.45 F1080.0
G1 X-3.08 Y-0.0 Z0.45 F1080.0
G1 X-2.98 Y-0.8 Z0.45 F1080.0
G1 X-2.67 Y-1.54 Z0.45 F1080.0
G1 X-2.18 Y-2.18 Z0.45 F1080.0
G1 X-1.54 Y-2.67 Z0.45 F1080.0
G1 X-0.8 Y-2.98 Z0.45 F1080.0
G1 X0.0 Y-3.08 Z0.45 F1080.0
G1 X0.8 Y-2.98 Z0.45 F1080.0
G1 X1.04 Y-2.88 Z0.45 F1080.0
M108 R35.0
M102
G1 X1.54 Y-2.67 Z0.45 F1080.0
G1 X2.18 Y-2.18 Z0.45 F1080.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z0.445 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z0.445 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z0.445 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z0.445 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X1.18 Y-1.18 Z0.45 F1093.296
M108 R1.179
G1 X0.83 Y-1.44 Z0.45 F1080.0
G1 X0.43 Y-1.61 Z0.45 F1080.0
G1 X0.0 Y-1.66 Z0.45 F1080.0
G1 X-0.43 Y-1.61 Z0.45 F1080.0
G1 X-0.83 Y-1.44 Z0.45 F1080.0
G1 X-1.18 Y-1.18 Z0.45 F1080.0
G1 X-1.44 Y-0.83 Z0.45 F1080.0
G1 X-1.61 Y-0.43 Z0.45 F1080.0
G1 X-1.66 Y0.0 Z0.45 F1080.0
G1 X-1.61 Y0.43 Z0.45 F1080.0
G1 X-1.44 Y0.83 Z0.45 F1080.0
G1 X-1.18 Y1.18 Z0.45 F1080.0
G1 X-0.83 Y1.44 Z0.45 F1080.0
G1 X-0.43 Y1.61 Z0.45 F1080.0
G1 X0.0 Y1.66 Z0.45 F1080.0
G1 X0.43 Y1.61 Z0.45 F1080.0
G1 X0.83 Y1.44 Z0.45 F1080.0
G1 X1.18 Y1.18 Z0.45 F1080.0
G1 X1.44 Y0.83 Z0.45 F1080.0
G1 X1.61 Y0.43 Z0.45 F1080.0
G1 X1.66 Y0.05 Z0.45 F1080.0
M108 R35.0
M102
G1 X1.66 Y0.0 Z0.45 F1080.0
G1 X1.61 Y-0.43 Z0.45 F1080.0
G1 X1.44 Y-0.83 Z0.45 F1080.0
G1 X1.18 Y-1.18 Z0.45 F1080.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X3.06 Y-4.06 Z0.45 F1800.0
M108 R35.0
M101
G1 X4.33 Y-6.02 Z0.45 F1800.0
M108 R1.179
G1 X4.33 Y-3.95 Z0.45 F1350.0
G1 X4.77 Y-4.5 Z0.45 F1350.0
G1 X4.77 Y-3.38 Z0.45 F1350.0
M103
G1 X5.2 Y-2.71 Z0.45 F1800.0
M101
G1 X5.2 Y-4.45 Z0.45 F1350.0
G1 X5.63 Y-4.39 Z0.45 F1350.0
G1 X5.63 Y-3.35 Z0.45 F1350.0
M108 R35.0
M102
G1 X5.63 Y-1.67 Z0.45 F1350.0
M108 R1.179
M103
G1 X6.24 Y-2.35 Z0.45 F1800.0
M108 R35.0
M101
G1 X7.8 Y-4.09 Z0.45 F1800.0
M108 R1.179
G1 X7.8 Y4.09 Z0.45 F1350.0
M103
G1 X8.23 Y4.03 Z0.45 F1800.0
M101
G1 X8.23 Y-4.03 Z0.45 F1350.0
M103
G1 X8.67 Y-3.97 Z0.45 F1800.0
M101
G1 X8.67 Y2.28 Z0.45 F1350.0
M108 R35.0
M102
G1 X8.67 Y3.97 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X7.37 Y4.15 Z0.45 F1009.226
M108 R1.179
G1 X7.37 Y-4.15 Z0.45 F1350.0
G1 X6.93 Y-4.21 Z0.45 F1350.0
G1 X6.93 Y4.21 Z0.45 F1350.0
M103
G1 X6.5 Y4.27 Z0.45 F1800.0
M101
G1 X6.5 Y-4.27 Z0.45 F1350.0
G1 X6.07 Y-4.33 Z0.45 F1350.0
G1 X6.07 Y2.64 Z0.45 F1350.0
M108 R35.0
M102
G1 X6.07 Y4.33 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X4.77 Y4.5 Z0.45 F1009.226
M108 R1.179
G1 X4.77 Y3.38 Z0.45 F1350.0
G1 X4.33 Y3.95 Z0.45 F1350.0
G1 X4.33 Y4.33 Z0.45 F1350.0
M108 R35.0
M102
G1 X4.33 Y6.02 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X3.03 Y5.04 Z0.45 F1254.63
M108 R1.179
G1 X3.03 Y13.85 Z0.45 F1350.0
M108 R35.0
M102
G1 X3.03 Y15.54 Z0.45 F1350.0
M108 R1.179
M103
G1 X2.92 Y16.4 Z0.45 F1800.0
M108 R35.0
M101
G1 X2.6 Y18.72 Z0.45 F1800.0
M108 R1.179
G1 X2.6 Y5.25 Z0.45 F1350.0
M103
G1 X2.17 Y5.43 Z0.45 F1800.0
M101
G1 X2.17 Y21.32 Z0.45 F1350.0
G1 X1.73 Y22.02 Z0.45 F1350.0
G1 X1.73 Y5.61 Z0.45 F1350.0
M103
G1 X1.3 Y5.72 Z0.45 F1800.0
M101
G1 X1.3 Y22.39 Z0.45 F1350.0
G1 X0.87 Y22.61 Z0.45 F1350.0
G1 X0.87 Y5.78 Z0.45 F1350.0
M103
G1 X0.43 Y5.83 Z0.45 F1800.0
M101
G1 X0.43 Y22.74 Z0.45 F1350.0
M103
G1 X0.0 Y22.79 Z0.45 F1800.0
M101
G1 X0.0 Y5.89 Z0.45 F1350.0
M103
G1 X-0.43 Y5.83 Z0.45 F1800.0
M101
G1 X-0.43 Y22.74 Z0.45 F1350.0
G1 X-0.87 Y22.61 Z0.45 F1350.0
G1 X-0.87 Y5.78 Z0.45 F1350.0
M103
G1 X-1.3 Y5.72 Z0.45 F1800.0
M101
G1 X-1.3 Y22.39 Z0.45 F1350.0
G1 X-1.73 Y22.02 Z0.45 F1350.0
G1 X-1.73 Y5.61 Z0.45 F1350.0
M103
G1 X-2.17 Y5.43 Z0.45 F1800.0
M101
G1 X-2.17 Y19.63 Z0.45 F1350.0
M108 R35.0
M102
G1 X-2.17 Y21.32 Z0.45 F1350.0
M108 R1.179
M103
G1 X-2.22 Y21.02 Z0.45 F1800.0
M108 R35.0
M101
G1 X-2.6 Y18.72 Z0.45 F1800.0
M108 R1.179
G1 X-2.6 Y5.25 Z0.45 F1350.0
M103
G1 X-3.03 Y5.04 Z0.45 F1800.0
M101
G1 X-3.03 Y13.85 Z0.45 F1350.0
M108 R35.0
M102
G1 X-3.03 Y15.54 Z0.45 F1350.0
M108 R1.179
M103
G1 X-3.15 Y14.69 Z0.45 F1800.0
M108 R35.0
M101
G1 X-3.47 Y12.37 Z0.45 F1800.0
M108 R1.179
G1 X-3.47 Y4.7 Z0.45 F1350.0
G1 X-3.9 Y4.37 Z0.45 F1350.0
G1 X-3.9 Y7.51 Z0.45 F1350.0
M108 R35.0
M102
G1 X-3.9 Y9.2 Z0.45 F1350.0
M108 R1.179
M103
G1 X-4.02 Y8.34 Z0.45 F1800.0
M108 R35.0
M101
G1 X-4.33 Y6.02 Z0.45 F1800.0
M108 R1.179
G1 X-4.33 Y3.95 Z0.45 F1350.0
G1 X-4.77 Y4.5 Z0.45 F1350.0
G1 X-4.77 Y3.38 Z0.45 F1350.0
M103
G1 X-5.2 Y2.71 Z0.45 F1800.0
M101
G1 X-5.2 Y4.45 Z0.45 F1350.0
G1 X-5.63 Y4.39 Z0.45 F1350.0
G1 X-5.63 Y3.35 Z0.45 F1350.0
M108 R35.0
M102
G1 X-5.63 Y1.67 Z0.45 F1350.0
M108 R1.179
M103
G1 X-5.69 Y2.02 Z0.45 F1800.0
M108 R35.0
M101
G1 X-6.07 Y4.33 Z0.45 F1800.0
M108 R1.179
G1 X-6.07 Y-4.33 Z0.45 F1350.0
G1 X-6.5 Y-4.27 Z0.45 F1350.0
G1 X-6.5 Y4.27 Z0.45 F1350.0
M103
G1 X-6.93 Y4.21 Z0.45 F1800.0
M101
G1 X-6.93 Y-4.21 Z0.45 F1350.0
G1 X-7.37 Y-4.15 Z0.45 F1350.0
G1 X-7.37 Y4.15 Z0.45 F1350.0
M103
G1 X-7.8 Y4.09 Z0.45 F1800.0
M101
G1 X-7.8 Y-4.09 Z0.45 F1350.0
M103
G1 X-8.23 Y-4.03 Z0.45 F1800.0
M101
G1 X-8.23 Y4.03 Z0.45 F1350.0
M103
G1 X-8.67 Y3.97 Z0.45 F1800.0
M101
G1 X-8.67 Y-3.97 Z0.45 F1350.0
M103
G1 X-9.1 Y-3.91 Z0.45 F1800.0
M101
G1 X-9.1 Y3.91 Z0.45 F1350.0
G1 X-9.53 Y3.85 Z0.45 F1350.0
G1 X-9.53 Y-3.85 Z0.45 F1350.0
M103
G1 X-9.97 Y-3.79 Z0.45 F1800.0
M101
G1 X-9.97 Y3.79 Z0.45 F1350.0
G1 X-10.4 Y3.73 Z0.45 F1350.0
G1 X-10.4 Y-3.73 Z0.45 F1350.0
M103
G1 X-10.83 Y-3.68 Z0.45 F1800.0
M101
G1 X-10.83 Y3.68 Z0.45 F1350.0
G1 X-11.27 Y3.62 Z0.45 F1350.0
G1 X-11.27 Y-3.62 Z0.45 F1350.0
M103
G1 X-11.7 Y-3.56 Z0.45 F1800.0
M101
G1 X-11.7 Y3.56 Z0.45 F1350.0
G1 X-12.13 Y3.5 Z0.45 F1350.0
G1 X-12.13 Y-3.5 Z0.45 F1350.0
M103
G1 X-12.57 Y-3.44 Z0.45 F1800.0
M101
G1 X-12.57 Y3.44 Z0.45 F1350.0
M103
G1 X-13.0 Y3.38 Z0.45 F1800.0
M101
G1 X-13.0 Y-3.38 Z0.45 F1350.0
M103
G1 X-13.43 Y-3.32 Z0.45 F1800.0
M101
G1 X-13.43 Y3.32 Z0.45 F1350.0
M103
G1 X-13.87 Y3.26 Z0.45 F1800.0
M101
G1 X-13.87 Y-3.26 Z0.45 F1350.0
G1 X-14.3 Y-3.2 Z0.45 F1350.0
G1 X-14.3 Y3.2 Z0.45 F1350.0
M103
G1 X-14.73 Y3.14 Z0.45 F1800.0
M101
G1 X-14.73 Y-3.14 Z0.45 F1350.0
G1 X-15.17 Y-3.08 Z0.45 F1350.0
G1 X-15.17 Y3.08 Z0.45 F1350.0
M103
G1 X-15.6 Y3.02 Z0.45 F1800.0
M101
G1 X-15.6 Y-3.02 Z0.45 F1350.0
G1 X-16.03 Y-2.97 Z0.45 F1350.0
G1 X-16.03 Y2.97 Z0.45 F1350.0
M103
G1 X-16.47 Y2.91 Z0.45 F1800.0
M101
G1 X-16.47 Y-2.91 Z0.45 F1350.0
G1 X-16.9 Y-2.85 Z0.45 F1350.0
G1 X-16.9 Y2.85 Z0.45 F1350.0
M103
G1 X-17.33 Y2.79 Z0.45 F1800.0
M101
G1 X-17.33 Y-2.79 Z0.45 F1350.0
M103
G1 X-17.77 Y-2.73 Z0.45 F1800.0
M101
G1 X-17.77 Y2.73 Z0.45 F1350.0
M103
G1 X-18.2 Y2.67 Z0.45 F1800.0
M101
G1 X-18.2 Y-2.67 Z0.45 F1350.0
M103
G1 X-18.63 Y-2.61 Z0.45 F1800.0
M101
G1 X-18.63 Y2.61 Z0.45 F1350.0
G1 X-19.07 Y2.55 Z0.45 F1350.0
G1 X-19.07 Y-2.55 Z0.45 F1350.0
M103
G1 X-19.5 Y-2.49 Z0.45 F1800.0
M101
G1 X-19.5 Y2.49 Z0.45 F1350.0
G1 X-19.93 Y2.43 Z0.45 F1350.0
G1 X-19.93 Y-2.43 Z0.45 F1350.0
M103
G1 X-20.37 Y-2.38 Z0.45 F1800.0
M101
G1 X-20.37 Y2.38 Z0.45 F1350.0
G1 X-20.8 Y2.31 Z0.45 F1350.0
G1 X-20.8 Y-2.31 Z0.45 F1350.0
M103
G1 X-21.23 Y-2.2 Z0.45 F1800.0
M101
G1 X-21.23 Y2.2 Z0.45 F1350.0
G1 X-21.67 Y2.0 Z0.45 F1350.0
G1 X-21.67 Y-2.0 Z0.45 F1350.0
G1 X-22.1 Y-1.67 Z0.45 F1350.0
G1 X-22.1 Y1.67 Z0.45 F1350.0
G1 X-22.53 Y1.05 Z0.45 F1350.0
G1 X-22.53 Y0.64 Z0.45 F1350.0
M108 R35.0
M102
G1 X-22.53 Y-1.05 Z0.45 F1350.0
M108 R1.179
M103
G1 X-7.97 Y-1.58 Z0.45 F1800.0
M108 R35.0
M101
G1 X-5.63 Y-1.67 Z0.45 F1800.0
M108 R1.179
G1 X-5.63 Y-4.39 Z0.45 F1350.0
G1 X-5.2 Y-4.45 Z0.45 F1350.0
G1 X-5.2 Y-2.71 Z0.45 F1350.0
M103
G1 X-4.77 Y-3.38 Z0.45 F1800.0
M101
G1 X-4.77 Y-4.5 Z0.45 F1350.0
G1 X-4.33 Y-3.95 Z0.45 F1350.0
G1 X-4.33 Y-4.33 Z0.45 F1350.0
M108 R35.0
M102
G1 X-4.33 Y-6.02 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.03 Y-5.04 Z0.45 F1254.63
M108 R1.179
G1 X-3.03 Y-13.85 Z0.45 F1350.0
M108 R35.0
M102
G1 X-3.03 Y-15.54 Z0.45 F1350.0
M108 R1.179
M103
G1 X-2.92 Y-16.4 Z0.45 F1800.0
M108 R35.0
M101
G1 X-2.6 Y-18.72 Z0.45 F1800.0
M108 R1.179
G1 X-2.6 Y-5.25 Z0.45 F1350.0
M103
G1 X-2.17 Y-5.43 Z0.45 F1800.0
M101
G1 X-2.17 Y-21.32 Z0.45 F1350.0
G1 X-1.73 Y-22.02 Z0.45 F1350.0
G1 X-1.73 Y-5.61 Z0.45 F1350.0
M103
G1 X-1.3 Y-5.72 Z0.45 F1800.0
M101
G1 X-1.3 Y-22.39 Z0.45 F1350.0
G1 X-0.87 Y-22.61 Z0.45 F1350.0
G1 X-0.87 Y-5.78 Z0.45 F1350.0
M103
G1 X-0.43 Y-5.83 Z0.45 F1800.0
M101
G1 X-0.43 Y-22.74 Z0.45 F1350.0
M103
G1 X-0.0 Y-22.79 Z0.45 F1800.0
M101
G1 X-0.0 Y-5.89 Z0.45 F1350.0
M103
G1 X0.43 Y-5.83 Z0.45 F1800.0
M101
G1 X0.43 Y-22.74 Z0.45 F1350.0
G1 X0.87 Y-22.61 Z0.45 F1350.0
G1 X0.87 Y-5.78 Z0.45 F1350.0
M103
G1 X1.3 Y-5.72 Z0.45 F1800.0
M101
G1 X1.3 Y-22.39 Z0.45 F1350.0
G1 X1.73 Y-22.02 Z0.45 F1350.0
G1 X1.73 Y-5.61 Z0.45 F1350.0
M103
G1 X2.17 Y-5.43 Z0.45 F1800.0
M101
G1 X2.17 Y-19.63 Z0.45 F1350.0
M108 R35.0
M102
G1 X2.17 Y-21.32 Z0.45 F1350.0
M108 R1.179
M103
G1 X2.22 Y-21.02 Z0.45 F1800.0
M108 R35.0
M101
G1 X2.6 Y-18.72 Z0.45 F1800.0
M108 R1.179
G1 X2.6 Y-5.25 Z0.45 F1350.0
M103
G1 X3.03 Y-5.04 Z0.45 F1800.0
M101
G1 X3.03 Y-13.85 Z0.45 F1350.0
M108 R35.0
M102
G1 X3.03 Y-15.54 Z0.45 F1350.0
M108 R1.179
M103
G1 X3.15 Y-14.69 Z0.45 F1800.0
M108 R35.0
M101
G1 X3.47 Y-12.37 Z0.45 F1800.0
M108 R1.179
G1 X3.47 Y-4.7 Z0.45 F1350.0
G1 X3.9 Y-4.37 Z0.45 F1350.0
G1 X3.9 Y-7.51 Z0.45 F1350.0
M108 R35.0
M102
G1 X3.9 Y-9.2 Z0.45 F1350.0
M108 R1.179
M103
G1 X5.19 Y-5.19 Z0.45 F2400.0
G1 X7.3 Y-4.54 Z0.45 F1800.0
M108 R35.0
M101
G1 X9.53 Y-3.85 Z0.45 F1800.0
M108 R1.179
G1 X9.53 Y3.85 Z0.45 F1350.0
G1 X9.1 Y3.91 Z0.45 F1350.0
G1 X9.1 Y-2.23 Z0.45 F1350.0
M108 R35.0
M102
G1 X9.1 Y-3.91 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.4 Y-3.73 Z0.45 F1009.33
M108 R1.179
G1 X10.4 Y3.73 Z0.45 F1350.0
G1 X9.97 Y3.79 Z0.45 F1350.0
G1 X9.97 Y-2.11 Z0.45 F1350.0
M108 R35.0
M102
G1 X9.97 Y-3.79 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X11.27 Y-3.62 Z0.45 F1009.33
M108 R1.179
G1 X11.27 Y3.62 Z0.45 F1350.0
G1 X10.83 Y3.68 Z0.45 F1350.0
G1 X10.83 Y-1.99 Z0.45 F1350.0
M108 R35.0
M102
G1 X10.83 Y-3.68 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.13 Y-3.5 Z0.45 F1009.226
M108 R1.179
G1 X12.13 Y3.5 Z0.45 F1350.0
G1 X11.7 Y3.56 Z0.45 F1350.0
G1 X11.7 Y-1.87 Z0.45 F1350.0
M108 R35.0
M102
G1 X11.7 Y-3.56 Z0.45 F1350.0
M108 R1.179
M103
G1 X12.28 Y1.12 Z0.45 F1800.0
M108 R35.0
M101
G1 X12.57 Y3.44 Z0.45 F1800.0
M108 R1.179
G1 X12.57 Y-3.44 Z0.45 F1350.0
M103
G1 X13.0 Y-3.38 Z0.45 F1800.0
M101
G1 X13.0 Y3.38 Z0.45 F1350.0
M103
G1 X13.43 Y3.32 Z0.45 F1800.0
M101
G1 X13.43 Y-1.63 Z0.45 F1350.0
M108 R35.0
M102
G1 X13.43 Y-3.32 Z0.45 F1350.0
M108 R1.179
M103
G1 X15.01 Y-3.1 Z0.45 F1800.0
M108 R35.0
M101
G1 X17.33 Y-2.79 Z0.45 F1800.0
M108 R1.179
G1 X17.33 Y2.79 Z0.45 F1350.0
M103
G1 X16.9 Y2.85 Z0.45 F1800.0
M101
G1 X16.9 Y-2.85 Z0.45 F1350.0
G1 X16.47 Y-2.91 Z0.45 F1350.0
G1 X16.47 Y2.91 Z0.45 F1350.0
M103
G1 X16.03 Y2.97 Z0.45 F1800.0
M101
G1 X16.03 Y-2.97 Z0.45 F1350.0
G1 X15.6 Y-3.02 Z0.45 F1350.0
G1 X15.6 Y3.02 Z0.45 F1350.0
M103
G1 X15.17 Y3.08 Z0.45 F1800.0
M101
G1 X15.17 Y-3.08 Z0.45 F1350.0
G1 X14.73 Y-3.14 Z0.45 F1350.0
G1 X14.73 Y3.14 Z0.45 F1350.0
M103
G1 X14.3 Y3.2 Z0.45 F1800.0
M101
G1 X14.3 Y-3.2 Z0.45 F1350.0
G1 X13.87 Y-3.26 Z0.45 F1350.0
G1 X13.87 Y1.57 Z0.45 F1350.0
M108 R35.0
M102
G1 X13.87 Y3.26 Z0.45 F1350.0
M108 R1.179
M103
G1 X15.45 Y3.05 Z0.45 F1800.0
M108 R35.0
M101
G1 X17.77 Y2.73 Z0.45 F1800.0
M108 R1.179
G1 X17.77 Y-2.73 Z0.45 F1350.0
M103
G1 X18.2 Y-2.67 Z0.45 F1800.0
M101
G1 X18.2 Y0.98 Z0.45 F1350.0
M108 R35.0
M102
G1 X18.2 Y2.67 Z0.45 F1350.0
M108 R1.179
M103
G1 X18.68 Y-0.24 Z0.45 F1800.0
M108 R35.0
M101
G1 X19.07 Y-2.55 Z0.45 F1800.0
M108 R1.179
G1 X19.07 Y2.55 Z0.45 F1350.0
G1 X18.63 Y2.61 Z0.45 F1350.0
G1 X18.63 Y-0.92 Z0.45 F1350.0
M108 R35.0
M102
G1 X18.63 Y-2.61 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X19.93 Y-2.43 Z0.45 F1009.226
M108 R1.179
G1 X19.93 Y2.43 Z0.45 F1350.0
G1 X19.5 Y2.49 Z0.45 F1350.0
G1 X19.5 Y-0.81 Z0.45 F1350.0
M108 R35.0
M102
G1 X19.5 Y-2.49 Z0.45 F1350.0
M108 R1.179
M103
M108 R35.0
M101
G1 X20.8 Y-2.31 Z0.45 F1009.33
M108 R1.179
G1 X20.8 Y2.31 Z0.45 F1350.0
G1 X20.37 Y2.38 Z0.45 F1350.0
G1 X20.37 Y-0.69 Z0.45 F1350.0
M108 R35.0
M102
G1 X20.37 Y-2.38 Z0.45 F1350.0
M108 R1.179
M103
G1 X20.54 Y-2.27 Z0.45 F1800.0
M108 R35.0
M101
G1 X22.53 Y-1.05 Z0.45 F1800.0
M108 R1.179
G1 X22.53 Y1.05 Z0.45 F1350.0
G1 X22.1 Y1.67 Z0.45 F1350.0
G1 X22.1 Y-1.67 Z0.45 F1350.0
G1 X21.67 Y-2.0 Z0.45 F1350.0
G1 X21.67 Y2.0 Z0.45 F1350.0
G1 X21.23 Y2.2 Z0.45 F1350.0
G1 X21.23 Y-0.52 Z0.45 F1350.0
M108 R35.0
M102
G1 X21.23 Y-2.2 Z0.45 F1350.0
M108 R1.179
M103
G1 X7.9 Y1.1 Z0.45 F1800.0
M108 R35.0
M101
G1 X5.63 Y1.67 Z0.45 F1800.0
M108 R1.179
G1 X5.63 Y4.39 Z0.45 F1350.0
G1 X5.2 Y4.45 Z0.45 F1350.0
G1 X5.2 Y4.4 Z0.45 F1350.0
M108 R35.0
M102
G1 X5.2 Y2.71 Z0.45 F1350.0
M108 R1.179
M103
G1 X3.88 Y10.06 Z0.45 F1800.0
M108 R35.0
M101
G1 X3.47 Y12.37 Z0.45 F1800.0
M108 R1.179
G1 X3.47 Y4.7 Z0.45 F1350.0
G1 X3.9 Y4.37 Z0.45 F1350.0
G1 X3.9 Y7.51 Z0.45 F1350.0
M108 R35.0
M102
G1 X3.9 Y9.2 Z0.45 F1350.0
M108 R1.179
M103
G1 X1.32 Y1.13 Z0.45 F2400.0
G1 X1.51 Y0.87 Z0.45 F2400.0
G1 X1.69 Y0.45 Z0.45 F2400.0
G1 X1.75 Y0.0 Z0.45 F2400.0
G1 X1.69 Y-0.45 Z0.45 F2400.0
G1 X1.51 Y-0.87 Z0.45 F2400.0
G1 X1.23 Y-1.23 Z0.45 F2400.0
G1 X0.87 Y-1.51 Z0.45 F2400.0
G1 X0.45 Y-1.69 Z0.45 F2400.0
G1 X0.32 Y-1.71 Z0.45 F2400.0
G1 X-2.68 Y-10.16 Z0.45 F1800.0
M108 R35.0
M101
G1 X-3.47 Y-12.37 Z0.45 F1800.0
M108 R1.179
G1 X-3.47 Y-4.7 Z0.45 F1350.0
G1 X-3.9 Y-4.37 Z0.45 F1350.0
G1 X-3.9 Y-7.51 Z0.45 F1350.0
M108 R35.0
M102
G1 X-3.9 Y-9.2 Z0.45 F1350.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 0.735 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z0.735 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z0.735 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z0.735 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z0.735 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z0.735 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z0.735 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z0.735 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z0.735 </boundaryPoint>)
(<loop> inner )
G1 X-3.4 Y-7.98 Z0.53 F2400.0
M108 R35.0
M101
G1 X-2.21 Y-5.11 Z0.73 F2400.0
M108 R1.179
G1 X-2.81 Y-4.86 Z0.73 F1800.0
G1 X-3.96 Y-3.96 Z0.73 F1800.0
G1 X-4.86 Y-2.81 Z0.73 F1800.0
G1 X-5.42 Y-1.45 Z0.73 F1800.0
G1 X-5.61 Y0.0 Z0.73 F1800.0
G1 X-5.42 Y1.45 Z0.73 F1800.0
G1 X-4.86 Y2.81 Z0.73 F1800.0
G1 X-3.96 Y3.96 Z0.73 F1800.0
G1 X-2.81 Y4.86 Z0.73 F1800.0
G1 X-1.45 Y5.42 Z0.73 F1800.0
G1 X0.0 Y5.61 Z0.73 F1800.0
G1 X1.45 Y5.42 Z0.73 F1800.0
G1 X2.81 Y4.86 Z0.73 F1800.0
G1 X3.96 Y3.96 Z0.73 F1800.0
G1 X4.86 Y2.81 Z0.73 F1800.0
G1 X5.42 Y1.45 Z0.73 F1800.0
G1 X5.61 Y-0.0 Z0.73 F1800.0
G1 X5.42 Y-1.45 Z0.73 F1800.0
G1 X4.86 Y-2.81 Z0.73 F1800.0
G1 X3.96 Y-3.96 Z0.73 F1800.0
G1 X2.81 Y-4.86 Z0.73 F1800.0
G1 X1.45 Y-5.42 Z0.73 F1800.0
G1 X-0.0 Y-5.61 Z0.73 F1800.0
G1 X-0.03 Y-5.6 Z0.73 F1800.0
M108 R35.0
M102
G1 X-1.45 Y-5.42 Z0.73 F1800.0
G1 X-2.21 Y-5.11 Z0.73 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X-4.7 Y-5.45 Z0.73 F1933.158
M108 R1.179
G1 X-2.56 Y-21.11 Z0.73 F1800.0
G1 X-2.29 Y-21.75 Z0.73 F1800.0
G1 X-1.87 Y-22.3 Z0.73 F1800.0
G1 X-1.32 Y-22.72 Z0.73 F1800.0
G1 X-0.69 Y-22.99 Z0.73 F1800.0
G1 X0.0 Y-23.08 Z0.73 F1800.0
G1 X0.69 Y-22.99 Z0.73 F1800.0
G1 X1.32 Y-22.72 Z0.73 F1800.0
G1 X1.87 Y-22.3 Z0.73 F1800.0
G1 X2.29 Y-21.75 Z0.73 F1800.0
G1 X2.56 Y-21.11 Z0.73 F1800.0
G1 X4.79 Y-4.79 Z0.73 F1800.0
G1 X21.11 Y-2.56 Z0.73 F1800.0
G1 X21.75 Y-2.29 Z0.73 F1800.0
G1 X22.3 Y-1.87 Z0.73 F1800.0
G1 X22.72 Y-1.32 Z0.73 F1800.0
G1 X22.99 Y-0.69 Z0.73 F1800.0
G1 X23.08 Y0.0 Z0.73 F1800.0
G1 X22.99 Y0.69 Z0.73 F1800.0
G1 X22.72 Y1.32 Z0.73 F1800.0
G1 X22.3 Y1.87 Z0.73 F1800.0
G1 X21.75 Y2.29 Z0.73 F1800.0
G1 X21.11 Y2.56 Z0.73 F1800.0
G1 X4.79 Y4.79 Z0.73 F1800.0
G1 X2.56 Y21.11 Z0.73 F1800.0
G1 X2.29 Y21.75 Z0.73 F1800.0
G1 X1.87 Y22.3 Z0.73 F1800.0
G1 X1.32 Y22.72 Z0.73 F1800.0
G1 X0.69 Y22.99 Z0.73 F1800.0
G1 X0.0 Y23.08 Z0.73 F1800.0
G1 X-0.69 Y22.99 Z0.73 F1800.0
G1 X-1.32 Y22.72 Z0.73 F1800.0
G1 X-1.87 Y22.3 Z0.73 F1800.0
G1 X-2.29 Y21.75 Z0.73 F1800.0
G1 X-2.56 Y21.11 Z0.73 F1800.0
G1 X-4.79 Y4.79 Z0.73 F1800.0
G1 X-21.11 Y2.56 Z0.73 F1800.0
G1 X-21.75 Y2.29 Z0.73 F1800.0
G1 X-22.3 Y1.87 Z0.73 F1800.0
G1 X-22.72 Y1.32 Z0.73 F1800.0
G1 X-22.99 Y0.69 Z0.73 F1800.0
G1 X-23.08 Y0.0 Z0.73 F1800.0
G1 X-22.99 Y-0.69 Z0.73 F1800.0
G1 X-22.72 Y-1.32 Z0.73 F1800.0
G1 X-22.3 Y-1.87 Z0.73 F1800.0
G1 X-21.75 Y-2.29 Z0.73 F1800.0
G1 X-21.11 Y-2.56 Z0.73 F1800.0
G1 X-4.79 Y-4.79 Z0.73 F1800.0
G1 X-4.7 Y-5.45 Z0.73 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-5.13 Y-5.5 Z0.73 F2400.0
M101
G1 X-2.98 Y-21.23 Z0.73 F1800.0
G1 X-2.67 Y-21.97 Z0.73 F1800.0
G1 X-2.18 Y-22.61 Z0.73 F1800.0
G1 X-1.54 Y-23.1 Z0.73 F1800.0
G1 X-0.8 Y-23.41 Z0.73 F1800.0
G1 X0.0 Y-23.52 Z0.73 F1800.0
G1 X0.8 Y-23.41 Z0.73 F1800.0
G1 X1.54 Y-23.1 Z0.73 F1800.0
G1 X2.18 Y-22.61 Z0.73 F1800.0
G1 X2.67 Y-21.97 Z0.73 F1800.0
G1 X2.98 Y-21.23 Z0.73 F1800.0
G1 X5.17 Y-5.17 Z0.73 F1800.0
G1 X21.23 Y-2.98 Z0.73 F1800.0
G1 X21.97 Y-2.67 Z0.73 F1800.0
G1 X22.61 Y-2.18 Z0.73 F1800.0
G1 X23.1 Y-1.54 Z0.73 F1800.0
G1 X23.41 Y-0.8 Z0.73 F1800.0
G1 X23.52 Y0.0 Z0.73 F1800.0
G1 X23.41 Y0.8 Z0.73 F1800.0
G1 X23.1 Y1.54 Z0.73 F1800.0
G1 X22.61 Y2.18 Z0.73 F1800.0
G1 X21.97 Y2.67 Z0.73 F1800.0
G1 X21.23 Y2.98 Z0.73 F1800.0
G1 X5.17 Y5.17 Z0.73 F1800.0
G1 X2.98 Y21.23 Z0.73 F1800.0
G1 X2.67 Y21.97 Z0.73 F1800.0
G1 X2.18 Y22.61 Z0.73 F1800.0
G1 X1.54 Y23.1 Z0.73 F1800.0
G1 X0.8 Y23.41 Z0.73 F1800.0
G1 X-0.0 Y23.52 Z0.73 F1800.0
G1 X-0.8 Y23.41 Z0.73 F1800.0
G1 X-1.54 Y23.1 Z0.73 F1800.0
G1 X-2.18 Y22.61 Z0.73 F1800.0
G1 X-2.67 Y21.97 Z0.73 F1800.0
G1 X-2.98 Y21.23 Z0.73 F1800.0
G1 X-5.17 Y5.17 Z0.73 F1800.0
G1 X-21.23 Y2.98 Z0.73 F1800.0
G1 X-21.97 Y2.67 Z0.73 F1800.0
G1 X-22.61 Y2.18 Z0.73 F1800.0
G1 X-23.1 Y1.54 Z0.73 F1800.0
G1 X-23.41 Y0.8 Z0.73 F1800.0
G1 X-23.52 Y-0.0 Z0.73 F1800.0
G1 X-23.41 Y-0.8 Z0.73 F1800.0
G1 X-23.1 Y-1.54 Z0.73 F1800.0
G1 X-22.61 Y-2.18 Z0.73 F1800.0
G1 X-21.97 Y-2.67 Z0.73 F1800.0
G1 X-21.23 Y-2.98 Z0.73 F1800.0
G1 X-7.07 Y-4.91 Z0.73 F1800.0
M108 R35.0
M102
G1 X-5.17 Y-5.17 Z0.73 F1800.0
G1 X-5.13 Y-5.5 Z0.73 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z0.735 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z0.735 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z0.735 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z0.735 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z0.735 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z0.735 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-3.66 Y-3.66 Z0.73 F1815.826
M108 R1.179
G1 X-4.48 Y-2.59 Z0.73 F1800.0
G1 X-5.0 Y-1.34 Z0.73 F1800.0
G1 X-5.17 Y-0.0 Z0.73 F1800.0
G1 X-5.0 Y1.34 Z0.73 F1800.0
G1 X-4.48 Y2.59 Z0.73 F1800.0
G1 X-3.66 Y3.66 Z0.73 F1800.0
G1 X-2.59 Y4.48 Z0.73 F1800.0
G1 X-1.34 Y5.0 Z0.73 F1800.0
G1 X-0.0 Y5.17 Z0.73 F1800.0
G1 X1.34 Y5.0 Z0.73 F1800.0
G1 X2.59 Y4.48 Z0.73 F1800.0
G1 X3.66 Y3.66 Z0.73 F1800.0
G1 X4.48 Y2.59 Z0.73 F1800.0
G1 X5.0 Y1.34 Z0.73 F1800.0
G1 X5.17 Y0.0 Z0.73 F1800.0
G1 X5.0 Y-1.34 Z0.73 F1800.0
G1 X4.48 Y-2.59 Z0.73 F1800.0
G1 X3.66 Y-3.66 Z0.73 F1800.0
G1 X2.59 Y-4.48 Z0.73 F1800.0
G1 X1.34 Y-5.0 Z0.73 F1800.0
G1 X0.0 Y-5.17 Z0.73 F1800.0
G1 X-1.34 Y-5.0 Z0.73 F1800.0
G1 X-1.75 Y-4.82 Z0.73 F1800.0
M108 R35.0
M102
G1 X-2.59 Y-4.48 Z0.73 F1800.0
G1 X-3.66 Y-3.66 Z0.73 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z0.735 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z0.735 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z0.735 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z0.735 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X-1.49 Y-1.49 Z0.73 F2361.737
M108 R1.179
G1 X-1.82 Y-1.05 Z0.73 F1800.0
G1 X-2.03 Y-0.54 Z0.73 F1800.0
G1 X-2.1 Y0.0 Z0.73 F1800.0
G1 X-2.03 Y0.54 Z0.73 F1800.0
G1 X-1.82 Y1.05 Z0.73 F1800.0
G1 X-1.49 Y1.49 Z0.73 F1800.0
G1 X-1.05 Y1.82 Z0.73 F1800.0
G1 X-0.54 Y2.03 Z0.73 F1800.0
G1 X0.0 Y2.1 Z0.73 F1800.0
G1 X0.54 Y2.03 Z0.73 F1800.0
G1 X1.05 Y1.82 Z0.73 F1800.0
G1 X1.49 Y1.49 Z0.73 F1800.0
G1 X1.82 Y1.05 Z0.73 F1800.0
G1 X2.03 Y0.54 Z0.73 F1800.0
G1 X2.1 Y0.0 Z0.73 F1800.0
G1 X2.03 Y-0.54 Z0.73 F1800.0
G1 X1.82 Y-1.05 Z0.73 F1800.0
G1 X1.49 Y-1.49 Z0.73 F1800.0
G1 X1.05 Y-1.82 Z0.73 F1800.0
G1 X0.54 Y-2.03 Z0.73 F1800.0
G1 X0.0 Y-2.1 Z0.73 F1800.0
G1 X-0.54 Y-2.03 Z0.73 F1800.0
G1 X-1.05 Y-1.82 Z0.73 F1800.0
G1 X-1.49 Y-1.49 Z0.73 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X-1.87 Y-1.87 Z0.73 F2400.0
M101
G1 X-1.32 Y-2.29 Z0.73 F1800.0
G1 X-0.69 Y-2.56 Z0.73 F1800.0
G1 X0.0 Y-2.65 Z0.73 F1800.0
G1 X0.69 Y-2.56 Z0.73 F1800.0
G1 X1.32 Y-2.29 Z0.73 F1800.0
G1 X1.87 Y-1.87 Z0.73 F1800.0
G1 X2.29 Y-1.32 Z0.73 F1800.0
G1 X2.56 Y-0.69 Z0.73 F1800.0
G1 X2.65 Y0.0 Z0.73 F1800.0
G1 X2.56 Y0.69 Z0.73 F1800.0
G1 X2.29 Y1.32 Z0.73 F1800.0
G1 X1.87 Y1.87 Z0.73 F1800.0
G1 X1.32 Y2.29 Z0.73 F1800.0
G1 X0.69 Y2.56 Z0.73 F1800.0
G1 X0.0 Y2.65 Z0.73 F1800.0
G1 X-0.69 Y2.56 Z0.73 F1800.0
G1 X-1.32 Y2.29 Z0.73 F1800.0
G1 X-1.87 Y1.87 Z0.73 F1800.0
G1 X-2.29 Y1.32 Z0.73 F1800.0
G1 X-2.56 Y0.69 Z0.73 F1800.0
G1 X-2.65 Y0.0 Z0.73 F1800.0
G1 X-2.56 Y-0.69 Z0.73 F1800.0
G1 X-2.29 Y-1.32 Z0.73 F1800.0
G1 X-1.87 Y-1.87 Z0.73 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-2.18 Y-2.18 Z0.73 F2400.0
M101
G1 X-1.54 Y-2.67 Z0.73 F1800.0
G1 X-0.8 Y-2.98 Z0.73 F1800.0
G1 X0.0 Y-3.08 Z0.73 F1800.0
G1 X0.8 Y-2.98 Z0.73 F1800.0
G1 X1.54 Y-2.67 Z0.73 F1800.0
G1 X2.18 Y-2.18 Z0.73 F1800.0
G1 X2.67 Y-1.54 Z0.73 F1800.0
G1 X2.98 Y-0.8 Z0.73 F1800.0
G1 X3.08 Y0.0 Z0.73 F1800.0
G1 X2.98 Y0.8 Z0.73 F1800.0
G1 X2.67 Y1.54 Z0.73 F1800.0
G1 X2.18 Y2.18 Z0.73 F1800.0
G1 X1.54 Y2.67 Z0.73 F1800.0
G1 X0.8 Y2.98 Z0.73 F1800.0
G1 X-0.0 Y3.08 Z0.73 F1800.0
G1 X-0.8 Y2.98 Z0.73 F1800.0
G1 X-1.54 Y2.67 Z0.73 F1800.0
G1 X-2.18 Y2.18 Z0.73 F1800.0
G1 X-2.67 Y1.54 Z0.73 F1800.0
G1 X-2.98 Y0.8 Z0.73 F1800.0
G1 X-3.08 Y-0.0 Z0.73 F1800.0
G1 X-3.06 Y-0.16 Z0.73 F1800.0
M108 R35.0
M102
G1 X-2.98 Y-0.8 Z0.73 F1800.0
G1 X-2.67 Y-1.54 Z0.73 F1800.0
G1 X-2.18 Y-2.18 Z0.73 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z0.735 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z0.735 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z0.735 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z0.735 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-1.18 Y-1.18 Z0.73 F1093.296
M108 R1.179
G1 X-1.44 Y-0.83 Z0.73 F1800.0
G1 X-1.61 Y-0.43 Z0.73 F1800.0
G1 X-1.66 Y0.0 Z0.73 F1800.0
G1 X-1.61 Y0.43 Z0.73 F1800.0
G1 X-1.44 Y0.83 Z0.73 F1800.0
G1 X-1.18 Y1.18 Z0.73 F1800.0
G1 X-0.83 Y1.44 Z0.73 F1800.0
G1 X-0.43 Y1.61 Z0.73 F1800.0
G1 X0.0 Y1.66 Z0.73 F1800.0
G1 X0.43 Y1.61 Z0.73 F1800.0
G1 X0.83 Y1.44 Z0.73 F1800.0
G1 X1.18 Y1.18 Z0.73 F1800.0
G1 X1.44 Y0.83 Z0.73 F1800.0
G1 X1.61 Y0.43 Z0.73 F1800.0
G1 X1.66 Y0.0 Z0.73 F1800.0
G1 X1.61 Y-0.43 Z0.73 F1800.0
G1 X1.44 Y-0.83 Z0.73 F1800.0
G1 X1.18 Y-1.18 Z0.73 F1800.0
G1 X0.89 Y-1.39 Z0.73 F1800.0
M108 R35.0
M102
G1 X0.83 Y-1.44 Z0.73 F1800.0
G1 X0.43 Y-1.61 Z0.73 F1800.0
G1 X0.0 Y-1.66 Z0.73 F1800.0
G1 X-0.43 Y-1.61 Z0.73 F1800.0
G1 X-0.83 Y-1.44 Z0.73 F1800.0
G1 X-1.18 Y-1.18 Z0.73 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X-3.41 Y-2.63 Z0.73 F2400.0
M108 R35.0
M101
G1 X-6.02 Y-4.33 Z0.73 F2400.0
M108 R1.179
G1 X-3.95 Y-4.33 Z0.73 F1800.0
G1 X-4.5 Y-4.77 Z0.73 F1800.0
G1 X-3.38 Y-4.77 Z0.73 F1800.0
M103
G1 X-2.71 Y-5.2 Z0.73 F2400.0
M101
G1 X-4.45 Y-5.2 Z0.73 F1800.0
G1 X-4.39 Y-5.63 Z0.73 F1800.0
G1 X-3.92 Y-5.63 Z0.73 F1800.0
M108 R35.0
M102
G1 X-1.67 Y-5.63 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.33 Y-6.07 Z0.73 F2073.969
M108 R1.179
G1 X4.33 Y-6.07 Z0.73 F1800.0
G1 X4.27 Y-6.5 Z0.73 F1800.0
G1 X-4.27 Y-6.5 Z0.73 F1800.0
M103
G1 X-4.21 Y-6.93 Z0.73 F2400.0
M101
G1 X4.21 Y-6.93 Z0.73 F1800.0
G1 X4.15 Y-7.37 Z0.73 F1800.0
G1 X-4.15 Y-7.37 Z0.73 F1800.0
M103
G1 X-4.09 Y-7.8 Z0.73 F2400.0
M101
G1 X4.09 Y-7.8 Z0.73 F1800.0
M103
G1 X4.03 Y-8.23 Z0.73 F2400.0
M101
G1 X-4.03 Y-8.23 Z0.73 F1800.0
M103
G1 X-3.97 Y-8.67 Z0.73 F2400.0
M101
G1 X3.97 Y-8.67 Z0.73 F1800.0
M103
G1 X3.91 Y-9.1 Z0.73 F2400.0
M101
G1 X-3.91 Y-9.1 Z0.73 F1800.0
G1 X-3.85 Y-9.53 Z0.73 F1800.0
G1 X3.85 Y-9.53 Z0.73 F1800.0
M103
G1 X3.79 Y-9.97 Z0.73 F2400.0
M101
G1 X-3.79 Y-9.97 Z0.73 F1800.0
G1 X-3.73 Y-10.4 Z0.73 F1800.0
G1 X3.73 Y-10.4 Z0.73 F1800.0
M103
G1 X3.68 Y-10.83 Z0.73 F2400.0
M101
G1 X-3.68 Y-10.83 Z0.73 F1800.0
G1 X-3.62 Y-11.27 Z0.73 F1800.0
G1 X3.62 Y-11.27 Z0.73 F1800.0
M103
G1 X3.56 Y-11.7 Z0.73 F2400.0
M101
G1 X-3.56 Y-11.7 Z0.73 F1800.0
G1 X-3.5 Y-12.13 Z0.73 F1800.0
G1 X3.5 Y-12.13 Z0.73 F1800.0
M103
G1 X3.44 Y-12.57 Z0.73 F2400.0
M101
G1 X-3.44 Y-12.57 Z0.73 F1800.0
M103
G1 X-3.38 Y-13.0 Z0.73 F2400.0
M101
G1 X3.38 Y-13.0 Z0.73 F1800.0
M103
G1 X3.32 Y-13.43 Z0.73 F2400.0
M101
G1 X-3.32 Y-13.43 Z0.73 F1800.0
M103
G1 X-3.26 Y-13.87 Z0.73 F2400.0
M101
G1 X3.26 Y-13.87 Z0.73 F1800.0
G1 X3.2 Y-14.3 Z0.73 F1800.0
G1 X-3.2 Y-14.3 Z0.73 F1800.0
M103
G1 X-3.14 Y-14.73 Z0.73 F2400.0
M101
G1 X3.14 Y-14.73 Z0.73 F1800.0
G1 X3.08 Y-15.17 Z0.73 F1800.0
G1 X-3.08 Y-15.17 Z0.73 F1800.0
M103
G1 X-3.02 Y-15.6 Z0.73 F2400.0
M101
G1 X3.02 Y-15.6 Z0.73 F1800.0
G1 X2.97 Y-16.03 Z0.73 F1800.0
G1 X-2.97 Y-16.03 Z0.73 F1800.0
M103
G1 X-2.91 Y-16.47 Z0.73 F2400.0
M101
G1 X2.91 Y-16.47 Z0.73 F1800.0
G1 X2.85 Y-16.9 Z0.73 F1800.0
G1 X-2.85 Y-16.9 Z0.73 F1800.0
M103
G1 X-2.79 Y-17.33 Z0.73 F2400.0
M101
G1 X2.79 Y-17.33 Z0.73 F1800.0
M103
G1 X2.73 Y-17.77 Z0.73 F2400.0
M101
G1 X-2.73 Y-17.77 Z0.73 F1800.0
M103
G1 X-2.67 Y-18.2 Z0.73 F2400.0
M101
G1 X2.67 Y-18.2 Z0.73 F1800.0
M103
G1 X2.61 Y-18.63 Z0.73 F2400.0
M101
G1 X-2.61 Y-18.63 Z0.73 F1800.0
G1 X-2.55 Y-19.07 Z0.73 F1800.0
G1 X2.55 Y-19.07 Z0.73 F1800.0
M103
G1 X2.49 Y-19.5 Z0.73 F2400.0
M101
G1 X-2.49 Y-19.5 Z0.73 F1800.0
G1 X-2.43 Y-19.93 Z0.73 F1800.0
G1 X2.43 Y-19.93 Z0.73 F1800.0
M103
G1 X2.38 Y-20.37 Z0.73 F2400.0
M101
G1 X-2.38 Y-20.37 Z0.73 F1800.0
G1 X-2.31 Y-20.8 Z0.73 F1800.0
G1 X2.31 Y-20.8 Z0.73 F1800.0
M103
G1 X2.2 Y-21.23 Z0.73 F2400.0
M101
G1 X-2.2 Y-21.23 Z0.73 F1800.0
G1 X-2.0 Y-21.67 Z0.73 F1800.0
G1 X2.0 Y-21.67 Z0.73 F1800.0
G1 X1.67 Y-22.1 Z0.73 F1800.0
G1 X-1.67 Y-22.1 Z0.73 F1800.0
G1 X-1.17 Y-22.45 Z0.73 F1800.0
M108 R35.0
M102
G1 X-1.05 Y-22.53 Z0.73 F1800.0
G1 X1.05 Y-22.53 Z0.73 F1800.0
M108 R1.179
M103
G1 X1.55 Y-8.75 Z0.73 F2400.0
M108 R35.0
M101
G1 X1.67 Y-5.63 Z0.73 F2400.0
M108 R1.179
G1 X4.39 Y-5.63 Z0.73 F1800.0
G1 X4.45 Y-5.2 Z0.73 F1800.0
G1 X2.71 Y-5.2 Z0.73 F1800.0
M103
G1 X3.38 Y-4.77 Z0.73 F2400.0
M101
G1 X4.5 Y-4.77 Z0.73 F1800.0
G1 X4.09 Y-4.44 Z0.73 F1800.0
M108 R35.0
M102
G1 X3.95 Y-4.33 Z0.73 F1800.0
G1 X6.02 Y-4.33 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X5.04 Y-3.03 Z0.73 F1254.63
M108 R1.179
G1 X13.29 Y-3.03 Z0.73 F1800.0
M108 R35.0
M102
G1 X15.54 Y-3.03 Z0.73 F1800.0
M108 R1.179
M103
G1 X15.63 Y-3.02 Z0.73 F2400.0
M108 R35.0
M101
G1 X18.72 Y-2.6 Z0.73 F2400.0
M108 R1.179
G1 X5.25 Y-2.6 Z0.73 F1800.0
M103
G1 X5.43 Y-2.17 Z0.73 F2400.0
M101
G1 X21.32 Y-2.17 Z0.73 F1800.0
G1 X22.02 Y-1.73 Z0.73 F1800.0
G1 X5.61 Y-1.73 Z0.73 F1800.0
M103
G1 X5.72 Y-1.3 Z0.73 F2400.0
M101
G1 X22.39 Y-1.3 Z0.73 F1800.0
G1 X22.61 Y-0.87 Z0.73 F1800.0
G1 X5.78 Y-0.87 Z0.73 F1800.0
M103
G1 X5.83 Y-0.43 Z0.73 F2400.0
M101
G1 X22.74 Y-0.43 Z0.73 F1800.0
M103
G1 X22.79 Y-0.0 Z0.73 F2400.0
M101
G1 X5.89 Y-0.0 Z0.73 F1800.0
M103
G1 X5.83 Y0.43 Z0.73 F2400.0
M101
G1 X22.74 Y0.43 Z0.73 F1800.0
G1 X22.61 Y0.87 Z0.73 F1800.0
G1 X5.78 Y0.87 Z0.73 F1800.0
M103
G1 X5.72 Y1.3 Z0.73 F2400.0
M101
G1 X22.39 Y1.3 Z0.73 F1800.0
G1 X22.02 Y1.73 Z0.73 F1800.0
G1 X5.61 Y1.73 Z0.73 F1800.0
M103
G1 X5.43 Y2.17 Z0.73 F2400.0
M101
G1 X19.07 Y2.17 Z0.73 F1800.0
M108 R35.0
M102
G1 X21.32 Y2.17 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X18.72 Y2.6 Z0.73 F2031.339
M108 R1.179
G1 X5.25 Y2.6 Z0.73 F1800.0
M103
G1 X5.04 Y3.03 Z0.73 F2400.0
M101
G1 X13.29 Y3.03 Z0.73 F1800.0
M108 R35.0
M102
G1 X15.54 Y3.03 Z0.73 F1800.0
M108 R1.179
M103
G1 X15.46 Y3.04 Z0.73 F2400.0
M108 R35.0
M101
G1 X12.37 Y3.47 Z0.73 F2400.0
M108 R1.179
G1 X4.7 Y3.47 Z0.73 F1800.0
G1 X4.37 Y3.9 Z0.73 F1800.0
G1 X6.95 Y3.9 Z0.73 F1800.0
M108 R35.0
M102
G1 X9.2 Y3.9 Z0.73 F1800.0
M108 R1.179
M103
G1 X9.11 Y3.91 Z0.73 F2400.0
M108 R35.0
M101
G1 X6.02 Y4.33 Z0.73 F2400.0
M108 R1.179
G1 X3.95 Y4.33 Z0.73 F1800.0
G1 X4.5 Y4.77 Z0.73 F1800.0
G1 X3.38 Y4.77 Z0.73 F1800.0
M103
G1 X2.71 Y5.2 Z0.73 F2400.0
M101
G1 X4.45 Y5.2 Z0.73 F1800.0
G1 X4.39 Y5.63 Z0.73 F1800.0
G1 X3.92 Y5.63 Z0.73 F1800.0
M108 R35.0
M102
G1 X1.67 Y5.63 Z0.73 F1800.0
M108 R1.179
M103
G1 X1.76 Y5.72 Z0.73 F2400.0
M108 R35.0
M101
G1 X4.09 Y7.8 Z0.73 F2400.0
M108 R1.179
G1 X-4.09 Y7.8 Z0.73 F1800.0
M103
G1 X-4.03 Y8.23 Z0.73 F2400.0
M101
G1 X4.03 Y8.23 Z0.73 F1800.0
M103
G1 X3.97 Y8.67 Z0.73 F2400.0
M101
G1 X-1.72 Y8.67 Z0.73 F1800.0
M108 R35.0
M102
G1 X-3.97 Y8.67 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.15 Y7.37 Z0.73 F1009.226
M108 R1.179
G1 X4.15 Y7.37 Z0.73 F1800.0
G1 X4.21 Y6.93 Z0.73 F1800.0
G1 X-4.21 Y6.93 Z0.73 F1800.0
M103
G1 X-4.27 Y6.5 Z0.73 F2400.0
M101
G1 X4.27 Y6.5 Z0.73 F1800.0
G1 X4.33 Y6.07 Z0.73 F1800.0
G1 X-2.08 Y6.07 Z0.73 F1800.0
M108 R35.0
M102
G1 X-4.33 Y6.07 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.5 Y4.77 Z0.73 F1009.226
M108 R1.179
G1 X-3.38 Y4.77 Z0.73 F1800.0
G1 X-3.81 Y4.44 Z0.73 F1800.0
M108 R35.0
M102
G1 X-3.95 Y4.33 Z0.73 F1800.0
G1 X-6.02 Y4.33 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-5.04 Y3.03 Z0.73 F1254.63
M108 R1.179
G1 X-13.29 Y3.03 Z0.73 F1800.0
M108 R35.0
M102
G1 X-15.54 Y3.03 Z0.73 F1800.0
M108 R1.179
M103
G1 X-15.63 Y3.02 Z0.73 F2400.0
M108 R35.0
M101
G1 X-18.72 Y2.6 Z0.73 F2400.0
M108 R1.179
G1 X-5.25 Y2.6 Z0.73 F1800.0
M103
G1 X-5.43 Y2.17 Z0.73 F2400.0
M101
G1 X-21.32 Y2.17 Z0.73 F1800.0
G1 X-22.02 Y1.73 Z0.73 F1800.0
G1 X-5.61 Y1.73 Z0.73 F1800.0
M103
G1 X-5.72 Y1.3 Z0.73 F2400.0
M101
G1 X-22.39 Y1.3 Z0.73 F1800.0
G1 X-22.61 Y0.87 Z0.73 F1800.0
G1 X-5.78 Y0.87 Z0.73 F1800.0
M103
G1 X-5.83 Y0.43 Z0.73 F2400.0
M101
G1 X-22.74 Y0.43 Z0.73 F1800.0
M103
G1 X-22.79 Y0.0 Z0.73 F2400.0
M101
G1 X-5.89 Y0.0 Z0.73 F1800.0
M103
G1 X-5.83 Y-0.43 Z0.73 F2400.0
M101
G1 X-22.74 Y-0.43 Z0.73 F1800.0
G1 X-22.61 Y-0.87 Z0.73 F1800.0
G1 X-5.78 Y-0.87 Z0.73 F1800.0
M103
G1 X-5.72 Y-1.3 Z0.73 F2400.0
M101
G1 X-22.39 Y-1.3 Z0.73 F1800.0
G1 X-22.02 Y-1.73 Z0.73 F1800.0
G1 X-5.61 Y-1.73 Z0.73 F1800.0
M103
G1 X-5.43 Y-2.17 Z0.73 F2400.0
M101
G1 X-19.07 Y-2.17 Z0.73 F1800.0
M108 R35.0
M102
G1 X-21.32 Y-2.17 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-18.72 Y-2.6 Z0.73 F2031.339
M108 R1.179
G1 X-5.25 Y-2.6 Z0.73 F1800.0
M103
G1 X-5.04 Y-3.03 Z0.73 F2400.0
M101
G1 X-13.29 Y-3.03 Z0.73 F1800.0
M108 R35.0
M102
G1 X-15.54 Y-3.03 Z0.73 F1800.0
M108 R1.179
M103
G1 X-15.46 Y-3.04 Z0.73 F2400.0
M108 R35.0
M101
G1 X-12.37 Y-3.47 Z0.73 F2400.0
M108 R1.179
G1 X-4.7 Y-3.47 Z0.73 F1800.0
G1 X-4.37 Y-3.9 Z0.73 F1800.0
G1 X-6.95 Y-3.9 Z0.73 F1800.0
M108 R35.0
M102
G1 X-9.2 Y-3.9 Z0.73 F1800.0
M108 R1.179
M103
G1 X-11.13 Y0.6 Z0.73 F2400.0
M108 R35.0
M101
G1 X-12.37 Y3.47 Z0.73 F2400.0
M108 R1.179
G1 X-4.7 Y3.47 Z0.73 F1800.0
G1 X-4.37 Y3.9 Z0.73 F1800.0
G1 X-6.95 Y3.9 Z0.73 F1800.0
M108 R35.0
M102
G1 X-9.2 Y3.9 Z0.73 F1800.0
M108 R1.179
M103
G1 X-4.71 Y4.93 Z0.73 F2400.0
M108 R35.0
M101
G1 X-1.67 Y5.63 Z0.73 F2400.0
M108 R1.179
G1 X-4.31 Y5.63 Z0.73 F1800.0
M108 R35.0
M102
G1 X-4.39 Y5.63 Z0.73 F1800.0
G1 X-4.45 Y5.2 Z0.73 F1800.0
G1 X-2.71 Y5.2 Z0.73 F1800.0
M108 R1.179
M103
G1 X-3.13 Y9.46 Z0.73 F2400.0
M108 R35.0
M101
G1 X-3.44 Y12.57 Z0.73 F2400.0
M108 R1.179
G1 X3.44 Y12.57 Z0.73 F1800.0
M103
G1 X3.38 Y13.0 Z0.73 F2400.0
M101
G1 X-3.38 Y13.0 Z0.73 F1800.0
M103
G1 X-3.32 Y13.43 Z0.73 F2400.0
M101
G1 X1.07 Y13.43 Z0.73 F1800.0
M108 R35.0
M102
G1 X3.32 Y13.43 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X3.5 Y12.13 Z0.73 F1009.33
M108 R1.179
G1 X-3.5 Y12.13 Z0.73 F1800.0
G1 X-3.56 Y11.7 Z0.73 F1800.0
G1 X3.56 Y11.7 Z0.73 F1800.0
M103
G1 X3.62 Y11.27 Z0.73 F2400.0
M101
G1 X-3.62 Y11.27 Z0.73 F1800.0
G1 X-3.68 Y10.83 Z0.73 F1800.0
G1 X3.68 Y10.83 Z0.73 F1800.0
M103
G1 X3.73 Y10.4 Z0.73 F2400.0
M101
G1 X-3.73 Y10.4 Z0.73 F1800.0
G1 X-3.79 Y9.97 Z0.73 F1800.0
G1 X3.79 Y9.97 Z0.73 F1800.0
M103
G1 X3.85 Y9.53 Z0.73 F2400.0
M101
G1 X-3.85 Y9.53 Z0.73 F1800.0
G1 X-3.91 Y9.1 Z0.73 F1800.0
G1 X1.66 Y9.1 Z0.73 F1800.0
M108 R35.0
M102
G1 X3.91 Y9.1 Z0.73 F1800.0
M108 R1.179
M103
G1 X3.21 Y14.24 Z0.73 F2400.0
M108 R35.0
M101
G1 X2.79 Y17.33 Z0.73 F2400.0
M108 R1.179
G1 X-2.79 Y17.33 Z0.73 F1800.0
M103
G1 X-2.85 Y16.9 Z0.73 F2400.0
M101
G1 X2.85 Y16.9 Z0.73 F1800.0
G1 X2.91 Y16.47 Z0.73 F1800.0
G1 X-2.91 Y16.47 Z0.73 F1800.0
M103
G1 X-2.97 Y16.03 Z0.73 F2400.0
M101
G1 X2.97 Y16.03 Z0.73 F1800.0
G1 X3.02 Y15.6 Z0.73 F1800.0
G1 X-3.02 Y15.6 Z0.73 F1800.0
M103
G1 X-3.08 Y15.17 Z0.73 F2400.0
M101
G1 X3.08 Y15.17 Z0.73 F1800.0
G1 X3.14 Y14.73 Z0.73 F1800.0
G1 X-3.14 Y14.73 Z0.73 F1800.0
M103
G1 X-3.2 Y14.3 Z0.73 F2400.0
M101
G1 X3.2 Y14.3 Z0.73 F1800.0
G1 X3.26 Y13.87 Z0.73 F1800.0
G1 X-1.01 Y13.87 Z0.73 F1800.0
M108 R35.0
M102
G1 X-3.26 Y13.87 Z0.73 F1800.0
M108 R1.179
M103
G1 X-3.15 Y14.68 Z0.73 F2400.0
M108 R35.0
M101
G1 X-2.73 Y17.77 Z0.73 F2400.0
M108 R1.179
G1 X2.73 Y17.77 Z0.73 F1800.0
M103
G1 X2.67 Y18.2 Z0.73 F2400.0
M101
G1 X-0.42 Y18.2 Z0.73 F1800.0
M108 R35.0
M102
G1 X-2.67 Y18.2 Z0.73 F1800.0
M108 R1.179
M103
G1 X-0.53 Y18.56 Z0.73 F2400.0
M108 R35.0
M101
G1 X2.55 Y19.07 Z0.73 F2400.0
M108 R1.179
G1 X-2.55 Y19.07 Z0.73 F1800.0
G1 X-2.61 Y18.63 Z0.73 F1800.0
G1 X0.36 Y18.63 Z0.73 F1800.0
M108 R35.0
M102
G1 X2.61 Y18.63 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.43 Y19.93 Z0.73 F1009.226
M108 R1.179
G1 X-2.43 Y19.93 Z0.73 F1800.0
G1 X-2.49 Y19.5 Z0.73 F1800.0
G1 X0.24 Y19.5 Z0.73 F1800.0
M108 R35.0
M102
G1 X2.49 Y19.5 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.31 Y20.8 Z0.73 F1009.33
M108 R1.179
G1 X-2.31 Y20.8 Z0.73 F1800.0
G1 X-2.38 Y20.37 Z0.73 F1800.0
G1 X0.13 Y20.37 Z0.73 F1800.0
M108 R35.0
M102
G1 X2.38 Y20.37 Z0.73 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X1.05 Y22.53 Z0.73 F1954.636
M108 R1.179
G1 X-1.05 Y22.53 Z0.73 F1800.0
G1 X-1.67 Y22.1 Z0.73 F1800.0
G1 X1.67 Y22.1 Z0.73 F1800.0
G1 X2.0 Y21.67 Z0.73 F1800.0
G1 X-2.0 Y21.67 Z0.73 F1800.0
G1 X-2.2 Y21.23 Z0.73 F1800.0
G1 X-0.05 Y21.23 Z0.73 F1800.0
M108 R35.0
M102
G1 X2.2 Y21.23 Z0.73 F1800.0
M108 R1.179
M103
G1 X5.19 Y5.19 Z0.73 F2400.0
G1 X10.38 Y-1.06 Z0.73 F2400.0
M108 R35.0
M101
G1 X12.37 Y-3.47 Z0.73 F2400.0
M108 R1.179
G1 X4.7 Y-3.47 Z0.73 F1800.0
G1 X4.37 Y-3.9 Z0.73 F1800.0
G1 X6.95 Y-3.9 Z0.73 F1800.0
M108 R35.0
M102
G1 X9.2 Y-3.9 Z0.73 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<operatingLayerEnd> </operatingLayerEnd>)
(<layer> 1.025 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z1.025 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z1.025 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z1.025 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z1.025 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z1.025 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z1.025 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z1.025 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z1.025 </boundaryPoint>)
(<loop> inner )
G1 X7.98 Y-3.4 Z0.82 F2400.0
M108 R35.0
M101
G1 X5.11 Y-2.21 Z1.02 F2400.0
M108 R1.179
G1 X4.86 Y-2.81 Z1.02 F1800.0
G1 X3.96 Y-3.96 Z1.02 F1800.0
G1 X2.81 Y-4.86 Z1.02 F1800.0
G1 X1.45 Y-5.42 Z1.02 F1800.0
G1 X-0.0 Y-5.61 Z1.02 F1800.0
G1 X-1.45 Y-5.42 Z1.02 F1800.0
G1 X-2.81 Y-4.86 Z1.02 F1800.0
G1 X-3.96 Y-3.96 Z1.02 F1800.0
G1 X-4.86 Y-2.81 Z1.02 F1800.0
G1 X-5.42 Y-1.45 Z1.02 F1800.0
G1 X-5.61 Y0.0 Z1.02 F1800.0
G1 X-5.42 Y1.45 Z1.02 F1800.0
G1 X-4.86 Y2.81 Z1.02 F1800.0
G1 X-3.96 Y3.96 Z1.02 F1800.0
G1 X-2.81 Y4.86 Z1.02 F1800.0
G1 X-1.45 Y5.42 Z1.02 F1800.0
G1 X0.0 Y5.61 Z1.02 F1800.0
G1 X1.45 Y5.42 Z1.02 F1800.0
G1 X2.81 Y4.86 Z1.02 F1800.0
G1 X3.96 Y3.96 Z1.02 F1800.0
G1 X4.86 Y2.81 Z1.02 F1800.0
G1 X5.42 Y1.45 Z1.02 F1800.0
G1 X5.61 Y-0.0 Z1.02 F1800.0
G1 X5.6 Y-0.03 Z1.02 F1800.0
M108 R35.0
M102
G1 X5.42 Y-1.45 Z1.02 F1800.0
G1 X5.11 Y-2.21 Z1.02 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X5.45 Y-4.7 Z1.02 F1933.158
M108 R1.179
G1 X21.11 Y-2.56 Z1.02 F1800.0
G1 X21.75 Y-2.29 Z1.02 F1800.0
G1 X22.3 Y-1.87 Z1.02 F1800.0
G1 X22.72 Y-1.32 Z1.02 F1800.0
G1 X22.99 Y-0.69 Z1.02 F1800.0
G1 X23.08 Y0.0 Z1.02 F1800.0
G1 X22.99 Y0.69 Z1.02 F1800.0
G1 X22.72 Y1.32 Z1.02 F1800.0
G1 X22.3 Y1.87 Z1.02 F1800.0
G1 X21.75 Y2.29 Z1.02 F1800.0
G1 X21.11 Y2.56 Z1.02 F1800.0
G1 X4.79 Y4.79 Z1.02 F1800.0
G1 X2.56 Y21.11 Z1.02 F1800.0
G1 X2.29 Y21.75 Z1.02 F1800.0
G1 X1.87 Y22.3 Z1.02 F1800.0
G1 X1.32 Y22.72 Z1.02 F1800.0
G1 X0.69 Y22.99 Z1.02 F1800.0
G1 X0.0 Y23.08 Z1.02 F1800.0
G1 X-0.69 Y22.99 Z1.02 F1800.0
G1 X-1.32 Y22.72 Z1.02 F1800.0
G1 X-1.87 Y22.3 Z1.02 F1800.0
G1 X-2.29 Y21.75 Z1.02 F1800.0
G1 X-2.56 Y21.11 Z1.02 F1800.0
G1 X-4.79 Y4.79 Z1.02 F1800.0
G1 X-21.11 Y2.56 Z1.02 F1800.0
G1 X-21.75 Y2.29 Z1.02 F1800.0
G1 X-22.3 Y1.87 Z1.02 F1800.0
G1 X-22.72 Y1.32 Z1.02 F1800.0
G1 X-22.99 Y0.69 Z1.02 F1800.0
G1 X-23.08 Y0.0 Z1.02 F1800.0
G1 X-22.99 Y-0.69 Z1.02 F1800.0
G1 X-22.72 Y-1.32 Z1.02 F1800.0
G1 X-22.3 Y-1.87 Z1.02 F1800.0
G1 X-21.75 Y-2.29 Z1.02 F1800.0
G1 X-21.11 Y-2.56 Z1.02 F1800.0
G1 X-4.79 Y-4.79 Z1.02 F1800.0
G1 X-2.56 Y-21.11 Z1.02 F1800.0
G1 X-2.29 Y-21.75 Z1.02 F1800.0
G1 X-1.87 Y-22.3 Z1.02 F1800.0
G1 X-1.32 Y-22.72 Z1.02 F1800.0
G1 X-0.69 Y-22.99 Z1.02 F1800.0
G1 X0.0 Y-23.08 Z1.02 F1800.0
G1 X0.69 Y-22.99 Z1.02 F1800.0
G1 X1.32 Y-22.72 Z1.02 F1800.0
G1 X1.87 Y-22.3 Z1.02 F1800.0
G1 X2.29 Y-21.75 Z1.02 F1800.0
G1 X2.56 Y-21.11 Z1.02 F1800.0
G1 X4.79 Y-4.79 Z1.02 F1800.0
G1 X5.45 Y-4.7 Z1.02 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X5.5 Y-5.13 Z1.02 F2400.0
M101
G1 X21.23 Y-2.98 Z1.02 F1800.0
G1 X21.97 Y-2.67 Z1.02 F1800.0
G1 X22.61 Y-2.18 Z1.02 F1800.0
G1 X23.1 Y-1.54 Z1.02 F1800.0
G1 X23.41 Y-0.8 Z1.02 F1800.0
G1 X23.52 Y0.0 Z1.02 F1800.0
G1 X23.41 Y0.8 Z1.02 F1800.0
G1 X23.1 Y1.54 Z1.02 F1800.0
G1 X22.61 Y2.18 Z1.02 F1800.0
G1 X21.97 Y2.67 Z1.02 F1800.0
G1 X21.23 Y2.98 Z1.02 F1800.0
G1 X5.17 Y5.17 Z1.02 F1800.0
G1 X2.98 Y21.23 Z1.02 F1800.0
G1 X2.67 Y21.97 Z1.02 F1800.0
G1 X2.18 Y22.61 Z1.02 F1800.0
G1 X1.54 Y23.1 Z1.02 F1800.0
G1 X0.8 Y23.41 Z1.02 F1800.0
G1 X-0.0 Y23.52 Z1.02 F1800.0
G1 X-0.8 Y23.41 Z1.02 F1800.0
G1 X-1.54 Y23.1 Z1.02 F1800.0
G1 X-2.18 Y22.61 Z1.02 F1800.0
G1 X-2.67 Y21.97 Z1.02 F1800.0
G1 X-2.98 Y21.23 Z1.02 F1800.0
G1 X-5.17 Y5.17 Z1.02 F1800.0
G1 X-21.23 Y2.98 Z1.02 F1800.0
G1 X-21.97 Y2.67 Z1.02 F1800.0
G1 X-22.61 Y2.18 Z1.02 F1800.0
G1 X-23.1 Y1.54 Z1.02 F1800.0
G1 X-23.41 Y0.8 Z1.02 F1800.0
G1 X-23.52 Y-0.0 Z1.02 F1800.0
G1 X-23.41 Y-0.8 Z1.02 F1800.0
G1 X-23.1 Y-1.54 Z1.02 F1800.0
G1 X-22.61 Y-2.18 Z1.02 F1800.0
G1 X-21.97 Y-2.67 Z1.02 F1800.0
G1 X-21.23 Y-2.98 Z1.02 F1800.0
G1 X-5.17 Y-5.17 Z1.02 F1800.0
G1 X-2.98 Y-21.23 Z1.02 F1800.0
G1 X-2.67 Y-21.97 Z1.02 F1800.0
G1 X-2.18 Y-22.61 Z1.02 F1800.0
G1 X-1.54 Y-23.1 Z1.02 F1800.0
G1 X-0.8 Y-23.41 Z1.02 F1800.0
G1 X0.0 Y-23.52 Z1.02 F1800.0
G1 X0.8 Y-23.41 Z1.02 F1800.0
G1 X1.54 Y-23.1 Z1.02 F1800.0
G1 X2.18 Y-22.61 Z1.02 F1800.0
G1 X2.67 Y-21.97 Z1.02 F1800.0
G1 X2.98 Y-21.23 Z1.02 F1800.0
G1 X4.91 Y-7.07 Z1.02 F1800.0
M108 R35.0
M102
G1 X5.17 Y-5.17 Z1.02 F1800.0
G1 X5.5 Y-5.13 Z1.02 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z1.025 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z1.025 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z1.025 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z1.025 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z1.025 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z1.025 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.66 Y-3.66 Z1.02 F1815.826
M108 R1.179
G1 X2.59 Y-4.48 Z1.02 F1800.0
G1 X1.34 Y-5.0 Z1.02 F1800.0
G1 X0.0 Y-5.17 Z1.02 F1800.0
G1 X-1.34 Y-5.0 Z1.02 F1800.0
G1 X-2.59 Y-4.48 Z1.02 F1800.0
G1 X-3.66 Y-3.66 Z1.02 F1800.0
G1 X-4.48 Y-2.59 Z1.02 F1800.0
G1 X-5.0 Y-1.34 Z1.02 F1800.0
G1 X-5.17 Y-0.0 Z1.02 F1800.0
G1 X-5.0 Y1.34 Z1.02 F1800.0
G1 X-4.48 Y2.59 Z1.02 F1800.0
G1 X-3.66 Y3.66 Z1.02 F1800.0
G1 X-2.59 Y4.48 Z1.02 F1800.0
G1 X-1.34 Y5.0 Z1.02 F1800.0
G1 X-0.0 Y5.17 Z1.02 F1800.0
G1 X1.34 Y5.0 Z1.02 F1800.0
G1 X2.59 Y4.48 Z1.02 F1800.0
G1 X3.66 Y3.66 Z1.02 F1800.0
G1 X4.48 Y2.59 Z1.02 F1800.0
G1 X5.0 Y1.34 Z1.02 F1800.0
G1 X5.17 Y0.0 Z1.02 F1800.0
G1 X5.0 Y-1.34 Z1.02 F1800.0
G1 X4.82 Y-1.75 Z1.02 F1800.0
M108 R35.0
M102
G1 X4.48 Y-2.59 Z1.02 F1800.0
G1 X3.66 Y-3.66 Z1.02 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z1.025 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z1.025 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z1.025 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z1.025 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X1.49 Y-1.49 Z1.02 F2361.737
M108 R1.179
G1 X1.05 Y-1.82 Z1.02 F1800.0
G1 X0.54 Y-2.03 Z1.02 F1800.0
G1 X0.0 Y-2.1 Z1.02 F1800.0
G1 X-0.54 Y-2.03 Z1.02 F1800.0
G1 X-1.05 Y-1.82 Z1.02 F1800.0
G1 X-1.49 Y-1.49 Z1.02 F1800.0
G1 X-1.82 Y-1.05 Z1.02 F1800.0
G1 X-2.03 Y-0.54 Z1.02 F1800.0
G1 X-2.1 Y0.0 Z1.02 F1800.0
G1 X-2.03 Y0.54 Z1.02 F1800.0
G1 X-1.82 Y1.05 Z1.02 F1800.0
G1 X-1.49 Y1.49 Z1.02 F1800.0
G1 X-1.05 Y1.82 Z1.02 F1800.0
G1 X-0.54 Y2.03 Z1.02 F1800.0
G1 X0.0 Y2.1 Z1.02 F1800.0
G1 X0.54 Y2.03 Z1.02 F1800.0
G1 X1.05 Y1.82 Z1.02 F1800.0
G1 X1.49 Y1.49 Z1.02 F1800.0
G1 X1.82 Y1.05 Z1.02 F1800.0
G1 X2.03 Y0.54 Z1.02 F1800.0
G1 X2.1 Y0.0 Z1.02 F1800.0
G1 X2.03 Y-0.54 Z1.02 F1800.0
G1 X1.82 Y-1.05 Z1.02 F1800.0
G1 X1.49 Y-1.49 Z1.02 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X1.87 Y-1.87 Z1.02 F2400.0
M101
G1 X2.29 Y-1.32 Z1.02 F1800.0
G1 X2.56 Y-0.69 Z1.02 F1800.0
G1 X2.65 Y0.0 Z1.02 F1800.0
G1 X2.56 Y0.69 Z1.02 F1800.0
G1 X2.29 Y1.32 Z1.02 F1800.0
G1 X1.87 Y1.87 Z1.02 F1800.0
G1 X1.32 Y2.29 Z1.02 F1800.0
G1 X0.69 Y2.56 Z1.02 F1800.0
G1 X0.0 Y2.65 Z1.02 F1800.0
G1 X-0.69 Y2.56 Z1.02 F1800.0
G1 X-1.32 Y2.29 Z1.02 F1800.0
G1 X-1.87 Y1.87 Z1.02 F1800.0
G1 X-2.29 Y1.32 Z1.02 F1800.0
G1 X-2.56 Y0.69 Z1.02 F1800.0
G1 X-2.65 Y0.0 Z1.02 F1800.0
G1 X-2.56 Y-0.69 Z1.02 F1800.0
G1 X-2.29 Y-1.32 Z1.02 F1800.0
G1 X-1.87 Y-1.87 Z1.02 F1800.0
G1 X-1.32 Y-2.29 Z1.02 F1800.0
G1 X-0.69 Y-2.56 Z1.02 F1800.0
G1 X0.0 Y-2.65 Z1.02 F1800.0
G1 X0.69 Y-2.56 Z1.02 F1800.0
G1 X1.32 Y-2.29 Z1.02 F1800.0
G1 X1.87 Y-1.87 Z1.02 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X2.18 Y-2.18 Z1.02 F2400.0
M101
G1 X2.67 Y-1.54 Z1.02 F1800.0
G1 X2.98 Y-0.8 Z1.02 F1800.0
G1 X3.08 Y0.0 Z1.02 F1800.0
G1 X2.98 Y0.8 Z1.02 F1800.0
G1 X2.67 Y1.54 Z1.02 F1800.0
G1 X2.18 Y2.18 Z1.02 F1800.0
G1 X1.54 Y2.67 Z1.02 F1800.0
G1 X0.8 Y2.98 Z1.02 F1800.0
G1 X-0.0 Y3.08 Z1.02 F1800.0
G1 X-0.8 Y2.98 Z1.02 F1800.0
G1 X-1.54 Y2.67 Z1.02 F1800.0
G1 X-2.18 Y2.18 Z1.02 F1800.0
G1 X-2.67 Y1.54 Z1.02 F1800.0
G1 X-2.98 Y0.8 Z1.02 F1800.0
G1 X-3.08 Y-0.0 Z1.02 F1800.0
G1 X-2.98 Y-0.8 Z1.02 F1800.0
G1 X-2.67 Y-1.54 Z1.02 F1800.0
G1 X-2.18 Y-2.18 Z1.02 F1800.0
G1 X-1.54 Y-2.67 Z1.02 F1800.0
G1 X-0.8 Y-2.98 Z1.02 F1800.0
G1 X0.0 Y-3.08 Z1.02 F1800.0
G1 X0.16 Y-3.06 Z1.02 F1800.0
M108 R35.0
M102
G1 X0.8 Y-2.98 Z1.02 F1800.0
G1 X1.54 Y-2.67 Z1.02 F1800.0
G1 X2.18 Y-2.18 Z1.02 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z1.025 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z1.025 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z1.025 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z1.025 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X1.18 Y-1.18 Z1.02 F1093.296
M108 R1.179
G1 X0.83 Y-1.44 Z1.02 F1800.0
G1 X0.43 Y-1.61 Z1.02 F1800.0
G1 X0.0 Y-1.66 Z1.02 F1800.0
G1 X-0.43 Y-1.61 Z1.02 F1800.0
G1 X-0.83 Y-1.44 Z1.02 F1800.0
G1 X-1.18 Y-1.18 Z1.02 F1800.0
G1 X-1.44 Y-0.83 Z1.02 F1800.0
G1 X-1.61 Y-0.43 Z1.02 F1800.0
G1 X-1.66 Y0.0 Z1.02 F1800.0
G1 X-1.61 Y0.43 Z1.02 F1800.0
G1 X-1.44 Y0.83 Z1.02 F1800.0
G1 X-1.18 Y1.18 Z1.02 F1800.0
G1 X-0.83 Y1.44 Z1.02 F1800.0
G1 X-0.43 Y1.61 Z1.02 F1800.0
G1 X0.0 Y1.66 Z1.02 F1800.0
G1 X0.43 Y1.61 Z1.02 F1800.0
G1 X0.83 Y1.44 Z1.02 F1800.0
G1 X1.18 Y1.18 Z1.02 F1800.0
G1 X1.39 Y0.89 Z1.02 F1800.0
M108 R35.0
M102
G1 X1.44 Y0.83 Z1.02 F1800.0
G1 X1.61 Y0.43 Z1.02 F1800.0
G1 X1.66 Y0.0 Z1.02 F1800.0
G1 X1.61 Y-0.43 Z1.02 F1800.0
G1 X1.44 Y-0.83 Z1.02 F1800.0
G1 X1.18 Y-1.18 Z1.02 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X2.63 Y-3.41 Z1.02 F2400.0
M108 R35.0
M101
G1 X4.33 Y-6.02 Z1.02 F2400.0
M108 R1.179
G1 X4.33 Y-3.95 Z1.02 F1800.0
G1 X4.82 Y-4.5 Z1.02 F1800.0
G1 X4.82 Y-3.32 Z1.02 F1800.0
M103
G1 X5.3 Y-2.48 Z1.02 F2400.0
M101
G1 X5.3 Y-4.43 Z1.02 F1800.0
G1 X5.78 Y-4.37 Z1.02 F1800.0
G1 X5.78 Y-3.12 Z1.02 F1800.0
M108 R35.0
M102
G1 X5.78 Y-0.87 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X5.78 Y0.87 Z1.02 F1338.462
M108 R1.179
G1 X5.78 Y4.37 Z1.02 F1800.0
G1 X5.59 Y4.39 Z1.02 F1800.0
M108 R35.0
M102
G1 X5.3 Y4.43 Z1.02 F1800.0
G1 X5.3 Y2.48 Z1.02 F1800.0
M108 R1.179
M103
G1 X5.82 Y-1.21 Z1.02 F2400.0
M108 R35.0
M101
G1 X6.26 Y-4.3 Z1.02 F2400.0
M108 R1.179
G1 X6.26 Y2.05 Z1.02 F1800.0
M108 R35.0
M102
G1 X6.26 Y4.3 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X4.82 Y4.5 Z1.02 F1121.059
M108 R1.179
G1 X4.82 Y3.32 Z1.02 F1800.0
G1 X4.44 Y3.81 Z1.02 F1800.0
M108 R35.0
M102
G1 X4.33 Y3.95 Z1.02 F1800.0
G1 X4.33 Y6.02 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X3.85 Y4.41 Z1.02 F1294.762
M108 R1.179
G1 X3.85 Y7.3 Z1.02 F1800.0
M108 R35.0
M102
G1 X3.85 Y9.55 Z1.02 F1800.0
M108 R1.179
M103
G1 X3.79 Y9.98 Z1.02 F2400.0
M108 R35.0
M101
G1 X3.37 Y13.07 Z1.02 F2400.0
M108 R1.179
G1 X3.37 Y4.78 Z1.02 F1800.0
G1 X2.89 Y5.13 Z1.02 F1800.0
G1 X2.89 Y14.35 Z1.02 F1800.0
M108 R35.0
M102
G1 X2.89 Y16.6 Z1.02 F1800.0
M108 R1.179
M103
G1 X2.5 Y18.7 Z1.02 F2400.0
M108 R35.0
M101
G1 X1.93 Y21.77 Z1.02 F2400.0
M108 R1.179
G1 X2.41 Y20.13 Z1.02 F1800.0
G1 X2.41 Y5.33 Z1.02 F1800.0
G1 X1.93 Y5.53 Z1.02 F1800.0
G1 X1.93 Y17.81 Z1.02 F1800.0
M108 R35.0
M102
G1 X1.93 Y20.06 Z1.02 F1800.0
M108 R1.179
M103
G1 X0.8 Y8.93 Z1.02 F2400.0
M108 R35.0
M101
G1 X0.48 Y5.83 Z1.02 F2400.0
M108 R1.179
G1 X0.48 Y22.73 Z1.02 F1800.0
M103
G1 X0.0 Y22.79 Z1.02 F2400.0
M101
G1 X0.0 Y5.89 Z1.02 F1800.0
M103
G1 X-0.48 Y5.83 Z1.02 F2400.0
M101
G1 X-0.48 Y22.73 Z1.02 F1800.0
G1 X-0.96 Y22.57 Z1.02 F1800.0
G1 X-0.96 Y5.76 Z1.02 F1800.0
M103
G1 X-1.44 Y5.7 Z1.02 F2400.0
M101
G1 X-1.44 Y22.28 Z1.02 F1800.0
G1 X-1.93 Y21.77 Z1.02 F1800.0
G1 X-1.93 Y5.53 Z1.02 F1800.0
G1 X-2.41 Y5.33 Z1.02 F1800.0
G1 X-2.41 Y17.88 Z1.02 F1800.0
M108 R35.0
M102
G1 X-2.41 Y20.13 Z1.02 F1800.0
M108 R1.179
M103
G1 X-2.47 Y19.69 Z1.02 F2400.0
M108 R35.0
M101
G1 X-2.89 Y16.6 Z1.02 F2400.0
M108 R1.179
G1 X-2.89 Y5.13 Z1.02 F1800.0
G1 X-3.37 Y4.78 Z1.02 F1800.0
G1 X-3.37 Y10.82 Z1.02 F1800.0
M108 R35.0
M102
G1 X-3.37 Y13.07 Z1.02 F1800.0
M108 R1.179
M103
G1 X-3.43 Y12.64 Z1.02 F2400.0
M108 R35.0
M101
G1 X-3.85 Y9.55 Z1.02 F2400.0
M108 R1.179
G1 X-3.85 Y4.41 Z1.02 F1800.0
G1 X-4.2 Y4.07 Z1.02 F1800.0
M108 R35.0
M102
G1 X-4.33 Y3.95 Z1.02 F1800.0
G1 X-4.33 Y6.02 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.82 Y4.5 Z1.02 F1228.809
M108 R1.179
G1 X-4.82 Y3.32 Z1.02 F1800.0
M103
G1 X-5.3 Y2.48 Z1.02 F2400.0
M101
G1 X-5.3 Y4.43 Z1.02 F1800.0
G1 X-5.78 Y4.37 Z1.02 F1800.0
G1 X-5.78 Y3.12 Z1.02 F1800.0
M108 R35.0
M102
G1 X-5.78 Y0.87 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-5.78 Y-0.87 Z1.02 F1338.462
M108 R1.179
G1 X-5.78 Y-4.37 Z1.02 F1800.0
G1 X-5.3 Y-4.43 Z1.02 F1800.0
G1 X-5.3 Y-2.48 Z1.02 F1800.0
M103
G1 X-4.82 Y-3.32 Z1.02 F2400.0
M101
G1 X-4.82 Y-4.5 Z1.02 F1800.0
G1 X-4.45 Y-4.08 Z1.02 F1800.0
M108 R35.0
M102
G1 X-4.33 Y-3.95 Z1.02 F1800.0
G1 X-4.33 Y-6.02 Z1.02 F1800.0
M108 R1.179
M103
G1 X-4.27 Y-6.46 Z1.02 F2400.0
M108 R35.0
M101
G1 X-3.85 Y-9.55 Z1.02 F2400.0
M108 R1.179
G1 X-3.85 Y-6.66 Z1.02 F1800.0
M108 R35.0
M102
G1 X-3.85 Y-4.41 Z1.02 F1800.0
M108 R1.179
M103
G1 X-5.15 Y-0.85 Z1.02 F2400.0
G1 X-5.6 Y1.25 Z1.02 F2400.0
M108 R35.0
M101
G1 X-6.26 Y4.3 Z1.02 F2400.0
M108 R1.179
G1 X-6.26 Y-4.3 Z1.02 F1800.0
M103
G1 X-6.74 Y-4.24 Z1.02 F2400.0
M101
G1 X-6.74 Y4.24 Z1.02 F1800.0
G1 X-7.22 Y4.17 Z1.02 F1800.0
G1 X-7.22 Y-4.17 Z1.02 F1800.0
M103
G1 X-7.7 Y-4.1 Z1.02 F2400.0
M101
G1 X-7.7 Y4.1 Z1.02 F1800.0
M103
G1 X-8.19 Y4.04 Z1.02 F2400.0
M101
G1 X-8.19 Y-4.04 Z1.02 F1800.0
M103
G1 X-8.67 Y-3.97 Z1.02 F2400.0
M101
G1 X-8.67 Y3.97 Z1.02 F1800.0
M103
G1 X-9.15 Y3.91 Z1.02 F2400.0
M101
G1 X-9.15 Y-3.91 Z1.02 F1800.0
G1 X-9.63 Y-3.84 Z1.02 F1800.0
G1 X-9.63 Y3.84 Z1.02 F1800.0
M103
G1 X-10.11 Y3.77 Z1.02 F2400.0
M101
G1 X-10.11 Y-3.77 Z1.02 F1800.0
M103
G1 X-10.59 Y-3.71 Z1.02 F2400.0
M101
G1 X-10.59 Y3.71 Z1.02 F1800.0
M103
G1 X-11.07 Y3.64 Z1.02 F2400.0
M101
G1 X-11.07 Y-3.64 Z1.02 F1800.0
M103
G1 X-11.55 Y-3.58 Z1.02 F2400.0
M101
G1 X-11.55 Y3.58 Z1.02 F1800.0
G1 X-12.04 Y3.51 Z1.02 F1800.0
G1 X-12.04 Y-3.51 Z1.02 F1800.0
M103
G1 X-12.52 Y-3.45 Z1.02 F2400.0
M101
G1 X-12.52 Y3.45 Z1.02 F1800.0
M103
G1 X-13.0 Y3.38 Z1.02 F2400.0
M101
G1 X-13.0 Y-3.38 Z1.02 F1800.0
M103
G1 X-13.48 Y-3.31 Z1.02 F2400.0
M101
G1 X-13.48 Y3.31 Z1.02 F1800.0
M103
G1 X-13.96 Y3.25 Z1.02 F2400.0
M101
G1 X-13.96 Y-3.25 Z1.02 F1800.0
G1 X-14.44 Y-3.18 Z1.02 F1800.0
G1 X-14.44 Y3.18 Z1.02 F1800.0
M103
G1 X-14.93 Y3.12 Z1.02 F2400.0
M101
G1 X-14.93 Y-3.12 Z1.02 F1800.0
M103
G1 X-15.41 Y-3.05 Z1.02 F2400.0
M101
G1 X-15.41 Y3.05 Z1.02 F1800.0
M103
G1 X-15.89 Y2.99 Z1.02 F2400.0
M101
G1 X-15.89 Y-2.99 Z1.02 F1800.0
M103
G1 X-16.37 Y-2.92 Z1.02 F2400.0
M101
G1 X-16.37 Y2.92 Z1.02 F1800.0
G1 X-16.85 Y2.85 Z1.02 F1800.0
G1 X-16.85 Y-2.85 Z1.02 F1800.0
M103
G1 X-17.33 Y-2.79 Z1.02 F2400.0
M101
G1 X-17.33 Y2.79 Z1.02 F1800.0
M103
G1 X-17.81 Y2.72 Z1.02 F2400.0
M101
G1 X-17.81 Y-2.72 Z1.02 F1800.0
M103
G1 X-18.3 Y-2.66 Z1.02 F2400.0
M101
G1 X-18.3 Y2.66 Z1.02 F1800.0
M103
G1 X-18.78 Y2.59 Z1.02 F2400.0
M101
G1 X-18.78 Y-2.59 Z1.02 F1800.0
G1 X-19.26 Y-2.53 Z1.02 F1800.0
G1 X-19.26 Y2.53 Z1.02 F1800.0
M103
G1 X-19.74 Y2.46 Z1.02 F2400.0
M101
G1 X-19.74 Y-2.46 Z1.02 F1800.0
M103
G1 X-20.22 Y-2.39 Z1.02 F2400.0
M101
G1 X-20.22 Y2.39 Z1.02 F1800.0
G1 X-20.7 Y2.33 Z1.02 F1800.0
G1 X-20.7 Y-2.33 Z1.02 F1800.0
M103
G1 X-21.18 Y-2.22 Z1.02 F2400.0
M101
G1 X-21.18 Y2.22 Z1.02 F1800.0
G1 X-21.67 Y2.0 Z1.02 F1800.0
G1 X-21.67 Y-2.0 Z1.02 F1800.0
G1 X-22.15 Y-1.61 Z1.02 F1800.0
G1 X-22.15 Y1.61 Z1.02 F1800.0
G1 X-22.31 Y1.34 Z1.02 F1800.0
M108 R35.0
M102
G1 X-22.63 Y0.82 Z1.02 F1800.0
G1 X-22.63 Y-0.82 Z1.02 F1800.0
M108 R1.179
M103
G1 X-5.19 Y-5.19 Z1.02 F2400.0
G1 X-2.98 Y-17.06 Z1.02 F2400.0
M108 R35.0
M101
G1 X-2.41 Y-20.13 Z1.02 F2400.0
M108 R1.179
G1 X-2.41 Y-5.33 Z1.02 F1800.0
G1 X-1.93 Y-5.53 Z1.02 F1800.0
G1 X-1.93 Y-21.77 Z1.02 F1800.0
G1 X-1.44 Y-22.28 Z1.02 F1800.0
G1 X-1.44 Y-5.7 Z1.02 F1800.0
M103
G1 X-0.96 Y-5.76 Z1.02 F2400.0
M101
G1 X-0.96 Y-22.57 Z1.02 F1800.0
G1 X-0.48 Y-22.73 Z1.02 F1800.0
G1 X-0.48 Y-5.83 Z1.02 F1800.0
M103
G1 X-0.0 Y-5.89 Z1.02 F2400.0
M101
G1 X-0.0 Y-22.79 Z1.02 F1800.0
M103
G1 X0.48 Y-22.73 Z1.02 F2400.0
M101
G1 X0.48 Y-5.83 Z1.02 F1800.0
M103
G1 X0.96 Y-5.76 Z1.02 F2400.0
M101
G1 X0.96 Y-22.57 Z1.02 F1800.0
G1 X1.44 Y-22.28 Z1.02 F1800.0
G1 X1.44 Y-7.95 Z1.02 F1800.0
M108 R35.0
M102
G1 X1.44 Y-5.7 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.89 Y-5.13 Z1.02 F1196.593
M108 R1.179
G1 X2.89 Y-14.35 Z1.02 F1800.0
M108 R35.0
M102
G1 X2.89 Y-16.6 Z1.02 F1800.0
M108 R1.179
M103
G1 X2.95 Y-16.16 Z1.02 F2400.0
M108 R35.0
M101
G1 X3.37 Y-13.07 Z1.02 F2400.0
M108 R1.179
G1 X3.37 Y-4.78 Z1.02 F1800.0
G1 X3.85 Y-4.41 Z1.02 F1800.0
G1 X3.85 Y-7.3 Z1.02 F1800.0
M108 R35.0
M102
G1 X3.85 Y-9.55 Z1.02 F1800.0
M108 R1.179
M103
G1 X4.94 Y-6.0 Z1.02 F2400.0
M108 R35.0
M101
G1 X5.19 Y-5.19 Z1.02 F2400.0
G1 X7.22 Y-4.17 Z1.02 F2400.0
M108 R1.179
G1 X7.22 Y4.17 Z1.02 F1800.0
G1 X6.74 Y4.24 Z1.02 F1800.0
G1 X6.74 Y-1.99 Z1.02 F1800.0
M108 R35.0
M102
G1 X6.74 Y-4.24 Z1.02 F1800.0
M108 R1.179
M103
G1 X7.35 Y1.0 Z1.02 F2400.0
M108 R35.0
M101
G1 X7.7 Y4.1 Z1.02 F2400.0
M108 R1.179
G1 X7.7 Y-4.1 Z1.02 F1800.0
M103
G1 X8.19 Y-4.04 Z1.02 F2400.0
M101
G1 X8.19 Y4.04 Z1.02 F1800.0
M103
G1 X8.67 Y3.97 Z1.02 F2400.0
M101
G1 X8.67 Y-1.72 Z1.02 F1800.0
M108 R35.0
M102
G1 X8.67 Y-3.97 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.11 Y-3.77 Z1.02 F1121.821
M108 R1.179
G1 X10.11 Y3.77 Z1.02 F1800.0
M103
G1 X9.63 Y3.84 Z1.02 F2400.0
M101
G1 X9.63 Y-3.84 Z1.02 F1800.0
G1 X9.15 Y-3.91 Z1.02 F1800.0
G1 X9.15 Y1.66 Z1.02 F1800.0
M108 R35.0
M102
G1 X9.15 Y3.91 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.59 Y3.71 Z1.02 F1121.059
M108 R1.179
G1 X10.59 Y-3.71 Z1.02 F1800.0
M103
G1 X11.07 Y-3.64 Z1.02 F2400.0
M101
G1 X11.07 Y1.39 Z1.02 F1800.0
M108 R35.0
M102
G1 X11.07 Y3.64 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.52 Y3.45 Z1.02 F1121.059
M108 R1.179
G1 X12.52 Y-3.45 Z1.02 F1800.0
M103
G1 X13.0 Y-3.38 Z1.02 F2400.0
M101
G1 X13.0 Y3.38 Z1.02 F1800.0
M103
G1 X13.48 Y3.31 Z1.02 F2400.0
M101
G1 X13.48 Y-1.06 Z1.02 F1800.0
M108 R35.0
M102
G1 X13.48 Y-3.31 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.04 Y-3.51 Z1.02 F1121.059
M108 R1.179
G1 X12.04 Y3.51 Z1.02 F1800.0
G1 X11.55 Y3.58 Z1.02 F1800.0
G1 X11.55 Y-1.33 Z1.02 F1800.0
M108 R35.0
M102
G1 X11.55 Y-3.58 Z1.02 F1800.0
M108 R1.179
M103
G1 X11.84 Y-3.54 Z1.02 F2400.0
M108 R35.0
M101
G1 X14.93 Y-3.12 Z1.02 F2400.0
M108 R1.179
G1 X14.93 Y3.12 Z1.02 F1800.0
M103
G1 X14.44 Y3.18 Z1.02 F2400.0
M101
G1 X14.44 Y-3.18 Z1.02 F1800.0
G1 X13.96 Y-3.25 Z1.02 F1800.0
G1 X13.96 Y1.0 Z1.02 F1800.0
M108 R35.0
M102
G1 X13.96 Y3.25 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X15.41 Y3.05 Z1.02 F1121.059
M108 R1.179
G1 X15.41 Y-3.05 Z1.02 F1800.0
M103
G1 X15.89 Y-2.99 Z1.02 F2400.0
M101
G1 X15.89 Y0.74 Z1.02 F1800.0
M108 R35.0
M102
G1 X15.89 Y2.99 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X17.33 Y2.79 Z1.02 F1121.059
M108 R1.179
G1 X17.33 Y-2.79 Z1.02 F1800.0
M103
G1 X16.85 Y-2.85 Z1.02 F2400.0
M101
G1 X16.85 Y2.85 Z1.02 F1800.0
G1 X16.37 Y2.92 Z1.02 F1800.0
G1 X16.37 Y-0.67 Z1.02 F1800.0
M108 R35.0
M102
G1 X16.37 Y-2.92 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X17.81 Y-2.72 Z1.02 F1121.059
M108 R1.179
G1 X17.81 Y2.72 Z1.02 F1800.0
M103
G1 X18.3 Y2.66 Z1.02 F2400.0
M101
G1 X18.3 Y-0.41 Z1.02 F1800.0
M108 R35.0
M102
G1 X18.3 Y-2.66 Z1.02 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X19.74 Y-2.46 Z1.02 F1121.059
M108 R1.179
G1 X19.74 Y2.46 Z1.02 F1800.0
M103
G1 X19.26 Y2.53 Z1.02 F2400.0
M101
G1 X19.26 Y-2.53 Z1.02 F1800.0
G1 X18.78 Y-2.59 Z1.02 F1800.0
G1 X18.78 Y0.34 Z1.02 F1800.0
M108 R35.0
M102
G1 X18.78 Y2.59 Z1.02 F1800.0
M108 R1.179
M103
G1 X20.29 Y1.25 Z1.02 F2400.0
M108 R35.0
M101
G1 X22.63 Y-0.82 Z1.02 F2400.0
M108 R1.179
G1 X22.63 Y0.82 Z1.02 F1800.0
G1 X22.15 Y1.61 Z1.02 F1800.0
G1 X22.15 Y-1.61 Z1.02 F1800.0
G1 X21.67 Y-2.0 Z1.02 F1800.0
G1 X21.67 Y2.0 Z1.02 F1800.0
G1 X21.18 Y2.22 Z1.02 F1800.0
G1 X21.18 Y-2.22 Z1.02 F1800.0
M103
G1 X20.7 Y-2.33 Z1.02 F2400.0
M101
G1 X20.7 Y2.33 Z1.02 F1800.0
G1 X20.22 Y2.39 Z1.02 F1800.0
G1 X20.22 Y-0.14 Z1.02 F1800.0
M108 R35.0
M102
G1 X20.22 Y-2.39 Z1.02 F1800.0
M108 R1.179
M103
G1 X4.31 Y4.47 Z1.02 F2400.0
M108 R35.0
M101
G1 X1.44 Y5.7 Z1.02 F2400.0
M108 R1.179
G1 X1.44 Y22.28 Z1.02 F1800.0
G1 X0.96 Y22.57 Z1.02 F1800.0
G1 X0.96 Y8.02 Z1.02 F1800.0
M108 R35.0
M102
G1 X0.96 Y5.76 Z1.02 F1800.0
M108 R1.179
M103
G1 X-0.07 Y1.74 Z1.02 F2400.0
G1 X-0.45 Y1.69 Z1.02 F2400.0
G1 X-0.87 Y1.51 Z1.02 F2400.0
G1 X-1.23 Y1.23 Z1.02 F2400.0
G1 X-1.51 Y0.87 Z1.02 F2400.0
G1 X-1.69 Y0.45 Z1.02 F2400.0
G1 X-1.75 Y0.0 Z1.02 F2400.0
G1 X-1.69 Y-0.45 Z1.02 F2400.0
G1 X-1.51 Y-0.87 Z1.02 F2400.0
G1 X-1.23 Y-1.23 Z1.02 F2400.0
G1 X-0.87 Y-1.51 Z1.02 F2400.0
G1 X-0.77 Y-1.56 Z1.02 F2400.0
G1 X-2.68 Y-10.03 Z1.02 F2400.0
M108 R35.0
M101
G1 X-3.37 Y-13.07 Z1.02 F2400.0
M108 R1.179
G1 X-3.37 Y-4.78 Z1.02 F1800.0
G1 X-2.89 Y-5.13 Z1.02 F1800.0
G1 X-2.89 Y-14.35 Z1.02 F1800.0
M108 R35.0
M102
G1 X-2.89 Y-16.6 Z1.02 F1800.0
M108 R1.179
M103
G1 X-0.2 Y-19.49 Z1.02 F2400.0
M108 R35.0
M101
G1 X1.93 Y-21.77 Z1.02 F2400.0
M108 R1.179
G1 X1.93 Y-5.53 Z1.02 F1800.0
G1 X2.41 Y-5.33 Z1.02 F1800.0
G1 X2.41 Y-17.88 Z1.02 F1800.0
M108 R35.0
M102
G1 X2.41 Y-20.13 Z1.02 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 1.315 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z1.315 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z1.315 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z1.315 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z1.315 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z1.315 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z1.315 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z1.315 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z1.315 </boundaryPoint>)
(<loop> inner )
G1 X0.89 Y-8.64 Z1.25 F2400.0
M108 R35.0
M101
G1 X0.48 Y-5.54 Z1.31 F2400.0
M108 R1.179
G1 X-0.0 Y-5.61 Z1.31 F1800.0
G1 X-1.45 Y-5.42 Z1.31 F1800.0
G1 X-2.81 Y-4.86 Z1.31 F1800.0
G1 X-3.96 Y-3.96 Z1.31 F1800.0
G1 X-4.86 Y-2.81 Z1.31 F1800.0
G1 X-5.42 Y-1.45 Z1.31 F1800.0
G1 X-5.61 Y0.0 Z1.31 F1800.0
G1 X-5.42 Y1.45 Z1.31 F1800.0
G1 X-4.86 Y2.81 Z1.31 F1800.0
G1 X-3.96 Y3.96 Z1.31 F1800.0
G1 X-2.81 Y4.86 Z1.31 F1800.0
G1 X-1.45 Y5.42 Z1.31 F1800.0
G1 X0.0 Y5.61 Z1.31 F1800.0
G1 X1.45 Y5.42 Z1.31 F1800.0
G1 X2.81 Y4.86 Z1.31 F1800.0
G1 X3.96 Y3.96 Z1.31 F1800.0
G1 X4.86 Y2.81 Z1.31 F1800.0
G1 X5.42 Y1.45 Z1.31 F1800.0
G1 X5.61 Y-0.0 Z1.31 F1800.0
G1 X5.42 Y-1.45 Z1.31 F1800.0
G1 X4.86 Y-2.81 Z1.31 F1800.0
G1 X3.96 Y-3.96 Z1.31 F1800.0
G1 X2.81 Y-4.86 Z1.31 F1800.0
G1 X2.63 Y-4.93 Z1.31 F1800.0
M108 R35.0
M102
G1 X1.45 Y-5.42 Z1.31 F1800.0
G1 X0.48 Y-5.54 Z1.31 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
G1 X1.51 Y-5.68 Z1.31 F2400.0
M108 R35.0
M101
G1 X4.61 Y-6.11 Z1.31 F2400.0
M108 R1.179
G1 X4.79 Y-4.79 Z1.31 F1800.0
G1 X21.11 Y-2.56 Z1.31 F1800.0
G1 X21.75 Y-2.29 Z1.31 F1800.0
G1 X22.3 Y-1.87 Z1.31 F1800.0
G1 X22.72 Y-1.32 Z1.31 F1800.0
G1 X22.99 Y-0.69 Z1.31 F1800.0
G1 X23.08 Y0.0 Z1.31 F1800.0
G1 X22.99 Y0.69 Z1.31 F1800.0
G1 X22.72 Y1.32 Z1.31 F1800.0
G1 X22.3 Y1.87 Z1.31 F1800.0
G1 X21.75 Y2.29 Z1.31 F1800.0
G1 X21.11 Y2.56 Z1.31 F1800.0
G1 X4.79 Y4.79 Z1.31 F1800.0
G1 X2.56 Y21.11 Z1.31 F1800.0
G1 X2.29 Y21.75 Z1.31 F1800.0
G1 X1.87 Y22.3 Z1.31 F1800.0
G1 X1.32 Y22.72 Z1.31 F1800.0
G1 X0.69 Y22.99 Z1.31 F1800.0
G1 X0.0 Y23.08 Z1.31 F1800.0
G1 X-0.69 Y22.99 Z1.31 F1800.0
G1 X-1.32 Y22.72 Z1.31 F1800.0
G1 X-1.87 Y22.3 Z1.31 F1800.0
G1 X-2.29 Y21.75 Z1.31 F1800.0
G1 X-2.56 Y21.11 Z1.31 F1800.0
G1 X-4.79 Y4.79 Z1.31 F1800.0
G1 X-21.11 Y2.56 Z1.31 F1800.0
G1 X-21.75 Y2.29 Z1.31 F1800.0
G1 X-22.3 Y1.87 Z1.31 F1800.0
G1 X-22.72 Y1.32 Z1.31 F1800.0
G1 X-22.99 Y0.69 Z1.31 F1800.0
G1 X-23.08 Y0.0 Z1.31 F1800.0
G1 X-22.99 Y-0.69 Z1.31 F1800.0
G1 X-22.72 Y-1.32 Z1.31 F1800.0
G1 X-22.3 Y-1.87 Z1.31 F1800.0
G1 X-21.75 Y-2.29 Z1.31 F1800.0
G1 X-21.11 Y-2.56 Z1.31 F1800.0
G1 X-4.79 Y-4.79 Z1.31 F1800.0
G1 X-2.56 Y-21.11 Z1.31 F1800.0
G1 X-2.29 Y-21.75 Z1.31 F1800.0
G1 X-1.87 Y-22.3 Z1.31 F1800.0
G1 X-1.32 Y-22.72 Z1.31 F1800.0
G1 X-0.69 Y-22.99 Z1.31 F1800.0
G1 X0.0 Y-23.08 Z1.31 F1800.0
G1 X0.69 Y-22.99 Z1.31 F1800.0
G1 X1.32 Y-22.72 Z1.31 F1800.0
G1 X1.87 Y-22.3 Z1.31 F1800.0
G1 X2.29 Y-21.75 Z1.31 F1800.0
G1 X2.56 Y-21.11 Z1.31 F1800.0
G1 X4.61 Y-6.11 Z1.31 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X5.04 Y-6.17 Z1.31 F2400.0
M101
G1 X5.17 Y-5.17 Z1.31 F1800.0
G1 X21.23 Y-2.98 Z1.31 F1800.0
G1 X21.97 Y-2.67 Z1.31 F1800.0
G1 X22.61 Y-2.18 Z1.31 F1800.0
G1 X23.1 Y-1.54 Z1.31 F1800.0
G1 X23.41 Y-0.8 Z1.31 F1800.0
G1 X23.52 Y0.0 Z1.31 F1800.0
G1 X23.41 Y0.8 Z1.31 F1800.0
G1 X23.1 Y1.54 Z1.31 F1800.0
G1 X22.61 Y2.18 Z1.31 F1800.0
G1 X21.97 Y2.67 Z1.31 F1800.0
G1 X21.23 Y2.98 Z1.31 F1800.0
G1 X5.17 Y5.17 Z1.31 F1800.0
G1 X2.98 Y21.23 Z1.31 F1800.0
G1 X2.67 Y21.97 Z1.31 F1800.0
G1 X2.18 Y22.61 Z1.31 F1800.0
G1 X1.54 Y23.1 Z1.31 F1800.0
G1 X0.8 Y23.41 Z1.31 F1800.0
G1 X-0.0 Y23.52 Z1.31 F1800.0
G1 X-0.8 Y23.41 Z1.31 F1800.0
G1 X-1.54 Y23.1 Z1.31 F1800.0
G1 X-2.18 Y22.61 Z1.31 F1800.0
G1 X-2.67 Y21.97 Z1.31 F1800.0
G1 X-2.98 Y21.23 Z1.31 F1800.0
G1 X-5.17 Y5.17 Z1.31 F1800.0
G1 X-21.23 Y2.98 Z1.31 F1800.0
G1 X-21.97 Y2.67 Z1.31 F1800.0
G1 X-22.61 Y2.18 Z1.31 F1800.0
G1 X-23.1 Y1.54 Z1.31 F1800.0
G1 X-23.41 Y0.8 Z1.31 F1800.0
G1 X-23.52 Y-0.0 Z1.31 F1800.0
G1 X-23.41 Y-0.8 Z1.31 F1800.0
G1 X-23.1 Y-1.54 Z1.31 F1800.0
G1 X-22.61 Y-2.18 Z1.31 F1800.0
G1 X-21.97 Y-2.67 Z1.31 F1800.0
G1 X-21.23 Y-2.98 Z1.31 F1800.0
G1 X-5.17 Y-5.17 Z1.31 F1800.0
G1 X-2.98 Y-21.23 Z1.31 F1800.0
G1 X-2.67 Y-21.97 Z1.31 F1800.0
G1 X-2.18 Y-22.61 Z1.31 F1800.0
G1 X-1.54 Y-23.1 Z1.31 F1800.0
G1 X-0.8 Y-23.41 Z1.31 F1800.0
G1 X0.0 Y-23.52 Z1.31 F1800.0
G1 X0.8 Y-23.41 Z1.31 F1800.0
G1 X1.54 Y-23.1 Z1.31 F1800.0
G1 X2.18 Y-22.61 Z1.31 F1800.0
G1 X2.67 Y-21.97 Z1.31 F1800.0
G1 X2.98 Y-21.23 Z1.31 F1800.0
G1 X4.73 Y-8.39 Z1.31 F1800.0
M108 R35.0
M102
G1 X5.04 Y-6.17 Z1.31 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z1.315 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z1.315 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z1.315 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z1.315 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z1.315 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z1.315 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.31 Y-3.92 Z1.31 F2177.372
M108 R1.179
G1 X2.59 Y-4.48 Z1.31 F1800.0
G1 X1.34 Y-5.0 Z1.31 F1800.0
G1 X0.0 Y-5.17 Z1.31 F1800.0
G1 X-1.34 Y-5.0 Z1.31 F1800.0
G1 X-2.59 Y-4.48 Z1.31 F1800.0
G1 X-3.66 Y-3.66 Z1.31 F1800.0
G1 X-4.48 Y-2.59 Z1.31 F1800.0
G1 X-5.0 Y-1.34 Z1.31 F1800.0
G1 X-5.17 Y-0.0 Z1.31 F1800.0
G1 X-5.0 Y1.34 Z1.31 F1800.0
G1 X-4.48 Y2.59 Z1.31 F1800.0
G1 X-3.66 Y3.66 Z1.31 F1800.0
G1 X-2.59 Y4.48 Z1.31 F1800.0
G1 X-1.34 Y5.0 Z1.31 F1800.0
G1 X-0.0 Y5.17 Z1.31 F1800.0
G1 X1.34 Y5.0 Z1.31 F1800.0
G1 X2.59 Y4.48 Z1.31 F1800.0
G1 X3.66 Y3.66 Z1.31 F1800.0
G1 X4.48 Y2.59 Z1.31 F1800.0
G1 X5.0 Y1.34 Z1.31 F1800.0
G1 X5.17 Y0.0 Z1.31 F1800.0
G1 X5.0 Y-1.34 Z1.31 F1800.0
G1 X4.66 Y-2.16 Z1.31 F1800.0
M108 R35.0
M102
G1 X4.48 Y-2.59 Z1.31 F1800.0
G1 X3.66 Y-3.66 Z1.31 F1800.0
G1 X3.31 Y-3.92 Z1.31 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z1.315 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z1.315 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z1.315 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z1.315 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X1.49 Y-1.49 Z1.31 F2341.846
M108 R1.179
G1 X1.05 Y-1.82 Z1.31 F1800.0
G1 X0.54 Y-2.03 Z1.31 F1800.0
G1 X0.0 Y-2.1 Z1.31 F1800.0
G1 X-0.54 Y-2.03 Z1.31 F1800.0
G1 X-1.05 Y-1.82 Z1.31 F1800.0
G1 X-1.49 Y-1.49 Z1.31 F1800.0
G1 X-1.82 Y-1.05 Z1.31 F1800.0
G1 X-2.03 Y-0.54 Z1.31 F1800.0
G1 X-2.1 Y0.0 Z1.31 F1800.0
G1 X-2.03 Y0.54 Z1.31 F1800.0
G1 X-1.82 Y1.05 Z1.31 F1800.0
G1 X-1.49 Y1.49 Z1.31 F1800.0
G1 X-1.05 Y1.82 Z1.31 F1800.0
G1 X-0.54 Y2.03 Z1.31 F1800.0
G1 X0.0 Y2.1 Z1.31 F1800.0
G1 X0.54 Y2.03 Z1.31 F1800.0
G1 X1.05 Y1.82 Z1.31 F1800.0
G1 X1.49 Y1.49 Z1.31 F1800.0
G1 X1.82 Y1.05 Z1.31 F1800.0
G1 X2.03 Y0.54 Z1.31 F1800.0
G1 X2.1 Y0.0 Z1.31 F1800.0
G1 X2.03 Y-0.54 Z1.31 F1800.0
G1 X1.82 Y-1.05 Z1.31 F1800.0
G1 X1.49 Y-1.49 Z1.31 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X1.87 Y-1.87 Z1.31 F2400.0
M101
G1 X2.29 Y-1.32 Z1.31 F1800.0
G1 X2.56 Y-0.69 Z1.31 F1800.0
G1 X2.65 Y0.0 Z1.31 F1800.0
G1 X2.56 Y0.69 Z1.31 F1800.0
G1 X2.29 Y1.32 Z1.31 F1800.0
G1 X1.87 Y1.87 Z1.31 F1800.0
G1 X1.32 Y2.29 Z1.31 F1800.0
G1 X0.69 Y2.56 Z1.31 F1800.0
G1 X0.0 Y2.65 Z1.31 F1800.0
G1 X-0.69 Y2.56 Z1.31 F1800.0
G1 X-1.32 Y2.29 Z1.31 F1800.0
G1 X-1.87 Y1.87 Z1.31 F1800.0
G1 X-2.29 Y1.32 Z1.31 F1800.0
G1 X-2.56 Y0.69 Z1.31 F1800.0
G1 X-2.65 Y0.0 Z1.31 F1800.0
G1 X-2.56 Y-0.69 Z1.31 F1800.0
G1 X-2.29 Y-1.32 Z1.31 F1800.0
G1 X-1.87 Y-1.87 Z1.31 F1800.0
G1 X-1.32 Y-2.29 Z1.31 F1800.0
G1 X-0.69 Y-2.56 Z1.31 F1800.0
G1 X0.0 Y-2.65 Z1.31 F1800.0
G1 X0.69 Y-2.56 Z1.31 F1800.0
G1 X1.32 Y-2.29 Z1.31 F1800.0
G1 X1.87 Y-1.87 Z1.31 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X2.18 Y-2.18 Z1.31 F2400.0
M101
G1 X2.67 Y-1.54 Z1.31 F1800.0
G1 X2.98 Y-0.8 Z1.31 F1800.0
G1 X3.08 Y0.0 Z1.31 F1800.0
G1 X2.98 Y0.8 Z1.31 F1800.0
G1 X2.67 Y1.54 Z1.31 F1800.0
G1 X2.18 Y2.18 Z1.31 F1800.0
G1 X1.54 Y2.67 Z1.31 F1800.0
G1 X0.8 Y2.98 Z1.31 F1800.0
G1 X-0.0 Y3.08 Z1.31 F1800.0
G1 X-0.8 Y2.98 Z1.31 F1800.0
G1 X-1.54 Y2.67 Z1.31 F1800.0
G1 X-2.18 Y2.18 Z1.31 F1800.0
G1 X-2.67 Y1.54 Z1.31 F1800.0
G1 X-2.98 Y0.8 Z1.31 F1800.0
G1 X-3.08 Y-0.0 Z1.31 F1800.0
G1 X-2.98 Y-0.8 Z1.31 F1800.0
G1 X-2.67 Y-1.54 Z1.31 F1800.0
G1 X-2.18 Y-2.18 Z1.31 F1800.0
G1 X-1.54 Y-2.67 Z1.31 F1800.0
G1 X-0.8 Y-2.98 Z1.31 F1800.0
G1 X0.0 Y-3.08 Z1.31 F1800.0
G1 X0.16 Y-3.06 Z1.31 F1800.0
M108 R35.0
M102
G1 X0.8 Y-2.98 Z1.31 F1800.0
G1 X1.54 Y-2.67 Z1.31 F1800.0
G1 X2.18 Y-2.18 Z1.31 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z1.315 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z1.315 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z1.315 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z1.315 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X1.18 Y-1.18 Z1.31 F1093.296
M108 R1.179
G1 X0.83 Y-1.44 Z1.31 F1800.0
G1 X0.43 Y-1.61 Z1.31 F1800.0
G1 X0.0 Y-1.66 Z1.31 F1800.0
G1 X-0.43 Y-1.61 Z1.31 F1800.0
G1 X-0.83 Y-1.44 Z1.31 F1800.0
G1 X-1.18 Y-1.18 Z1.31 F1800.0
G1 X-1.44 Y-0.83 Z1.31 F1800.0
G1 X-1.61 Y-0.43 Z1.31 F1800.0
G1 X-1.66 Y0.0 Z1.31 F1800.0
G1 X-1.61 Y0.43 Z1.31 F1800.0
G1 X-1.44 Y0.83 Z1.31 F1800.0
G1 X-1.18 Y1.18 Z1.31 F1800.0
G1 X-0.83 Y1.44 Z1.31 F1800.0
G1 X-0.43 Y1.61 Z1.31 F1800.0
G1 X0.0 Y1.66 Z1.31 F1800.0
G1 X0.43 Y1.61 Z1.31 F1800.0
G1 X0.83 Y1.44 Z1.31 F1800.0
G1 X1.18 Y1.18 Z1.31 F1800.0
G1 X1.39 Y0.89 Z1.31 F1800.0
M108 R35.0
M102
G1 X1.44 Y0.83 Z1.31 F1800.0
G1 X1.61 Y0.43 Z1.31 F1800.0
G1 X1.66 Y0.0 Z1.31 F1800.0
G1 X1.61 Y-0.43 Z1.31 F1800.0
G1 X1.44 Y-0.83 Z1.31 F1800.0
G1 X1.18 Y-1.18 Z1.31 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X2.26 Y-1.65 Z1.31 F2400.0
M108 R35.0
M101
G1 X5.13 Y-2.89 Z1.31 F2400.0
M108 R1.179
G1 X5.33 Y-2.41 Z1.31 F1800.0
G1 X20.13 Y-2.41 Z1.31 F1800.0
G1 X20.28 Y-2.36 Z1.31 F1800.0
M108 R35.0
M102
G1 X21.77 Y-1.93 Z1.31 F1800.0
G1 X22.28 Y-1.44 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X21.1 Y-1.44 Z1.31 F906.154
M108 R1.179
G1 X5.7 Y-1.44 Z1.31 F1800.0
M103
G1 X5.76 Y-0.96 Z1.31 F2400.0
M101
G1 X5.83 Y-0.48 Z1.31 F1800.0
G1 X22.57 Y-0.96 Z1.31 F1800.0
G1 X22.73 Y-0.48 Z1.31 F1800.0
G1 X22.32 Y0.06 Z1.31 F1800.0
G1 X22.73 Y0.48 Z1.31 F1800.0
G1 X22.57 Y0.96 Z1.31 F1800.0
G1 X5.89 Y-0.0 Z1.31 F1800.0
G1 X5.83 Y0.48 Z1.31 F1800.0
G1 X22.28 Y1.44 Z1.31 F1800.0
G1 X21.77 Y1.93 Z1.31 F1800.0
G1 X7.53 Y1.07 Z1.31 F1800.0
M108 R35.0
M102
G1 X5.76 Y0.96 Z1.31 F1800.0
G1 X5.7 Y1.44 Z1.31 F1800.0
M108 R1.179
M103
G1 X17.01 Y2.2 Z1.31 F2400.0
M108 R35.0
M101
G1 X20.13 Y2.41 Z1.31 F2400.0
M108 R1.179
G1 X7.05 Y2.41 Z1.31 F1800.0
M108 R35.0
M102
G1 X5.33 Y2.41 Z1.31 F1800.0
G1 X5.13 Y2.89 Z1.31 F1800.0
M108 R1.179
M103
G1 X4.94 Y3.7 Z1.31 F2400.0
M108 R35.0
M101
G1 X4.24 Y6.74 Z1.31 F2400.0
M108 R1.179
G1 X4.17 Y7.22 Z1.31 F1800.0
G1 X3.63 Y7.64 Z1.31 F1800.0
G1 X-4.17 Y7.22 Z1.31 F1800.0
G1 X-4.24 Y6.74 Z1.31 F1800.0
M103
G1 X-4.3 Y6.26 Z1.31 F2400.0
M101
G1 X4.3 Y6.26 Z1.31 F1800.0
G1 X2.48 Y5.3 Z1.31 F1800.0
G1 X3.56 Y5.23 Z1.31 F1800.0
G1 X4.43 Y5.3 Z1.31 F1800.0
G1 X4.02 Y4.75 Z1.31 F1800.0
G1 X3.95 Y4.33 Z1.31 F1800.0
G1 X6.02 Y4.33 Z1.31 F1800.0
G1 X4.78 Y3.37 Z1.31 F1800.0
G1 X10.82 Y3.37 Z1.31 F1800.0
M108 R35.0
M102
G1 X13.07 Y3.37 Z1.31 F1800.0
M108 R1.179
M103
G1 X13.07 Y-0.25 Z1.31 F2400.0
M108 R35.0
M101
G1 X13.07 Y-3.37 Z1.31 F2400.0
M108 R1.179
G1 X4.78 Y-3.37 Z1.31 F1800.0
G1 X6.02 Y-4.33 Z1.31 F1800.0
G1 X4.76 Y-4.18 Z1.31 F1800.0
G1 X3.95 Y-4.33 Z1.31 F1800.0
G1 X4.02 Y-4.75 Z1.31 F1800.0
G1 X4.43 Y-5.3 Z1.31 F1800.0
G1 X3.56 Y-5.23 Z1.31 F1800.0
G1 X2.48 Y-5.3 Z1.31 F1800.0
G1 X4.3 Y-6.26 Z1.31 F1800.0
G1 X3.76 Y-6.67 Z1.31 F1800.0
G1 X0.87 Y-5.78 Z1.31 F1800.0
G1 X-0.73 Y-6.24 Z1.31 F1800.0
G1 X-3.76 Y-6.67 Z1.31 F1800.0
G1 X-4.3 Y-6.26 Z1.31 F1800.0
G1 X-2.48 Y-5.3 Z1.31 F1800.0
G1 X-3.56 Y-5.23 Z1.31 F1800.0
G1 X-4.43 Y-5.3 Z1.31 F1800.0
G1 X-4.02 Y-4.75 Z1.31 F1800.0
G1 X-3.95 Y-4.33 Z1.31 F1800.0
G1 X-4.41 Y-3.85 Z1.31 F1800.0
G1 X-4.76 Y-4.18 Z1.31 F1800.0
G1 X-6.02 Y-4.33 Z1.31 F1800.0
G1 X-4.78 Y-3.37 Z1.31 F1800.0
G1 X-10.82 Y-3.37 Z1.31 F1800.0
M108 R35.0
M102
G1 X-13.07 Y-3.37 Z1.31 F1800.0
M108 R1.179
M103
G1 X-13.07 Y0.25 Z1.31 F2400.0
M108 R35.0
M101
G1 X-13.07 Y3.37 Z1.31 F2400.0
M108 R1.179
G1 X-4.78 Y3.37 Z1.31 F1800.0
G1 X-6.02 Y4.33 Z1.31 F1800.0
G1 X-3.95 Y4.33 Z1.31 F1800.0
G1 X-4.02 Y4.75 Z1.31 F1800.0
G1 X-4.43 Y5.3 Z1.31 F1800.0
G1 X-4.39 Y5.59 Z1.31 F1800.0
M108 R35.0
M102
G1 X-4.37 Y5.78 Z1.31 F1800.0
G1 X-3.56 Y5.23 Z1.31 F1800.0
G1 X-2.48 Y5.3 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.1 Y7.7 Z1.31 F2234.194
M108 R1.179
G1 X-4.04 Y8.19 Z1.31 F1800.0
G1 X3.97 Y8.67 Z1.31 F1800.0
G1 X4.04 Y8.19 Z1.31 F1800.0
M103
G1 X3.91 Y9.15 Z1.31 F2400.0
M101
G1 X-2.56 Y9.55 Z1.31 F1800.0
M108 R35.0
M102
G1 X-3.84 Y9.63 Z1.31 F1800.0
G1 X-3.97 Y8.67 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.77 Y10.11 Z1.31 F1121.821
M108 R1.179
G1 X3.23 Y10.53 Z1.31 F1800.0
G1 X3.77 Y10.11 Z1.31 F1800.0
M103
G1 X3.64 Y11.07 Z1.31 F2400.0
M101
G1 X-3.64 Y11.07 Z1.31 F1800.0
M103
G1 X-3.58 Y11.55 Z1.31 F2400.0
M101
G1 X-3.51 Y12.04 Z1.31 F1800.0
G1 X3.51 Y12.04 Z1.31 F1800.0
G1 X3.58 Y11.55 Z1.31 F1800.0
M103
G1 X3.45 Y12.52 Z1.31 F2400.0
M101
G1 X3.38 Y13.0 Z1.31 F1800.0
G1 X-1.62 Y13.0 Z1.31 F1800.0
M108 R35.0
M102
G1 X-3.38 Y13.0 Z1.31 F1800.0
G1 X-3.45 Y12.52 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.25 Y13.96 Z1.31 F1121.821
M108 R1.179
G1 X-3.18 Y14.44 Z1.31 F1800.0
G1 X3.25 Y13.96 Z1.31 F1800.0
M103
G1 X3.12 Y14.93 Z1.31 F2400.0
M101
G1 X2.58 Y15.34 Z1.31 F1800.0
G1 X-2.58 Y15.34 Z1.31 F1800.0
G1 X-3.12 Y14.93 Z1.31 F1800.0
M103
G1 X-2.99 Y15.89 Z1.31 F2400.0
M101
G1 X2.99 Y15.89 Z1.31 F1800.0
M103
G1 X2.92 Y16.37 Z1.31 F2400.0
M101
G1 X2.79 Y17.33 Z1.31 F1800.0
G1 X-1.51 Y17.33 Z1.31 F1800.0
M108 R35.0
M102
G1 X-2.79 Y17.33 Z1.31 F1800.0
G1 X-2.92 Y16.37 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-2.72 Y17.81 Z1.31 F1121.059
M108 R1.179
G1 X2.72 Y17.81 Z1.31 F1800.0
M103
G1 X2.59 Y18.78 Z1.31 F2400.0
M101
G1 X2.53 Y19.26 Z1.31 F1800.0
G1 X-2.53 Y19.26 Z1.31 F1800.0
G1 X-2.59 Y18.78 Z1.31 F1800.0
M103
G1 X-2.46 Y19.74 Z1.31 F2400.0
M101
G1 X2.46 Y19.74 Z1.31 F1800.0
M103
G1 X2.39 Y20.22 Z1.31 F2400.0
M101
G1 X2.22 Y21.18 Z1.31 F1800.0
G1 X-0.95 Y21.18 Z1.31 F1800.0
M108 R35.0
M102
G1 X-2.22 Y21.18 Z1.31 F1800.0
G1 X-2.39 Y20.22 Z1.31 F1800.0
M108 R1.179
M103
G1 X-1.68 Y20.76 Z1.31 F2400.0
M108 R35.0
M101
G1 X0.82 Y22.63 Z1.31 F2400.0
M108 R1.179
G1 X-0.82 Y22.63 Z1.31 F1800.0
G1 X-1.61 Y22.15 Z1.31 F1800.0
G1 X-2.0 Y21.67 Z1.31 F1800.0
G1 X-0.0 Y21.93 Z1.31 F1800.0
M108 R35.0
M102
G1 X1.61 Y22.15 Z1.31 F1800.0
G1 X2.0 Y21.67 Z1.31 F1800.0
M108 R1.179
M103
G1 X-4.02 Y5.81 Z1.31 F2400.0
M108 R35.0
M101
G1 X-5.13 Y2.89 Z1.31 F2400.0
M108 R1.179
G1 X-5.33 Y2.41 Z1.31 F1800.0
G1 X-20.13 Y2.41 Z1.31 F1800.0
G1 X-20.28 Y2.36 Z1.31 F1800.0
M108 R35.0
M102
G1 X-21.77 Y1.93 Z1.31 F1800.0
G1 X-22.28 Y1.44 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-21.1 Y1.44 Z1.31 F906.154
M108 R1.179
G1 X-5.76 Y0.96 Z1.31 F1800.0
G1 X-5.7 Y1.44 Z1.31 F1800.0
M103
G1 X-5.83 Y0.48 Z1.31 F2400.0
M101
G1 X-5.89 Y0.0 Z1.31 F1800.0
G1 X-22.57 Y0.96 Z1.31 F1800.0
G1 X-22.73 Y0.48 Z1.31 F1800.0
G1 X-22.32 Y0.06 Z1.31 F1800.0
G1 X-22.73 Y-0.48 Z1.31 F1800.0
G1 X-22.57 Y-0.96 Z1.31 F1800.0
G1 X-5.83 Y-0.48 Z1.31 F1800.0
G1 X-5.76 Y-0.96 Z1.31 F1800.0
M103
G1 X-5.7 Y-1.44 Z1.31 F2400.0
M101
G1 X-20.22 Y-1.88 Z1.31 F1800.0
M108 R35.0
M102
G1 X-21.77 Y-1.93 Z1.31 F1800.0
G1 X-22.28 Y-1.44 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-20.13 Y-2.41 Z1.31 F1812.166
M108 R1.179
G1 X-7.05 Y-2.41 Z1.31 F1800.0
M108 R35.0
M102
G1 X-5.33 Y-2.41 Z1.31 F1800.0
G1 X-5.13 Y-2.89 Z1.31 F1800.0
M108 R1.179
M103
G1 X-4.84 Y-4.17 Z1.31 F2400.0
M108 R35.0
M101
G1 X-4.17 Y-7.22 Z1.31 F2400.0
M108 R1.179
G1 X4.17 Y-7.22 Z1.31 F1800.0
M103
G1 X4.1 Y-7.7 Z1.31 F2400.0
M101
G1 X3.97 Y-8.67 Z1.31 F1800.0
G1 X-2.69 Y-8.67 Z1.31 F1800.0
M108 R35.0
M102
G1 X-3.97 Y-8.67 Z1.31 F1800.0
G1 X-4.1 Y-7.7 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.91 Y-9.15 Z1.31 F1121.059
M108 R1.179
G1 X3.91 Y-9.15 Z1.31 F1800.0
M103
G1 X3.77 Y-10.11 Z1.31 F2400.0
M101
G1 X3.23 Y-10.53 Z1.31 F1800.0
G1 X-3.23 Y-10.53 Z1.31 F1800.0
G1 X-3.77 Y-10.11 Z1.31 F1800.0
M103
G1 X-3.64 Y-11.07 Z1.31 F2400.0
M101
G1 X-3.1 Y-11.49 Z1.31 F1800.0
G1 X3.1 Y-11.49 Z1.31 F1800.0
G1 X3.64 Y-11.07 Z1.31 F1800.0
M103
G1 X3.51 Y-12.04 Z1.31 F2400.0
M101
G1 X-2.97 Y-12.45 Z1.31 F1800.0
G1 X-3.51 Y-12.04 Z1.31 F1800.0
M103
G1 X-3.38 Y-13.0 Z1.31 F2400.0
M101
G1 X1.62 Y-13.0 Z1.31 F1800.0
M108 R35.0
M102
G1 X3.38 Y-13.0 Z1.31 F1800.0
G1 X3.45 Y-12.52 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X3.25 Y-13.96 Z1.31 F1121.821
M108 R1.179
G1 X3.18 Y-14.44 Z1.31 F1800.0
G1 X-3.18 Y-14.44 Z1.31 F1800.0
G1 X-3.25 Y-13.96 Z1.31 F1800.0
M103
G1 X-3.12 Y-14.93 Z1.31 F2400.0
M101
G1 X-2.58 Y-15.34 Z1.31 F1800.0
G1 X2.58 Y-15.34 Z1.31 F1800.0
G1 X3.12 Y-14.93 Z1.31 F1800.0
M103
G1 X2.99 Y-15.89 Z1.31 F2400.0
M101
G1 X-2.99 Y-15.89 Z1.31 F1800.0
M103
G1 X-2.92 Y-16.37 Z1.31 F2400.0
M101
G1 X-2.85 Y-16.85 Z1.31 F1800.0
G1 X2.85 Y-16.85 Z1.31 F1800.0
G1 X2.92 Y-16.37 Z1.31 F1800.0
M103
G1 X2.79 Y-17.33 Z1.31 F2400.0
M101
G1 X2.66 Y-18.3 Z1.31 F1800.0
G1 X-1.38 Y-18.3 Z1.31 F1800.0
M108 R35.0
M102
G1 X-2.66 Y-18.3 Z1.31 F1800.0
G1 X-2.79 Y-17.33 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-2.59 Y-18.78 Z1.31 F1121.059
M108 R1.179
G1 X-2.53 Y-19.26 Z1.31 F1800.0
G1 X2.53 Y-19.26 Z1.31 F1800.0
G1 X2.59 Y-18.78 Z1.31 F1800.0
M103
G1 X2.46 Y-19.74 Z1.31 F2400.0
M101
G1 X1.92 Y-20.16 Z1.31 F1800.0
G1 X-2.46 Y-19.74 Z1.31 F1800.0
M103
G1 X-2.39 Y-20.22 Z1.31 F2400.0
M101
G1 X-2.22 Y-21.18 Z1.31 F1800.0
G1 X0.47 Y-21.18 Z1.31 F1800.0
M108 R35.0
M102
G1 X2.22 Y-21.18 Z1.31 F1800.0
G1 X2.33 Y-20.7 Z1.31 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.0 Y-21.67 Z1.31 F781.572
M108 R1.179
G1 X1.61 Y-22.15 Z1.31 F1800.0
G1 X-2.0 Y-21.67 Z1.31 F1800.0
G1 X-1.61 Y-22.15 Z1.31 F1800.0
G1 X-1.34 Y-22.31 Z1.31 F1800.0
M108 R35.0
M102
G1 X-0.82 Y-22.63 Z1.31 F1800.0
G1 X0.82 Y-22.63 Z1.31 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 1.605 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z1.605 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z1.605 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z1.605 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z1.605 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z1.605 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z1.605 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z1.605 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z1.605 </boundaryPoint>)
(<loop> inner )
G1 X0.15 Y-8.72 Z1.55 F2400.0
M108 R35.0
M101
G1 X-0.0 Y-5.61 Z1.6 F2400.0
M108 R1.179
G1 X-1.45 Y-5.42 Z1.6 F1800.0
G1 X-2.81 Y-4.86 Z1.6 F1800.0
G1 X-3.96 Y-3.96 Z1.6 F1800.0
G1 X-4.86 Y-2.81 Z1.6 F1800.0
G1 X-5.42 Y-1.45 Z1.6 F1800.0
G1 X-5.61 Y0.0 Z1.6 F1800.0
G1 X-5.42 Y1.45 Z1.6 F1800.0
G1 X-4.86 Y2.81 Z1.6 F1800.0
G1 X-3.96 Y3.96 Z1.6 F1800.0
G1 X-2.81 Y4.86 Z1.6 F1800.0
G1 X-1.45 Y5.42 Z1.6 F1800.0
G1 X0.0 Y5.61 Z1.6 F1800.0
G1 X1.45 Y5.42 Z1.6 F1800.0
G1 X2.81 Y4.86 Z1.6 F1800.0
G1 X3.96 Y3.96 Z1.6 F1800.0
G1 X4.86 Y2.81 Z1.6 F1800.0
G1 X5.42 Y1.45 Z1.6 F1800.0
G1 X5.61 Y-0.0 Z1.6 F1800.0
G1 X5.42 Y-1.45 Z1.6 F1800.0
G1 X4.86 Y-2.81 Z1.6 F1800.0
G1 X3.96 Y-3.96 Z1.6 F1800.0
G1 X2.81 Y-4.86 Z1.6 F1800.0
G1 X2.18 Y-5.12 Z1.6 F1800.0
M108 R35.0
M102
G1 X1.45 Y-5.42 Z1.6 F1800.0
G1 X-0.0 Y-5.61 Z1.6 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
G1 X-1.5 Y-5.81 Z1.6 F2400.0
M108 R35.0
M101
G1 X-4.59 Y-6.24 Z1.6 F2400.0
M108 R1.179
G1 X-2.56 Y-21.11 Z1.6 F1800.0
G1 X-2.29 Y-21.75 Z1.6 F1800.0
G1 X-1.87 Y-22.3 Z1.6 F1800.0
G1 X-1.32 Y-22.72 Z1.6 F1800.0
G1 X-0.69 Y-22.99 Z1.6 F1800.0
G1 X0.0 Y-23.08 Z1.6 F1800.0
G1 X0.69 Y-22.99 Z1.6 F1800.0
G1 X1.32 Y-22.72 Z1.6 F1800.0
G1 X1.87 Y-22.3 Z1.6 F1800.0
G1 X2.29 Y-21.75 Z1.6 F1800.0
G1 X2.56 Y-21.11 Z1.6 F1800.0
G1 X4.79 Y-4.79 Z1.6 F1800.0
G1 X21.11 Y-2.56 Z1.6 F1800.0
G1 X21.75 Y-2.29 Z1.6 F1800.0
G1 X22.3 Y-1.87 Z1.6 F1800.0
G1 X22.72 Y-1.32 Z1.6 F1800.0
G1 X22.99 Y-0.69 Z1.6 F1800.0
G1 X23.08 Y0.0 Z1.6 F1800.0
G1 X22.99 Y0.69 Z1.6 F1800.0
G1 X22.72 Y1.32 Z1.6 F1800.0
G1 X22.3 Y1.87 Z1.6 F1800.0
G1 X21.75 Y2.29 Z1.6 F1800.0
G1 X21.11 Y2.56 Z1.6 F1800.0
G1 X4.79 Y4.79 Z1.6 F1800.0
G1 X2.56 Y21.11 Z1.6 F1800.0
G1 X2.29 Y21.75 Z1.6 F1800.0
G1 X1.87 Y22.3 Z1.6 F1800.0
G1 X1.32 Y22.72 Z1.6 F1800.0
G1 X0.69 Y22.99 Z1.6 F1800.0
G1 X0.0 Y23.08 Z1.6 F1800.0
G1 X-0.69 Y22.99 Z1.6 F1800.0
G1 X-1.32 Y22.72 Z1.6 F1800.0
G1 X-1.87 Y22.3 Z1.6 F1800.0
G1 X-2.29 Y21.75 Z1.6 F1800.0
G1 X-2.56 Y21.11 Z1.6 F1800.0
G1 X-4.79 Y4.79 Z1.6 F1800.0
G1 X-21.11 Y2.56 Z1.6 F1800.0
G1 X-21.75 Y2.29 Z1.6 F1800.0
G1 X-22.3 Y1.87 Z1.6 F1800.0
G1 X-22.72 Y1.32 Z1.6 F1800.0
G1 X-22.99 Y0.69 Z1.6 F1800.0
G1 X-23.08 Y0.0 Z1.6 F1800.0
G1 X-22.99 Y-0.69 Z1.6 F1800.0
G1 X-22.72 Y-1.32 Z1.6 F1800.0
G1 X-22.3 Y-1.87 Z1.6 F1800.0
G1 X-21.75 Y-2.29 Z1.6 F1800.0
G1 X-21.11 Y-2.56 Z1.6 F1800.0
G1 X-4.79 Y-4.79 Z1.6 F1800.0
G1 X-4.59 Y-6.24 Z1.6 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-5.02 Y-6.29 Z1.6 F2400.0
M101
G1 X-2.98 Y-21.23 Z1.6 F1800.0
G1 X-2.67 Y-21.97 Z1.6 F1800.0
G1 X-2.18 Y-22.61 Z1.6 F1800.0
G1 X-1.54 Y-23.1 Z1.6 F1800.0
G1 X-0.8 Y-23.41 Z1.6 F1800.0
G1 X0.0 Y-23.52 Z1.6 F1800.0
G1 X0.8 Y-23.41 Z1.6 F1800.0
G1 X1.54 Y-23.1 Z1.6 F1800.0
G1 X2.18 Y-22.61 Z1.6 F1800.0
G1 X2.67 Y-21.97 Z1.6 F1800.0
G1 X2.98 Y-21.23 Z1.6 F1800.0
G1 X5.17 Y-5.17 Z1.6 F1800.0
G1 X21.23 Y-2.98 Z1.6 F1800.0
G1 X21.97 Y-2.67 Z1.6 F1800.0
G1 X22.61 Y-2.18 Z1.6 F1800.0
G1 X23.1 Y-1.54 Z1.6 F1800.0
G1 X23.41 Y-0.8 Z1.6 F1800.0
G1 X23.52 Y0.0 Z1.6 F1800.0
G1 X23.41 Y0.8 Z1.6 F1800.0
G1 X23.1 Y1.54 Z1.6 F1800.0
G1 X22.61 Y2.18 Z1.6 F1800.0
G1 X21.97 Y2.67 Z1.6 F1800.0
G1 X21.23 Y2.98 Z1.6 F1800.0
G1 X5.17 Y5.17 Z1.6 F1800.0
G1 X2.98 Y21.23 Z1.6 F1800.0
G1 X2.67 Y21.97 Z1.6 F1800.0
G1 X2.18 Y22.61 Z1.6 F1800.0
G1 X1.54 Y23.1 Z1.6 F1800.0
G1 X0.8 Y23.41 Z1.6 F1800.0
G1 X-0.0 Y23.52 Z1.6 F1800.0
G1 X-0.8 Y23.41 Z1.6 F1800.0
G1 X-1.54 Y23.1 Z1.6 F1800.0
G1 X-2.18 Y22.61 Z1.6 F1800.0
G1 X-2.67 Y21.97 Z1.6 F1800.0
G1 X-2.98 Y21.23 Z1.6 F1800.0
G1 X-5.17 Y5.17 Z1.6 F1800.0
G1 X-21.23 Y2.98 Z1.6 F1800.0
G1 X-21.97 Y2.67 Z1.6 F1800.0
G1 X-22.61 Y2.18 Z1.6 F1800.0
G1 X-23.1 Y1.54 Z1.6 F1800.0
G1 X-23.41 Y0.8 Z1.6 F1800.0
G1 X-23.52 Y-0.0 Z1.6 F1800.0
G1 X-23.41 Y-0.8 Z1.6 F1800.0
G1 X-23.1 Y-1.54 Z1.6 F1800.0
G1 X-22.61 Y-2.18 Z1.6 F1800.0
G1 X-21.97 Y-2.67 Z1.6 F1800.0
G1 X-21.23 Y-2.98 Z1.6 F1800.0
G1 X-6.28 Y-5.02 Z1.6 F1800.0
M108 R35.0
M102
G1 X-5.17 Y-5.17 Z1.6 F1800.0
G1 X-5.02 Y-6.29 Z1.6 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z1.605 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z1.605 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z1.605 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z1.605 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z1.605 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z1.605 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-3.24 Y-3.98 Z1.6 F2246.925
M108 R1.179
G1 X-3.66 Y-3.66 Z1.6 F1800.0
G1 X-4.48 Y-2.59 Z1.6 F1800.0
G1 X-5.0 Y-1.34 Z1.6 F1800.0
G1 X-5.17 Y-0.0 Z1.6 F1800.0
G1 X-5.0 Y1.34 Z1.6 F1800.0
G1 X-4.48 Y2.59 Z1.6 F1800.0
G1 X-3.66 Y3.66 Z1.6 F1800.0
G1 X-2.59 Y4.48 Z1.6 F1800.0
G1 X-1.34 Y5.0 Z1.6 F1800.0
G1 X-0.0 Y5.17 Z1.6 F1800.0
G1 X1.34 Y5.0 Z1.6 F1800.0
G1 X2.59 Y4.48 Z1.6 F1800.0
G1 X3.66 Y3.66 Z1.6 F1800.0
G1 X4.48 Y2.59 Z1.6 F1800.0
G1 X5.0 Y1.34 Z1.6 F1800.0
G1 X5.17 Y0.0 Z1.6 F1800.0
G1 X5.0 Y-1.34 Z1.6 F1800.0
G1 X4.48 Y-2.59 Z1.6 F1800.0
G1 X3.66 Y-3.66 Z1.6 F1800.0
G1 X2.59 Y-4.48 Z1.6 F1800.0
G1 X1.34 Y-5.0 Z1.6 F1800.0
G1 X0.0 Y-5.17 Z1.6 F1800.0
G1 X-1.26 Y-5.0 Z1.6 F1800.0
M108 R35.0
M102
G1 X-1.34 Y-5.0 Z1.6 F1800.0
G1 X-2.59 Y-4.48 Z1.6 F1800.0
G1 X-3.24 Y-3.98 Z1.6 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z1.605 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z1.605 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z1.605 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z1.605 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X-1.49 Y-1.49 Z1.6 F2343.703
M108 R1.179
G1 X-1.82 Y-1.05 Z1.6 F1800.0
G1 X-2.03 Y-0.54 Z1.6 F1800.0
G1 X-2.1 Y0.0 Z1.6 F1800.0
G1 X-2.03 Y0.54 Z1.6 F1800.0
G1 X-1.82 Y1.05 Z1.6 F1800.0
G1 X-1.49 Y1.49 Z1.6 F1800.0
G1 X-1.05 Y1.82 Z1.6 F1800.0
G1 X-0.54 Y2.03 Z1.6 F1800.0
G1 X0.0 Y2.1 Z1.6 F1800.0
G1 X0.54 Y2.03 Z1.6 F1800.0
G1 X1.05 Y1.82 Z1.6 F1800.0
G1 X1.49 Y1.49 Z1.6 F1800.0
G1 X1.82 Y1.05 Z1.6 F1800.0
G1 X2.03 Y0.54 Z1.6 F1800.0
G1 X2.1 Y0.0 Z1.6 F1800.0
G1 X2.03 Y-0.54 Z1.6 F1800.0
G1 X1.82 Y-1.05 Z1.6 F1800.0
G1 X1.49 Y-1.49 Z1.6 F1800.0
G1 X1.05 Y-1.82 Z1.6 F1800.0
G1 X0.54 Y-2.03 Z1.6 F1800.0
G1 X0.0 Y-2.1 Z1.6 F1800.0
G1 X-0.54 Y-2.03 Z1.6 F1800.0
G1 X-1.05 Y-1.82 Z1.6 F1800.0
G1 X-1.49 Y-1.49 Z1.6 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X-1.87 Y-1.87 Z1.6 F2400.0
M101
G1 X-1.32 Y-2.29 Z1.6 F1800.0
G1 X-0.69 Y-2.56 Z1.6 F1800.0
G1 X0.0 Y-2.65 Z1.6 F1800.0
G1 X0.69 Y-2.56 Z1.6 F1800.0
G1 X1.32 Y-2.29 Z1.6 F1800.0
G1 X1.87 Y-1.87 Z1.6 F1800.0
G1 X2.29 Y-1.32 Z1.6 F1800.0
G1 X2.56 Y-0.69 Z1.6 F1800.0
G1 X2.65 Y0.0 Z1.6 F1800.0
G1 X2.56 Y0.69 Z1.6 F1800.0
G1 X2.29 Y1.32 Z1.6 F1800.0
G1 X1.87 Y1.87 Z1.6 F1800.0
G1 X1.32 Y2.29 Z1.6 F1800.0
G1 X0.69 Y2.56 Z1.6 F1800.0
G1 X0.0 Y2.65 Z1.6 F1800.0
G1 X-0.69 Y2.56 Z1.6 F1800.0
G1 X-1.32 Y2.29 Z1.6 F1800.0
G1 X-1.87 Y1.87 Z1.6 F1800.0
G1 X-2.29 Y1.32 Z1.6 F1800.0
G1 X-2.56 Y0.69 Z1.6 F1800.0
G1 X-2.65 Y0.0 Z1.6 F1800.0
G1 X-2.56 Y-0.69 Z1.6 F1800.0
G1 X-2.29 Y-1.32 Z1.6 F1800.0
G1 X-1.87 Y-1.87 Z1.6 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-2.18 Y-2.18 Z1.6 F2400.0
M101
G1 X-1.54 Y-2.67 Z1.6 F1800.0
G1 X-0.8 Y-2.98 Z1.6 F1800.0
G1 X0.0 Y-3.08 Z1.6 F1800.0
G1 X0.8 Y-2.98 Z1.6 F1800.0
G1 X1.54 Y-2.67 Z1.6 F1800.0
G1 X2.18 Y-2.18 Z1.6 F1800.0
G1 X2.67 Y-1.54 Z1.6 F1800.0
G1 X2.98 Y-0.8 Z1.6 F1800.0
G1 X3.08 Y0.0 Z1.6 F1800.0
G1 X2.98 Y0.8 Z1.6 F1800.0
G1 X2.67 Y1.54 Z1.6 F1800.0
G1 X2.18 Y2.18 Z1.6 F1800.0
G1 X1.54 Y2.67 Z1.6 F1800.0
G1 X0.8 Y2.98 Z1.6 F1800.0
G1 X-0.0 Y3.08 Z1.6 F1800.0
G1 X-0.8 Y2.98 Z1.6 F1800.0
G1 X-1.54 Y2.67 Z1.6 F1800.0
G1 X-2.18 Y2.18 Z1.6 F1800.0
G1 X-2.67 Y1.54 Z1.6 F1800.0
G1 X-2.98 Y0.8 Z1.6 F1800.0
G1 X-3.08 Y-0.0 Z1.6 F1800.0
G1 X-3.06 Y-0.16 Z1.6 F1800.0
M108 R35.0
M102
G1 X-2.98 Y-0.8 Z1.6 F1800.0
G1 X-2.67 Y-1.54 Z1.6 F1800.0
G1 X-2.18 Y-2.18 Z1.6 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z1.605 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z1.605 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z1.605 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z1.605 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-1.18 Y-1.18 Z1.6 F1093.296
M108 R1.179
G1 X-1.44 Y-0.83 Z1.6 F1800.0
G1 X-1.61 Y-0.43 Z1.6 F1800.0
G1 X-1.66 Y0.0 Z1.6 F1800.0
G1 X-1.61 Y0.43 Z1.6 F1800.0
G1 X-1.44 Y0.83 Z1.6 F1800.0
G1 X-1.18 Y1.18 Z1.6 F1800.0
G1 X-0.83 Y1.44 Z1.6 F1800.0
G1 X-0.43 Y1.61 Z1.6 F1800.0
G1 X0.0 Y1.66 Z1.6 F1800.0
G1 X0.43 Y1.61 Z1.6 F1800.0
G1 X0.83 Y1.44 Z1.6 F1800.0
G1 X1.18 Y1.18 Z1.6 F1800.0
G1 X1.44 Y0.83 Z1.6 F1800.0
G1 X1.61 Y0.43 Z1.6 F1800.0
G1 X1.66 Y0.0 Z1.6 F1800.0
G1 X1.61 Y-0.43 Z1.6 F1800.0
G1 X1.44 Y-0.83 Z1.6 F1800.0
G1 X1.18 Y-1.18 Z1.6 F1800.0
G1 X0.89 Y-1.39 Z1.6 F1800.0
M108 R35.0
M102
G1 X0.83 Y-1.44 Z1.6 F1800.0
G1 X0.43 Y-1.61 Z1.6 F1800.0
G1 X0.0 Y-1.66 Z1.6 F1800.0
G1 X-0.43 Y-1.61 Z1.6 F1800.0
G1 X-0.83 Y-1.44 Z1.6 F1800.0
G1 X-1.18 Y-1.18 Z1.6 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X-2.9 Y-6.58 Z1.6 F2400.0
M108 R35.0
M101
G1 X-3.85 Y-9.55 Z1.6 F2400.0
M108 R1.179
G1 X-3.85 Y-6.66 Z1.6 F1800.0
M108 R35.0
M102
G1 X-3.85 Y-4.41 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.82 Y-3.32 Z1.6 F1116.515
M108 R1.179
G1 X-4.82 Y-4.5 Z1.6 F1800.0
G1 X-4.45 Y-4.08 Z1.6 F1800.0
M108 R35.0
M102
G1 X-4.33 Y-3.95 Z1.6 F1800.0
G1 X-4.33 Y-6.02 Z1.6 F1800.0
M108 R1.179
M103
G1 X-5.69 Y1.23 Z1.6 F2400.0
M108 R35.0
M101
G1 X-6.26 Y4.3 Z1.6 F2400.0
M108 R1.179
G1 X-6.26 Y-4.3 Z1.6 F1800.0
M103
G1 X-6.74 Y-4.24 Z1.6 F2400.0
M101
G1 X-6.74 Y4.24 Z1.6 F1800.0
G1 X-7.22 Y4.17 Z1.6 F1800.0
G1 X-7.22 Y-4.17 Z1.6 F1800.0
M103
G1 X-7.7 Y-4.1 Z1.6 F2400.0
M101
G1 X-7.7 Y4.1 Z1.6 F1800.0
M103
G1 X-8.19 Y4.04 Z1.6 F2400.0
M101
G1 X-8.19 Y-4.04 Z1.6 F1800.0
M103
G1 X-8.67 Y-3.97 Z1.6 F2400.0
M101
G1 X-8.67 Y3.97 Z1.6 F1800.0
M103
G1 X-9.15 Y3.91 Z1.6 F2400.0
M101
G1 X-9.15 Y-3.91 Z1.6 F1800.0
G1 X-9.63 Y-3.84 Z1.6 F1800.0
G1 X-9.63 Y3.84 Z1.6 F1800.0
M103
G1 X-10.11 Y3.77 Z1.6 F2400.0
M101
G1 X-10.11 Y-3.77 Z1.6 F1800.0
M103
G1 X-10.59 Y-3.71 Z1.6 F2400.0
M101
G1 X-10.59 Y3.71 Z1.6 F1800.0
M103
G1 X-11.07 Y3.64 Z1.6 F2400.0
M101
G1 X-11.07 Y-3.64 Z1.6 F1800.0
M103
G1 X-11.55 Y-3.58 Z1.6 F2400.0
M101
G1 X-11.55 Y3.58 Z1.6 F1800.0
G1 X-12.04 Y3.51 Z1.6 F1800.0
G1 X-12.04 Y-3.51 Z1.6 F1800.0
M103
G1 X-12.52 Y-3.45 Z1.6 F2400.0
M101
G1 X-12.52 Y3.45 Z1.6 F1800.0
M103
G1 X-13.0 Y3.38 Z1.6 F2400.0
M101
G1 X-13.0 Y-3.38 Z1.6 F1800.0
M103
G1 X-13.48 Y-3.31 Z1.6 F2400.0
M101
G1 X-13.48 Y3.31 Z1.6 F1800.0
M103
G1 X-13.96 Y3.25 Z1.6 F2400.0
M101
G1 X-13.96 Y-3.25 Z1.6 F1800.0
G1 X-14.44 Y-3.18 Z1.6 F1800.0
G1 X-14.44 Y3.18 Z1.6 F1800.0
M103
G1 X-14.93 Y3.12 Z1.6 F2400.0
M101
G1 X-14.93 Y-3.12 Z1.6 F1800.0
M103
G1 X-15.41 Y-3.05 Z1.6 F2400.0
M101
G1 X-15.41 Y3.05 Z1.6 F1800.0
M103
G1 X-15.89 Y2.99 Z1.6 F2400.0
M101
G1 X-15.89 Y-2.99 Z1.6 F1800.0
M103
G1 X-16.37 Y-2.92 Z1.6 F2400.0
M101
G1 X-16.37 Y2.92 Z1.6 F1800.0
G1 X-16.85 Y2.85 Z1.6 F1800.0
G1 X-16.85 Y-2.85 Z1.6 F1800.0
M103
G1 X-17.33 Y-2.79 Z1.6 F2400.0
M101
G1 X-17.33 Y2.79 Z1.6 F1800.0
M103
G1 X-17.81 Y2.72 Z1.6 F2400.0
M101
G1 X-17.81 Y-2.72 Z1.6 F1800.0
M103
G1 X-18.3 Y-2.66 Z1.6 F2400.0
M101
G1 X-18.3 Y2.66 Z1.6 F1800.0
M103
G1 X-18.78 Y2.59 Z1.6 F2400.0
M101
G1 X-18.78 Y-2.59 Z1.6 F1800.0
G1 X-19.26 Y-2.53 Z1.6 F1800.0
G1 X-19.26 Y2.53 Z1.6 F1800.0
M103
G1 X-19.74 Y2.46 Z1.6 F2400.0
M101
G1 X-19.74 Y-2.46 Z1.6 F1800.0
M103
G1 X-20.22 Y-2.39 Z1.6 F2400.0
M101
G1 X-20.22 Y2.39 Z1.6 F1800.0
G1 X-20.7 Y2.33 Z1.6 F1800.0
G1 X-20.7 Y-2.33 Z1.6 F1800.0
M103
G1 X-21.18 Y-2.22 Z1.6 F2400.0
M101
G1 X-21.18 Y2.22 Z1.6 F1800.0
G1 X-21.67 Y2.0 Z1.6 F1800.0
G1 X-21.67 Y-2.0 Z1.6 F1800.0
G1 X-22.15 Y-1.61 Z1.6 F1800.0
G1 X-22.15 Y1.61 Z1.6 F1800.0
G1 X-22.31 Y1.34 Z1.6 F1800.0
M108 R35.0
M102
G1 X-22.63 Y0.82 Z1.6 F1800.0
G1 X-22.63 Y-0.82 Z1.6 F1800.0
M108 R1.179
M103
G1 X-8.9 Y-0.86 Z1.6 F2400.0
M108 R35.0
M101
G1 X-5.78 Y-0.87 Z1.6 F2400.0
M108 R1.179
G1 X-5.78 Y-4.37 Z1.6 F1800.0
G1 X-5.59 Y-4.39 Z1.6 F1800.0
M108 R35.0
M102
G1 X-5.3 Y-4.43 Z1.6 F1800.0
G1 X-5.3 Y-2.48 Z1.6 F1800.0
M108 R1.179
M103
G1 X-5.3 Y-0.64 Z1.6 F2400.0
M108 R35.0
M101
G1 X-5.3 Y2.48 Z1.6 F2400.0
M108 R1.179
G1 X-5.3 Y4.43 Z1.6 F1800.0
G1 X-5.78 Y4.37 Z1.6 F1800.0
G1 X-5.78 Y3.12 Z1.6 F1800.0
M108 R35.0
M102
G1 X-5.78 Y0.87 Z1.6 F1800.0
M108 R1.179
M103
G1 X-5.62 Y1.48 Z1.6 F2400.0
M108 R35.0
M101
G1 X-4.82 Y4.5 Z1.6 F2400.0
M108 R1.179
M108 R35.0
M102
G1 X-4.82 Y3.32 Z1.6 F940.8
M108 R1.179
M103
G1 X-4.33 Y6.46 Z1.6 F2400.0
M108 R35.0
M101
G1 X-3.85 Y9.55 Z1.6 F2400.0
M108 R1.179
G1 X-3.85 Y4.41 Z1.6 F1800.0
G1 X-4.2 Y4.07 Z1.6 F1800.0
M108 R35.0
M102
G1 X-4.33 Y3.95 Z1.6 F1800.0
G1 X-4.33 Y6.02 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-1.44 Y5.7 Z1.6 F2235.814
M108 R1.179
G1 X-1.44 Y22.28 Z1.6 F1800.0
G1 X-1.93 Y21.77 Z1.6 F1800.0
G1 X-1.93 Y5.53 Z1.6 F1800.0
G1 X-2.41 Y5.33 Z1.6 F1800.0
G1 X-2.41 Y17.88 Z1.6 F1800.0
M108 R35.0
M102
G1 X-2.41 Y20.13 Z1.6 F1800.0
M108 R1.179
M103
G1 X-2.47 Y19.69 Z1.6 F2400.0
M108 R35.0
M101
G1 X-2.89 Y16.6 Z1.6 F2400.0
M108 R1.179
G1 X-2.89 Y5.13 Z1.6 F1800.0
G1 X-3.37 Y4.78 Z1.6 F1800.0
G1 X-3.37 Y10.82 Z1.6 F1800.0
M108 R35.0
M102
G1 X-3.37 Y13.07 Z1.6 F1800.0
M108 R1.179
M103
G1 X0.25 Y13.07 Z1.6 F2400.0
M108 R35.0
M101
G1 X3.37 Y13.07 Z1.6 F2400.0
M108 R1.179
G1 X3.37 Y4.78 Z1.6 F1800.0
G1 X2.89 Y5.13 Z1.6 F1800.0
G1 X2.89 Y14.35 Z1.6 F1800.0
M108 R35.0
M102
G1 X2.89 Y16.6 Z1.6 F1800.0
M108 R1.179
M103
G1 X2.5 Y18.7 Z1.6 F2400.0
M108 R35.0
M101
G1 X1.93 Y21.77 Z1.6 F2400.0
M108 R1.179
G1 X2.41 Y20.13 Z1.6 F1800.0
G1 X2.41 Y5.33 Z1.6 F1800.0
G1 X1.93 Y5.53 Z1.6 F1800.0
G1 X1.93 Y17.81 Z1.6 F1800.0
M108 R35.0
M102
G1 X1.93 Y20.06 Z1.6 F1800.0
M108 R1.179
M103
G1 X0.8 Y8.93 Z1.6 F2400.0
M108 R35.0
M101
G1 X0.48 Y5.83 Z1.6 F2400.0
M108 R1.179
G1 X0.48 Y22.73 Z1.6 F1800.0
M103
G1 X0.0 Y22.79 Z1.6 F2400.0
M101
G1 X0.0 Y5.89 Z1.6 F1800.0
M103
G1 X-0.48 Y5.83 Z1.6 F2400.0
M101
G1 X-0.48 Y22.73 Z1.6 F1800.0
G1 X-0.96 Y22.57 Z1.6 F1800.0
G1 X-0.96 Y8.02 Z1.6 F1800.0
M108 R35.0
M102
G1 X-0.96 Y5.76 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X1.44 Y5.7 Z1.6 F1852.173
M108 R1.179
G1 X1.44 Y22.28 Z1.6 F1800.0
G1 X0.96 Y22.57 Z1.6 F1800.0
G1 X0.96 Y8.02 Z1.6 F1800.0
M108 R35.0
M102
G1 X0.96 Y5.76 Z1.6 F1800.0
M108 R1.179
M103
G1 X1.03 Y5.73 Z1.6 F2400.0
M108 R35.0
M101
G1 X3.85 Y4.41 Z1.6 F2400.0
M108 R1.179
G1 X3.85 Y7.3 Z1.6 F1800.0
M108 R35.0
M102
G1 X3.85 Y9.55 Z1.6 F1800.0
M108 R1.179
M103
G1 X4.23 Y7.56 Z1.6 F2400.0
M108 R35.0
M101
G1 X4.82 Y4.5 Z1.6 F2400.0
M108 R1.179
G1 X4.82 Y3.32 Z1.6 F1800.0
G1 X4.44 Y3.81 Z1.6 F1800.0
M108 R35.0
M102
G1 X4.33 Y3.95 Z1.6 F1800.0
G1 X4.33 Y6.02 Z1.6 F1800.0
M108 R1.179
M103
G1 X5.69 Y-1.23 Z1.6 F2400.0
M108 R35.0
M101
G1 X6.26 Y-4.3 Z1.6 F2400.0
M108 R1.179
G1 X6.26 Y2.05 Z1.6 F1800.0
M108 R35.0
M102
G1 X6.26 Y4.3 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X7.7 Y4.1 Z1.6 F1121.925
M108 R1.179
G1 X7.7 Y-4.1 Z1.6 F1800.0
M103
G1 X7.22 Y-4.17 Z1.6 F2400.0
M101
G1 X7.22 Y4.17 Z1.6 F1800.0
G1 X6.74 Y4.24 Z1.6 F1800.0
G1 X6.74 Y-1.99 Z1.6 F1800.0
M108 R35.0
M102
G1 X6.74 Y-4.24 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X8.19 Y-4.04 Z1.6 F1121.059
M108 R1.179
G1 X8.19 Y4.04 Z1.6 F1800.0
M103
G1 X8.67 Y3.97 Z1.6 F2400.0
M101
G1 X8.67 Y-1.72 Z1.6 F1800.0
M108 R35.0
M102
G1 X8.67 Y-3.97 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.11 Y-3.77 Z1.6 F1121.821
M108 R1.179
G1 X10.11 Y3.77 Z1.6 F1800.0
M103
G1 X9.63 Y3.84 Z1.6 F2400.0
M101
G1 X9.63 Y-3.84 Z1.6 F1800.0
G1 X9.15 Y-3.91 Z1.6 F1800.0
G1 X9.15 Y1.66 Z1.6 F1800.0
M108 R35.0
M102
G1 X9.15 Y3.91 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.59 Y3.71 Z1.6 F1121.059
M108 R1.179
G1 X10.59 Y-3.71 Z1.6 F1800.0
M103
G1 X11.07 Y-3.64 Z1.6 F2400.0
M101
G1 X11.07 Y1.39 Z1.6 F1800.0
M108 R35.0
M102
G1 X11.07 Y3.64 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.52 Y3.45 Z1.6 F1121.059
M108 R1.179
G1 X12.52 Y-3.45 Z1.6 F1800.0
M103
G1 X13.0 Y-3.38 Z1.6 F2400.0
M101
G1 X13.0 Y3.38 Z1.6 F1800.0
M103
G1 X13.48 Y3.31 Z1.6 F2400.0
M101
G1 X13.48 Y-1.06 Z1.6 F1800.0
M108 R35.0
M102
G1 X13.48 Y-3.31 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.04 Y-3.51 Z1.6 F1121.059
M108 R1.179
G1 X12.04 Y3.51 Z1.6 F1800.0
G1 X11.55 Y3.58 Z1.6 F1800.0
G1 X11.55 Y-1.33 Z1.6 F1800.0
M108 R35.0
M102
G1 X11.55 Y-3.58 Z1.6 F1800.0
M108 R1.179
M103
G1 X11.84 Y-3.54 Z1.6 F2400.0
M108 R35.0
M101
G1 X14.93 Y-3.12 Z1.6 F2400.0
M108 R1.179
G1 X14.93 Y3.12 Z1.6 F1800.0
M103
G1 X14.44 Y3.18 Z1.6 F2400.0
M101
G1 X14.44 Y-3.18 Z1.6 F1800.0
G1 X13.96 Y-3.25 Z1.6 F1800.0
G1 X13.96 Y1.0 Z1.6 F1800.0
M108 R35.0
M102
G1 X13.96 Y3.25 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X15.41 Y3.05 Z1.6 F1121.059
M108 R1.179
G1 X15.41 Y-3.05 Z1.6 F1800.0
M103
G1 X15.89 Y-2.99 Z1.6 F2400.0
M101
G1 X15.89 Y0.74 Z1.6 F1800.0
M108 R35.0
M102
G1 X15.89 Y2.99 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X17.33 Y2.79 Z1.6 F1121.059
M108 R1.179
G1 X17.33 Y-2.79 Z1.6 F1800.0
M103
G1 X16.85 Y-2.85 Z1.6 F2400.0
M101
G1 X16.85 Y2.85 Z1.6 F1800.0
G1 X16.37 Y2.92 Z1.6 F1800.0
G1 X16.37 Y-0.67 Z1.6 F1800.0
M108 R35.0
M102
G1 X16.37 Y-2.92 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X17.81 Y-2.72 Z1.6 F1121.059
M108 R1.179
G1 X17.81 Y2.72 Z1.6 F1800.0
M103
G1 X18.3 Y2.66 Z1.6 F2400.0
M101
G1 X18.3 Y-0.41 Z1.6 F1800.0
M108 R35.0
M102
G1 X18.3 Y-2.66 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X19.74 Y-2.46 Z1.6 F1121.059
M108 R1.179
G1 X19.74 Y2.46 Z1.6 F1800.0
M103
G1 X19.26 Y2.53 Z1.6 F2400.0
M101
G1 X19.26 Y-2.53 Z1.6 F1800.0
G1 X18.78 Y-2.59 Z1.6 F1800.0
G1 X18.78 Y0.34 Z1.6 F1800.0
M108 R35.0
M102
G1 X18.78 Y2.59 Z1.6 F1800.0
M108 R1.179
M103
G1 X20.29 Y1.25 Z1.6 F2400.0
M108 R35.0
M101
G1 X22.63 Y-0.82 Z1.6 F2400.0
M108 R1.179
G1 X22.63 Y0.82 Z1.6 F1800.0
G1 X22.15 Y1.61 Z1.6 F1800.0
G1 X22.15 Y-1.61 Z1.6 F1800.0
G1 X21.67 Y-2.0 Z1.6 F1800.0
G1 X21.67 Y2.0 Z1.6 F1800.0
G1 X21.18 Y2.22 Z1.6 F1800.0
G1 X21.18 Y-2.22 Z1.6 F1800.0
M103
G1 X20.7 Y-2.33 Z1.6 F2400.0
M101
G1 X20.7 Y2.33 Z1.6 F1800.0
G1 X20.22 Y2.39 Z1.6 F1800.0
G1 X20.22 Y-0.14 Z1.6 F1800.0
M108 R35.0
M102
G1 X20.22 Y-2.39 Z1.6 F1800.0
M108 R1.179
M103
G1 X8.42 Y-2.46 Z1.6 F2400.0
M108 R35.0
M101
G1 X5.3 Y-2.48 Z1.6 F2400.0
M108 R1.179
G1 X5.3 Y-4.43 Z1.6 F1800.0
G1 X5.78 Y-4.37 Z1.6 F1800.0
G1 X5.78 Y-3.12 Z1.6 F1800.0
M108 R35.0
M102
G1 X5.78 Y-0.87 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X5.78 Y0.87 Z1.6 F1338.462
M108 R1.179
G1 X5.78 Y4.37 Z1.6 F1800.0
G1 X5.59 Y4.39 Z1.6 F1800.0
M108 R35.0
M102
G1 X5.3 Y4.43 Z1.6 F1800.0
G1 X5.3 Y2.48 Z1.6 F1800.0
M108 R1.179
M103
G1 X4.68 Y-2.92 Z1.6 F2400.0
M108 R35.0
M101
G1 X4.33 Y-6.02 Z1.6 F2400.0
M108 R1.179
G1 X4.33 Y-4.29 Z1.6 F1800.0
M108 R35.0
M102
G1 X4.33 Y-3.95 Z1.6 F1800.0
G1 X4.82 Y-4.5 Z1.6 F1800.0
G1 X4.82 Y-3.32 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.89 Y-5.13 Z1.6 F2029.937
M108 R1.179
G1 X2.89 Y-14.35 Z1.6 F1800.0
M108 R35.0
M102
G1 X2.89 Y-16.6 Z1.6 F1800.0
M108 R1.179
M103
G1 X2.95 Y-16.16 Z1.6 F2400.0
M108 R35.0
M101
G1 X3.37 Y-13.07 Z1.6 F2400.0
M108 R1.179
G1 X3.37 Y-4.78 Z1.6 F1800.0
G1 X3.85 Y-4.41 Z1.6 F1800.0
G1 X3.85 Y-7.3 Z1.6 F1800.0
M108 R35.0
M102
G1 X3.85 Y-9.55 Z1.6 F1800.0
M108 R1.179
M103
G1 X2.86 Y-8.24 Z1.6 F2400.0
M108 R35.0
M101
G1 X0.96 Y-5.76 Z1.6 F2400.0
M108 R1.179
G1 X0.96 Y-22.57 Z1.6 F1800.0
G1 X1.44 Y-22.28 Z1.6 F1800.0
G1 X1.44 Y-7.95 Z1.6 F1800.0
M108 R35.0
M102
G1 X1.44 Y-5.7 Z1.6 F1800.0
M108 R1.179
M103
G1 X0.66 Y-19.62 Z1.6 F2400.0
M108 R35.0
M101
G1 X0.48 Y-22.73 Z1.6 F2400.0
M108 R1.179
G1 X0.48 Y-5.83 Z1.6 F1800.0
M103
G1 X-0.0 Y-5.89 Z1.6 F2400.0
M101
G1 X0.0 Y-20.54 Z1.6 F1800.0
M108 R35.0
M102
G1 X-0.0 Y-22.79 Z1.6 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X1.93 Y-21.77 Z1.6 F1678.281
M108 R1.179
G1 X1.93 Y-5.53 Z1.6 F1800.0
G1 X2.41 Y-5.33 Z1.6 F1800.0
G1 X2.41 Y-17.88 Z1.6 F1800.0
M108 R35.0
M102
G1 X2.41 Y-20.13 Z1.6 F1800.0
M108 R1.179
M103
G1 X0.71 Y-20.13 Z1.6 F2400.0
M108 R35.0
M101
G1 X-2.41 Y-20.13 Z1.6 F2400.0
M108 R1.179
G1 X-2.41 Y-5.33 Z1.6 F1800.0
G1 X-1.93 Y-5.53 Z1.6 F1800.0
G1 X-1.93 Y-21.77 Z1.6 F1800.0
G1 X-1.44 Y-22.28 Z1.6 F1800.0
G1 X-1.44 Y-5.7 Z1.6 F1800.0
M103
G1 X-0.96 Y-5.76 Z1.6 F2400.0
M101
G1 X-0.96 Y-22.57 Z1.6 F1800.0
G1 X-0.48 Y-22.73 Z1.6 F1800.0
G1 X-0.48 Y-8.08 Z1.6 F1800.0
M108 R35.0
M102
G1 X-0.48 Y-5.83 Z1.6 F1800.0
M108 R1.179
M103
G1 X-2.21 Y-10.18 Z1.6 F2400.0
M108 R35.0
M101
G1 X-3.37 Y-13.07 Z1.6 F2400.0
M108 R1.179
G1 X-3.37 Y-4.78 Z1.6 F1800.0
G1 X-2.89 Y-5.13 Z1.6 F1800.0
G1 X-2.89 Y-14.35 Z1.6 F1800.0
M108 R35.0
M102
G1 X-2.89 Y-16.6 Z1.6 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 1.895 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z1.895 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z1.895 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z1.895 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z1.895 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z1.895 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z1.895 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z1.895 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z1.895 </boundaryPoint>)
(<loop> inner )
G1 X-1.85 Y-8.51 Z1.81 F2400.0
M108 R35.0
M101
G1 X-1.45 Y-5.42 Z1.9 F2400.0
M108 R1.179
G1 X-2.81 Y-4.86 Z1.9 F1800.0
G1 X-3.96 Y-3.96 Z1.9 F1800.0
G1 X-4.86 Y-2.81 Z1.9 F1800.0
G1 X-5.42 Y-1.45 Z1.9 F1800.0
G1 X-5.61 Y0.0 Z1.9 F1800.0
G1 X-5.42 Y1.45 Z1.9 F1800.0
G1 X-4.86 Y2.81 Z1.9 F1800.0
G1 X-3.96 Y3.96 Z1.9 F1800.0
G1 X-2.81 Y4.86 Z1.9 F1800.0
G1 X-1.45 Y5.42 Z1.9 F1800.0
G1 X0.0 Y5.61 Z1.9 F1800.0
G1 X1.45 Y5.42 Z1.9 F1800.0
G1 X2.81 Y4.86 Z1.9 F1800.0
G1 X3.96 Y3.96 Z1.9 F1800.0
G1 X4.86 Y2.81 Z1.9 F1800.0
G1 X5.42 Y1.45 Z1.9 F1800.0
G1 X5.61 Y-0.0 Z1.9 F1800.0
G1 X5.42 Y-1.45 Z1.9 F1800.0
G1 X4.86 Y-2.81 Z1.9 F1800.0
G1 X3.96 Y-3.96 Z1.9 F1800.0
G1 X2.81 Y-4.86 Z1.9 F1800.0
G1 X1.45 Y-5.42 Z1.9 F1800.0
G1 X0.78 Y-5.51 Z1.9 F1800.0
M108 R35.0
M102
G1 X-0.0 Y-5.61 Z1.9 F1800.0
G1 X-1.45 Y-5.42 Z1.9 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
G1 X-1.55 Y-5.43 Z1.9 F2400.0
M108 R35.0
M101
G1 X-4.64 Y-5.85 Z1.9 F2400.0
M108 R1.179
G1 X-2.56 Y-21.11 Z1.9 F1800.0
G1 X-2.29 Y-21.75 Z1.9 F1800.0
G1 X-1.87 Y-22.3 Z1.9 F1800.0
G1 X-1.32 Y-22.72 Z1.9 F1800.0
G1 X-0.69 Y-22.99 Z1.9 F1800.0
G1 X0.0 Y-23.08 Z1.9 F1800.0
G1 X0.69 Y-22.99 Z1.9 F1800.0
G1 X1.32 Y-22.72 Z1.9 F1800.0
G1 X1.87 Y-22.3 Z1.9 F1800.0
G1 X2.29 Y-21.75 Z1.9 F1800.0
G1 X2.56 Y-21.11 Z1.9 F1800.0
G1 X4.79 Y-4.79 Z1.9 F1800.0
G1 X21.11 Y-2.56 Z1.9 F1800.0
G1 X21.75 Y-2.29 Z1.9 F1800.0
G1 X22.3 Y-1.87 Z1.9 F1800.0
G1 X22.72 Y-1.32 Z1.9 F1800.0
G1 X22.99 Y-0.69 Z1.9 F1800.0
G1 X23.08 Y0.0 Z1.9 F1800.0
G1 X22.99 Y0.69 Z1.9 F1800.0
G1 X22.72 Y1.32 Z1.9 F1800.0
G1 X22.3 Y1.87 Z1.9 F1800.0
G1 X21.75 Y2.29 Z1.9 F1800.0
G1 X21.11 Y2.56 Z1.9 F1800.0
G1 X4.79 Y4.79 Z1.9 F1800.0
G1 X2.56 Y21.11 Z1.9 F1800.0
G1 X2.29 Y21.75 Z1.9 F1800.0
G1 X1.87 Y22.3 Z1.9 F1800.0
G1 X1.32 Y22.72 Z1.9 F1800.0
G1 X0.69 Y22.99 Z1.9 F1800.0
G1 X0.0 Y23.08 Z1.9 F1800.0
G1 X-0.69 Y22.99 Z1.9 F1800.0
G1 X-1.32 Y22.72 Z1.9 F1800.0
G1 X-1.87 Y22.3 Z1.9 F1800.0
G1 X-2.29 Y21.75 Z1.9 F1800.0
G1 X-2.56 Y21.11 Z1.9 F1800.0
G1 X-4.79 Y4.79 Z1.9 F1800.0
G1 X-21.11 Y2.56 Z1.9 F1800.0
G1 X-21.75 Y2.29 Z1.9 F1800.0
G1 X-22.3 Y1.87 Z1.9 F1800.0
G1 X-22.72 Y1.32 Z1.9 F1800.0
G1 X-22.99 Y0.69 Z1.9 F1800.0
G1 X-23.08 Y0.0 Z1.9 F1800.0
G1 X-22.99 Y-0.69 Z1.9 F1800.0
G1 X-22.72 Y-1.32 Z1.9 F1800.0
G1 X-22.3 Y-1.87 Z1.9 F1800.0
G1 X-21.75 Y-2.29 Z1.9 F1800.0
G1 X-21.11 Y-2.56 Z1.9 F1800.0
G1 X-4.79 Y-4.79 Z1.9 F1800.0
G1 X-4.64 Y-5.85 Z1.9 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-5.07 Y-5.91 Z1.9 F2400.0
M101
G1 X-2.98 Y-21.23 Z1.9 F1800.0
G1 X-2.67 Y-21.97 Z1.9 F1800.0
G1 X-2.18 Y-22.61 Z1.9 F1800.0
G1 X-1.54 Y-23.1 Z1.9 F1800.0
G1 X-0.8 Y-23.41 Z1.9 F1800.0
G1 X0.0 Y-23.52 Z1.9 F1800.0
G1 X0.8 Y-23.41 Z1.9 F1800.0
G1 X1.54 Y-23.1 Z1.9 F1800.0
G1 X2.18 Y-22.61 Z1.9 F1800.0
G1 X2.67 Y-21.97 Z1.9 F1800.0
G1 X2.98 Y-21.23 Z1.9 F1800.0
G1 X5.17 Y-5.17 Z1.9 F1800.0
G1 X21.23 Y-2.98 Z1.9 F1800.0
G1 X21.97 Y-2.67 Z1.9 F1800.0
G1 X22.61 Y-2.18 Z1.9 F1800.0
G1 X23.1 Y-1.54 Z1.9 F1800.0
G1 X23.41 Y-0.8 Z1.9 F1800.0
G1 X23.52 Y0.0 Z1.9 F1800.0
G1 X23.41 Y0.8 Z1.9 F1800.0
G1 X23.1 Y1.54 Z1.9 F1800.0
G1 X22.61 Y2.18 Z1.9 F1800.0
G1 X21.97 Y2.67 Z1.9 F1800.0
G1 X21.23 Y2.98 Z1.9 F1800.0
G1 X5.17 Y5.17 Z1.9 F1800.0
G1 X2.98 Y21.23 Z1.9 F1800.0
G1 X2.67 Y21.97 Z1.9 F1800.0
G1 X2.18 Y22.61 Z1.9 F1800.0
G1 X1.54 Y23.1 Z1.9 F1800.0
G1 X0.8 Y23.41 Z1.9 F1800.0
G1 X-0.0 Y23.52 Z1.9 F1800.0
G1 X-0.8 Y23.41 Z1.9 F1800.0
G1 X-1.54 Y23.1 Z1.9 F1800.0
G1 X-2.18 Y22.61 Z1.9 F1800.0
G1 X-2.67 Y21.97 Z1.9 F1800.0
G1 X-2.98 Y21.23 Z1.9 F1800.0
G1 X-5.17 Y5.17 Z1.9 F1800.0
G1 X-21.23 Y2.98 Z1.9 F1800.0
G1 X-21.97 Y2.67 Z1.9 F1800.0
G1 X-22.61 Y2.18 Z1.9 F1800.0
G1 X-23.1 Y1.54 Z1.9 F1800.0
G1 X-23.41 Y0.8 Z1.9 F1800.0
G1 X-23.52 Y-0.0 Z1.9 F1800.0
G1 X-23.41 Y-0.8 Z1.9 F1800.0
G1 X-23.1 Y-1.54 Z1.9 F1800.0
G1 X-22.61 Y-2.18 Z1.9 F1800.0
G1 X-21.97 Y-2.67 Z1.9 F1800.0
G1 X-21.23 Y-2.98 Z1.9 F1800.0
G1 X-6.66 Y-4.97 Z1.9 F1800.0
M108 R35.0
M102
G1 X-5.17 Y-5.17 Z1.9 F1800.0
G1 X-5.07 Y-5.91 Z1.9 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z1.895 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z1.895 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z1.895 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z1.895 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z1.895 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z1.895 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-3.46 Y-3.81 Z1.9 F2037.982
M108 R1.179
G1 X-3.66 Y-3.66 Z1.9 F1800.0
G1 X-4.48 Y-2.59 Z1.9 F1800.0
G1 X-5.0 Y-1.34 Z1.9 F1800.0
G1 X-5.17 Y-0.0 Z1.9 F1800.0
G1 X-5.0 Y1.34 Z1.9 F1800.0
G1 X-4.48 Y2.59 Z1.9 F1800.0
G1 X-3.66 Y3.66 Z1.9 F1800.0
G1 X-2.59 Y4.48 Z1.9 F1800.0
G1 X-1.34 Y5.0 Z1.9 F1800.0
G1 X-0.0 Y5.17 Z1.9 F1800.0
G1 X1.34 Y5.0 Z1.9 F1800.0
G1 X2.59 Y4.48 Z1.9 F1800.0
G1 X3.66 Y3.66 Z1.9 F1800.0
G1 X4.48 Y2.59 Z1.9 F1800.0
G1 X5.0 Y1.34 Z1.9 F1800.0
G1 X5.17 Y0.0 Z1.9 F1800.0
G1 X5.0 Y-1.34 Z1.9 F1800.0
G1 X4.48 Y-2.59 Z1.9 F1800.0
G1 X3.66 Y-3.66 Z1.9 F1800.0
G1 X2.59 Y-4.48 Z1.9 F1800.0
G1 X1.34 Y-5.0 Z1.9 F1800.0
G1 X0.0 Y-5.17 Z1.9 F1800.0
G1 X-1.34 Y-5.0 Z1.9 F1800.0
G1 X-1.52 Y-4.92 Z1.9 F1800.0
M108 R35.0
M102
G1 X-2.59 Y-4.48 Z1.9 F1800.0
G1 X-3.46 Y-3.81 Z1.9 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z1.895 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z1.895 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z1.895 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z1.895 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X-1.49 Y-1.49 Z1.9 F2344.636
M108 R1.179
G1 X-1.82 Y-1.05 Z1.9 F1800.0
G1 X-2.03 Y-0.54 Z1.9 F1800.0
G1 X-2.1 Y0.0 Z1.9 F1800.0
G1 X-2.03 Y0.54 Z1.9 F1800.0
G1 X-1.82 Y1.05 Z1.9 F1800.0
G1 X-1.49 Y1.49 Z1.9 F1800.0
G1 X-1.05 Y1.82 Z1.9 F1800.0
G1 X-0.54 Y2.03 Z1.9 F1800.0
G1 X0.0 Y2.1 Z1.9 F1800.0
G1 X0.54 Y2.03 Z1.9 F1800.0
G1 X1.05 Y1.82 Z1.9 F1800.0
G1 X1.49 Y1.49 Z1.9 F1800.0
G1 X1.82 Y1.05 Z1.9 F1800.0
G1 X2.03 Y0.54 Z1.9 F1800.0
G1 X2.1 Y0.0 Z1.9 F1800.0
G1 X2.03 Y-0.54 Z1.9 F1800.0
G1 X1.82 Y-1.05 Z1.9 F1800.0
G1 X1.49 Y-1.49 Z1.9 F1800.0
G1 X1.05 Y-1.82 Z1.9 F1800.0
G1 X0.54 Y-2.03 Z1.9 F1800.0
G1 X0.0 Y-2.1 Z1.9 F1800.0
G1 X-0.54 Y-2.03 Z1.9 F1800.0
G1 X-1.05 Y-1.82 Z1.9 F1800.0
G1 X-1.49 Y-1.49 Z1.9 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X-1.87 Y-1.87 Z1.9 F2400.0
M101
G1 X-1.32 Y-2.29 Z1.9 F1800.0
G1 X-0.69 Y-2.56 Z1.9 F1800.0
G1 X0.0 Y-2.65 Z1.9 F1800.0
G1 X0.69 Y-2.56 Z1.9 F1800.0
G1 X1.32 Y-2.29 Z1.9 F1800.0
G1 X1.87 Y-1.87 Z1.9 F1800.0
G1 X2.29 Y-1.32 Z1.9 F1800.0
G1 X2.56 Y-0.69 Z1.9 F1800.0
G1 X2.65 Y0.0 Z1.9 F1800.0
G1 X2.56 Y0.69 Z1.9 F1800.0
G1 X2.29 Y1.32 Z1.9 F1800.0
G1 X1.87 Y1.87 Z1.9 F1800.0
G1 X1.32 Y2.29 Z1.9 F1800.0
G1 X0.69 Y2.56 Z1.9 F1800.0
G1 X0.0 Y2.65 Z1.9 F1800.0
G1 X-0.69 Y2.56 Z1.9 F1800.0
G1 X-1.32 Y2.29 Z1.9 F1800.0
G1 X-1.87 Y1.87 Z1.9 F1800.0
G1 X-2.29 Y1.32 Z1.9 F1800.0
G1 X-2.56 Y0.69 Z1.9 F1800.0
G1 X-2.65 Y0.0 Z1.9 F1800.0
G1 X-2.56 Y-0.69 Z1.9 F1800.0
G1 X-2.29 Y-1.32 Z1.9 F1800.0
G1 X-1.87 Y-1.87 Z1.9 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-2.18 Y-2.18 Z1.9 F2400.0
M101
G1 X-1.54 Y-2.67 Z1.9 F1800.0
G1 X-0.8 Y-2.98 Z1.9 F1800.0
G1 X0.0 Y-3.08 Z1.9 F1800.0
G1 X0.8 Y-2.98 Z1.9 F1800.0
G1 X1.54 Y-2.67 Z1.9 F1800.0
G1 X2.18 Y-2.18 Z1.9 F1800.0
G1 X2.67 Y-1.54 Z1.9 F1800.0
G1 X2.98 Y-0.8 Z1.9 F1800.0
G1 X3.08 Y0.0 Z1.9 F1800.0
G1 X2.98 Y0.8 Z1.9 F1800.0
G1 X2.67 Y1.54 Z1.9 F1800.0
G1 X2.18 Y2.18 Z1.9 F1800.0
G1 X1.54 Y2.67 Z1.9 F1800.0
G1 X0.8 Y2.98 Z1.9 F1800.0
G1 X-0.0 Y3.08 Z1.9 F1800.0
G1 X-0.8 Y2.98 Z1.9 F1800.0
G1 X-1.54 Y2.67 Z1.9 F1800.0
G1 X-2.18 Y2.18 Z1.9 F1800.0
G1 X-2.67 Y1.54 Z1.9 F1800.0
G1 X-2.98 Y0.8 Z1.9 F1800.0
G1 X-3.08 Y-0.0 Z1.9 F1800.0
G1 X-3.06 Y-0.16 Z1.9 F1800.0
M108 R35.0
M102
G1 X-2.98 Y-0.8 Z1.9 F1800.0
G1 X-2.67 Y-1.54 Z1.9 F1800.0
G1 X-2.18 Y-2.18 Z1.9 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z1.895 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z1.895 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z1.895 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z1.895 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-1.18 Y-1.18 Z1.9 F1093.296
M108 R1.179
G1 X-1.44 Y-0.83 Z1.9 F1800.0
G1 X-1.61 Y-0.43 Z1.9 F1800.0
G1 X-1.66 Y0.0 Z1.9 F1800.0
G1 X-1.61 Y0.43 Z1.9 F1800.0
G1 X-1.44 Y0.83 Z1.9 F1800.0
G1 X-1.18 Y1.18 Z1.9 F1800.0
G1 X-0.83 Y1.44 Z1.9 F1800.0
G1 X-0.43 Y1.61 Z1.9 F1800.0
G1 X0.0 Y1.66 Z1.9 F1800.0
G1 X0.43 Y1.61 Z1.9 F1800.0
G1 X0.83 Y1.44 Z1.9 F1800.0
G1 X1.18 Y1.18 Z1.9 F1800.0
G1 X1.44 Y0.83 Z1.9 F1800.0
G1 X1.61 Y0.43 Z1.9 F1800.0
G1 X1.66 Y0.0 Z1.9 F1800.0
G1 X1.61 Y-0.43 Z1.9 F1800.0
G1 X1.44 Y-0.83 Z1.9 F1800.0
G1 X1.18 Y-1.18 Z1.9 F1800.0
G1 X0.89 Y-1.39 Z1.9 F1800.0
M108 R35.0
M102
G1 X0.83 Y-1.44 Z1.9 F1800.0
G1 X0.43 Y-1.61 Z1.9 F1800.0
G1 X0.0 Y-1.66 Z1.9 F1800.0
G1 X-0.43 Y-1.61 Z1.9 F1800.0
G1 X-0.83 Y-1.44 Z1.9 F1800.0
G1 X-1.18 Y-1.18 Z1.9 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X-17.01 Y-2.21 Z1.9 F2400.0
M108 R35.0
M101
G1 X-20.13 Y-2.41 Z1.9 F2400.0
M108 R1.179
G1 X-7.05 Y-2.41 Z1.9 F1800.0
M108 R35.0
M102
G1 X-5.33 Y-2.41 Z1.9 F1800.0
G1 X-5.13 Y-2.89 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-5.7 Y-1.44 Z1.9 F1196.593
M108 R1.179
G1 X-20.22 Y-1.88 Z1.9 F1800.0
M108 R35.0
M102
G1 X-21.77 Y-1.93 Z1.9 F1800.0
G1 X-22.28 Y-1.44 Z1.9 F1800.0
M108 R1.179
M103
G1 X-8.15 Y2.13 Z1.9 F2400.0
M108 R35.0
M101
G1 X-5.13 Y2.89 Z1.9 F2400.0
M108 R1.179
G1 X-5.33 Y2.41 Z1.9 F1800.0
G1 X-20.13 Y2.41 Z1.9 F1800.0
G1 X-20.28 Y2.36 Z1.9 F1800.0
M108 R35.0
M102
G1 X-21.77 Y1.93 Z1.9 F1800.0
G1 X-22.28 Y1.44 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-21.1 Y1.44 Z1.9 F906.154
M108 R1.179
G1 X-5.76 Y0.96 Z1.9 F1800.0
G1 X-5.7 Y1.44 Z1.9 F1800.0
M103
G1 X-5.83 Y0.48 Z1.9 F2400.0
M101
G1 X-5.89 Y0.0 Z1.9 F1800.0
G1 X-22.57 Y0.96 Z1.9 F1800.0
G1 X-22.73 Y0.48 Z1.9 F1800.0
G1 X-22.32 Y0.06 Z1.9 F1800.0
G1 X-22.73 Y-0.48 Z1.9 F1800.0
G1 X-22.57 Y-0.96 Z1.9 F1800.0
G1 X-7.59 Y-0.53 Z1.9 F1800.0
M108 R35.0
M102
G1 X-5.83 Y-0.48 Z1.9 F1800.0
G1 X-5.76 Y-0.96 Z1.9 F1800.0
M108 R1.179
M103
G1 X-4.94 Y-4.2 Z1.9 F2400.0
M108 R35.0
M101
G1 X-4.17 Y-7.22 Z1.9 F2400.0
M108 R1.179
G1 X4.17 Y-7.22 Z1.9 F1800.0
M103
G1 X4.1 Y-7.7 Z1.9 F2400.0
M101
G1 X3.97 Y-8.67 Z1.9 F1800.0
G1 X-2.69 Y-8.67 Z1.9 F1800.0
M108 R35.0
M102
G1 X-3.97 Y-8.67 Z1.9 F1800.0
G1 X-4.1 Y-7.7 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.91 Y-9.15 Z1.9 F1121.059
M108 R1.179
G1 X3.91 Y-9.15 Z1.9 F1800.0
M103
G1 X3.77 Y-10.11 Z1.9 F2400.0
M101
G1 X3.23 Y-10.53 Z1.9 F1800.0
G1 X-3.23 Y-10.53 Z1.9 F1800.0
G1 X-3.77 Y-10.11 Z1.9 F1800.0
M103
G1 X-3.64 Y-11.07 Z1.9 F2400.0
M101
G1 X-3.1 Y-11.49 Z1.9 F1800.0
G1 X3.1 Y-11.49 Z1.9 F1800.0
G1 X3.64 Y-11.07 Z1.9 F1800.0
M103
G1 X3.51 Y-12.04 Z1.9 F2400.0
M101
G1 X-2.97 Y-12.45 Z1.9 F1800.0
G1 X-3.51 Y-12.04 Z1.9 F1800.0
M103
G1 X-3.38 Y-13.0 Z1.9 F2400.0
M101
G1 X1.62 Y-13.0 Z1.9 F1800.0
M108 R35.0
M102
G1 X3.38 Y-13.0 Z1.9 F1800.0
G1 X3.45 Y-12.52 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X3.25 Y-13.96 Z1.9 F1121.821
M108 R1.179
G1 X3.18 Y-14.44 Z1.9 F1800.0
G1 X-3.18 Y-14.44 Z1.9 F1800.0
G1 X-3.25 Y-13.96 Z1.9 F1800.0
M103
G1 X-3.12 Y-14.93 Z1.9 F2400.0
M101
G1 X-2.58 Y-15.34 Z1.9 F1800.0
G1 X2.58 Y-15.34 Z1.9 F1800.0
G1 X3.12 Y-14.93 Z1.9 F1800.0
M103
G1 X2.99 Y-15.89 Z1.9 F2400.0
M101
G1 X-2.99 Y-15.89 Z1.9 F1800.0
M103
G1 X-2.92 Y-16.37 Z1.9 F2400.0
M101
G1 X-2.85 Y-16.85 Z1.9 F1800.0
G1 X2.85 Y-16.85 Z1.9 F1800.0
G1 X2.92 Y-16.37 Z1.9 F1800.0
M103
G1 X2.79 Y-17.33 Z1.9 F2400.0
M101
G1 X2.66 Y-18.3 Z1.9 F1800.0
G1 X-1.38 Y-18.3 Z1.9 F1800.0
M108 R35.0
M102
G1 X-2.66 Y-18.3 Z1.9 F1800.0
G1 X-2.79 Y-17.33 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-2.59 Y-18.78 Z1.9 F1121.059
M108 R1.179
G1 X-2.53 Y-19.26 Z1.9 F1800.0
G1 X2.53 Y-19.26 Z1.9 F1800.0
G1 X2.59 Y-18.78 Z1.9 F1800.0
M103
G1 X2.46 Y-19.74 Z1.9 F2400.0
M101
G1 X1.92 Y-20.16 Z1.9 F1800.0
G1 X-2.46 Y-19.74 Z1.9 F1800.0
M103
G1 X-2.39 Y-20.22 Z1.9 F2400.0
M101
G1 X-2.22 Y-21.18 Z1.9 F1800.0
G1 X0.47 Y-21.18 Z1.9 F1800.0
M108 R35.0
M102
G1 X2.22 Y-21.18 Z1.9 F1800.0
G1 X2.33 Y-20.7 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.0 Y-21.67 Z1.9 F781.572
M108 R1.179
G1 X1.61 Y-22.15 Z1.9 F1800.0
G1 X-2.0 Y-21.67 Z1.9 F1800.0
G1 X-1.61 Y-22.15 Z1.9 F1800.0
G1 X-1.34 Y-22.31 Z1.9 F1800.0
M108 R35.0
M102
G1 X-0.82 Y-22.63 Z1.9 F1800.0
G1 X0.82 Y-22.63 Z1.9 F1800.0
M108 R1.179
M103
G1 X4.46 Y-5.94 Z1.9 F2400.0
M108 R35.0
M101
G1 X5.13 Y-2.89 Z1.9 F2400.0
M108 R1.179
G1 X5.33 Y-2.41 Z1.9 F1800.0
G1 X20.13 Y-2.41 Z1.9 F1800.0
G1 X20.28 Y-2.36 Z1.9 F1800.0
M108 R35.0
M102
G1 X21.77 Y-1.93 Z1.9 F1800.0
G1 X22.28 Y-1.44 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X21.1 Y-1.44 Z1.9 F906.154
M108 R1.179
G1 X5.7 Y-1.44 Z1.9 F1800.0
M103
G1 X5.76 Y-0.96 Z1.9 F2400.0
M101
G1 X5.83 Y-0.48 Z1.9 F1800.0
G1 X22.57 Y-0.96 Z1.9 F1800.0
G1 X22.73 Y-0.48 Z1.9 F1800.0
G1 X22.32 Y0.06 Z1.9 F1800.0
G1 X22.73 Y0.48 Z1.9 F1800.0
G1 X22.57 Y0.96 Z1.9 F1800.0
G1 X5.89 Y-0.0 Z1.9 F1800.0
G1 X5.83 Y0.48 Z1.9 F1800.0
G1 X22.28 Y1.44 Z1.9 F1800.0
G1 X21.77 Y1.93 Z1.9 F1800.0
G1 X7.53 Y1.07 Z1.9 F1800.0
M108 R35.0
M102
G1 X5.76 Y0.96 Z1.9 F1800.0
G1 X5.7 Y1.44 Z1.9 F1800.0
M108 R1.179
M103
G1 X17.01 Y2.2 Z1.9 F2400.0
M108 R35.0
M101
G1 X20.13 Y2.41 Z1.9 F2400.0
M108 R1.179
G1 X7.05 Y2.41 Z1.9 F1800.0
M108 R35.0
M102
G1 X5.33 Y2.41 Z1.9 F1800.0
G1 X5.13 Y2.89 Z1.9 F1800.0
M108 R1.179
M103
G1 X4.94 Y3.7 Z1.9 F2400.0
M108 R35.0
M101
G1 X4.24 Y6.74 Z1.9 F2400.0
M108 R1.179
G1 X4.17 Y7.22 Z1.9 F1800.0
G1 X3.63 Y7.64 Z1.9 F1800.0
G1 X-4.17 Y7.22 Z1.9 F1800.0
G1 X-4.24 Y6.74 Z1.9 F1800.0
M103
G1 X-4.3 Y6.26 Z1.9 F2400.0
M101
G1 X4.3 Y6.26 Z1.9 F1800.0
G1 X2.48 Y5.3 Z1.9 F1800.0
G1 X3.56 Y5.23 Z1.9 F1800.0
G1 X4.43 Y5.3 Z1.9 F1800.0
G1 X4.02 Y4.75 Z1.9 F1800.0
G1 X3.95 Y4.33 Z1.9 F1800.0
G1 X6.02 Y4.33 Z1.9 F1800.0
G1 X4.78 Y3.37 Z1.9 F1800.0
G1 X10.82 Y3.37 Z1.9 F1800.0
M108 R35.0
M102
G1 X13.07 Y3.37 Z1.9 F1800.0
M108 R1.179
M103
G1 X13.07 Y-0.25 Z1.9 F2400.0
M108 R35.0
M101
G1 X13.07 Y-3.37 Z1.9 F2400.0
M108 R1.179
G1 X4.78 Y-3.37 Z1.9 F1800.0
G1 X6.02 Y-4.33 Z1.9 F1800.0
G1 X4.76 Y-4.18 Z1.9 F1800.0
G1 X3.95 Y-4.33 Z1.9 F1800.0
G1 X4.02 Y-4.75 Z1.9 F1800.0
G1 X4.43 Y-5.3 Z1.9 F1800.0
G1 X3.56 Y-5.23 Z1.9 F1800.0
G1 X2.48 Y-5.3 Z1.9 F1800.0
G1 X4.3 Y-6.26 Z1.9 F1800.0
G1 X3.76 Y-6.67 Z1.9 F1800.0
G1 X0.87 Y-5.78 Z1.9 F1800.0
G1 X-0.73 Y-6.24 Z1.9 F1800.0
G1 X-3.76 Y-6.67 Z1.9 F1800.0
G1 X-4.3 Y-6.26 Z1.9 F1800.0
G1 X-2.48 Y-5.3 Z1.9 F1800.0
G1 X-3.56 Y-5.23 Z1.9 F1800.0
G1 X-4.43 Y-5.3 Z1.9 F1800.0
G1 X-4.02 Y-4.75 Z1.9 F1800.0
G1 X-3.95 Y-4.33 Z1.9 F1800.0
G1 X-4.41 Y-3.85 Z1.9 F1800.0
G1 X-4.76 Y-4.18 Z1.9 F1800.0
G1 X-6.02 Y-4.33 Z1.9 F1800.0
G1 X-4.78 Y-3.37 Z1.9 F1800.0
G1 X-10.82 Y-3.37 Z1.9 F1800.0
M108 R35.0
M102
G1 X-13.07 Y-3.37 Z1.9 F1800.0
M108 R1.179
M103
G1 X-13.07 Y0.25 Z1.9 F2400.0
M108 R35.0
M101
G1 X-13.07 Y3.37 Z1.9 F2400.0
M108 R1.179
G1 X-4.78 Y3.37 Z1.9 F1800.0
G1 X-6.02 Y4.33 Z1.9 F1800.0
G1 X-3.95 Y4.33 Z1.9 F1800.0
G1 X-4.02 Y4.75 Z1.9 F1800.0
G1 X-4.43 Y5.3 Z1.9 F1800.0
G1 X-4.39 Y5.59 Z1.9 F1800.0
M108 R35.0
M102
G1 X-4.37 Y5.78 Z1.9 F1800.0
G1 X-3.56 Y5.23 Z1.9 F1800.0
G1 X-2.48 Y5.3 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.1 Y7.7 Z1.9 F2234.194
M108 R1.179
G1 X-4.04 Y8.19 Z1.9 F1800.0
G1 X3.97 Y8.67 Z1.9 F1800.0
G1 X4.04 Y8.19 Z1.9 F1800.0
M103
G1 X3.91 Y9.15 Z1.9 F2400.0
M101
G1 X-2.56 Y9.55 Z1.9 F1800.0
M108 R35.0
M102
G1 X-3.84 Y9.63 Z1.9 F1800.0
G1 X-3.97 Y8.67 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.77 Y10.11 Z1.9 F1121.821
M108 R1.179
G1 X3.23 Y10.53 Z1.9 F1800.0
G1 X3.77 Y10.11 Z1.9 F1800.0
M103
G1 X3.64 Y11.07 Z1.9 F2400.0
M101
G1 X-3.64 Y11.07 Z1.9 F1800.0
M103
G1 X-3.58 Y11.55 Z1.9 F2400.0
M101
G1 X-3.51 Y12.04 Z1.9 F1800.0
G1 X3.51 Y12.04 Z1.9 F1800.0
G1 X3.58 Y11.55 Z1.9 F1800.0
M103
G1 X3.45 Y12.52 Z1.9 F2400.0
M101
G1 X3.38 Y13.0 Z1.9 F1800.0
G1 X-1.62 Y13.0 Z1.9 F1800.0
M108 R35.0
M102
G1 X-3.38 Y13.0 Z1.9 F1800.0
G1 X-3.45 Y12.52 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.25 Y13.96 Z1.9 F1121.821
M108 R1.179
G1 X-3.18 Y14.44 Z1.9 F1800.0
G1 X3.25 Y13.96 Z1.9 F1800.0
M103
G1 X3.12 Y14.93 Z1.9 F2400.0
M101
G1 X2.58 Y15.34 Z1.9 F1800.0
G1 X-2.58 Y15.34 Z1.9 F1800.0
G1 X-3.12 Y14.93 Z1.9 F1800.0
M103
G1 X-2.99 Y15.89 Z1.9 F2400.0
M101
G1 X2.99 Y15.89 Z1.9 F1800.0
M103
G1 X2.92 Y16.37 Z1.9 F2400.0
M101
G1 X2.79 Y17.33 Z1.9 F1800.0
G1 X-1.51 Y17.33 Z1.9 F1800.0
M108 R35.0
M102
G1 X-2.79 Y17.33 Z1.9 F1800.0
G1 X-2.92 Y16.37 Z1.9 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-2.72 Y17.81 Z1.9 F1121.059
M108 R1.179
G1 X2.72 Y17.81 Z1.9 F1800.0
M103
G1 X2.59 Y18.78 Z1.9 F2400.0
M101
G1 X2.53 Y19.26 Z1.9 F1800.0
G1 X-2.53 Y19.26 Z1.9 F1800.0
G1 X-2.59 Y18.78 Z1.9 F1800.0
M103
G1 X-2.46 Y19.74 Z1.9 F2400.0
M101
G1 X2.46 Y19.74 Z1.9 F1800.0
M103
G1 X2.39 Y20.22 Z1.9 F2400.0
M101
G1 X2.22 Y21.18 Z1.9 F1800.0
G1 X-0.95 Y21.18 Z1.9 F1800.0
M108 R35.0
M102
G1 X-2.22 Y21.18 Z1.9 F1800.0
G1 X-2.39 Y20.22 Z1.9 F1800.0
M108 R1.179
M103
G1 X-1.68 Y20.76 Z1.9 F2400.0
M108 R35.0
M101
G1 X0.82 Y22.63 Z1.9 F2400.0
M108 R1.179
G1 X-0.82 Y22.63 Z1.9 F1800.0
G1 X-1.61 Y22.15 Z1.9 F1800.0
G1 X-2.0 Y21.67 Z1.9 F1800.0
G1 X-0.0 Y21.93 Z1.9 F1800.0
M108 R35.0
M102
G1 X1.61 Y22.15 Z1.9 F1800.0
G1 X2.0 Y21.67 Z1.9 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 2.185 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z2.185 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z2.185 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z2.185 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z2.185 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z2.185 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z2.185 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z2.185 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z2.185 </boundaryPoint>)
(<loop> inner )
G1 X0.39 Y8.7 Z2.13 F2400.0
M108 R35.0
M101
G1 X0.0 Y5.61 Z2.19 F2400.0
M108 R1.179
G1 X1.45 Y5.42 Z2.19 F1800.0
G1 X2.81 Y4.86 Z2.19 F1800.0
G1 X3.96 Y3.96 Z2.19 F1800.0
G1 X4.86 Y2.81 Z2.19 F1800.0
G1 X5.42 Y1.45 Z2.19 F1800.0
G1 X5.61 Y-0.0 Z2.19 F1800.0
G1 X5.42 Y-1.45 Z2.19 F1800.0
G1 X4.86 Y-2.81 Z2.19 F1800.0
G1 X3.96 Y-3.96 Z2.19 F1800.0
G1 X2.81 Y-4.86 Z2.19 F1800.0
G1 X1.45 Y-5.42 Z2.19 F1800.0
G1 X-0.0 Y-5.61 Z2.19 F1800.0
G1 X-1.45 Y-5.42 Z2.19 F1800.0
G1 X-2.81 Y-4.86 Z2.19 F1800.0
G1 X-3.96 Y-3.96 Z2.19 F1800.0
G1 X-4.86 Y-2.81 Z2.19 F1800.0
G1 X-5.42 Y-1.45 Z2.19 F1800.0
G1 X-5.61 Y0.0 Z2.19 F1800.0
G1 X-5.42 Y1.45 Z2.19 F1800.0
G1 X-4.86 Y2.81 Z2.19 F1800.0
G1 X-3.96 Y3.96 Z2.19 F1800.0
G1 X-2.81 Y4.86 Z2.19 F1800.0
G1 X-2.18 Y5.12 Z2.19 F1800.0
M108 R35.0
M102
G1 X-1.45 Y5.42 Z2.19 F1800.0
G1 X0.0 Y5.61 Z2.19 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
G1 X1.5 Y5.81 Z2.19 F2400.0
M108 R35.0
M101
G1 X4.59 Y6.24 Z2.19 F2400.0
M108 R1.179
G1 X2.56 Y21.11 Z2.19 F1800.0
G1 X2.29 Y21.75 Z2.19 F1800.0
G1 X1.87 Y22.3 Z2.19 F1800.0
G1 X1.32 Y22.72 Z2.19 F1800.0
G1 X0.69 Y22.99 Z2.19 F1800.0
G1 X0.0 Y23.08 Z2.19 F1800.0
G1 X-0.69 Y22.99 Z2.19 F1800.0
G1 X-1.32 Y22.72 Z2.19 F1800.0
G1 X-1.87 Y22.3 Z2.19 F1800.0
G1 X-2.29 Y21.75 Z2.19 F1800.0
G1 X-2.56 Y21.11 Z2.19 F1800.0
G1 X-4.79 Y4.79 Z2.19 F1800.0
G1 X-21.11 Y2.56 Z2.19 F1800.0
G1 X-21.75 Y2.29 Z2.19 F1800.0
G1 X-22.3 Y1.87 Z2.19 F1800.0
G1 X-22.72 Y1.32 Z2.19 F1800.0
G1 X-22.99 Y0.69 Z2.19 F1800.0
G1 X-23.08 Y0.0 Z2.19 F1800.0
G1 X-22.99 Y-0.69 Z2.19 F1800.0
G1 X-22.72 Y-1.32 Z2.19 F1800.0
G1 X-22.3 Y-1.87 Z2.19 F1800.0
G1 X-21.75 Y-2.29 Z2.19 F1800.0
G1 X-21.11 Y-2.56 Z2.19 F1800.0
G1 X-4.79 Y-4.79 Z2.19 F1800.0
G1 X-2.56 Y-21.11 Z2.19 F1800.0
G1 X-2.29 Y-21.75 Z2.19 F1800.0
G1 X-1.87 Y-22.3 Z2.19 F1800.0
G1 X-1.32 Y-22.72 Z2.19 F1800.0
G1 X-0.69 Y-22.99 Z2.19 F1800.0
G1 X0.0 Y-23.08 Z2.19 F1800.0
G1 X0.69 Y-22.99 Z2.19 F1800.0
G1 X1.32 Y-22.72 Z2.19 F1800.0
G1 X1.87 Y-22.3 Z2.19 F1800.0
G1 X2.29 Y-21.75 Z2.19 F1800.0
G1 X2.56 Y-21.11 Z2.19 F1800.0
G1 X4.79 Y-4.79 Z2.19 F1800.0
G1 X21.11 Y-2.56 Z2.19 F1800.0
G1 X21.75 Y-2.29 Z2.19 F1800.0
G1 X22.3 Y-1.87 Z2.19 F1800.0
G1 X22.72 Y-1.32 Z2.19 F1800.0
G1 X22.99 Y-0.69 Z2.19 F1800.0
G1 X23.08 Y0.0 Z2.19 F1800.0
G1 X22.99 Y0.69 Z2.19 F1800.0
G1 X22.72 Y1.32 Z2.19 F1800.0
G1 X22.3 Y1.87 Z2.19 F1800.0
G1 X21.75 Y2.29 Z2.19 F1800.0
G1 X21.11 Y2.56 Z2.19 F1800.0
G1 X4.79 Y4.79 Z2.19 F1800.0
G1 X4.59 Y6.24 Z2.19 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X5.02 Y6.29 Z2.19 F2400.0
M101
G1 X2.98 Y21.23 Z2.19 F1800.0
G1 X2.67 Y21.97 Z2.19 F1800.0
G1 X2.18 Y22.61 Z2.19 F1800.0
G1 X1.54 Y23.1 Z2.19 F1800.0
G1 X0.8 Y23.41 Z2.19 F1800.0
G1 X-0.0 Y23.52 Z2.19 F1800.0
G1 X-0.8 Y23.41 Z2.19 F1800.0
G1 X-1.54 Y23.1 Z2.19 F1800.0
G1 X-2.18 Y22.61 Z2.19 F1800.0
G1 X-2.67 Y21.97 Z2.19 F1800.0
G1 X-2.98 Y21.23 Z2.19 F1800.0
G1 X-5.17 Y5.17 Z2.19 F1800.0
G1 X-21.23 Y2.98 Z2.19 F1800.0
G1 X-21.97 Y2.67 Z2.19 F1800.0
G1 X-22.61 Y2.18 Z2.19 F1800.0
G1 X-23.1 Y1.54 Z2.19 F1800.0
G1 X-23.41 Y0.8 Z2.19 F1800.0
G1 X-23.52 Y-0.0 Z2.19 F1800.0
G1 X-23.41 Y-0.8 Z2.19 F1800.0
G1 X-23.1 Y-1.54 Z2.19 F1800.0
G1 X-22.61 Y-2.18 Z2.19 F1800.0
G1 X-21.97 Y-2.67 Z2.19 F1800.0
G1 X-21.23 Y-2.98 Z2.19 F1800.0
G1 X-5.17 Y-5.17 Z2.19 F1800.0
G1 X-2.98 Y-21.23 Z2.19 F1800.0
G1 X-2.67 Y-21.97 Z2.19 F1800.0
G1 X-2.18 Y-22.61 Z2.19 F1800.0
G1 X-1.54 Y-23.1 Z2.19 F1800.0
G1 X-0.8 Y-23.41 Z2.19 F1800.0
G1 X0.0 Y-23.52 Z2.19 F1800.0
G1 X0.8 Y-23.41 Z2.19 F1800.0
G1 X1.54 Y-23.1 Z2.19 F1800.0
G1 X2.18 Y-22.61 Z2.19 F1800.0
G1 X2.67 Y-21.97 Z2.19 F1800.0
G1 X2.98 Y-21.23 Z2.19 F1800.0
G1 X5.17 Y-5.17 Z2.19 F1800.0
G1 X21.23 Y-2.98 Z2.19 F1800.0
G1 X21.97 Y-2.67 Z2.19 F1800.0
G1 X22.61 Y-2.18 Z2.19 F1800.0
G1 X23.1 Y-1.54 Z2.19 F1800.0
G1 X23.41 Y-0.8 Z2.19 F1800.0
G1 X23.52 Y0.0 Z2.19 F1800.0
G1 X23.41 Y0.8 Z2.19 F1800.0
G1 X23.1 Y1.54 Z2.19 F1800.0
G1 X22.61 Y2.18 Z2.19 F1800.0
G1 X21.97 Y2.67 Z2.19 F1800.0
G1 X21.23 Y2.98 Z2.19 F1800.0
G1 X6.28 Y5.02 Z2.19 F1800.0
M108 R35.0
M102
G1 X5.17 Y5.17 Z2.19 F1800.0
G1 X5.02 Y6.29 Z2.19 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z2.185 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z2.185 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z2.185 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z2.185 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z2.185 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z2.185 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.24 Y3.98 Z2.19 F2246.925
M108 R1.179
G1 X3.66 Y3.66 Z2.19 F1800.0
G1 X4.48 Y2.59 Z2.19 F1800.0
G1 X5.0 Y1.34 Z2.19 F1800.0
G1 X5.17 Y0.0 Z2.19 F1800.0
G1 X5.0 Y-1.34 Z2.19 F1800.0
G1 X4.48 Y-2.59 Z2.19 F1800.0
G1 X3.66 Y-3.66 Z2.19 F1800.0
G1 X2.59 Y-4.48 Z2.19 F1800.0
G1 X1.34 Y-5.0 Z2.19 F1800.0
G1 X0.0 Y-5.17 Z2.19 F1800.0
G1 X-1.34 Y-5.0 Z2.19 F1800.0
G1 X-2.59 Y-4.48 Z2.19 F1800.0
G1 X-3.66 Y-3.66 Z2.19 F1800.0
G1 X-4.48 Y-2.59 Z2.19 F1800.0
G1 X-5.0 Y-1.34 Z2.19 F1800.0
G1 X-5.17 Y-0.0 Z2.19 F1800.0
G1 X-5.0 Y1.34 Z2.19 F1800.0
G1 X-4.48 Y2.59 Z2.19 F1800.0
G1 X-3.66 Y3.66 Z2.19 F1800.0
G1 X-2.59 Y4.48 Z2.19 F1800.0
G1 X-1.34 Y5.0 Z2.19 F1800.0
G1 X-0.0 Y5.17 Z2.19 F1800.0
G1 X1.26 Y5.0 Z2.19 F1800.0
M108 R35.0
M102
G1 X1.34 Y5.0 Z2.19 F1800.0
G1 X2.59 Y4.48 Z2.19 F1800.0
G1 X3.24 Y3.98 Z2.19 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z2.185 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z2.185 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z2.185 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z2.185 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X1.49 Y1.49 Z2.19 F2343.703
M108 R1.179
G1 X1.82 Y1.05 Z2.19 F1800.0
G1 X2.03 Y0.54 Z2.19 F1800.0
G1 X2.1 Y0.0 Z2.19 F1800.0
G1 X2.03 Y-0.54 Z2.19 F1800.0
G1 X1.82 Y-1.05 Z2.19 F1800.0
G1 X1.49 Y-1.49 Z2.19 F1800.0
G1 X1.05 Y-1.82 Z2.19 F1800.0
G1 X0.54 Y-2.03 Z2.19 F1800.0
G1 X0.0 Y-2.1 Z2.19 F1800.0
G1 X-0.54 Y-2.03 Z2.19 F1800.0
G1 X-1.05 Y-1.82 Z2.19 F1800.0
G1 X-1.49 Y-1.49 Z2.19 F1800.0
G1 X-1.82 Y-1.05 Z2.19 F1800.0
G1 X-2.03 Y-0.54 Z2.19 F1800.0
G1 X-2.1 Y0.0 Z2.19 F1800.0
G1 X-2.03 Y0.54 Z2.19 F1800.0
G1 X-1.82 Y1.05 Z2.19 F1800.0
G1 X-1.49 Y1.49 Z2.19 F1800.0
G1 X-1.05 Y1.82 Z2.19 F1800.0
G1 X-0.54 Y2.03 Z2.19 F1800.0
G1 X0.0 Y2.1 Z2.19 F1800.0
G1 X0.54 Y2.03 Z2.19 F1800.0
G1 X1.05 Y1.82 Z2.19 F1800.0
G1 X1.49 Y1.49 Z2.19 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X1.87 Y1.87 Z2.19 F2400.0
M101
G1 X1.32 Y2.29 Z2.19 F1800.0
G1 X0.69 Y2.56 Z2.19 F1800.0
G1 X0.0 Y2.65 Z2.19 F1800.0
G1 X-0.69 Y2.56 Z2.19 F1800.0
G1 X-1.32 Y2.29 Z2.19 F1800.0
G1 X-1.87 Y1.87 Z2.19 F1800.0
G1 X-2.29 Y1.32 Z2.19 F1800.0
G1 X-2.56 Y0.69 Z2.19 F1800.0
G1 X-2.65 Y0.0 Z2.19 F1800.0
G1 X-2.56 Y-0.69 Z2.19 F1800.0
G1 X-2.29 Y-1.32 Z2.19 F1800.0
G1 X-1.87 Y-1.87 Z2.19 F1800.0
G1 X-1.32 Y-2.29 Z2.19 F1800.0
G1 X-0.69 Y-2.56 Z2.19 F1800.0
G1 X0.0 Y-2.65 Z2.19 F1800.0
G1 X0.69 Y-2.56 Z2.19 F1800.0
G1 X1.32 Y-2.29 Z2.19 F1800.0
G1 X1.87 Y-1.87 Z2.19 F1800.0
G1 X2.29 Y-1.32 Z2.19 F1800.0
G1 X2.56 Y-0.69 Z2.19 F1800.0
G1 X2.65 Y0.0 Z2.19 F1800.0
G1 X2.56 Y0.69 Z2.19 F1800.0
G1 X2.29 Y1.32 Z2.19 F1800.0
G1 X1.87 Y1.87 Z2.19 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X2.18 Y2.18 Z2.19 F2400.0
M101
G1 X1.54 Y2.67 Z2.19 F1800.0
G1 X0.8 Y2.98 Z2.19 F1800.0
G1 X-0.0 Y3.08 Z2.19 F1800.0
G1 X-0.8 Y2.98 Z2.19 F1800.0
G1 X-1.54 Y2.67 Z2.19 F1800.0
G1 X-2.18 Y2.18 Z2.19 F1800.0
G1 X-2.67 Y1.54 Z2.19 F1800.0
G1 X-2.98 Y0.8 Z2.19 F1800.0
G1 X-3.08 Y-0.0 Z2.19 F1800.0
G1 X-2.98 Y-0.8 Z2.19 F1800.0
G1 X-2.67 Y-1.54 Z2.19 F1800.0
G1 X-2.18 Y-2.18 Z2.19 F1800.0
G1 X-1.54 Y-2.67 Z2.19 F1800.0
G1 X-0.8 Y-2.98 Z2.19 F1800.0
G1 X0.0 Y-3.08 Z2.19 F1800.0
G1 X0.8 Y-2.98 Z2.19 F1800.0
G1 X1.54 Y-2.67 Z2.19 F1800.0
G1 X2.18 Y-2.18 Z2.19 F1800.0
G1 X2.67 Y-1.54 Z2.19 F1800.0
G1 X2.98 Y-0.8 Z2.19 F1800.0
G1 X3.08 Y0.0 Z2.19 F1800.0
G1 X3.06 Y0.16 Z2.19 F1800.0
M108 R35.0
M102
G1 X2.98 Y0.8 Z2.19 F1800.0
G1 X2.67 Y1.54 Z2.19 F1800.0
G1 X2.18 Y2.18 Z2.19 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z2.185 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z2.185 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z2.185 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z2.185 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X1.18 Y1.18 Z2.19 F1093.296
M108 R1.179
G1 X1.44 Y0.83 Z2.19 F1800.0
G1 X1.61 Y0.43 Z2.19 F1800.0
G1 X1.66 Y0.0 Z2.19 F1800.0
G1 X1.61 Y-0.43 Z2.19 F1800.0
G1 X1.44 Y-0.83 Z2.19 F1800.0
G1 X1.18 Y-1.18 Z2.19 F1800.0
G1 X0.83 Y-1.44 Z2.19 F1800.0
G1 X0.43 Y-1.61 Z2.19 F1800.0
G1 X0.0 Y-1.66 Z2.19 F1800.0
G1 X-0.43 Y-1.61 Z2.19 F1800.0
G1 X-0.83 Y-1.44 Z2.19 F1800.0
G1 X-1.18 Y-1.18 Z2.19 F1800.0
G1 X-1.44 Y-0.83 Z2.19 F1800.0
G1 X-1.61 Y-0.43 Z2.19 F1800.0
G1 X-1.66 Y0.0 Z2.19 F1800.0
G1 X-1.61 Y0.43 Z2.19 F1800.0
G1 X-1.44 Y0.83 Z2.19 F1800.0
G1 X-1.18 Y1.18 Z2.19 F1800.0
G1 X-0.89 Y1.39 Z2.19 F1800.0
M108 R35.0
M102
G1 X-0.83 Y1.44 Z2.19 F1800.0
G1 X-0.43 Y1.61 Z2.19 F1800.0
G1 X0.0 Y1.66 Z2.19 F1800.0
G1 X0.43 Y1.61 Z2.19 F1800.0
G1 X0.83 Y1.44 Z2.19 F1800.0
G1 X1.18 Y1.18 Z2.19 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X1.86 Y2.0 Z2.19 F2400.0
M108 R35.0
M101
G1 X3.85 Y4.41 Z2.19 F2400.0
M108 R1.179
G1 X3.85 Y7.3 Z2.19 F1800.0
M108 R35.0
M102
G1 X3.85 Y9.55 Z2.19 F1800.0
M108 R1.179
M103
G1 X3.79 Y9.98 Z2.19 F2400.0
M108 R35.0
M101
G1 X3.37 Y13.07 Z2.19 F2400.0
M108 R1.179
G1 X3.37 Y4.78 Z2.19 F1800.0
G1 X2.89 Y5.13 Z2.19 F1800.0
G1 X2.89 Y14.35 Z2.19 F1800.0
M108 R35.0
M102
G1 X2.89 Y16.6 Z2.19 F1800.0
M108 R1.179
M103
G1 X2.5 Y18.7 Z2.19 F2400.0
M108 R35.0
M101
G1 X1.93 Y21.77 Z2.19 F2400.0
M108 R1.179
G1 X2.41 Y20.13 Z2.19 F1800.0
G1 X2.41 Y5.33 Z2.19 F1800.0
G1 X1.93 Y5.53 Z2.19 F1800.0
G1 X1.93 Y17.81 Z2.19 F1800.0
M108 R35.0
M102
G1 X1.93 Y20.06 Z2.19 F1800.0
M108 R1.179
M103
G1 X0.8 Y8.93 Z2.19 F2400.0
M108 R35.0
M101
G1 X0.48 Y5.83 Z2.19 F2400.0
M108 R1.179
G1 X0.48 Y22.73 Z2.19 F1800.0
M103
G1 X0.0 Y22.79 Z2.19 F2400.0
M101
G1 X0.0 Y5.89 Z2.19 F1800.0
M103
G1 X-0.48 Y5.83 Z2.19 F2400.0
M101
G1 X-0.48 Y22.73 Z2.19 F1800.0
G1 X-0.96 Y22.57 Z2.19 F1800.0
G1 X-0.96 Y5.76 Z2.19 F1800.0
M103
G1 X-1.44 Y5.7 Z2.19 F2400.0
M101
G1 X-1.44 Y22.28 Z2.19 F1800.0
G1 X-1.93 Y21.77 Z2.19 F1800.0
G1 X-1.93 Y5.53 Z2.19 F1800.0
G1 X-2.41 Y5.33 Z2.19 F1800.0
G1 X-2.41 Y17.88 Z2.19 F1800.0
M108 R35.0
M102
G1 X-2.41 Y20.13 Z2.19 F1800.0
M108 R1.179
M103
G1 X-2.47 Y19.69 Z2.19 F2400.0
M108 R35.0
M101
G1 X-2.89 Y16.6 Z2.19 F2400.0
M108 R1.179
G1 X-2.89 Y5.13 Z2.19 F1800.0
G1 X-3.37 Y4.78 Z2.19 F1800.0
G1 X-3.37 Y10.82 Z2.19 F1800.0
M108 R35.0
M102
G1 X-3.37 Y13.07 Z2.19 F1800.0
M108 R1.179
M103
G1 X-3.43 Y12.64 Z2.19 F2400.0
M108 R35.0
M101
G1 X-3.85 Y9.55 Z2.19 F2400.0
M108 R1.179
G1 X-3.85 Y4.41 Z2.19 F1800.0
G1 X-4.2 Y4.07 Z2.19 F1800.0
M108 R35.0
M102
G1 X-4.33 Y3.95 Z2.19 F1800.0
G1 X-4.33 Y6.02 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.82 Y4.5 Z2.19 F1228.809
M108 R1.179
G1 X-4.82 Y3.32 Z2.19 F1800.0
M103
G1 X-5.3 Y2.48 Z2.19 F2400.0
M101
G1 X-5.3 Y4.43 Z2.19 F1800.0
G1 X-5.78 Y4.37 Z2.19 F1800.0
G1 X-5.78 Y3.12 Z2.19 F1800.0
M108 R35.0
M102
G1 X-5.78 Y0.87 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-5.78 Y-0.87 Z2.19 F1338.462
M108 R1.179
G1 X-5.78 Y-4.37 Z2.19 F1800.0
G1 X-5.3 Y-4.43 Z2.19 F1800.0
G1 X-5.3 Y-2.48 Z2.19 F1800.0
M103
G1 X-4.82 Y-3.32 Z2.19 F2400.0
M101
G1 X-4.82 Y-4.5 Z2.19 F1800.0
G1 X-4.45 Y-4.08 Z2.19 F1800.0
M108 R35.0
M102
G1 X-4.33 Y-3.95 Z2.19 F1800.0
G1 X-4.33 Y-6.02 Z2.19 F1800.0
M108 R1.179
M103
G1 X-4.27 Y-6.46 Z2.19 F2400.0
M108 R35.0
M101
G1 X-3.85 Y-9.55 Z2.19 F2400.0
M108 R1.179
G1 X-3.85 Y-6.66 Z2.19 F1800.0
M108 R35.0
M102
G1 X-3.85 Y-4.41 Z2.19 F1800.0
M108 R1.179
M103
G1 X-5.15 Y-0.85 Z2.19 F2400.0
G1 X-5.6 Y1.25 Z2.19 F2400.0
M108 R35.0
M101
G1 X-6.26 Y4.3 Z2.19 F2400.0
M108 R1.179
G1 X-6.26 Y-4.3 Z2.19 F1800.0
M103
G1 X-6.74 Y-4.24 Z2.19 F2400.0
M101
G1 X-6.74 Y4.24 Z2.19 F1800.0
G1 X-7.22 Y4.17 Z2.19 F1800.0
G1 X-7.22 Y-4.17 Z2.19 F1800.0
M103
G1 X-7.7 Y-4.1 Z2.19 F2400.0
M101
G1 X-7.7 Y4.1 Z2.19 F1800.0
M103
G1 X-8.19 Y4.04 Z2.19 F2400.0
M101
G1 X-8.19 Y-4.04 Z2.19 F1800.0
M103
G1 X-8.67 Y-3.97 Z2.19 F2400.0
M101
G1 X-8.67 Y3.97 Z2.19 F1800.0
M103
G1 X-9.15 Y3.91 Z2.19 F2400.0
M101
G1 X-9.15 Y-3.91 Z2.19 F1800.0
G1 X-9.63 Y-3.84 Z2.19 F1800.0
G1 X-9.63 Y3.84 Z2.19 F1800.0
M103
G1 X-10.11 Y3.77 Z2.19 F2400.0
M101
G1 X-10.11 Y-3.77 Z2.19 F1800.0
M103
G1 X-10.59 Y-3.71 Z2.19 F2400.0
M101
G1 X-10.59 Y3.71 Z2.19 F1800.0
M103
G1 X-11.07 Y3.64 Z2.19 F2400.0
M101
G1 X-11.07 Y-3.64 Z2.19 F1800.0
M103
G1 X-11.55 Y-3.58 Z2.19 F2400.0
M101
G1 X-11.55 Y3.58 Z2.19 F1800.0
G1 X-12.04 Y3.51 Z2.19 F1800.0
G1 X-12.04 Y-3.51 Z2.19 F1800.0
M103
G1 X-12.52 Y-3.45 Z2.19 F2400.0
M101
G1 X-12.52 Y3.45 Z2.19 F1800.0
M103
G1 X-13.0 Y3.38 Z2.19 F2400.0
M101
G1 X-13.0 Y-3.38 Z2.19 F1800.0
M103
G1 X-13.48 Y-3.31 Z2.19 F2400.0
M101
G1 X-13.48 Y3.31 Z2.19 F1800.0
M103
G1 X-13.96 Y3.25 Z2.19 F2400.0
M101
G1 X-13.96 Y-3.25 Z2.19 F1800.0
G1 X-14.44 Y-3.18 Z2.19 F1800.0
G1 X-14.44 Y3.18 Z2.19 F1800.0
M103
G1 X-14.93 Y3.12 Z2.19 F2400.0
M101
G1 X-14.93 Y-3.12 Z2.19 F1800.0
M103
G1 X-15.41 Y-3.05 Z2.19 F2400.0
M101
G1 X-15.41 Y3.05 Z2.19 F1800.0
M103
G1 X-15.89 Y2.99 Z2.19 F2400.0
M101
G1 X-15.89 Y-2.99 Z2.19 F1800.0
M103
G1 X-16.37 Y-2.92 Z2.19 F2400.0
M101
G1 X-16.37 Y2.92 Z2.19 F1800.0
G1 X-16.85 Y2.85 Z2.19 F1800.0
G1 X-16.85 Y-2.85 Z2.19 F1800.0
M103
G1 X-17.33 Y-2.79 Z2.19 F2400.0
M101
G1 X-17.33 Y2.79 Z2.19 F1800.0
M103
G1 X-17.81 Y2.72 Z2.19 F2400.0
M101
G1 X-17.81 Y-2.72 Z2.19 F1800.0
M103
G1 X-18.3 Y-2.66 Z2.19 F2400.0
M101
G1 X-18.3 Y2.66 Z2.19 F1800.0
M103
G1 X-18.78 Y2.59 Z2.19 F2400.0
M101
G1 X-18.78 Y-2.59 Z2.19 F1800.0
G1 X-19.26 Y-2.53 Z2.19 F1800.0
G1 X-19.26 Y2.53 Z2.19 F1800.0
M103
G1 X-19.74 Y2.46 Z2.19 F2400.0
M101
G1 X-19.74 Y-2.46 Z2.19 F1800.0
M103
G1 X-20.22 Y-2.39 Z2.19 F2400.0
M101
G1 X-20.22 Y2.39 Z2.19 F1800.0
G1 X-20.7 Y2.33 Z2.19 F1800.0
G1 X-20.7 Y-2.33 Z2.19 F1800.0
M103
G1 X-21.18 Y-2.22 Z2.19 F2400.0
M101
G1 X-21.18 Y2.22 Z2.19 F1800.0
G1 X-21.67 Y2.0 Z2.19 F1800.0
G1 X-21.67 Y-2.0 Z2.19 F1800.0
G1 X-22.15 Y-1.61 Z2.19 F1800.0
G1 X-22.15 Y1.61 Z2.19 F1800.0
G1 X-22.31 Y1.34 Z2.19 F1800.0
M108 R35.0
M102
G1 X-22.63 Y0.82 Z2.19 F1800.0
G1 X-22.63 Y-0.82 Z2.19 F1800.0
M108 R1.179
M103
G1 X-5.19 Y-5.19 Z2.19 F2400.0
G1 X-2.98 Y-17.06 Z2.19 F2400.0
M108 R35.0
M101
G1 X-2.41 Y-20.13 Z2.19 F2400.0
M108 R1.179
G1 X-2.41 Y-5.33 Z2.19 F1800.0
G1 X-1.93 Y-5.53 Z2.19 F1800.0
G1 X-1.93 Y-21.77 Z2.19 F1800.0
G1 X-1.44 Y-22.28 Z2.19 F1800.0
G1 X-1.44 Y-5.7 Z2.19 F1800.0
M103
G1 X-0.96 Y-5.76 Z2.19 F2400.0
M101
G1 X-0.96 Y-22.57 Z2.19 F1800.0
G1 X-0.48 Y-22.73 Z2.19 F1800.0
G1 X-0.48 Y-5.83 Z2.19 F1800.0
M103
G1 X-0.0 Y-5.89 Z2.19 F2400.0
M101
G1 X-0.0 Y-22.79 Z2.19 F1800.0
M103
G1 X0.48 Y-22.73 Z2.19 F2400.0
M101
G1 X0.48 Y-5.83 Z2.19 F1800.0
M103
G1 X0.96 Y-5.76 Z2.19 F2400.0
M101
G1 X0.96 Y-22.57 Z2.19 F1800.0
G1 X1.44 Y-22.28 Z2.19 F1800.0
G1 X1.44 Y-7.95 Z2.19 F1800.0
M108 R35.0
M102
G1 X1.44 Y-5.7 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.89 Y-5.13 Z2.19 F1196.593
M108 R1.179
G1 X2.89 Y-14.35 Z2.19 F1800.0
M108 R35.0
M102
G1 X2.89 Y-16.6 Z2.19 F1800.0
M108 R1.179
M103
G1 X2.95 Y-16.16 Z2.19 F2400.0
M108 R35.0
M101
G1 X3.37 Y-13.07 Z2.19 F2400.0
M108 R1.179
G1 X3.37 Y-4.78 Z2.19 F1800.0
G1 X3.85 Y-4.41 Z2.19 F1800.0
G1 X3.85 Y-7.3 Z2.19 F1800.0
M108 R35.0
M102
G1 X3.85 Y-9.55 Z2.19 F1800.0
M108 R1.179
M103
G1 X3.91 Y-9.11 Z2.19 F2400.0
M108 R35.0
M101
G1 X4.33 Y-6.02 Z2.19 F2400.0
M108 R1.179
G1 X4.33 Y-3.95 Z2.19 F1800.0
G1 X4.82 Y-4.5 Z2.19 F1800.0
G1 X4.82 Y-3.32 Z2.19 F1800.0
M103
G1 X5.3 Y-2.48 Z2.19 F2400.0
M101
G1 X5.3 Y-4.43 Z2.19 F1800.0
G1 X5.78 Y-4.37 Z2.19 F1800.0
G1 X5.78 Y-3.12 Z2.19 F1800.0
M108 R35.0
M102
G1 X5.78 Y-0.87 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X5.78 Y0.87 Z2.19 F1338.462
M108 R1.179
G1 X5.78 Y4.37 Z2.19 F1800.0
G1 X5.59 Y4.39 Z2.19 F1800.0
M108 R35.0
M102
G1 X5.3 Y4.43 Z2.19 F1800.0
G1 X5.3 Y2.48 Z2.19 F1800.0
M108 R1.179
M103
G1 X5.82 Y-1.21 Z2.19 F2400.0
M108 R35.0
M101
G1 X6.26 Y-4.3 Z2.19 F2400.0
M108 R1.179
G1 X6.26 Y2.05 Z2.19 F1800.0
M108 R35.0
M102
G1 X6.26 Y4.3 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X4.82 Y4.5 Z2.19 F1121.059
M108 R1.179
G1 X4.82 Y3.32 Z2.19 F1800.0
G1 X4.44 Y3.81 Z2.19 F1800.0
M108 R35.0
M102
G1 X4.33 Y3.95 Z2.19 F1800.0
G1 X4.33 Y6.02 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X1.44 Y5.7 Z2.19 F2235.814
M108 R1.179
G1 X1.44 Y22.28 Z2.19 F1800.0
G1 X0.96 Y22.57 Z2.19 F1800.0
G1 X0.96 Y8.02 Z2.19 F1800.0
M108 R35.0
M102
G1 X0.96 Y5.76 Z2.19 F1800.0
M108 R1.179
M103
G1 X4.67 Y4.85 Z2.19 F2400.0
M108 R35.0
M101
G1 X7.7 Y4.1 Z2.19 F2400.0
M108 R1.179
G1 X7.7 Y-4.1 Z2.19 F1800.0
M103
G1 X7.22 Y-4.17 Z2.19 F2400.0
M101
G1 X7.22 Y4.17 Z2.19 F1800.0
G1 X6.74 Y4.24 Z2.19 F1800.0
G1 X6.74 Y-1.99 Z2.19 F1800.0
M108 R35.0
M102
G1 X6.74 Y-4.24 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X8.19 Y-4.04 Z2.19 F1121.059
M108 R1.179
G1 X8.19 Y4.04 Z2.19 F1800.0
M103
G1 X8.67 Y3.97 Z2.19 F2400.0
M101
G1 X8.67 Y-1.72 Z2.19 F1800.0
M108 R35.0
M102
G1 X8.67 Y-3.97 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.11 Y-3.77 Z2.19 F1121.821
M108 R1.179
G1 X10.11 Y3.77 Z2.19 F1800.0
M103
G1 X9.63 Y3.84 Z2.19 F2400.0
M101
G1 X9.63 Y-3.84 Z2.19 F1800.0
G1 X9.15 Y-3.91 Z2.19 F1800.0
G1 X9.15 Y1.66 Z2.19 F1800.0
M108 R35.0
M102
G1 X9.15 Y3.91 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.59 Y3.71 Z2.19 F1121.059
M108 R1.179
G1 X10.59 Y-3.71 Z2.19 F1800.0
M103
G1 X11.07 Y-3.64 Z2.19 F2400.0
M101
G1 X11.07 Y1.39 Z2.19 F1800.0
M108 R35.0
M102
G1 X11.07 Y3.64 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.52 Y3.45 Z2.19 F1121.059
M108 R1.179
G1 X12.52 Y-3.45 Z2.19 F1800.0
M103
G1 X13.0 Y-3.38 Z2.19 F2400.0
M101
G1 X13.0 Y3.38 Z2.19 F1800.0
M103
G1 X13.48 Y3.31 Z2.19 F2400.0
M101
G1 X13.48 Y-1.06 Z2.19 F1800.0
M108 R35.0
M102
G1 X13.48 Y-3.31 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.04 Y-3.51 Z2.19 F1121.059
M108 R1.179
G1 X12.04 Y3.51 Z2.19 F1800.0
G1 X11.55 Y3.58 Z2.19 F1800.0
G1 X11.55 Y-1.33 Z2.19 F1800.0
M108 R35.0
M102
G1 X11.55 Y-3.58 Z2.19 F1800.0
M108 R1.179
M103
G1 X11.84 Y-3.54 Z2.19 F2400.0
M108 R35.0
M101
G1 X14.93 Y-3.12 Z2.19 F2400.0
M108 R1.179
G1 X14.93 Y3.12 Z2.19 F1800.0
M103
G1 X14.44 Y3.18 Z2.19 F2400.0
M101
G1 X14.44 Y-3.18 Z2.19 F1800.0
G1 X13.96 Y-3.25 Z2.19 F1800.0
G1 X13.96 Y1.0 Z2.19 F1800.0
M108 R35.0
M102
G1 X13.96 Y3.25 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X15.41 Y3.05 Z2.19 F1121.059
M108 R1.179
G1 X15.41 Y-3.05 Z2.19 F1800.0
M103
G1 X15.89 Y-2.99 Z2.19 F2400.0
M101
G1 X15.89 Y0.74 Z2.19 F1800.0
M108 R35.0
M102
G1 X15.89 Y2.99 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X17.33 Y2.79 Z2.19 F1121.059
M108 R1.179
G1 X17.33 Y-2.79 Z2.19 F1800.0
M103
G1 X16.85 Y-2.85 Z2.19 F2400.0
M101
G1 X16.85 Y2.85 Z2.19 F1800.0
G1 X16.37 Y2.92 Z2.19 F1800.0
G1 X16.37 Y-0.67 Z2.19 F1800.0
M108 R35.0
M102
G1 X16.37 Y-2.92 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X17.81 Y-2.72 Z2.19 F1121.059
M108 R1.179
G1 X17.81 Y2.72 Z2.19 F1800.0
M103
G1 X18.3 Y2.66 Z2.19 F2400.0
M101
G1 X18.3 Y-0.41 Z2.19 F1800.0
M108 R35.0
M102
G1 X18.3 Y-2.66 Z2.19 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X19.74 Y-2.46 Z2.19 F1121.059
M108 R1.179
G1 X19.74 Y2.46 Z2.19 F1800.0
M103
G1 X19.26 Y2.53 Z2.19 F2400.0
M101
G1 X19.26 Y-2.53 Z2.19 F1800.0
G1 X18.78 Y-2.59 Z2.19 F1800.0
G1 X18.78 Y0.34 Z2.19 F1800.0
M108 R35.0
M102
G1 X18.78 Y2.59 Z2.19 F1800.0
M108 R1.179
M103
G1 X20.29 Y1.25 Z2.19 F2400.0
M108 R35.0
M101
G1 X22.63 Y-0.82 Z2.19 F2400.0
M108 R1.179
G1 X22.63 Y0.82 Z2.19 F1800.0
G1 X22.15 Y1.61 Z2.19 F1800.0
G1 X22.15 Y-1.61 Z2.19 F1800.0
G1 X21.67 Y-2.0 Z2.19 F1800.0
G1 X21.67 Y2.0 Z2.19 F1800.0
G1 X21.18 Y2.22 Z2.19 F1800.0
G1 X21.18 Y-2.22 Z2.19 F1800.0
M103
G1 X20.7 Y-2.33 Z2.19 F2400.0
M101
G1 X20.7 Y2.33 Z2.19 F1800.0
G1 X20.22 Y2.39 Z2.19 F1800.0
G1 X20.22 Y-0.14 Z2.19 F1800.0
M108 R35.0
M102
G1 X20.22 Y-2.39 Z2.19 F1800.0
M108 R1.179
M103
G1 X5.19 Y-5.19 Z2.19 F2400.0
G1 X2.53 Y-18.71 Z2.19 F2400.0
M108 R35.0
M101
G1 X1.93 Y-21.77 Z2.19 F2400.0
M108 R1.179
G1 X1.93 Y-5.53 Z2.19 F1800.0
G1 X2.41 Y-5.33 Z2.19 F1800.0
G1 X2.41 Y-17.88 Z2.19 F1800.0
M108 R35.0
M102
G1 X2.41 Y-20.13 Z2.19 F1800.0
M108 R1.179
M103
G1 X-1.39 Y-15.49 Z2.19 F2400.0
M108 R35.0
M101
G1 X-3.37 Y-13.07 Z2.19 F2400.0
M108 R1.179
G1 X-3.37 Y-4.78 Z2.19 F1800.0
G1 X-2.89 Y-5.13 Z2.19 F1800.0
G1 X-2.89 Y-14.35 Z2.19 F1800.0
M108 R35.0
M102
G1 X-2.89 Y-16.6 Z2.19 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 2.475 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z2.475 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z2.475 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z2.475 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z2.475 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z2.475 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z2.475 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z2.475 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z2.475 </boundaryPoint>)
(<loop> inner )
G1 X-1.85 Y-8.51 Z2.4 F2400.0
M108 R35.0
M101
G1 X-1.45 Y-5.42 Z2.48 F2400.0
M108 R1.179
G1 X-2.81 Y-4.86 Z2.48 F1800.0
G1 X-3.96 Y-3.96 Z2.48 F1800.0
G1 X-4.86 Y-2.81 Z2.48 F1800.0
G1 X-5.42 Y-1.45 Z2.48 F1800.0
G1 X-5.61 Y0.0 Z2.48 F1800.0
G1 X-5.42 Y1.45 Z2.48 F1800.0
G1 X-4.86 Y2.81 Z2.48 F1800.0
G1 X-3.96 Y3.96 Z2.48 F1800.0
G1 X-2.81 Y4.86 Z2.48 F1800.0
G1 X-1.45 Y5.42 Z2.48 F1800.0
G1 X0.0 Y5.61 Z2.48 F1800.0
G1 X1.45 Y5.42 Z2.48 F1800.0
G1 X2.81 Y4.86 Z2.48 F1800.0
G1 X3.96 Y3.96 Z2.48 F1800.0
G1 X4.86 Y2.81 Z2.48 F1800.0
G1 X5.42 Y1.45 Z2.48 F1800.0
G1 X5.61 Y-0.0 Z2.48 F1800.0
G1 X5.42 Y-1.45 Z2.48 F1800.0
G1 X4.86 Y-2.81 Z2.48 F1800.0
G1 X3.96 Y-3.96 Z2.48 F1800.0
G1 X2.81 Y-4.86 Z2.48 F1800.0
G1 X1.45 Y-5.42 Z2.48 F1800.0
G1 X0.78 Y-5.51 Z2.48 F1800.0
M108 R35.0
M102
G1 X-0.0 Y-5.61 Z2.48 F1800.0
G1 X-1.45 Y-5.42 Z2.48 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
G1 X-1.55 Y-5.43 Z2.48 F2400.0
M108 R35.0
M101
G1 X-4.64 Y-5.85 Z2.48 F2400.0
M108 R1.179
G1 X-2.56 Y-21.11 Z2.48 F1800.0
G1 X-2.29 Y-21.75 Z2.48 F1800.0
G1 X-1.87 Y-22.3 Z2.48 F1800.0
G1 X-1.32 Y-22.72 Z2.48 F1800.0
G1 X-0.69 Y-22.99 Z2.48 F1800.0
G1 X0.0 Y-23.08 Z2.48 F1800.0
G1 X0.69 Y-22.99 Z2.48 F1800.0
G1 X1.32 Y-22.72 Z2.48 F1800.0
G1 X1.87 Y-22.3 Z2.48 F1800.0
G1 X2.29 Y-21.75 Z2.48 F1800.0
G1 X2.56 Y-21.11 Z2.48 F1800.0
G1 X4.79 Y-4.79 Z2.48 F1800.0
G1 X21.11 Y-2.56 Z2.48 F1800.0
G1 X21.75 Y-2.29 Z2.48 F1800.0
G1 X22.3 Y-1.87 Z2.48 F1800.0
G1 X22.72 Y-1.32 Z2.48 F1800.0
G1 X22.99 Y-0.69 Z2.48 F1800.0
G1 X23.08 Y0.0 Z2.48 F1800.0
G1 X22.99 Y0.69 Z2.48 F1800.0
G1 X22.72 Y1.32 Z2.48 F1800.0
G1 X22.3 Y1.87 Z2.48 F1800.0
G1 X21.75 Y2.29 Z2.48 F1800.0
G1 X21.11 Y2.56 Z2.48 F1800.0
G1 X4.79 Y4.79 Z2.48 F1800.0
G1 X2.56 Y21.11 Z2.48 F1800.0
G1 X2.29 Y21.75 Z2.48 F1800.0
G1 X1.87 Y22.3 Z2.48 F1800.0
G1 X1.32 Y22.72 Z2.48 F1800.0
G1 X0.69 Y22.99 Z2.48 F1800.0
G1 X0.0 Y23.08 Z2.48 F1800.0
G1 X-0.69 Y22.99 Z2.48 F1800.0
G1 X-1.32 Y22.72 Z2.48 F1800.0
G1 X-1.87 Y22.3 Z2.48 F1800.0
G1 X-2.29 Y21.75 Z2.48 F1800.0
G1 X-2.56 Y21.11 Z2.48 F1800.0
G1 X-4.79 Y4.79 Z2.48 F1800.0
G1 X-21.11 Y2.56 Z2.48 F1800.0
G1 X-21.75 Y2.29 Z2.48 F1800.0
G1 X-22.3 Y1.87 Z2.48 F1800.0
G1 X-22.72 Y1.32 Z2.48 F1800.0
G1 X-22.99 Y0.69 Z2.48 F1800.0
G1 X-23.08 Y0.0 Z2.48 F1800.0
G1 X-22.99 Y-0.69 Z2.48 F1800.0
G1 X-22.72 Y-1.32 Z2.48 F1800.0
G1 X-22.3 Y-1.87 Z2.48 F1800.0
G1 X-21.75 Y-2.29 Z2.48 F1800.0
G1 X-21.11 Y-2.56 Z2.48 F1800.0
G1 X-4.79 Y-4.79 Z2.48 F1800.0
G1 X-4.64 Y-5.85 Z2.48 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-5.07 Y-5.91 Z2.48 F2400.0
M101
G1 X-2.98 Y-21.23 Z2.48 F1800.0
G1 X-2.67 Y-21.97 Z2.48 F1800.0
G1 X-2.18 Y-22.61 Z2.48 F1800.0
G1 X-1.54 Y-23.1 Z2.48 F1800.0
G1 X-0.8 Y-23.41 Z2.48 F1800.0
G1 X0.0 Y-23.52 Z2.48 F1800.0
G1 X0.8 Y-23.41 Z2.48 F1800.0
G1 X1.54 Y-23.1 Z2.48 F1800.0
G1 X2.18 Y-22.61 Z2.48 F1800.0
G1 X2.67 Y-21.97 Z2.48 F1800.0
G1 X2.98 Y-21.23 Z2.48 F1800.0
G1 X5.17 Y-5.17 Z2.48 F1800.0
G1 X21.23 Y-2.98 Z2.48 F1800.0
G1 X21.97 Y-2.67 Z2.48 F1800.0
G1 X22.61 Y-2.18 Z2.48 F1800.0
G1 X23.1 Y-1.54 Z2.48 F1800.0
G1 X23.41 Y-0.8 Z2.48 F1800.0
G1 X23.52 Y0.0 Z2.48 F1800.0
G1 X23.41 Y0.8 Z2.48 F1800.0
G1 X23.1 Y1.54 Z2.48 F1800.0
G1 X22.61 Y2.18 Z2.48 F1800.0
G1 X21.97 Y2.67 Z2.48 F1800.0
G1 X21.23 Y2.98 Z2.48 F1800.0
G1 X5.17 Y5.17 Z2.48 F1800.0
G1 X2.98 Y21.23 Z2.48 F1800.0
G1 X2.67 Y21.97 Z2.48 F1800.0
G1 X2.18 Y22.61 Z2.48 F1800.0
G1 X1.54 Y23.1 Z2.48 F1800.0
G1 X0.8 Y23.41 Z2.48 F1800.0
G1 X-0.0 Y23.52 Z2.48 F1800.0
G1 X-0.8 Y23.41 Z2.48 F1800.0
G1 X-1.54 Y23.1 Z2.48 F1800.0
G1 X-2.18 Y22.61 Z2.48 F1800.0
G1 X-2.67 Y21.97 Z2.48 F1800.0
G1 X-2.98 Y21.23 Z2.48 F1800.0
G1 X-5.17 Y5.17 Z2.48 F1800.0
G1 X-21.23 Y2.98 Z2.48 F1800.0
G1 X-21.97 Y2.67 Z2.48 F1800.0
G1 X-22.61 Y2.18 Z2.48 F1800.0
G1 X-23.1 Y1.54 Z2.48 F1800.0
G1 X-23.41 Y0.8 Z2.48 F1800.0
G1 X-23.52 Y-0.0 Z2.48 F1800.0
G1 X-23.41 Y-0.8 Z2.48 F1800.0
G1 X-23.1 Y-1.54 Z2.48 F1800.0
G1 X-22.61 Y-2.18 Z2.48 F1800.0
G1 X-21.97 Y-2.67 Z2.48 F1800.0
G1 X-21.23 Y-2.98 Z2.48 F1800.0
G1 X-6.66 Y-4.97 Z2.48 F1800.0
M108 R35.0
M102
G1 X-5.17 Y-5.17 Z2.48 F1800.0
G1 X-5.07 Y-5.91 Z2.48 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z2.475 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z2.475 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z2.475 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z2.475 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z2.475 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z2.475 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-3.46 Y-3.81 Z2.48 F2037.982
M108 R1.179
G1 X-3.66 Y-3.66 Z2.48 F1800.0
G1 X-4.48 Y-2.59 Z2.48 F1800.0
G1 X-5.0 Y-1.34 Z2.48 F1800.0
G1 X-5.17 Y-0.0 Z2.48 F1800.0
G1 X-5.0 Y1.34 Z2.48 F1800.0
G1 X-4.48 Y2.59 Z2.48 F1800.0
G1 X-3.66 Y3.66 Z2.48 F1800.0
G1 X-2.59 Y4.48 Z2.48 F1800.0
G1 X-1.34 Y5.0 Z2.48 F1800.0
G1 X-0.0 Y5.17 Z2.48 F1800.0
G1 X1.34 Y5.0 Z2.48 F1800.0
G1 X2.59 Y4.48 Z2.48 F1800.0
G1 X3.66 Y3.66 Z2.48 F1800.0
G1 X4.48 Y2.59 Z2.48 F1800.0
G1 X5.0 Y1.34 Z2.48 F1800.0
G1 X5.17 Y0.0 Z2.48 F1800.0
G1 X5.0 Y-1.34 Z2.48 F1800.0
G1 X4.48 Y-2.59 Z2.48 F1800.0
G1 X3.66 Y-3.66 Z2.48 F1800.0
G1 X2.59 Y-4.48 Z2.48 F1800.0
G1 X1.34 Y-5.0 Z2.48 F1800.0
G1 X0.0 Y-5.17 Z2.48 F1800.0
G1 X-1.34 Y-5.0 Z2.48 F1800.0
G1 X-1.52 Y-4.92 Z2.48 F1800.0
M108 R35.0
M102
G1 X-2.59 Y-4.48 Z2.48 F1800.0
G1 X-3.46 Y-3.81 Z2.48 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z2.475 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z2.475 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z2.475 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z2.475 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X-1.49 Y-1.49 Z2.48 F2344.636
M108 R1.179
G1 X-1.82 Y-1.05 Z2.48 F1800.0
G1 X-2.03 Y-0.54 Z2.48 F1800.0
G1 X-2.1 Y0.0 Z2.48 F1800.0
G1 X-2.03 Y0.54 Z2.48 F1800.0
G1 X-1.82 Y1.05 Z2.48 F1800.0
G1 X-1.49 Y1.49 Z2.48 F1800.0
G1 X-1.05 Y1.82 Z2.48 F1800.0
G1 X-0.54 Y2.03 Z2.48 F1800.0
G1 X0.0 Y2.1 Z2.48 F1800.0
G1 X0.54 Y2.03 Z2.48 F1800.0
G1 X1.05 Y1.82 Z2.48 F1800.0
G1 X1.49 Y1.49 Z2.48 F1800.0
G1 X1.82 Y1.05 Z2.48 F1800.0
G1 X2.03 Y0.54 Z2.48 F1800.0
G1 X2.1 Y0.0 Z2.48 F1800.0
G1 X2.03 Y-0.54 Z2.48 F1800.0
G1 X1.82 Y-1.05 Z2.48 F1800.0
G1 X1.49 Y-1.49 Z2.48 F1800.0
G1 X1.05 Y-1.82 Z2.48 F1800.0
G1 X0.54 Y-2.03 Z2.48 F1800.0
G1 X0.0 Y-2.1 Z2.48 F1800.0
G1 X-0.54 Y-2.03 Z2.48 F1800.0
G1 X-1.05 Y-1.82 Z2.48 F1800.0
G1 X-1.49 Y-1.49 Z2.48 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X-1.87 Y-1.87 Z2.48 F2400.0
M101
G1 X-1.32 Y-2.29 Z2.48 F1800.0
G1 X-0.69 Y-2.56 Z2.48 F1800.0
G1 X0.0 Y-2.65 Z2.48 F1800.0
G1 X0.69 Y-2.56 Z2.48 F1800.0
G1 X1.32 Y-2.29 Z2.48 F1800.0
G1 X1.87 Y-1.87 Z2.48 F1800.0
G1 X2.29 Y-1.32 Z2.48 F1800.0
G1 X2.56 Y-0.69 Z2.48 F1800.0
G1 X2.65 Y0.0 Z2.48 F1800.0
G1 X2.56 Y0.69 Z2.48 F1800.0
G1 X2.29 Y1.32 Z2.48 F1800.0
G1 X1.87 Y1.87 Z2.48 F1800.0
G1 X1.32 Y2.29 Z2.48 F1800.0
G1 X0.69 Y2.56 Z2.48 F1800.0
G1 X0.0 Y2.65 Z2.48 F1800.0
G1 X-0.69 Y2.56 Z2.48 F1800.0
G1 X-1.32 Y2.29 Z2.48 F1800.0
G1 X-1.87 Y1.87 Z2.48 F1800.0
G1 X-2.29 Y1.32 Z2.48 F1800.0
G1 X-2.56 Y0.69 Z2.48 F1800.0
G1 X-2.65 Y0.0 Z2.48 F1800.0
G1 X-2.56 Y-0.69 Z2.48 F1800.0
G1 X-2.29 Y-1.32 Z2.48 F1800.0
G1 X-1.87 Y-1.87 Z2.48 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X-2.18 Y-2.18 Z2.48 F2400.0
M101
G1 X-1.54 Y-2.67 Z2.48 F1800.0
G1 X-0.8 Y-2.98 Z2.48 F1800.0
G1 X0.0 Y-3.08 Z2.48 F1800.0
G1 X0.8 Y-2.98 Z2.48 F1800.0
G1 X1.54 Y-2.67 Z2.48 F1800.0
G1 X2.18 Y-2.18 Z2.48 F1800.0
G1 X2.67 Y-1.54 Z2.48 F1800.0
G1 X2.98 Y-0.8 Z2.48 F1800.0
G1 X3.08 Y0.0 Z2.48 F1800.0
G1 X2.98 Y0.8 Z2.48 F1800.0
G1 X2.67 Y1.54 Z2.48 F1800.0
G1 X2.18 Y2.18 Z2.48 F1800.0
G1 X1.54 Y2.67 Z2.48 F1800.0
G1 X0.8 Y2.98 Z2.48 F1800.0
G1 X-0.0 Y3.08 Z2.48 F1800.0
G1 X-0.8 Y2.98 Z2.48 F1800.0
G1 X-1.54 Y2.67 Z2.48 F1800.0
G1 X-2.18 Y2.18 Z2.48 F1800.0
G1 X-2.67 Y1.54 Z2.48 F1800.0
G1 X-2.98 Y0.8 Z2.48 F1800.0
G1 X-3.08 Y-0.0 Z2.48 F1800.0
G1 X-3.06 Y-0.16 Z2.48 F1800.0
M108 R35.0
M102
G1 X-2.98 Y-0.8 Z2.48 F1800.0
G1 X-2.67 Y-1.54 Z2.48 F1800.0
G1 X-2.18 Y-2.18 Z2.48 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z2.475 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z2.475 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z2.475 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z2.475 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-1.18 Y-1.18 Z2.48 F1093.296
M108 R1.179
G1 X-1.44 Y-0.83 Z2.48 F1800.0
G1 X-1.61 Y-0.43 Z2.48 F1800.0
G1 X-1.66 Y0.0 Z2.48 F1800.0
G1 X-1.61 Y0.43 Z2.48 F1800.0
G1 X-1.44 Y0.83 Z2.48 F1800.0
G1 X-1.18 Y1.18 Z2.48 F1800.0
G1 X-0.83 Y1.44 Z2.48 F1800.0
G1 X-0.43 Y1.61 Z2.48 F1800.0
G1 X0.0 Y1.66 Z2.48 F1800.0
G1 X0.43 Y1.61 Z2.48 F1800.0
G1 X0.83 Y1.44 Z2.48 F1800.0
G1 X1.18 Y1.18 Z2.48 F1800.0
G1 X1.44 Y0.83 Z2.48 F1800.0
G1 X1.61 Y0.43 Z2.48 F1800.0
G1 X1.66 Y0.0 Z2.48 F1800.0
G1 X1.61 Y-0.43 Z2.48 F1800.0
G1 X1.44 Y-0.83 Z2.48 F1800.0
G1 X1.18 Y-1.18 Z2.48 F1800.0
G1 X0.89 Y-1.39 Z2.48 F1800.0
M108 R35.0
M102
G1 X0.83 Y-1.44 Z2.48 F1800.0
G1 X0.43 Y-1.61 Z2.48 F1800.0
G1 X0.0 Y-1.66 Z2.48 F1800.0
G1 X-0.43 Y-1.61 Z2.48 F1800.0
G1 X-0.83 Y-1.44 Z2.48 F1800.0
G1 X-1.18 Y-1.18 Z2.48 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X-3.41 Y-2.63 Z2.48 F2400.0
M108 R35.0
M101
G1 X-6.02 Y-4.33 Z2.48 F2400.0
M108 R1.179
G1 X-3.95 Y-4.33 Z2.48 F1800.0
G1 X-4.5 Y-4.77 Z2.48 F1800.0
G1 X-3.38 Y-4.77 Z2.48 F1800.0
M103
G1 X-2.71 Y-5.2 Z2.48 F2400.0
M101
G1 X-4.45 Y-5.2 Z2.48 F1800.0
G1 X-4.39 Y-5.63 Z2.48 F1800.0
G1 X-3.92 Y-5.63 Z2.48 F1800.0
M108 R35.0
M102
G1 X-1.67 Y-5.63 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.33 Y-6.07 Z2.48 F2073.969
M108 R1.179
G1 X4.33 Y-6.07 Z2.48 F1800.0
G1 X4.27 Y-6.5 Z2.48 F1800.0
G1 X-4.27 Y-6.5 Z2.48 F1800.0
M103
G1 X-4.21 Y-6.93 Z2.48 F2400.0
M101
G1 X4.21 Y-6.93 Z2.48 F1800.0
G1 X4.15 Y-7.37 Z2.48 F1800.0
G1 X-4.15 Y-7.37 Z2.48 F1800.0
M103
G1 X-4.09 Y-7.8 Z2.48 F2400.0
M101
G1 X4.09 Y-7.8 Z2.48 F1800.0
M103
G1 X4.03 Y-8.23 Z2.48 F2400.0
M101
G1 X-4.03 Y-8.23 Z2.48 F1800.0
M103
G1 X-3.97 Y-8.67 Z2.48 F2400.0
M101
G1 X3.97 Y-8.67 Z2.48 F1800.0
M103
G1 X3.91 Y-9.1 Z2.48 F2400.0
M101
G1 X-3.91 Y-9.1 Z2.48 F1800.0
G1 X-3.85 Y-9.53 Z2.48 F1800.0
G1 X3.85 Y-9.53 Z2.48 F1800.0
M103
G1 X3.79 Y-9.97 Z2.48 F2400.0
M101
G1 X-3.79 Y-9.97 Z2.48 F1800.0
G1 X-3.73 Y-10.4 Z2.48 F1800.0
G1 X3.73 Y-10.4 Z2.48 F1800.0
M103
G1 X3.68 Y-10.83 Z2.48 F2400.0
M101
G1 X-3.68 Y-10.83 Z2.48 F1800.0
G1 X-3.62 Y-11.27 Z2.48 F1800.0
G1 X3.62 Y-11.27 Z2.48 F1800.0
M103
G1 X3.56 Y-11.7 Z2.48 F2400.0
M101
G1 X-3.56 Y-11.7 Z2.48 F1800.0
G1 X-3.5 Y-12.13 Z2.48 F1800.0
G1 X3.5 Y-12.13 Z2.48 F1800.0
M103
G1 X3.44 Y-12.57 Z2.48 F2400.0
M101
G1 X-3.44 Y-12.57 Z2.48 F1800.0
M103
G1 X-3.38 Y-13.0 Z2.48 F2400.0
M101
G1 X3.38 Y-13.0 Z2.48 F1800.0
M103
G1 X3.32 Y-13.43 Z2.48 F2400.0
M101
G1 X-3.32 Y-13.43 Z2.48 F1800.0
M103
G1 X-3.26 Y-13.87 Z2.48 F2400.0
M101
G1 X3.26 Y-13.87 Z2.48 F1800.0
G1 X3.2 Y-14.3 Z2.48 F1800.0
G1 X-3.2 Y-14.3 Z2.48 F1800.0
M103
G1 X-3.14 Y-14.73 Z2.48 F2400.0
M101
G1 X3.14 Y-14.73 Z2.48 F1800.0
G1 X3.08 Y-15.17 Z2.48 F1800.0
G1 X-3.08 Y-15.17 Z2.48 F1800.0
M103
G1 X-3.02 Y-15.6 Z2.48 F2400.0
M101
G1 X3.02 Y-15.6 Z2.48 F1800.0
G1 X2.97 Y-16.03 Z2.48 F1800.0
G1 X-2.97 Y-16.03 Z2.48 F1800.0
M103
G1 X-2.91 Y-16.47 Z2.48 F2400.0
M101
G1 X2.91 Y-16.47 Z2.48 F1800.0
G1 X2.85 Y-16.9 Z2.48 F1800.0
G1 X-2.85 Y-16.9 Z2.48 F1800.0
M103
G1 X-2.79 Y-17.33 Z2.48 F2400.0
M101
G1 X2.79 Y-17.33 Z2.48 F1800.0
M103
G1 X2.73 Y-17.77 Z2.48 F2400.0
M101
G1 X-2.73 Y-17.77 Z2.48 F1800.0
M103
G1 X-2.67 Y-18.2 Z2.48 F2400.0
M101
G1 X2.67 Y-18.2 Z2.48 F1800.0
M103
G1 X2.61 Y-18.63 Z2.48 F2400.0
M101
G1 X-2.61 Y-18.63 Z2.48 F1800.0
G1 X-2.55 Y-19.07 Z2.48 F1800.0
G1 X2.55 Y-19.07 Z2.48 F1800.0
M103
G1 X2.49 Y-19.5 Z2.48 F2400.0
M101
G1 X-2.49 Y-19.5 Z2.48 F1800.0
G1 X-2.43 Y-19.93 Z2.48 F1800.0
G1 X2.43 Y-19.93 Z2.48 F1800.0
M103
G1 X2.38 Y-20.37 Z2.48 F2400.0
M101
G1 X-2.38 Y-20.37 Z2.48 F1800.0
G1 X-2.31 Y-20.8 Z2.48 F1800.0
G1 X2.31 Y-20.8 Z2.48 F1800.0
M103
G1 X2.2 Y-21.23 Z2.48 F2400.0
M101
G1 X-2.2 Y-21.23 Z2.48 F1800.0
G1 X-2.0 Y-21.67 Z2.48 F1800.0
G1 X2.0 Y-21.67 Z2.48 F1800.0
G1 X1.67 Y-22.1 Z2.48 F1800.0
G1 X-1.67 Y-22.1 Z2.48 F1800.0
G1 X-1.17 Y-22.45 Z2.48 F1800.0
M108 R35.0
M102
G1 X-1.05 Y-22.53 Z2.48 F1800.0
G1 X1.05 Y-22.53 Z2.48 F1800.0
M108 R1.179
M103
G1 X1.55 Y-8.75 Z2.48 F2400.0
M108 R35.0
M101
G1 X1.67 Y-5.63 Z2.48 F2400.0
M108 R1.179
G1 X4.39 Y-5.63 Z2.48 F1800.0
G1 X4.45 Y-5.2 Z2.48 F1800.0
G1 X2.71 Y-5.2 Z2.48 F1800.0
M103
G1 X3.38 Y-4.77 Z2.48 F2400.0
M101
G1 X4.5 Y-4.77 Z2.48 F1800.0
G1 X4.09 Y-4.44 Z2.48 F1800.0
M108 R35.0
M102
G1 X3.95 Y-4.33 Z2.48 F1800.0
G1 X6.02 Y-4.33 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X5.04 Y-3.03 Z2.48 F1254.63
M108 R1.179
G1 X13.29 Y-3.03 Z2.48 F1800.0
M108 R35.0
M102
G1 X15.54 Y-3.03 Z2.48 F1800.0
M108 R1.179
M103
G1 X15.63 Y-3.02 Z2.48 F2400.0
M108 R35.0
M101
G1 X18.72 Y-2.6 Z2.48 F2400.0
M108 R1.179
G1 X5.25 Y-2.6 Z2.48 F1800.0
M103
G1 X5.43 Y-2.17 Z2.48 F2400.0
M101
G1 X21.32 Y-2.17 Z2.48 F1800.0
G1 X22.02 Y-1.73 Z2.48 F1800.0
G1 X5.61 Y-1.73 Z2.48 F1800.0
M103
G1 X5.72 Y-1.3 Z2.48 F2400.0
M101
G1 X22.39 Y-1.3 Z2.48 F1800.0
G1 X22.61 Y-0.87 Z2.48 F1800.0
G1 X5.78 Y-0.87 Z2.48 F1800.0
M103
G1 X5.83 Y-0.43 Z2.48 F2400.0
M101
G1 X22.74 Y-0.43 Z2.48 F1800.0
M103
G1 X22.79 Y-0.0 Z2.48 F2400.0
M101
G1 X5.89 Y-0.0 Z2.48 F1800.0
M103
G1 X5.83 Y0.43 Z2.48 F2400.0
M101
G1 X22.74 Y0.43 Z2.48 F1800.0
G1 X22.61 Y0.87 Z2.48 F1800.0
G1 X5.78 Y0.87 Z2.48 F1800.0
M103
G1 X5.72 Y1.3 Z2.48 F2400.0
M101
G1 X22.39 Y1.3 Z2.48 F1800.0
G1 X22.02 Y1.73 Z2.48 F1800.0
G1 X5.61 Y1.73 Z2.48 F1800.0
M103
G1 X5.43 Y2.17 Z2.48 F2400.0
M101
G1 X19.07 Y2.17 Z2.48 F1800.0
M108 R35.0
M102
G1 X21.32 Y2.17 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X18.72 Y2.6 Z2.48 F2031.339
M108 R1.179
G1 X5.25 Y2.6 Z2.48 F1800.0
M103
G1 X5.04 Y3.03 Z2.48 F2400.0
M101
G1 X13.29 Y3.03 Z2.48 F1800.0
M108 R35.0
M102
G1 X15.54 Y3.03 Z2.48 F1800.0
M108 R1.179
M103
G1 X15.46 Y3.04 Z2.48 F2400.0
M108 R35.0
M101
G1 X12.37 Y3.47 Z2.48 F2400.0
M108 R1.179
G1 X4.7 Y3.47 Z2.48 F1800.0
G1 X4.37 Y3.9 Z2.48 F1800.0
G1 X6.95 Y3.9 Z2.48 F1800.0
M108 R35.0
M102
G1 X9.2 Y3.9 Z2.48 F1800.0
M108 R1.179
M103
G1 X9.11 Y3.91 Z2.48 F2400.0
M108 R35.0
M101
G1 X6.02 Y4.33 Z2.48 F2400.0
M108 R1.179
G1 X3.95 Y4.33 Z2.48 F1800.0
G1 X4.5 Y4.77 Z2.48 F1800.0
G1 X3.38 Y4.77 Z2.48 F1800.0
M103
G1 X2.71 Y5.2 Z2.48 F2400.0
M101
G1 X4.45 Y5.2 Z2.48 F1800.0
G1 X4.39 Y5.63 Z2.48 F1800.0
G1 X3.92 Y5.63 Z2.48 F1800.0
M108 R35.0
M102
G1 X1.67 Y5.63 Z2.48 F1800.0
M108 R1.179
M103
G1 X1.76 Y5.72 Z2.48 F2400.0
M108 R35.0
M101
G1 X4.09 Y7.8 Z2.48 F2400.0
M108 R1.179
G1 X-4.09 Y7.8 Z2.48 F1800.0
M103
G1 X-4.03 Y8.23 Z2.48 F2400.0
M101
G1 X4.03 Y8.23 Z2.48 F1800.0
M103
G1 X3.97 Y8.67 Z2.48 F2400.0
M101
G1 X-1.72 Y8.67 Z2.48 F1800.0
M108 R35.0
M102
G1 X-3.97 Y8.67 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.15 Y7.37 Z2.48 F1009.226
M108 R1.179
G1 X4.15 Y7.37 Z2.48 F1800.0
G1 X4.21 Y6.93 Z2.48 F1800.0
G1 X-4.21 Y6.93 Z2.48 F1800.0
M103
G1 X-4.27 Y6.5 Z2.48 F2400.0
M101
G1 X4.27 Y6.5 Z2.48 F1800.0
G1 X4.33 Y6.07 Z2.48 F1800.0
G1 X-2.08 Y6.07 Z2.48 F1800.0
M108 R35.0
M102
G1 X-4.33 Y6.07 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-4.5 Y4.77 Z2.48 F1009.226
M108 R1.179
G1 X-3.38 Y4.77 Z2.48 F1800.0
G1 X-3.81 Y4.44 Z2.48 F1800.0
M108 R35.0
M102
G1 X-3.95 Y4.33 Z2.48 F1800.0
G1 X-6.02 Y4.33 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-5.04 Y3.03 Z2.48 F1254.63
M108 R1.179
G1 X-13.29 Y3.03 Z2.48 F1800.0
M108 R35.0
M102
G1 X-15.54 Y3.03 Z2.48 F1800.0
M108 R1.179
M103
G1 X-15.63 Y3.02 Z2.48 F2400.0
M108 R35.0
M101
G1 X-18.72 Y2.6 Z2.48 F2400.0
M108 R1.179
G1 X-5.25 Y2.6 Z2.48 F1800.0
M103
G1 X-5.43 Y2.17 Z2.48 F2400.0
M101
G1 X-21.32 Y2.17 Z2.48 F1800.0
G1 X-22.02 Y1.73 Z2.48 F1800.0
G1 X-5.61 Y1.73 Z2.48 F1800.0
M103
G1 X-5.72 Y1.3 Z2.48 F2400.0
M101
G1 X-22.39 Y1.3 Z2.48 F1800.0
G1 X-22.61 Y0.87 Z2.48 F1800.0
G1 X-5.78 Y0.87 Z2.48 F1800.0
M103
G1 X-5.83 Y0.43 Z2.48 F2400.0
M101
G1 X-22.74 Y0.43 Z2.48 F1800.0
M103
G1 X-22.79 Y0.0 Z2.48 F2400.0
M101
G1 X-5.89 Y0.0 Z2.48 F1800.0
M103
G1 X-5.83 Y-0.43 Z2.48 F2400.0
M101
G1 X-22.74 Y-0.43 Z2.48 F1800.0
G1 X-22.61 Y-0.87 Z2.48 F1800.0
G1 X-5.78 Y-0.87 Z2.48 F1800.0
M103
G1 X-5.72 Y-1.3 Z2.48 F2400.0
M101
G1 X-22.39 Y-1.3 Z2.48 F1800.0
G1 X-22.02 Y-1.73 Z2.48 F1800.0
G1 X-5.61 Y-1.73 Z2.48 F1800.0
M103
G1 X-5.43 Y-2.17 Z2.48 F2400.0
M101
G1 X-19.07 Y-2.17 Z2.48 F1800.0
M108 R35.0
M102
G1 X-21.32 Y-2.17 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-18.72 Y-2.6 Z2.48 F2031.339
M108 R1.179
G1 X-5.25 Y-2.6 Z2.48 F1800.0
M103
G1 X-5.04 Y-3.03 Z2.48 F2400.0
M101
G1 X-13.29 Y-3.03 Z2.48 F1800.0
M108 R35.0
M102
G1 X-15.54 Y-3.03 Z2.48 F1800.0
M108 R1.179
M103
G1 X-15.46 Y-3.04 Z2.48 F2400.0
M108 R35.0
M101
G1 X-12.37 Y-3.47 Z2.48 F2400.0
M108 R1.179
G1 X-4.7 Y-3.47 Z2.48 F1800.0
G1 X-4.37 Y-3.9 Z2.48 F1800.0
G1 X-6.95 Y-3.9 Z2.48 F1800.0
M108 R35.0
M102
G1 X-9.2 Y-3.9 Z2.48 F1800.0
M108 R1.179
M103
G1 X-11.13 Y0.6 Z2.48 F2400.0
M108 R35.0
M101
G1 X-12.37 Y3.47 Z2.48 F2400.0
M108 R1.179
G1 X-4.7 Y3.47 Z2.48 F1800.0
G1 X-4.37 Y3.9 Z2.48 F1800.0
G1 X-6.95 Y3.9 Z2.48 F1800.0
M108 R35.0
M102
G1 X-9.2 Y3.9 Z2.48 F1800.0
M108 R1.179
M103
G1 X-4.71 Y4.93 Z2.48 F2400.0
M108 R35.0
M101
G1 X-1.67 Y5.63 Z2.48 F2400.0
M108 R1.179
G1 X-4.31 Y5.63 Z2.48 F1800.0
M108 R35.0
M102
G1 X-4.39 Y5.63 Z2.48 F1800.0
G1 X-4.45 Y5.2 Z2.48 F1800.0
G1 X-2.71 Y5.2 Z2.48 F1800.0
M108 R1.179
M103
G1 X-3.13 Y9.46 Z2.48 F2400.0
M108 R35.0
M101
G1 X-3.44 Y12.57 Z2.48 F2400.0
M108 R1.179
G1 X3.44 Y12.57 Z2.48 F1800.0
M103
G1 X3.38 Y13.0 Z2.48 F2400.0
M101
G1 X-3.38 Y13.0 Z2.48 F1800.0
M103
G1 X-3.32 Y13.43 Z2.48 F2400.0
M101
G1 X1.07 Y13.43 Z2.48 F1800.0
M108 R35.0
M102
G1 X3.32 Y13.43 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X3.5 Y12.13 Z2.48 F1009.33
M108 R1.179
G1 X-3.5 Y12.13 Z2.48 F1800.0
G1 X-3.56 Y11.7 Z2.48 F1800.0
G1 X3.56 Y11.7 Z2.48 F1800.0
M103
G1 X3.62 Y11.27 Z2.48 F2400.0
M101
G1 X-3.62 Y11.27 Z2.48 F1800.0
G1 X-3.68 Y10.83 Z2.48 F1800.0
G1 X3.68 Y10.83 Z2.48 F1800.0
M103
G1 X3.73 Y10.4 Z2.48 F2400.0
M101
G1 X-3.73 Y10.4 Z2.48 F1800.0
G1 X-3.79 Y9.97 Z2.48 F1800.0
G1 X3.79 Y9.97 Z2.48 F1800.0
M103
G1 X3.85 Y9.53 Z2.48 F2400.0
M101
G1 X-3.85 Y9.53 Z2.48 F1800.0
G1 X-3.91 Y9.1 Z2.48 F1800.0
G1 X1.66 Y9.1 Z2.48 F1800.0
M108 R35.0
M102
G1 X3.91 Y9.1 Z2.48 F1800.0
M108 R1.179
M103
G1 X3.21 Y14.24 Z2.48 F2400.0
M108 R35.0
M101
G1 X2.79 Y17.33 Z2.48 F2400.0
M108 R1.179
G1 X-2.79 Y17.33 Z2.48 F1800.0
M103
G1 X-2.85 Y16.9 Z2.48 F2400.0
M101
G1 X2.85 Y16.9 Z2.48 F1800.0
G1 X2.91 Y16.47 Z2.48 F1800.0
G1 X-2.91 Y16.47 Z2.48 F1800.0
M103
G1 X-2.97 Y16.03 Z2.48 F2400.0
M101
G1 X2.97 Y16.03 Z2.48 F1800.0
G1 X3.02 Y15.6 Z2.48 F1800.0
G1 X-3.02 Y15.6 Z2.48 F1800.0
M103
G1 X-3.08 Y15.17 Z2.48 F2400.0
M101
G1 X3.08 Y15.17 Z2.48 F1800.0
G1 X3.14 Y14.73 Z2.48 F1800.0
G1 X-3.14 Y14.73 Z2.48 F1800.0
M103
G1 X-3.2 Y14.3 Z2.48 F2400.0
M101
G1 X3.2 Y14.3 Z2.48 F1800.0
G1 X3.26 Y13.87 Z2.48 F1800.0
G1 X-1.01 Y13.87 Z2.48 F1800.0
M108 R35.0
M102
G1 X-3.26 Y13.87 Z2.48 F1800.0
M108 R1.179
M103
G1 X-3.15 Y14.68 Z2.48 F2400.0
M108 R35.0
M101
G1 X-2.73 Y17.77 Z2.48 F2400.0
M108 R1.179
G1 X2.73 Y17.77 Z2.48 F1800.0
M103
G1 X2.67 Y18.2 Z2.48 F2400.0
M101
G1 X-0.42 Y18.2 Z2.48 F1800.0
M108 R35.0
M102
G1 X-2.67 Y18.2 Z2.48 F1800.0
M108 R1.179
M103
G1 X-0.53 Y18.56 Z2.48 F2400.0
M108 R35.0
M101
G1 X2.55 Y19.07 Z2.48 F2400.0
M108 R1.179
G1 X-2.55 Y19.07 Z2.48 F1800.0
G1 X-2.61 Y18.63 Z2.48 F1800.0
G1 X0.36 Y18.63 Z2.48 F1800.0
M108 R35.0
M102
G1 X2.61 Y18.63 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.43 Y19.93 Z2.48 F1009.226
M108 R1.179
G1 X-2.43 Y19.93 Z2.48 F1800.0
G1 X-2.49 Y19.5 Z2.48 F1800.0
G1 X0.24 Y19.5 Z2.48 F1800.0
M108 R35.0
M102
G1 X2.49 Y19.5 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.31 Y20.8 Z2.48 F1009.33
M108 R1.179
G1 X-2.31 Y20.8 Z2.48 F1800.0
G1 X-2.38 Y20.37 Z2.48 F1800.0
G1 X0.13 Y20.37 Z2.48 F1800.0
M108 R35.0
M102
G1 X2.38 Y20.37 Z2.48 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X1.05 Y22.53 Z2.48 F1954.636
M108 R1.179
G1 X-1.05 Y22.53 Z2.48 F1800.0
G1 X-1.67 Y22.1 Z2.48 F1800.0
G1 X1.67 Y22.1 Z2.48 F1800.0
G1 X2.0 Y21.67 Z2.48 F1800.0
G1 X-2.0 Y21.67 Z2.48 F1800.0
G1 X-2.2 Y21.23 Z2.48 F1800.0
G1 X-0.05 Y21.23 Z2.48 F1800.0
M108 R35.0
M102
G1 X2.2 Y21.23 Z2.48 F1800.0
M108 R1.179
M103
G1 X5.19 Y5.19 Z2.48 F2400.0
G1 X10.38 Y-1.06 Z2.48 F2400.0
M108 R35.0
M101
G1 X12.37 Y-3.47 Z2.48 F2400.0
M108 R1.179
G1 X4.7 Y-3.47 Z2.48 F1800.0
G1 X4.37 Y-3.9 Z2.48 F1800.0
G1 X6.95 Y-3.9 Z2.48 F1800.0
M108 R35.0
M102
G1 X9.2 Y-3.9 Z2.48 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 2.765 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X23.291 Y1.651 Z2.765 </boundaryPoint>)
(<boundaryPoint> X22.766 Y2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X22.082 Y2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X21.286 Y3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X5.363 Y5.363 Z2.765 </boundaryPoint>)
(<boundaryPoint> X3.189 Y21.286 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.86 Y22.082 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.335 Y22.766 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.651 Y23.291 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.855 Y23.621 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y23.733 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y23.621 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y23.291 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y22.766 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y22.082 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y21.286 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y5.363 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y1.651 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y0.855 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-23.733 Y-0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-23.621 Y-0.855 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-23.291 Y-1.651 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-22.766 Y-2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-22.082 Y-2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-21.286 Y-3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-5.363 Y-5.363 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-21.286 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-22.082 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-22.766 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-23.291 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-23.621 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-23.733 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-23.621 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-23.291 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-22.766 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-22.082 Z2.765 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-21.286 Z2.765 </boundaryPoint>)
(<boundaryPoint> X5.363 Y-5.363 Z2.765 </boundaryPoint>)
(<boundaryPoint> X21.286 Y-3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X22.082 Y-2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X22.766 Y-2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X23.291 Y-1.651 Z2.765 </boundaryPoint>)
(<boundaryPoint> X23.621 Y-0.855 Z2.765 </boundaryPoint>)
(<boundaryPoint> X23.733 Y0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X23.621 Y0.855 Z2.765 </boundaryPoint>)
(<loop> inner )
G1 X7.98 Y-3.4 Z2.56 F2400.0
M108 R35.0
M101
G1 X5.11 Y-2.21 Z2.77 F2400.0
M108 R1.179
G1 X4.86 Y-2.81 Z2.77 F1800.0
G1 X3.96 Y-3.96 Z2.77 F1800.0
G1 X2.81 Y-4.86 Z2.77 F1800.0
G1 X1.45 Y-5.42 Z2.77 F1800.0
G1 X-0.0 Y-5.61 Z2.77 F1800.0
G1 X-1.45 Y-5.42 Z2.77 F1800.0
G1 X-2.81 Y-4.86 Z2.77 F1800.0
G1 X-3.96 Y-3.96 Z2.77 F1800.0
G1 X-4.86 Y-2.81 Z2.77 F1800.0
G1 X-5.42 Y-1.45 Z2.77 F1800.0
G1 X-5.61 Y0.0 Z2.77 F1800.0
G1 X-5.42 Y1.45 Z2.77 F1800.0
G1 X-4.86 Y2.81 Z2.77 F1800.0
G1 X-3.96 Y3.96 Z2.77 F1800.0
G1 X-2.81 Y4.86 Z2.77 F1800.0
G1 X-1.45 Y5.42 Z2.77 F1800.0
G1 X0.0 Y5.61 Z2.77 F1800.0
G1 X1.45 Y5.42 Z2.77 F1800.0
G1 X2.81 Y4.86 Z2.77 F1800.0
G1 X3.96 Y3.96 Z2.77 F1800.0
G1 X4.86 Y2.81 Z2.77 F1800.0
G1 X5.42 Y1.45 Z2.77 F1800.0
G1 X5.61 Y-0.0 Z2.77 F1800.0
G1 X5.6 Y-0.03 Z2.77 F1800.0
M108 R35.0
M102
G1 X5.42 Y-1.45 Z2.77 F1800.0
G1 X5.11 Y-2.21 Z2.77 F1800.0
M108 R1.179
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X5.45 Y-4.7 Z2.77 F1933.158
M108 R1.179
G1 X21.11 Y-2.56 Z2.77 F1800.0
G1 X21.75 Y-2.29 Z2.77 F1800.0
G1 X22.3 Y-1.87 Z2.77 F1800.0
G1 X22.72 Y-1.32 Z2.77 F1800.0
G1 X22.99 Y-0.69 Z2.77 F1800.0
G1 X23.08 Y0.0 Z2.77 F1800.0
G1 X22.99 Y0.69 Z2.77 F1800.0
G1 X22.72 Y1.32 Z2.77 F1800.0
G1 X22.3 Y1.87 Z2.77 F1800.0
G1 X21.75 Y2.29 Z2.77 F1800.0
G1 X21.11 Y2.56 Z2.77 F1800.0
G1 X4.79 Y4.79 Z2.77 F1800.0
G1 X2.56 Y21.11 Z2.77 F1800.0
G1 X2.29 Y21.75 Z2.77 F1800.0
G1 X1.87 Y22.3 Z2.77 F1800.0
G1 X1.32 Y22.72 Z2.77 F1800.0
G1 X0.69 Y22.99 Z2.77 F1800.0
G1 X0.0 Y23.08 Z2.77 F1800.0
G1 X-0.69 Y22.99 Z2.77 F1800.0
G1 X-1.32 Y22.72 Z2.77 F1800.0
G1 X-1.87 Y22.3 Z2.77 F1800.0
G1 X-2.29 Y21.75 Z2.77 F1800.0
G1 X-2.56 Y21.11 Z2.77 F1800.0
G1 X-4.79 Y4.79 Z2.77 F1800.0
G1 X-21.11 Y2.56 Z2.77 F1800.0
G1 X-21.75 Y2.29 Z2.77 F1800.0
G1 X-22.3 Y1.87 Z2.77 F1800.0
G1 X-22.72 Y1.32 Z2.77 F1800.0
G1 X-22.99 Y0.69 Z2.77 F1800.0
G1 X-23.08 Y0.0 Z2.77 F1800.0
G1 X-22.99 Y-0.69 Z2.77 F1800.0
G1 X-22.72 Y-1.32 Z2.77 F1800.0
G1 X-22.3 Y-1.87 Z2.77 F1800.0
G1 X-21.75 Y-2.29 Z2.77 F1800.0
G1 X-21.11 Y-2.56 Z2.77 F1800.0
G1 X-4.79 Y-4.79 Z2.77 F1800.0
G1 X-2.56 Y-21.11 Z2.77 F1800.0
G1 X-2.29 Y-21.75 Z2.77 F1800.0
G1 X-1.87 Y-22.3 Z2.77 F1800.0
G1 X-1.32 Y-22.72 Z2.77 F1800.0
G1 X-0.69 Y-22.99 Z2.77 F1800.0
G1 X0.0 Y-23.08 Z2.77 F1800.0
G1 X0.69 Y-22.99 Z2.77 F1800.0
G1 X1.32 Y-22.72 Z2.77 F1800.0
G1 X1.87 Y-22.3 Z2.77 F1800.0
G1 X2.29 Y-21.75 Z2.77 F1800.0
G1 X2.56 Y-21.11 Z2.77 F1800.0
G1 X4.79 Y-4.79 Z2.77 F1800.0
G1 X5.45 Y-4.7 Z2.77 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X5.5 Y-5.13 Z2.77 F2400.0
M101
G1 X21.23 Y-2.98 Z2.77 F1800.0
G1 X21.97 Y-2.67 Z2.77 F1800.0
G1 X22.61 Y-2.18 Z2.77 F1800.0
G1 X23.1 Y-1.54 Z2.77 F1800.0
G1 X23.41 Y-0.8 Z2.77 F1800.0
G1 X23.52 Y0.0 Z2.77 F1800.0
G1 X23.41 Y0.8 Z2.77 F1800.0
G1 X23.1 Y1.54 Z2.77 F1800.0
G1 X22.61 Y2.18 Z2.77 F1800.0
G1 X21.97 Y2.67 Z2.77 F1800.0
G1 X21.23 Y2.98 Z2.77 F1800.0
G1 X5.17 Y5.17 Z2.77 F1800.0
G1 X2.98 Y21.23 Z2.77 F1800.0
G1 X2.67 Y21.97 Z2.77 F1800.0
G1 X2.18 Y22.61 Z2.77 F1800.0
G1 X1.54 Y23.1 Z2.77 F1800.0
G1 X0.8 Y23.41 Z2.77 F1800.0
G1 X-0.0 Y23.52 Z2.77 F1800.0
G1 X-0.8 Y23.41 Z2.77 F1800.0
G1 X-1.54 Y23.1 Z2.77 F1800.0
G1 X-2.18 Y22.61 Z2.77 F1800.0
G1 X-2.67 Y21.97 Z2.77 F1800.0
G1 X-2.98 Y21.23 Z2.77 F1800.0
G1 X-5.17 Y5.17 Z2.77 F1800.0
G1 X-21.23 Y2.98 Z2.77 F1800.0
G1 X-21.97 Y2.67 Z2.77 F1800.0
G1 X-22.61 Y2.18 Z2.77 F1800.0
G1 X-23.1 Y1.54 Z2.77 F1800.0
G1 X-23.41 Y0.8 Z2.77 F1800.0
G1 X-23.52 Y-0.0 Z2.77 F1800.0
G1 X-23.41 Y-0.8 Z2.77 F1800.0
G1 X-23.1 Y-1.54 Z2.77 F1800.0
G1 X-22.61 Y-2.18 Z2.77 F1800.0
G1 X-21.97 Y-2.67 Z2.77 F1800.0
G1 X-21.23 Y-2.98 Z2.77 F1800.0
G1 X-5.17 Y-5.17 Z2.77 F1800.0
G1 X-2.98 Y-21.23 Z2.77 F1800.0
G1 X-2.67 Y-21.97 Z2.77 F1800.0
G1 X-2.18 Y-22.61 Z2.77 F1800.0
G1 X-1.54 Y-23.1 Z2.77 F1800.0
G1 X-0.8 Y-23.41 Z2.77 F1800.0
G1 X0.0 Y-23.52 Z2.77 F1800.0
G1 X0.8 Y-23.41 Z2.77 F1800.0
G1 X1.54 Y-23.1 Z2.77 F1800.0
G1 X2.18 Y-22.61 Z2.77 F1800.0
G1 X2.67 Y-21.97 Z2.77 F1800.0
G1 X2.98 Y-21.23 Z2.77 F1800.0
G1 X4.91 Y-7.07 Z2.77 F1800.0
M108 R35.0
M102
G1 X5.17 Y-5.17 Z2.77 F1800.0
G1 X5.5 Y-5.13 Z2.77 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X4.953 Y0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z2.765 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z2.765 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y1.282 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z2.765 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z2.765 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z2.765 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z2.765 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.66 Y-3.66 Z2.77 F1815.826
M108 R1.179
G1 X2.59 Y-4.48 Z2.77 F1800.0
G1 X1.34 Y-5.0 Z2.77 F1800.0
G1 X0.0 Y-5.17 Z2.77 F1800.0
G1 X-1.34 Y-5.0 Z2.77 F1800.0
G1 X-2.59 Y-4.48 Z2.77 F1800.0
G1 X-3.66 Y-3.66 Z2.77 F1800.0
G1 X-4.48 Y-2.59 Z2.77 F1800.0
G1 X-5.0 Y-1.34 Z2.77 F1800.0
G1 X-5.17 Y-0.0 Z2.77 F1800.0
G1 X-5.0 Y1.34 Z2.77 F1800.0
G1 X-4.48 Y2.59 Z2.77 F1800.0
G1 X-3.66 Y3.66 Z2.77 F1800.0
G1 X-2.59 Y4.48 Z2.77 F1800.0
G1 X-1.34 Y5.0 Z2.77 F1800.0
G1 X-0.0 Y5.17 Z2.77 F1800.0
G1 X1.34 Y5.0 Z2.77 F1800.0
G1 X2.59 Y4.48 Z2.77 F1800.0
G1 X3.66 Y3.66 Z2.77 F1800.0
G1 X4.48 Y2.59 Z2.77 F1800.0
G1 X5.0 Y1.34 Z2.77 F1800.0
G1 X5.17 Y0.0 Z2.77 F1800.0
G1 X5.0 Y-1.34 Z2.77 F1800.0
G1 X4.82 Y-1.75 Z2.77 F1800.0
M108 R35.0
M102
G1 X4.48 Y-2.59 Z2.77 F1800.0
G1 X3.66 Y-3.66 Z2.77 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-3.189 Y0.855 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y-0.855 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y-1.651 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y-2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y-2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y-3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-3.302 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.855 Y-3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.86 Y-1.651 Z2.765 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z2.765 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X3.189 Y0.855 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.86 Y1.651 Z2.765 </boundaryPoint>)
(<boundaryPoint> X2.335 Y2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.651 Y2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.855 Y3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y3.302 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.855 Y3.189 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.335 Y2.335 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z2.765 </boundaryPoint>)
(<loop> inner )
M108 R35.0
M101
G1 X1.49 Y-1.49 Z2.77 F2361.737
M108 R1.179
G1 X1.05 Y-1.82 Z2.77 F1800.0
G1 X0.54 Y-2.03 Z2.77 F1800.0
G1 X0.0 Y-2.1 Z2.77 F1800.0
G1 X-0.54 Y-2.03 Z2.77 F1800.0
G1 X-1.05 Y-1.82 Z2.77 F1800.0
G1 X-1.49 Y-1.49 Z2.77 F1800.0
G1 X-1.82 Y-1.05 Z2.77 F1800.0
G1 X-2.03 Y-0.54 Z2.77 F1800.0
G1 X-2.1 Y0.0 Z2.77 F1800.0
G1 X-2.03 Y0.54 Z2.77 F1800.0
G1 X-1.82 Y1.05 Z2.77 F1800.0
G1 X-1.49 Y1.49 Z2.77 F1800.0
G1 X-1.05 Y1.82 Z2.77 F1800.0
G1 X-0.54 Y2.03 Z2.77 F1800.0
G1 X0.0 Y2.1 Z2.77 F1800.0
G1 X0.54 Y2.03 Z2.77 F1800.0
G1 X1.05 Y1.82 Z2.77 F1800.0
G1 X1.49 Y1.49 Z2.77 F1800.0
G1 X1.82 Y1.05 Z2.77 F1800.0
G1 X2.03 Y0.54 Z2.77 F1800.0
G1 X2.1 Y0.0 Z2.77 F1800.0
G1 X2.03 Y-0.54 Z2.77 F1800.0
G1 X1.82 Y-1.05 Z2.77 F1800.0
G1 X1.49 Y-1.49 Z2.77 F1800.0
M103
(</loop>)
(<loop> outer )
G1 X1.87 Y-1.87 Z2.77 F2400.0
M101
G1 X2.29 Y-1.32 Z2.77 F1800.0
G1 X2.56 Y-0.69 Z2.77 F1800.0
G1 X2.65 Y0.0 Z2.77 F1800.0
G1 X2.56 Y0.69 Z2.77 F1800.0
G1 X2.29 Y1.32 Z2.77 F1800.0
G1 X1.87 Y1.87 Z2.77 F1800.0
G1 X1.32 Y2.29 Z2.77 F1800.0
G1 X0.69 Y2.56 Z2.77 F1800.0
G1 X0.0 Y2.65 Z2.77 F1800.0
G1 X-0.69 Y2.56 Z2.77 F1800.0
G1 X-1.32 Y2.29 Z2.77 F1800.0
G1 X-1.87 Y1.87 Z2.77 F1800.0
G1 X-2.29 Y1.32 Z2.77 F1800.0
G1 X-2.56 Y0.69 Z2.77 F1800.0
G1 X-2.65 Y0.0 Z2.77 F1800.0
G1 X-2.56 Y-0.69 Z2.77 F1800.0
G1 X-2.29 Y-1.32 Z2.77 F1800.0
G1 X-1.87 Y-1.87 Z2.77 F1800.0
G1 X-1.32 Y-2.29 Z2.77 F1800.0
G1 X-0.69 Y-2.56 Z2.77 F1800.0
G1 X0.0 Y-2.65 Z2.77 F1800.0
G1 X0.69 Y-2.56 Z2.77 F1800.0
G1 X1.32 Y-2.29 Z2.77 F1800.0
G1 X1.87 Y-1.87 Z2.77 F1800.0
M103
(</loop>)
(<perimeter> outer )
G1 X2.18 Y-2.18 Z2.77 F2400.0
M101
G1 X2.67 Y-1.54 Z2.77 F1800.0
G1 X2.98 Y-0.8 Z2.77 F1800.0
G1 X3.08 Y0.0 Z2.77 F1800.0
G1 X2.98 Y0.8 Z2.77 F1800.0
G1 X2.67 Y1.54 Z2.77 F1800.0
G1 X2.18 Y2.18 Z2.77 F1800.0
G1 X1.54 Y2.67 Z2.77 F1800.0
G1 X0.8 Y2.98 Z2.77 F1800.0
G1 X-0.0 Y3.08 Z2.77 F1800.0
G1 X-0.8 Y2.98 Z2.77 F1800.0
G1 X-1.54 Y2.67 Z2.77 F1800.0
G1 X-2.18 Y2.18 Z2.77 F1800.0
G1 X-2.67 Y1.54 Z2.77 F1800.0
G1 X-2.98 Y0.8 Z2.77 F1800.0
G1 X-3.08 Y-0.0 Z2.77 F1800.0
G1 X-2.98 Y-0.8 Z2.77 F1800.0
G1 X-2.67 Y-1.54 Z2.77 F1800.0
G1 X-2.18 Y-2.18 Z2.77 F1800.0
G1 X-1.54 Y-2.67 Z2.77 F1800.0
G1 X-0.8 Y-2.98 Z2.77 F1800.0
G1 X0.0 Y-3.08 Z2.77 F1800.0
G1 X0.16 Y-3.06 Z2.77 F1800.0
M108 R35.0
M102
G1 X0.8 Y-2.98 Z2.77 F1800.0
G1 X1.54 Y-2.67 Z2.77 F1800.0
G1 X2.18 Y-2.18 Z2.77 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-1.445 Y0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y0.374 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y0.722 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y1.022 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y1.251 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y1.395 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.0 Y1.445 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.374 Y1.395 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.722 Y1.251 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.022 Y1.022 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.251 Y0.722 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.395 Y0.374 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.445 Y0.0 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.395 Y-0.374 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-0.722 Z2.765 </boundaryPoint>)
(<boundaryPoint> X1.022 Y-1.022 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.722 Y-1.251 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.374 Y-1.395 Z2.765 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-1.445 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.374 Y-1.395 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-0.722 Y-1.251 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.022 Y-1.022 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y-0.722 Z2.765 </boundaryPoint>)
(<boundaryPoint> X-1.395 Y-0.374 Z2.765 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X1.18 Y-1.18 Z2.77 F1093.296
M108 R1.179
G1 X0.83 Y-1.44 Z2.77 F1800.0
G1 X0.43 Y-1.61 Z2.77 F1800.0
G1 X0.0 Y-1.66 Z2.77 F1800.0
G1 X-0.43 Y-1.61 Z2.77 F1800.0
G1 X-0.83 Y-1.44 Z2.77 F1800.0
G1 X-1.18 Y-1.18 Z2.77 F1800.0
G1 X-1.44 Y-0.83 Z2.77 F1800.0
G1 X-1.61 Y-0.43 Z2.77 F1800.0
G1 X-1.66 Y0.0 Z2.77 F1800.0
G1 X-1.61 Y0.43 Z2.77 F1800.0
G1 X-1.44 Y0.83 Z2.77 F1800.0
G1 X-1.18 Y1.18 Z2.77 F1800.0
G1 X-0.83 Y1.44 Z2.77 F1800.0
G1 X-0.43 Y1.61 Z2.77 F1800.0
G1 X0.0 Y1.66 Z2.77 F1800.0
G1 X0.43 Y1.61 Z2.77 F1800.0
G1 X0.83 Y1.44 Z2.77 F1800.0
G1 X1.18 Y1.18 Z2.77 F1800.0
G1 X1.39 Y0.89 Z2.77 F1800.0
M108 R35.0
M102
G1 X1.44 Y0.83 Z2.77 F1800.0
G1 X1.61 Y0.43 Z2.77 F1800.0
G1 X1.66 Y0.0 Z2.77 F1800.0
G1 X1.61 Y-0.43 Z2.77 F1800.0
G1 X1.44 Y-0.83 Z2.77 F1800.0
G1 X1.18 Y-1.18 Z2.77 F1800.0
M108 R1.179
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(</surroundingLoop>)
(</surroundingLoop>)
G1 X2.63 Y-3.41 Z2.77 F2400.0
M108 R35.0
M101
G1 X4.33 Y-6.02 Z2.77 F2400.0
M108 R1.179
G1 X4.33 Y-3.95 Z2.77 F1800.0
G1 X4.77 Y-4.5 Z2.77 F1800.0
G1 X4.77 Y-3.38 Z2.77 F1800.0
M103
G1 X5.2 Y-2.71 Z2.77 F2400.0
M101
G1 X5.2 Y-4.45 Z2.77 F1800.0
G1 X5.63 Y-4.39 Z2.77 F1800.0
G1 X5.63 Y-3.92 Z2.77 F1800.0
M108 R35.0
M102
G1 X5.63 Y-1.67 Z2.77 F1800.0
M108 R1.179
M103
G1 X5.72 Y-1.76 Z2.77 F2400.0
M108 R35.0
M101
G1 X7.8 Y-4.09 Z2.77 F2400.0
M108 R1.179
G1 X7.8 Y4.09 Z2.77 F1800.0
M103
G1 X8.23 Y4.03 Z2.77 F2400.0
M101
G1 X8.23 Y-4.03 Z2.77 F1800.0
M103
G1 X8.67 Y-3.97 Z2.77 F2400.0
M101
G1 X8.67 Y1.72 Z2.77 F1800.0
M108 R35.0
M102
G1 X8.67 Y3.97 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X7.37 Y4.15 Z2.77 F1009.226
M108 R1.179
G1 X7.37 Y-4.15 Z2.77 F1800.0
G1 X6.93 Y-4.21 Z2.77 F1800.0
G1 X6.93 Y4.21 Z2.77 F1800.0
M103
G1 X6.5 Y4.27 Z2.77 F2400.0
M101
G1 X6.5 Y-4.27 Z2.77 F1800.0
G1 X6.07 Y-4.33 Z2.77 F1800.0
G1 X6.07 Y2.08 Z2.77 F1800.0
M108 R35.0
M102
G1 X6.07 Y4.33 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X4.77 Y4.5 Z2.77 F1009.226
M108 R1.179
G1 X4.77 Y3.38 Z2.77 F1800.0
G1 X4.44 Y3.81 Z2.77 F1800.0
M108 R35.0
M102
G1 X4.33 Y3.95 Z2.77 F1800.0
G1 X4.33 Y6.02 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X3.03 Y5.04 Z2.77 F1254.63
M108 R1.179
G1 X3.03 Y13.29 Z2.77 F1800.0
M108 R35.0
M102
G1 X3.03 Y15.54 Z2.77 F1800.0
M108 R1.179
M103
G1 X3.02 Y15.63 Z2.77 F2400.0
M108 R35.0
M101
G1 X2.6 Y18.72 Z2.77 F2400.0
M108 R1.179
G1 X2.6 Y5.25 Z2.77 F1800.0
M103
G1 X2.17 Y5.43 Z2.77 F2400.0
M101
G1 X2.17 Y21.32 Z2.77 F1800.0
G1 X1.73 Y22.02 Z2.77 F1800.0
G1 X1.73 Y5.61 Z2.77 F1800.0
M103
G1 X1.3 Y5.72 Z2.77 F2400.0
M101
G1 X1.3 Y22.39 Z2.77 F1800.0
G1 X0.87 Y22.61 Z2.77 F1800.0
G1 X0.87 Y5.78 Z2.77 F1800.0
M103
G1 X0.43 Y5.83 Z2.77 F2400.0
M101
G1 X0.43 Y22.74 Z2.77 F1800.0
M103
G1 X0.0 Y22.79 Z2.77 F2400.0
M101
G1 X0.0 Y5.89 Z2.77 F1800.0
M103
G1 X-0.43 Y5.83 Z2.77 F2400.0
M101
G1 X-0.43 Y22.74 Z2.77 F1800.0
G1 X-0.87 Y22.61 Z2.77 F1800.0
G1 X-0.87 Y5.78 Z2.77 F1800.0
M103
G1 X-1.3 Y5.72 Z2.77 F2400.0
M101
G1 X-1.3 Y22.39 Z2.77 F1800.0
G1 X-1.73 Y22.02 Z2.77 F1800.0
G1 X-1.73 Y5.61 Z2.77 F1800.0
M103
G1 X-2.17 Y5.43 Z2.77 F2400.0
M101
G1 X-2.17 Y19.07 Z2.77 F1800.0
M108 R35.0
M102
G1 X-2.17 Y21.32 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-2.6 Y18.72 Z2.77 F2031.339
M108 R1.179
G1 X-2.6 Y5.25 Z2.77 F1800.0
M103
G1 X-3.03 Y5.04 Z2.77 F2400.0
M101
G1 X-3.03 Y13.29 Z2.77 F1800.0
M108 R35.0
M102
G1 X-3.03 Y15.54 Z2.77 F1800.0
M108 R1.179
M103
G1 X-3.04 Y15.46 Z2.77 F2400.0
M108 R35.0
M101
G1 X-3.47 Y12.37 Z2.77 F2400.0
M108 R1.179
G1 X-3.47 Y4.7 Z2.77 F1800.0
G1 X-3.9 Y4.37 Z2.77 F1800.0
G1 X-3.9 Y6.95 Z2.77 F1800.0
M108 R35.0
M102
G1 X-3.9 Y9.2 Z2.77 F1800.0
M108 R1.179
M103
G1 X-3.91 Y9.11 Z2.77 F2400.0
M108 R35.0
M101
G1 X-4.33 Y6.02 Z2.77 F2400.0
M108 R1.179
G1 X-4.33 Y3.95 Z2.77 F1800.0
G1 X-4.77 Y4.5 Z2.77 F1800.0
G1 X-4.77 Y3.38 Z2.77 F1800.0
M103
G1 X-5.2 Y2.71 Z2.77 F2400.0
M101
G1 X-5.2 Y4.45 Z2.77 F1800.0
G1 X-5.63 Y4.39 Z2.77 F1800.0
G1 X-5.63 Y3.92 Z2.77 F1800.0
M108 R35.0
M102
G1 X-5.63 Y1.67 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-6.07 Y4.33 Z2.77 F2073.969
M108 R1.179
G1 X-6.07 Y-4.33 Z2.77 F1800.0
G1 X-6.5 Y-4.27 Z2.77 F1800.0
G1 X-6.5 Y4.27 Z2.77 F1800.0
M103
G1 X-6.93 Y4.21 Z2.77 F2400.0
M101
G1 X-6.93 Y-4.21 Z2.77 F1800.0
G1 X-7.37 Y-4.15 Z2.77 F1800.0
G1 X-7.37 Y4.15 Z2.77 F1800.0
M103
G1 X-7.8 Y4.09 Z2.77 F2400.0
M101
G1 X-7.8 Y-4.09 Z2.77 F1800.0
M103
G1 X-8.23 Y-4.03 Z2.77 F2400.0
M101
G1 X-8.23 Y4.03 Z2.77 F1800.0
M103
G1 X-8.67 Y3.97 Z2.77 F2400.0
M101
G1 X-8.67 Y-3.97 Z2.77 F1800.0
M103
G1 X-9.1 Y-3.91 Z2.77 F2400.0
M101
G1 X-9.1 Y3.91 Z2.77 F1800.0
G1 X-9.53 Y3.85 Z2.77 F1800.0
G1 X-9.53 Y-3.85 Z2.77 F1800.0
M103
G1 X-9.97 Y-3.79 Z2.77 F2400.0
M101
G1 X-9.97 Y3.79 Z2.77 F1800.0
G1 X-10.4 Y3.73 Z2.77 F1800.0
G1 X-10.4 Y-3.73 Z2.77 F1800.0
M103
G1 X-10.83 Y-3.68 Z2.77 F2400.0
M101
G1 X-10.83 Y3.68 Z2.77 F1800.0
G1 X-11.27 Y3.62 Z2.77 F1800.0
G1 X-11.27 Y-3.62 Z2.77 F1800.0
M103
G1 X-11.7 Y-3.56 Z2.77 F2400.0
M101
G1 X-11.7 Y3.56 Z2.77 F1800.0
G1 X-12.13 Y3.5 Z2.77 F1800.0
G1 X-12.13 Y-3.5 Z2.77 F1800.0
M103
G1 X-12.57 Y-3.44 Z2.77 F2400.0
M101
G1 X-12.57 Y3.44 Z2.77 F1800.0
M103
G1 X-13.0 Y3.38 Z2.77 F2400.0
M101
G1 X-13.0 Y-3.38 Z2.77 F1800.0
M103
G1 X-13.43 Y-3.32 Z2.77 F2400.0
M101
G1 X-13.43 Y3.32 Z2.77 F1800.0
M103
G1 X-13.87 Y3.26 Z2.77 F2400.0
M101
G1 X-13.87 Y-3.26 Z2.77 F1800.0
G1 X-14.3 Y-3.2 Z2.77 F1800.0
G1 X-14.3 Y3.2 Z2.77 F1800.0
M103
G1 X-14.73 Y3.14 Z2.77 F2400.0
M101
G1 X-14.73 Y-3.14 Z2.77 F1800.0
G1 X-15.17 Y-3.08 Z2.77 F1800.0
G1 X-15.17 Y3.08 Z2.77 F1800.0
M103
G1 X-15.6 Y3.02 Z2.77 F2400.0
M101
G1 X-15.6 Y-3.02 Z2.77 F1800.0
G1 X-16.03 Y-2.97 Z2.77 F1800.0
G1 X-16.03 Y2.97 Z2.77 F1800.0
M103
G1 X-16.47 Y2.91 Z2.77 F2400.0
M101
G1 X-16.47 Y-2.91 Z2.77 F1800.0
G1 X-16.9 Y-2.85 Z2.77 F1800.0
G1 X-16.9 Y2.85 Z2.77 F1800.0
M103
G1 X-17.33 Y2.79 Z2.77 F2400.0
M101
G1 X-17.33 Y-2.79 Z2.77 F1800.0
M103
G1 X-17.77 Y-2.73 Z2.77 F2400.0
M101
G1 X-17.77 Y2.73 Z2.77 F1800.0
M103
G1 X-18.2 Y2.67 Z2.77 F2400.0
M101
G1 X-18.2 Y-2.67 Z2.77 F1800.0
M103
G1 X-18.63 Y-2.61 Z2.77 F2400.0
M101
G1 X-18.63 Y2.61 Z2.77 F1800.0
G1 X-19.07 Y2.55 Z2.77 F1800.0
G1 X-19.07 Y-2.55 Z2.77 F1800.0
M103
G1 X-19.5 Y-2.49 Z2.77 F2400.0
M101
G1 X-19.5 Y2.49 Z2.77 F1800.0
G1 X-19.93 Y2.43 Z2.77 F1800.0
G1 X-19.93 Y-2.43 Z2.77 F1800.0
M103
G1 X-20.37 Y-2.38 Z2.77 F2400.0
M101
G1 X-20.37 Y2.38 Z2.77 F1800.0
G1 X-20.8 Y2.31 Z2.77 F1800.0
G1 X-20.8 Y-2.31 Z2.77 F1800.0
M103
G1 X-21.23 Y-2.2 Z2.77 F2400.0
M101
G1 X-21.23 Y2.2 Z2.77 F1800.0
G1 X-21.67 Y2.0 Z2.77 F1800.0
G1 X-21.67 Y-2.0 Z2.77 F1800.0
G1 X-22.1 Y-1.67 Z2.77 F1800.0
G1 X-22.1 Y1.67 Z2.77 F1800.0
G1 X-22.45 Y1.17 Z2.77 F1800.0
M108 R35.0
M102
G1 X-22.53 Y1.05 Z2.77 F1800.0
G1 X-22.53 Y-1.05 Z2.77 F1800.0
M108 R1.179
M103
G1 X-8.75 Y-1.55 Z2.77 F2400.0
M108 R35.0
M101
G1 X-5.63 Y-1.67 Z2.77 F2400.0
M108 R1.179
G1 X-5.63 Y-4.39 Z2.77 F1800.0
G1 X-5.2 Y-4.45 Z2.77 F1800.0
G1 X-5.2 Y-2.71 Z2.77 F1800.0
M103
G1 X-4.77 Y-3.38 Z2.77 F2400.0
M101
G1 X-4.77 Y-4.5 Z2.77 F1800.0
G1 X-4.44 Y-4.09 Z2.77 F1800.0
M108 R35.0
M102
G1 X-4.33 Y-3.95 Z2.77 F1800.0
G1 X-4.33 Y-6.02 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X-3.03 Y-5.04 Z2.77 F1254.63
M108 R1.179
G1 X-3.03 Y-13.29 Z2.77 F1800.0
M108 R35.0
M102
G1 X-3.03 Y-15.54 Z2.77 F1800.0
M108 R1.179
M103
G1 X-3.02 Y-15.63 Z2.77 F2400.0
M108 R35.0
M101
G1 X-2.6 Y-18.72 Z2.77 F2400.0
M108 R1.179
G1 X-2.6 Y-5.25 Z2.77 F1800.0
M103
G1 X-2.17 Y-5.43 Z2.77 F2400.0
M101
G1 X-2.17 Y-21.32 Z2.77 F1800.0
G1 X-1.73 Y-22.02 Z2.77 F1800.0
G1 X-1.73 Y-5.61 Z2.77 F1800.0
M103
G1 X-1.3 Y-5.72 Z2.77 F2400.0
M101
G1 X-1.3 Y-22.39 Z2.77 F1800.0
G1 X-0.87 Y-22.61 Z2.77 F1800.0
G1 X-0.87 Y-5.78 Z2.77 F1800.0
M103
G1 X-0.43 Y-5.83 Z2.77 F2400.0
M101
G1 X-0.43 Y-22.74 Z2.77 F1800.0
M103
G1 X-0.0 Y-22.79 Z2.77 F2400.0
M101
G1 X-0.0 Y-5.89 Z2.77 F1800.0
M103
G1 X0.43 Y-5.83 Z2.77 F2400.0
M101
G1 X0.43 Y-22.74 Z2.77 F1800.0
G1 X0.87 Y-22.61 Z2.77 F1800.0
G1 X0.87 Y-5.78 Z2.77 F1800.0
M103
G1 X1.3 Y-5.72 Z2.77 F2400.0
M101
G1 X1.3 Y-22.39 Z2.77 F1800.0
G1 X1.73 Y-22.02 Z2.77 F1800.0
G1 X1.73 Y-5.61 Z2.77 F1800.0
M103
G1 X2.17 Y-5.43 Z2.77 F2400.0
M101
G1 X2.17 Y-19.07 Z2.77 F1800.0
M108 R35.0
M102
G1 X2.17 Y-21.32 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X2.6 Y-18.72 Z2.77 F2031.339
M108 R1.179
G1 X2.6 Y-5.25 Z2.77 F1800.0
M103
G1 X3.03 Y-5.04 Z2.77 F2400.0
M101
G1 X3.03 Y-13.29 Z2.77 F1800.0
M108 R35.0
M102
G1 X3.03 Y-15.54 Z2.77 F1800.0
M108 R1.179
M103
G1 X3.04 Y-15.46 Z2.77 F2400.0
M108 R35.0
M101
G1 X3.47 Y-12.37 Z2.77 F2400.0
M108 R1.179
G1 X3.47 Y-4.7 Z2.77 F1800.0
G1 X3.9 Y-4.37 Z2.77 F1800.0
G1 X3.9 Y-6.95 Z2.77 F1800.0
M108 R35.0
M102
G1 X3.9 Y-9.2 Z2.77 F1800.0
M108 R1.179
M103
G1 X5.19 Y-5.19 Z2.77 F2400.0
G1 X6.55 Y-4.77 Z2.77 F2400.0
M108 R35.0
M101
G1 X9.53 Y-3.85 Z2.77 F2400.0
M108 R1.179
G1 X9.53 Y3.85 Z2.77 F1800.0
G1 X9.1 Y3.91 Z2.77 F1800.0
G1 X9.1 Y-1.66 Z2.77 F1800.0
M108 R35.0
M102
G1 X9.1 Y-3.91 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X10.4 Y-3.73 Z2.77 F1009.33
M108 R1.179
G1 X10.4 Y3.73 Z2.77 F1800.0
G1 X9.97 Y3.79 Z2.77 F1800.0
G1 X9.97 Y-1.54 Z2.77 F1800.0
M108 R35.0
M102
G1 X9.97 Y-3.79 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X11.27 Y-3.62 Z2.77 F1009.33
M108 R1.179
G1 X11.27 Y3.62 Z2.77 F1800.0
G1 X10.83 Y3.68 Z2.77 F1800.0
G1 X10.83 Y-1.43 Z2.77 F1800.0
M108 R35.0
M102
G1 X10.83 Y-3.68 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X12.13 Y-3.5 Z2.77 F1009.226
M108 R1.179
G1 X12.13 Y3.5 Z2.77 F1800.0
G1 X11.7 Y3.56 Z2.77 F1800.0
G1 X11.7 Y-1.31 Z2.77 F1800.0
M108 R35.0
M102
G1 X11.7 Y-3.56 Z2.77 F1800.0
M108 R1.179
M103
G1 X12.18 Y0.34 Z2.77 F2400.0
M108 R35.0
M101
G1 X12.57 Y3.44 Z2.77 F2400.0
M108 R1.179
G1 X12.57 Y-3.44 Z2.77 F1800.0
M103
G1 X13.0 Y-3.38 Z2.77 F2400.0
M101
G1 X13.0 Y3.38 Z2.77 F1800.0
M103
G1 X13.43 Y3.32 Z2.77 F2400.0
M101
G1 X13.43 Y-1.07 Z2.77 F1800.0
M108 R35.0
M102
G1 X13.43 Y-3.32 Z2.77 F1800.0
M108 R1.179
M103
G1 X14.24 Y-3.21 Z2.77 F2400.0
M108 R35.0
M101
G1 X17.33 Y-2.79 Z2.77 F2400.0
M108 R1.179
G1 X17.33 Y2.79 Z2.77 F1800.0
M103
G1 X16.9 Y2.85 Z2.77 F2400.0
M101
G1 X16.9 Y-2.85 Z2.77 F1800.0
G1 X16.47 Y-2.91 Z2.77 F1800.0
G1 X16.47 Y2.91 Z2.77 F1800.0
M103
G1 X16.03 Y2.97 Z2.77 F2400.0
M101
G1 X16.03 Y-2.97 Z2.77 F1800.0
G1 X15.6 Y-3.02 Z2.77 F1800.0
G1 X15.6 Y3.02 Z2.77 F1800.0
M103
G1 X15.17 Y3.08 Z2.77 F2400.0
M101
G1 X15.17 Y-3.08 Z2.77 F1800.0
G1 X14.73 Y-3.14 Z2.77 F1800.0
G1 X14.73 Y3.14 Z2.77 F1800.0
M103
G1 X14.3 Y3.2 Z2.77 F2400.0
M101
G1 X14.3 Y-3.2 Z2.77 F1800.0
G1 X13.87 Y-3.26 Z2.77 F1800.0
G1 X13.87 Y1.01 Z2.77 F1800.0
M108 R35.0
M102
G1 X13.87 Y3.26 Z2.77 F1800.0
M108 R1.179
M103
G1 X14.68 Y3.15 Z2.77 F2400.0
M108 R35.0
M101
G1 X17.77 Y2.73 Z2.77 F2400.0
M108 R1.179
G1 X17.77 Y-2.73 Z2.77 F1800.0
M103
G1 X18.2 Y-2.67 Z2.77 F2400.0
M101
G1 X18.2 Y0.42 Z2.77 F1800.0
M108 R35.0
M102
G1 X18.2 Y2.67 Z2.77 F1800.0
M108 R1.179
M103
G1 X18.56 Y0.53 Z2.77 F2400.0
M108 R35.0
M101
G1 X19.07 Y-2.55 Z2.77 F2400.0
M108 R1.179
G1 X19.07 Y2.55 Z2.77 F1800.0
G1 X18.63 Y2.61 Z2.77 F1800.0
G1 X18.63 Y-0.36 Z2.77 F1800.0
M108 R35.0
M102
G1 X18.63 Y-2.61 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X19.93 Y-2.43 Z2.77 F1009.226
M108 R1.179
G1 X19.93 Y2.43 Z2.77 F1800.0
G1 X19.5 Y2.49 Z2.77 F1800.0
G1 X19.5 Y-0.24 Z2.77 F1800.0
M108 R35.0
M102
G1 X19.5 Y-2.49 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X20.8 Y-2.31 Z2.77 F1009.33
M108 R1.179
G1 X20.8 Y2.31 Z2.77 F1800.0
G1 X20.37 Y2.38 Z2.77 F1800.0
G1 X20.37 Y-0.13 Z2.77 F1800.0
M108 R35.0
M102
G1 X20.37 Y-2.38 Z2.77 F1800.0
M108 R1.179
M103
M108 R35.0
M101
G1 X22.53 Y-1.05 Z2.77 F1954.636
M108 R1.179
G1 X22.53 Y1.05 Z2.77 F1800.0
G1 X22.1 Y1.67 Z2.77 F1800.0
G1 X22.1 Y-1.67 Z2.77 F1800.0
G1 X21.67 Y-2.0 Z2.77 F1800.0
G1 X21.67 Y2.0 Z2.77 F1800.0
G1 X21.23 Y2.2 Z2.77 F1800.0
G1 X21.23 Y0.05 Z2.77 F1800.0
M108 R35.0
M102
G1 X21.23 Y-2.2 Z2.77 F1800.0
M108 R1.179
M103
G1 X8.66 Y0.92 Z2.77 F2400.0
M108 R35.0
M101
G1 X5.63 Y1.67 Z2.77 F2400.0
M108 R1.179
G1 X5.63 Y4.31 Z2.77 F1800.0
M108 R35.0
M102
G1 X5.63 Y4.39 Z2.77 F1800.0
G1 X5.2 Y4.45 Z2.77 F1800.0
G1 X5.2 Y2.71 Z2.77 F1800.0
M108 R1.179
M103
G1 X4.02 Y9.3 Z2.77 F2400.0
M108 R35.0
M101
G1 X3.47 Y12.37 Z2.77 F2400.0
M108 R1.179
G1 X3.47 Y4.7 Z2.77 F1800.0
G1 X3.9 Y4.37 Z2.77 F1800.0
G1 X3.9 Y6.95 Z2.77 F1800.0
M108 R35.0
M102
G1 X3.9 Y9.2 Z2.77 F1800.0
M108 R1.179
M103
G1 X1.32 Y1.13 Z2.77 F2400.0
G1 X1.51 Y0.87 Z2.77 F2400.0
G1 X1.69 Y0.45 Z2.77 F2400.0
G1 X1.75 Y0.0 Z2.77 F2400.0
G1 X1.69 Y-0.45 Z2.77 F2400.0
G1 X1.51 Y-0.87 Z2.77 F2400.0
G1 X1.23 Y-1.23 Z2.77 F2400.0
G1 X0.87 Y-1.51 Z2.77 F2400.0
G1 X0.45 Y-1.69 Z2.77 F2400.0
G1 X0.32 Y-1.71 Z2.77 F2400.0
G1 X-2.42 Y-9.43 Z2.77 F2400.0
M108 R35.0
M101
G1 X-3.47 Y-12.37 Z2.77 F2400.0
M108 R1.179
G1 X-3.47 Y-4.7 Z2.77 F1800.0
G1 X-3.9 Y-4.37 Z2.77 F1800.0
G1 X-3.9 Y-6.95 Z2.77 F1800.0
M108 R35.0
M102
G1 X-3.9 Y-9.2 Z2.77 F1800.0
M108 R1.179
M103
(</surroundingLoop>)
(</layer>)
(<layer> 3.055 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z3.055 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z3.055 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z3.055 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z3.055 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z3.055 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z3.055 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z3.055 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z3.055 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z3.055 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z3.055 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z3.055 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z3.055 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z3.055 </boundaryPoint>)
(<loop> outer )
M108 R0.5074
G1 X-2.22 Y-5.14 Z2.99 F1032.839
M108 R35.0
M101
G1 X-1.71 Y-3.9 Z3.06 F1032.839
M108 R0.5074
G1 X-1.11 Y-4.15 Z3.06 F774.63
G1 X-0.0 Y-4.3 Z3.06 F774.63
G1 X1.24 Y-4.11 Z3.06 F774.63
G1 X1.03 Y-3.69 Z3.06 F774.63
G1 X0.84 Y-3.71 Z3.06 F774.63
G1 X0.34 Y-3.13 Z3.06 F774.63
G1 X0.46 Y-2.58 Z3.06 F774.63
G1 X2.46 Y0.9 Z3.06 F774.63
G1 X2.88 Y1.28 Z3.06 F774.63
G1 X3.63 Y1.12 Z3.06 F774.63
G1 X3.71 Y0.95 Z3.06 F774.63
G1 X4.18 Y0.99 Z3.06 F774.63
G1 X3.72 Y2.15 Z3.06 F774.63
G1 X3.04 Y3.04 Z3.06 F774.63
G1 X2.15 Y3.72 Z3.06 F774.63
G1 X1.11 Y4.15 Z3.06 F774.63
G1 X0.0 Y4.3 Z3.06 F774.63
G1 X-1.24 Y4.11 Z3.06 F774.63
G1 X-1.03 Y3.69 Z3.06 F774.63
G1 X-0.84 Y3.71 Z3.06 F774.63
G1 X-0.34 Y3.13 Z3.06 F774.63
G1 X-0.46 Y2.58 Z3.06 F774.63
G1 X-2.46 Y-0.9 Z3.06 F774.63
G1 X-2.88 Y-1.28 Z3.06 F774.63
G1 X-3.63 Y-1.12 Z3.06 F774.63
G1 X-3.71 Y-0.95 Z3.06 F774.63
G1 X-4.18 Y-0.99 Z3.06 F774.63
G1 X-3.72 Y-2.15 Z3.06 F774.63
G1 X-3.04 Y-3.04 Z3.06 F774.63
G1 X-2.54 Y-3.42 Z3.06 F774.63
M108 R35.0
M102
G1 X-2.15 Y-3.72 Z3.06 F774.63
G1 X-1.71 Y-3.9 Z3.06 F774.63
M108 R0.5074
M103
(</loop>)
(<loop> outer )
G1 X0.53 Y-3.63 Z3.06 F1032.839
M108 R35.0
M101
G1 X1.86 Y-3.46 Z3.06 F1032.839
M108 R0.5074
G1 X2.02 Y-3.77 Z3.06 F774.63
G1 X2.15 Y-3.72 Z3.06 F774.63
G1 X3.04 Y-3.04 Z3.06 F774.63
G1 X3.72 Y-2.15 Z3.06 F774.63
G1 X4.15 Y-1.11 Z3.06 F774.63
G1 X4.3 Y-0.0 Z3.06 F774.63
G1 X4.28 Y0.14 Z3.06 F774.63
G1 X3.93 Y0.12 Z3.06 F774.63
G1 X3.96 Y0.0 Z3.06 F774.63
G1 X3.82 Y-1.02 Z3.06 F774.63
G1 X3.43 Y-1.98 Z3.06 F774.63
G1 X2.8 Y-2.8 Z3.06 F774.63
G1 X2.65 Y-2.91 Z3.06 F774.63
M108 R35.0
M102
G1 X1.98 Y-3.43 Z3.06 F774.63
G1 X1.86 Y-3.46 Z3.06 F774.63
M108 R0.5074
M103
(</loop>)
(<loop> outer )
G1 X0.88 Y-3.22 Z3.06 F1032.839
G1 X-2.94 Y-1.02 Z3.06 F1032.839
M108 R35.0
M101
G1 X-3.23 Y-0.85 Z3.06 F1032.839
G1 X-3.93 Y-0.12 Z3.06 F1032.839
M108 R0.5074
G1 X-3.96 Y-0.0 Z3.06 F774.63
G1 X-3.82 Y1.02 Z3.06 F774.63
G1 X-3.43 Y1.98 Z3.06 F774.63
G1 X-2.8 Y2.8 Z3.06 F774.63
G1 X-1.98 Y3.43 Z3.06 F774.63
G1 X-1.86 Y3.46 Z3.06 F774.63
G1 X-2.02 Y3.77 Z3.06 F774.63
G1 X-2.15 Y3.72 Z3.06 F774.63
G1 X-3.04 Y3.04 Z3.06 F774.63
G1 X-3.72 Y2.15 Z3.06 F774.63
G1 X-4.15 Y1.11 Z3.06 F774.63
G1 X-4.3 Y0.0 Z3.06 F774.63
G1 X-4.28 Y-0.14 Z3.06 F774.63
G1 X-3.93 Y-0.12 Z3.06 F774.63
M103
(</loop>)
(<perimeter> outer )
G1 X-4.71 Y-0.22 Z3.06 F1032.839
M101
G1 X-4.57 Y-1.23 Z3.06 F774.63
G1 X-4.1 Y-2.37 Z3.06 F774.63
G1 X-3.35 Y-3.35 Z3.06 F774.63
G1 X-2.37 Y-4.1 Z3.06 F774.63
G1 X-1.23 Y-4.57 Z3.06 F774.63
G1 X0.0 Y-4.74 Z3.06 F774.63
G1 X1.23 Y-4.57 Z3.06 F774.63
G1 X2.37 Y-4.1 Z3.06 F774.63
G1 X3.35 Y-3.35 Z3.06 F774.63
G1 X4.1 Y-2.37 Z3.06 F774.63
G1 X4.57 Y-1.23 Z3.06 F774.63
G1 X4.74 Y0.0 Z3.06 F774.63
G1 X4.57 Y1.23 Z3.06 F774.63
G1 X4.1 Y2.37 Z3.06 F774.63
G1 X3.35 Y3.35 Z3.06 F774.63
G1 X2.37 Y4.1 Z3.06 F774.63
G1 X1.23 Y4.57 Z3.06 F774.63
G1 X-0.0 Y4.74 Z3.06 F774.63
G1 X-1.23 Y4.57 Z3.06 F774.63
G1 X-2.37 Y4.1 Z3.06 F774.63
G1 X-3.35 Y3.35 Z3.06 F774.63
G1 X-4.1 Y2.37 Z3.06 F774.63
G1 X-4.57 Y1.23 Z3.06 F774.63
G1 X-4.64 Y0.74 Z3.06 F774.63
M108 R35.0
M102
G1 X-4.74 Y-0.0 Z3.06 F774.63
G1 X-4.71 Y-0.22 Z3.06 F774.63
M108 R0.5074
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z3.055 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z3.055 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X-3.52 Y-0.0 Z3.06 F928.153
M108 R0.5074
G1 X-3.4 Y0.91 Z3.06 F774.63
G1 X-3.05 Y1.76 Z3.06 F774.63
G1 X-2.49 Y2.49 Z3.06 F774.63
G1 X-1.76 Y3.05 Z3.06 F774.63
G1 X-1.3 Y3.24 Z3.06 F774.63
G1 X-1.03 Y3.26 Z3.06 F774.63
G1 X-0.81 Y3.01 Z3.06 F774.63
G1 X-0.86 Y2.74 Z3.06 F774.63
G1 X-2.81 Y-0.62 Z3.06 F774.63
G1 X-3.01 Y-0.81 Z3.06 F774.63
G1 X-3.15 Y-0.78 Z3.06 F774.63
M108 R35.0
M102
G1 X-3.34 Y-0.74 Z3.06 F774.63
G1 X-3.46 Y-0.49 Z3.06 F774.63
G1 X-3.52 Y-0.0 Z3.06 F774.63
M108 R0.5074
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z3.055 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z3.055 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z3.055 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z3.055 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z3.055 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z3.055 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z3.055 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z3.055 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z3.055 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z3.055 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z3.055 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z3.055 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z3.055 </boundaryPoint>)
(<perimeter> inner )
G1 X-3.35 Y-0.77 Z3.06 F1032.839
G1 X-0.35 Y-2.17 Z3.06 F1032.839
M108 R35.0
M101
G1 X0.86 Y-2.74 Z3.06 F1032.839
M108 R0.5074
G1 X2.81 Y0.62 Z3.06 F774.63
G1 X3.01 Y0.81 Z3.06 F774.63
G1 X3.34 Y0.74 Z3.06 F774.63
G1 X3.46 Y0.49 Z3.06 F774.63
G1 X3.52 Y0.0 Z3.06 F774.63
G1 X3.4 Y-0.91 Z3.06 F774.63
G1 X3.05 Y-1.76 Z3.06 F774.63
G1 X2.49 Y-2.49 Z3.06 F774.63
G1 X1.76 Y-3.05 Z3.06 F774.63
G1 X1.3 Y-3.24 Z3.06 F774.63
G1 X1.03 Y-3.26 Z3.06 F774.63
G1 X0.81 Y-3.01 Z3.06 F774.63
G1 X0.86 Y-2.74 Z3.06 F774.63
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X0.37 Y-2.17 Z3.06 F1032.839
M101
G1 X-3.35 Y-2.17 Z3.06 F774.63
G1 X-3.02 Y-2.6 Z3.06 F774.63
G1 X0.16 Y-2.6 Z3.06 F774.63
M103
G1 X0.07 Y-3.03 Z3.06 F1032.839
M101
G1 X-2.58 Y-3.03 Z3.06 F774.63
G1 X-2.02 Y-3.47 Z3.06 F774.63
G1 X0.26 Y-3.47 Z3.06 F774.63
G1 X0.51 Y-3.9 Z3.06 F774.63
G1 X0.1 Y-3.9 Z3.06 F774.63
M108 R35.0
M102
G1 X-0.86 Y-3.9 Z3.06 F774.63
M108 R0.5074
M103
G1 X-2.53 Y-2.57 Z3.06 F1032.839
M108 R35.0
M101
G1 X-3.58 Y-1.73 Z3.06 F1032.839
M108 R0.5074
G1 X-0.35 Y-1.73 Z3.06 F774.63
M108 R35.0
M102
G1 X0.62 Y-1.73 Z3.06 F774.63
M108 R0.5074
M103
G1 X1.78 Y0.16 Z3.06 F1032.839
M108 R35.0
M101
G1 X2.49 Y1.3 Z3.06 F1032.839
M108 R0.5074
G1 X-0.87 Y1.3 Z3.06 F774.63
G1 X-1.12 Y0.87 Z3.06 F774.63
G1 X2.12 Y0.87 Z3.06 F774.63
G1 X1.87 Y0.43 Z3.06 F774.63
G1 X-1.37 Y0.43 Z3.06 F774.63
G1 X-1.62 Y0.0 Z3.06 F774.63
G1 X1.62 Y-0.0 Z3.06 F774.63
G1 X1.37 Y-0.43 Z3.06 F774.63
G1 X-1.87 Y-0.43 Z3.06 F774.63
G1 X-2.12 Y-0.87 Z3.06 F774.63
G1 X1.12 Y-0.87 Z3.06 F774.63
G1 X0.87 Y-1.3 Z3.06 F774.63
G1 X-1.52 Y-1.3 Z3.06 F774.63
M108 R35.0
M102
G1 X-2.49 Y-1.3 Z3.06 F774.63
M108 R0.5074
M103
G1 X-1.32 Y0.59 Z3.06 F1032.839
M108 R35.0
M101
G1 X-0.62 Y1.73 Z3.06 F1032.839
M108 R0.5074
G1 X2.62 Y1.73 Z3.06 F774.63
M108 R35.0
M102
G1 X3.58 Y1.73 Z3.06 F774.63
M108 R0.5074
M103
G1 X1.91 Y3.06 Z3.06 F1032.839
M108 R35.0
M101
G1 X0.86 Y3.9 Z3.06 F1032.839
M108 R0.5074
G1 X-0.51 Y3.9 Z3.06 F774.63
G1 X-0.26 Y3.47 Z3.06 F774.63
G1 X2.02 Y3.47 Z3.06 F774.63
G1 X2.58 Y3.03 Z3.06 F774.63
G1 X-0.07 Y3.03 Z3.06 F774.63
M103
G1 X-0.16 Y2.6 Z3.06 F1032.839
M101
G1 X3.02 Y2.6 Z3.06 F774.63
G1 X3.35 Y2.17 Z3.06 F774.63
G1 X-0.37 Y2.17 Z3.06 F774.63
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 3.345 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z3.345 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z3.345 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z3.345 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z3.345 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z3.345 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z3.345 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z3.345 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z3.345 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z3.345 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z3.345 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z3.345 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z3.345 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z3.345 </boundaryPoint>)
(<loop> outer )
M108 R0.5113
G1 X-0.61 Y2.31 Z3.35 F1040.878
M101
G1 X-2.46 Y-0.9 Z3.35 F780.658
G1 X-2.88 Y-1.28 Z3.35 F780.658
G1 X-3.63 Y-1.12 Z3.35 F780.658
G1 X-3.71 Y-0.95 Z3.35 F780.658
G1 X-4.18 Y-0.99 Z3.35 F780.658
G1 X-3.72 Y-2.15 Z3.35 F780.658
G1 X-3.04 Y-3.04 Z3.35 F780.658
G1 X-2.15 Y-3.72 Z3.35 F780.658
G1 X-1.11 Y-4.15 Z3.35 F780.658
G1 X-0.0 Y-4.3 Z3.35 F780.658
G1 X1.24 Y-4.11 Z3.35 F780.658
G1 X1.03 Y-3.69 Z3.35 F780.658
G1 X0.84 Y-3.71 Z3.35 F780.658
G1 X0.34 Y-3.13 Z3.35 F780.658
G1 X0.46 Y-2.58 Z3.35 F780.658
G1 X2.46 Y0.9 Z3.35 F780.658
G1 X2.88 Y1.28 Z3.35 F780.658
G1 X3.63 Y1.12 Z3.35 F780.658
G1 X3.71 Y0.95 Z3.35 F780.658
G1 X4.18 Y0.99 Z3.35 F780.658
G1 X3.72 Y2.15 Z3.35 F780.658
G1 X3.04 Y3.04 Z3.35 F780.658
G1 X2.15 Y3.72 Z3.35 F780.658
G1 X1.11 Y4.15 Z3.35 F780.658
G1 X0.0 Y4.3 Z3.35 F780.658
G1 X-1.24 Y4.11 Z3.35 F780.658
G1 X-1.03 Y3.69 Z3.35 F780.658
G1 X-0.84 Y3.71 Z3.35 F780.658
G1 X-0.4 Y3.2 Z3.35 F780.658
M108 R35.0
M102
G1 X-0.34 Y3.13 Z3.35 F780.658
G1 X-0.46 Y2.58 Z3.35 F780.658
G1 X-0.61 Y2.31 Z3.35 F780.658
M108 R0.5113
M103
(</loop>)
(<loop> outer )
G1 X-0.75 Y2.89 Z3.35 F1040.878
M108 R35.0
M101
G1 X-0.78 Y3.02 Z3.35 F1040.878
G1 X-1.01 Y3.29 Z3.35 F1040.878
G1 X-1.86 Y3.46 Z3.35 F1040.878
M108 R0.5113
G1 X-2.02 Y3.77 Z3.35 F780.658
G1 X-2.15 Y3.72 Z3.35 F780.658
G1 X-3.04 Y3.04 Z3.35 F780.658
G1 X-3.72 Y2.15 Z3.35 F780.658
G1 X-4.15 Y1.11 Z3.35 F780.658
G1 X-4.3 Y0.0 Z3.35 F780.658
G1 X-4.28 Y-0.14 Z3.35 F780.658
G1 X-3.93 Y-0.12 Z3.35 F780.658
G1 X-3.96 Y-0.0 Z3.35 F780.658
G1 X-3.82 Y1.02 Z3.35 F780.658
G1 X-3.43 Y1.98 Z3.35 F780.658
G1 X-2.8 Y2.8 Z3.35 F780.658
G1 X-2.66 Y2.91 Z3.35 F780.658
M108 R35.0
M102
G1 X-1.98 Y3.43 Z3.35 F780.658
G1 X-1.86 Y3.46 Z3.35 F780.658
M108 R0.5113
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z3.35 F1040.878
G1 X2.94 Y1.02 Z3.35 F1040.878
M108 R35.0
M101
G1 X3.23 Y0.85 Z3.35 F1040.878
G1 X3.93 Y0.12 Z3.35 F1040.878
M108 R0.5113
G1 X3.96 Y0.0 Z3.35 F780.658
G1 X3.82 Y-1.02 Z3.35 F780.658
G1 X3.43 Y-1.98 Z3.35 F780.658
G1 X2.8 Y-2.8 Z3.35 F780.658
G1 X1.98 Y-3.43 Z3.35 F780.658
G1 X1.86 Y-3.46 Z3.35 F780.658
G1 X2.02 Y-3.77 Z3.35 F780.658
G1 X2.15 Y-3.72 Z3.35 F780.658
G1 X3.04 Y-3.04 Z3.35 F780.658
G1 X3.72 Y-2.15 Z3.35 F780.658
G1 X4.15 Y-1.11 Z3.35 F780.658
G1 X4.3 Y-0.0 Z3.35 F780.658
G1 X4.28 Y0.14 Z3.35 F780.658
G1 X3.93 Y0.12 Z3.35 F780.658
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z3.35 F1040.878
M101
G1 X4.57 Y1.23 Z3.35 F780.658
G1 X4.1 Y2.37 Z3.35 F780.658
G1 X3.35 Y3.35 Z3.35 F780.658
G1 X2.37 Y4.1 Z3.35 F780.658
G1 X1.23 Y4.57 Z3.35 F780.658
G1 X-0.0 Y4.74 Z3.35 F780.658
G1 X-1.23 Y4.57 Z3.35 F780.658
G1 X-2.37 Y4.1 Z3.35 F780.658
G1 X-3.35 Y3.35 Z3.35 F780.658
G1 X-4.1 Y2.37 Z3.35 F780.658
G1 X-4.57 Y1.23 Z3.35 F780.658
G1 X-4.74 Y-0.0 Z3.35 F780.658
G1 X-4.57 Y-1.23 Z3.35 F780.658
G1 X-4.1 Y-2.37 Z3.35 F780.658
G1 X-3.35 Y-3.35 Z3.35 F780.658
G1 X-2.37 Y-4.1 Z3.35 F780.658
G1 X-1.23 Y-4.57 Z3.35 F780.658
G1 X0.0 Y-4.74 Z3.35 F780.658
G1 X1.23 Y-4.57 Z3.35 F780.658
G1 X2.37 Y-4.1 Z3.35 F780.658
G1 X3.35 Y-3.35 Z3.35 F780.658
G1 X4.1 Y-2.37 Z3.35 F780.658
G1 X4.57 Y-1.23 Z3.35 F780.658
G1 X4.64 Y-0.74 Z3.35 F780.658
M108 R35.0
M102
G1 X4.74 Y0.0 Z3.35 F780.658
G1 X4.71 Y0.22 Z3.35 F780.658
M108 R0.5113
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z3.345 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z3.345 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z3.345 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z3.345 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z3.345 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z3.345 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z3.345 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z3.345 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z3.345 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z3.345 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z3.345 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z3.345 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z3.345 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z3.35 F928.153
M108 R0.5113
G1 X3.4 Y-0.91 Z3.35 F780.658
G1 X3.05 Y-1.76 Z3.35 F780.658
G1 X2.49 Y-2.49 Z3.35 F780.658
G1 X1.76 Y-3.05 Z3.35 F780.658
G1 X1.3 Y-3.24 Z3.35 F780.658
G1 X1.03 Y-3.26 Z3.35 F780.658
G1 X0.81 Y-3.01 Z3.35 F780.658
G1 X0.86 Y-2.74 Z3.35 F780.658
G1 X2.81 Y0.62 Z3.35 F780.658
G1 X3.01 Y0.81 Z3.35 F780.658
G1 X3.14 Y0.78 Z3.35 F780.658
M108 R35.0
M102
G1 X3.34 Y0.74 Z3.35 F780.658
G1 X3.46 Y0.49 Z3.35 F780.658
G1 X3.52 Y0.0 Z3.35 F780.658
M108 R0.5113
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z3.345 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z3.345 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z3.35 F1040.878
G1 X0.36 Y2.17 Z3.35 F1040.878
M108 R35.0
M101
G1 X-0.86 Y2.74 Z3.35 F1040.878
M108 R0.5113
G1 X-2.81 Y-0.62 Z3.35 F780.658
G1 X-3.01 Y-0.81 Z3.35 F780.658
G1 X-3.34 Y-0.74 Z3.35 F780.658
G1 X-3.46 Y-0.49 Z3.35 F780.658
G1 X-3.52 Y-0.0 Z3.35 F780.658
G1 X-3.4 Y0.91 Z3.35 F780.658
G1 X-3.05 Y1.76 Z3.35 F780.658
G1 X-2.49 Y2.49 Z3.35 F780.658
G1 X-1.76 Y3.05 Z3.35 F780.658
G1 X-1.39 Y3.2 Z3.35 F780.658
M108 R35.0
M102
G1 X-1.3 Y3.24 Z3.35 F780.658
G1 X-1.03 Y3.26 Z3.35 F780.658
G1 X-0.81 Y3.01 Z3.35 F780.658
G1 X-0.86 Y2.74 Z3.35 F780.658
M108 R0.5113
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X0.08 Y-0.75 Z3.35 F1040.878
M108 R35.0
M101
G1 X0.43 Y-2.06 Z3.35 F1040.878
M108 R0.5113
G1 X0.43 Y3.96 Z3.35 F780.658
G1 X0.0 Y4.01 Z3.35 F780.658
G1 X-0.0 Y-4.01 Z3.35 F780.658
G1 X-0.43 Y-3.96 Z3.35 F780.658
G1 X-0.43 Y2.06 Z3.35 F780.658
M103
G1 X-0.87 Y1.31 Z3.35 F1040.878
M101
G1 X-0.87 Y-3.9 Z3.35 F780.658
M103
G1 X-1.3 Y-3.77 Z3.35 F1040.878
M101
G1 X-1.3 Y0.56 Z3.35 F780.658
G1 X-1.73 Y-0.2 Z3.35 F780.658
G1 X-1.73 Y-3.59 Z3.35 F780.658
G1 X-2.17 Y-3.35 Z3.35 F780.658
G1 X-2.17 Y-0.95 Z3.35 F780.658
G1 X-2.6 Y-1.4 Z3.35 F780.658
G1 X-2.6 Y-3.02 Z3.35 F780.658
G1 X-3.03 Y-2.58 Z3.35 F780.658
G1 X-3.03 Y-1.53 Z3.35 F780.658
G1 X-3.2 Y-1.72 Z3.35 F780.658
M108 R35.0
M102
G1 X-3.47 Y-2.02 Z3.35 F780.658
G1 X-3.47 Y-1.45 Z3.35 F780.658
M108 R0.5113
M103
G1 X0.01 Y2.85 Z3.35 F1040.878
M108 R35.0
M101
G1 X0.87 Y3.9 Z3.35 F1040.878
M108 R0.5113
G1 X0.87 Y-0.33 Z3.35 F780.658
M108 R35.0
M102
G1 X0.87 Y-1.31 Z3.35 F780.658
M108 R0.5113
M103
G1 X0.43 Y-3.67 Z3.35 F1040.878
M101
G1 X0.43 Y-3.95 Z3.35 F780.658
M103
G1 X0.81 Y-2.66 Z3.35 F1040.878
G1 X2.73 Y0.31 Z3.35 F1040.878
M108 R35.0
M101
G1 X3.47 Y1.45 Z3.35 F1040.878
M108 R0.5113
G1 X3.47 Y2.02 Z3.35 F780.658
G1 X3.03 Y1.53 Z3.35 F780.658
G1 X3.03 Y2.58 Z3.35 F780.658
G1 X2.6 Y3.02 Z3.35 F780.658
G1 X2.6 Y1.4 Z3.35 F780.658
G1 X2.17 Y0.95 Z3.35 F780.658
G1 X2.17 Y3.35 Z3.35 F780.658
G1 X1.73 Y3.59 Z3.35 F780.658
G1 X1.73 Y0.2 Z3.35 F780.658
G1 X1.3 Y-0.56 Z3.35 F780.658
G1 X1.3 Y2.79 Z3.35 F780.658
M108 R35.0
M102
G1 X1.3 Y3.77 Z3.35 F780.658
M108 R0.5113
M103
G1 X-0.43 Y3.67 Z3.35 F1040.878
M101
G1 X-0.43 Y3.95 Z3.35 F780.658
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 3.635 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z3.635 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z3.635 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z3.635 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z3.635 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z3.635 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z3.635 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z3.635 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z3.635 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z3.635 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z3.635 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z3.635 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z3.635 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z3.635 </boundaryPoint>)
(<loop> outer )
M108 R0.4176
M108 R35.0
M101
G1 X-0.47 Y4.23 Z3.63 F310.704
M108 R0.4176
G1 X-1.24 Y4.11 Z3.63 F637.572
G1 X-1.03 Y3.69 Z3.63 F637.572
G1 X-0.84 Y3.71 Z3.63 F637.572
G1 X-0.34 Y3.13 Z3.63 F637.572
G1 X-0.46 Y2.58 Z3.63 F637.572
G1 X-2.46 Y-0.9 Z3.63 F637.572
G1 X-2.88 Y-1.28 Z3.63 F637.572
G1 X-3.63 Y-1.12 Z3.63 F637.572
G1 X-3.71 Y-0.95 Z3.63 F637.572
G1 X-4.18 Y-0.99 Z3.63 F637.572
G1 X-3.72 Y-2.15 Z3.63 F637.572
G1 X-3.04 Y-3.04 Z3.63 F637.572
G1 X-2.15 Y-3.72 Z3.63 F637.572
G1 X-1.11 Y-4.15 Z3.63 F637.572
G1 X-0.0 Y-4.3 Z3.63 F637.572
G1 X1.24 Y-4.11 Z3.63 F637.572
G1 X1.03 Y-3.69 Z3.63 F637.572
G1 X0.84 Y-3.71 Z3.63 F637.572
G1 X0.34 Y-3.13 Z3.63 F637.572
G1 X0.46 Y-2.58 Z3.63 F637.572
G1 X2.46 Y0.9 Z3.63 F637.572
G1 X2.88 Y1.28 Z3.63 F637.572
G1 X3.63 Y1.12 Z3.63 F637.572
G1 X3.71 Y0.95 Z3.63 F637.572
G1 X4.18 Y0.99 Z3.63 F637.572
G1 X3.72 Y2.15 Z3.63 F637.572
G1 X3.04 Y3.04 Z3.63 F637.572
G1 X2.15 Y3.72 Z3.63 F637.572
G1 X1.11 Y4.15 Z3.63 F637.572
G1 X0.31 Y4.26 Z3.63 F637.572
M108 R35.0
M102
G1 X0.0 Y4.3 Z3.63 F637.572
G1 X-0.47 Y4.23 Z3.63 F637.572
M108 R0.4176
M103
(</loop>)
(<loop> outer )
G1 X-0.9 Y4.0 Z3.63 F850.095
M108 R35.0
M101
G1 X-1.86 Y3.46 Z3.63 F850.095
M108 R0.4176
G1 X-2.02 Y3.77 Z3.63 F637.572
G1 X-2.15 Y3.72 Z3.63 F637.572
G1 X-3.04 Y3.04 Z3.63 F637.572
G1 X-3.72 Y2.15 Z3.63 F637.572
G1 X-4.15 Y1.11 Z3.63 F637.572
G1 X-4.3 Y0.0 Z3.63 F637.572
G1 X-4.28 Y-0.14 Z3.63 F637.572
G1 X-3.93 Y-0.12 Z3.63 F637.572
G1 X-3.96 Y-0.0 Z3.63 F637.572
G1 X-3.82 Y1.02 Z3.63 F637.572
G1 X-3.43 Y1.98 Z3.63 F637.572
G1 X-2.8 Y2.8 Z3.63 F637.572
G1 X-2.52 Y3.02 Z3.63 F637.572
M108 R35.0
M102
G1 X-1.98 Y3.43 Z3.63 F637.572
G1 X-1.86 Y3.46 Z3.63 F637.572
M108 R0.4176
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z3.63 F850.095
G1 X3.15 Y0.9 Z3.63 F850.095
M108 R35.0
M101
G1 X3.23 Y0.85 Z3.63 F850.095
G1 X3.93 Y0.12 Z3.63 F850.095
M108 R0.4176
G1 X3.96 Y0.0 Z3.63 F637.572
G1 X3.82 Y-1.02 Z3.63 F637.572
G1 X3.43 Y-1.98 Z3.63 F637.572
G1 X2.8 Y-2.8 Z3.63 F637.572
G1 X1.98 Y-3.43 Z3.63 F637.572
G1 X1.86 Y-3.46 Z3.63 F637.572
G1 X2.02 Y-3.77 Z3.63 F637.572
G1 X2.15 Y-3.72 Z3.63 F637.572
G1 X3.04 Y-3.04 Z3.63 F637.572
G1 X3.72 Y-2.15 Z3.63 F637.572
G1 X4.15 Y-1.11 Z3.63 F637.572
G1 X4.3 Y-0.0 Z3.63 F637.572
G1 X4.28 Y0.14 Z3.63 F637.572
G1 X3.93 Y0.12 Z3.63 F637.572
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z3.63 F850.095
M101
G1 X4.57 Y1.23 Z3.63 F637.572
G1 X4.1 Y2.37 Z3.63 F637.572
G1 X3.35 Y3.35 Z3.63 F637.572
G1 X2.37 Y4.1 Z3.63 F637.572
G1 X1.23 Y4.57 Z3.63 F637.572
G1 X-0.0 Y4.74 Z3.63 F637.572
G1 X-1.23 Y4.57 Z3.63 F637.572
G1 X-2.37 Y4.1 Z3.63 F637.572
G1 X-3.35 Y3.35 Z3.63 F637.572
G1 X-4.1 Y2.37 Z3.63 F637.572
G1 X-4.57 Y1.23 Z3.63 F637.572
G1 X-4.74 Y-0.0 Z3.63 F637.572
G1 X-4.57 Y-1.23 Z3.63 F637.572
G1 X-4.1 Y-2.37 Z3.63 F637.572
G1 X-3.35 Y-3.35 Z3.63 F637.572
G1 X-2.37 Y-4.1 Z3.63 F637.572
G1 X-1.23 Y-4.57 Z3.63 F637.572
G1 X0.0 Y-4.74 Z3.63 F637.572
G1 X1.23 Y-4.57 Z3.63 F637.572
G1 X2.37 Y-4.1 Z3.63 F637.572
G1 X3.35 Y-3.35 Z3.63 F637.572
G1 X4.1 Y-2.37 Z3.63 F637.572
G1 X4.57 Y-1.23 Z3.63 F637.572
G1 X4.66 Y-0.57 Z3.63 F637.572
M108 R35.0
M102
G1 X4.74 Y0.0 Z3.63 F637.572
G1 X4.71 Y0.22 Z3.63 F637.572
M108 R0.4176
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z3.635 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z3.635 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z3.635 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z3.635 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z3.635 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z3.635 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z3.635 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z3.635 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z3.635 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z3.635 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z3.635 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z3.635 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z3.635 </boundaryPoint>)
(<perimeter> inner )
G1 X4.61 Y0.2 Z3.63 F850.095
M108 R35.0
M101
G1 X3.52 Y0.0 Z3.63 F850.095
M108 R0.4176
G1 X3.4 Y-0.91 Z3.63 F637.572
G1 X3.05 Y-1.76 Z3.63 F637.572
G1 X2.49 Y-2.49 Z3.63 F637.572
G1 X1.76 Y-3.05 Z3.63 F637.572
G1 X1.3 Y-3.24 Z3.63 F637.572
G1 X1.03 Y-3.26 Z3.63 F637.572
G1 X0.81 Y-3.01 Z3.63 F637.572
G1 X0.86 Y-2.74 Z3.63 F637.572
G1 X2.81 Y0.62 Z3.63 F637.572
G1 X3.01 Y0.81 Z3.63 F637.572
G1 X3.31 Y0.75 Z3.63 F637.572
M108 R35.0
M102
G1 X3.34 Y0.74 Z3.63 F637.572
G1 X3.46 Y0.49 Z3.63 F637.572
G1 X3.52 Y0.0 Z3.63 F637.572
M108 R0.4176
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z3.635 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z3.635 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z3.63 F850.095
G1 X0.14 Y2.27 Z3.63 F850.095
M108 R35.0
M101
G1 X-0.86 Y2.74 Z3.63 F850.095
M108 R0.4176
G1 X-2.81 Y-0.62 Z3.63 F637.572
G1 X-3.01 Y-0.81 Z3.63 F637.572
G1 X-3.34 Y-0.74 Z3.63 F637.572
G1 X-3.46 Y-0.49 Z3.63 F637.572
G1 X-3.52 Y-0.0 Z3.63 F637.572
G1 X-3.4 Y0.91 Z3.63 F637.572
G1 X-3.05 Y1.76 Z3.63 F637.572
G1 X-2.49 Y2.49 Z3.63 F637.572
G1 X-1.76 Y3.05 Z3.63 F637.572
G1 X-1.3 Y3.24 Z3.63 F637.572
G1 X-1.03 Y3.26 Z3.63 F637.572
G1 X-0.81 Y3.01 Z3.63 F637.572
G1 X-0.86 Y2.74 Z3.63 F637.572
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.1 Y2.89 Z3.63 F850.095
M101
G1 X2.14 Y3.37 Z3.63 F637.572
G1 X2.77 Y2.89 Z3.63 F637.572
G1 X3.51 Y1.93 Z3.63 F637.572
G1 X-0.23 Y2.41 Z3.63 F637.572
G1 X-0.79 Y1.44 Z3.63 F637.572
M103
G1 X-1.06 Y0.96 Z3.63 F850.095
M101
G1 X1.9 Y0.48 Z3.63 F637.572
G1 X2.18 Y0.96 Z3.63 F637.572
G1 X2.65 Y1.44 Z3.63 F637.572
M103
G1 X3.47 Y1.44 Z3.63 F850.095
M101
M108 R35.0
M102
G1 X3.56 Y1.44 Z3.63 F76.0
M108 R0.4176
M103
G1 X2.51 Y0.66 Z3.63 F850.095
M108 R35.0
M101
G1 X1.62 Y-0.0 Z3.63 F850.095
M108 R0.4176
G1 X-1.34 Y0.48 Z3.63 F637.572
G1 X-1.5 Y0.21 Z3.63 F637.572
M108 R35.0
M102
G1 X-1.9 Y-0.48 Z3.63 F637.572
M108 R0.4176
M103
G1 X-1.97 Y-0.57 Z3.63 F850.095
M108 R35.0
M101
G1 X-2.65 Y-1.44 Z3.63 F850.095
M108 R0.4176
G1 X-2.18 Y-0.96 Z3.63 F637.572
G1 X0.31 Y-1.2 Z3.63 F637.572
M108 R35.0
M102
G1 X0.37 Y-1.2 Z3.63 F637.572
G1 X1.06 Y-0.96 Z3.63 F637.572
M108 R0.4176
M103
G1 X1.06 Y-0.97 Z3.63 F850.095
M108 R35.0
M101
G1 X0.51 Y-1.93 Z3.63 F850.095
M108 R0.4176
G1 X-3.17 Y-2.41 Z3.63 F637.572
G1 X-3.38 Y-2.1 Z3.63 F637.572
M108 R35.0
M102
G1 X-3.51 Y-1.93 Z3.63 F637.572
G1 X-3.47 Y-1.44 Z3.63 F637.572
G1 X-3.56 Y-1.44 Z3.63 F637.572
M108 R0.4176
M103
G1 X-3.3 Y-1.92 Z3.63 F850.095
M108 R35.0
M101
G1 X-2.77 Y-2.89 Z3.63 F850.095
M108 R0.4176
G1 X-2.14 Y-3.37 Z3.63 F637.572
G1 X0.23 Y-2.41 Z3.63 F637.572
G1 X0.1 Y-2.89 Z3.63 F637.572
G1 X-1.1 Y-3.85 Z3.63 F637.572
G1 X-0.28 Y-3.85 Z3.63 F637.572
M108 R35.0
M102
G1 X0.52 Y-3.85 Z3.63 F637.572
M108 R0.4176
M103
G1 X1.02 Y2.75 Z3.63 F850.095
M108 R35.0
M101
G1 X1.1 Y3.85 Z3.63 F850.095
M108 R0.4176
G1 X-0.52 Y3.85 Z3.63 F637.572
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 3.925 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z3.925 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z3.925 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z3.925 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z3.925 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z3.925 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z3.925 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z3.925 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z3.925 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z3.925 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z3.925 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z3.925 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z3.925 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z3.925 </boundaryPoint>)
(<loop> outer )
M108 R0.4792
G1 X-0.84 Y3.71 Z3.92 F975.494
M101
G1 X-0.34 Y3.13 Z3.92 F731.621
G1 X-0.46 Y2.58 Z3.92 F731.621
G1 X-2.46 Y-0.9 Z3.92 F731.621
G1 X-2.88 Y-1.28 Z3.92 F731.621
G1 X-3.63 Y-1.12 Z3.92 F731.621
G1 X-3.71 Y-0.95 Z3.92 F731.621
G1 X-4.18 Y-0.99 Z3.92 F731.621
G1 X-3.72 Y-2.15 Z3.92 F731.621
G1 X-3.04 Y-3.04 Z3.92 F731.621
G1 X-2.15 Y-3.72 Z3.92 F731.621
G1 X-1.11 Y-4.15 Z3.92 F731.621
G1 X-0.0 Y-4.3 Z3.92 F731.621
G1 X1.24 Y-4.11 Z3.92 F731.621
G1 X1.03 Y-3.69 Z3.92 F731.621
G1 X0.84 Y-3.71 Z3.92 F731.621
G1 X0.34 Y-3.13 Z3.92 F731.621
G1 X0.46 Y-2.58 Z3.92 F731.621
G1 X2.46 Y0.9 Z3.92 F731.621
G1 X2.88 Y1.28 Z3.92 F731.621
G1 X3.63 Y1.12 Z3.92 F731.621
G1 X3.71 Y0.95 Z3.92 F731.621
G1 X4.18 Y0.99 Z3.92 F731.621
G1 X3.72 Y2.15 Z3.92 F731.621
G1 X3.04 Y3.04 Z3.92 F731.621
G1 X2.15 Y3.72 Z3.92 F731.621
G1 X1.11 Y4.15 Z3.92 F731.621
G1 X0.0 Y4.3 Z3.92 F731.621
G1 X-0.98 Y4.15 Z3.92 F731.621
M108 R35.0
M102
G1 X-1.24 Y4.11 Z3.92 F731.621
G1 X-1.03 Y3.69 Z3.92 F731.621
G1 X-0.84 Y3.71 Z3.92 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X-1.86 Y3.46 Z3.92 F807.656
M108 R0.4792
G1 X-2.02 Y3.77 Z3.92 F731.621
G1 X-2.15 Y3.72 Z3.92 F731.621
G1 X-3.04 Y3.04 Z3.92 F731.621
G1 X-3.72 Y2.15 Z3.92 F731.621
G1 X-4.15 Y1.11 Z3.92 F731.621
G1 X-4.3 Y0.0 Z3.92 F731.621
G1 X-4.28 Y-0.14 Z3.92 F731.621
G1 X-3.93 Y-0.12 Z3.92 F731.621
G1 X-3.96 Y-0.0 Z3.92 F731.621
G1 X-3.82 Y1.02 Z3.92 F731.621
G1 X-3.43 Y1.98 Z3.92 F731.621
G1 X-2.8 Y2.8 Z3.92 F731.621
G1 X-2.61 Y2.94 Z3.92 F731.621
M108 R35.0
M102
G1 X-1.98 Y3.43 Z3.92 F731.621
G1 X-1.86 Y3.46 Z3.92 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z3.92 F975.494
G1 X3.01 Y0.98 Z3.92 F975.494
M108 R35.0
M101
G1 X3.23 Y0.85 Z3.92 F975.494
G1 X3.93 Y0.12 Z3.92 F975.494
M108 R0.4792
G1 X3.96 Y0.0 Z3.92 F731.621
G1 X3.82 Y-1.02 Z3.92 F731.621
G1 X3.43 Y-1.98 Z3.92 F731.621
G1 X2.8 Y-2.8 Z3.92 F731.621
G1 X1.98 Y-3.43 Z3.92 F731.621
G1 X1.86 Y-3.46 Z3.92 F731.621
G1 X2.02 Y-3.77 Z3.92 F731.621
G1 X2.15 Y-3.72 Z3.92 F731.621
G1 X3.04 Y-3.04 Z3.92 F731.621
G1 X3.72 Y-2.15 Z3.92 F731.621
G1 X4.15 Y-1.11 Z3.92 F731.621
G1 X4.3 Y-0.0 Z3.92 F731.621
G1 X4.28 Y0.14 Z3.92 F731.621
G1 X3.93 Y0.12 Z3.92 F731.621
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z3.92 F975.494
M101
G1 X4.57 Y1.23 Z3.92 F731.621
G1 X4.1 Y2.37 Z3.92 F731.621
G1 X3.35 Y3.35 Z3.92 F731.621
G1 X2.37 Y4.1 Z3.92 F731.621
G1 X1.23 Y4.57 Z3.92 F731.621
G1 X-0.0 Y4.74 Z3.92 F731.621
G1 X-1.23 Y4.57 Z3.92 F731.621
G1 X-2.37 Y4.1 Z3.92 F731.621
G1 X-3.35 Y3.35 Z3.92 F731.621
G1 X-4.1 Y2.37 Z3.92 F731.621
G1 X-4.57 Y1.23 Z3.92 F731.621
G1 X-4.74 Y-0.0 Z3.92 F731.621
G1 X-4.57 Y-1.23 Z3.92 F731.621
G1 X-4.1 Y-2.37 Z3.92 F731.621
G1 X-3.35 Y-3.35 Z3.92 F731.621
G1 X-2.37 Y-4.1 Z3.92 F731.621
G1 X-1.23 Y-4.57 Z3.92 F731.621
G1 X0.0 Y-4.74 Z3.92 F731.621
G1 X1.23 Y-4.57 Z3.92 F731.621
G1 X2.37 Y-4.1 Z3.92 F731.621
G1 X3.35 Y-3.35 Z3.92 F731.621
G1 X4.1 Y-2.37 Z3.92 F731.621
G1 X4.57 Y-1.23 Z3.92 F731.621
G1 X4.64 Y-0.69 Z3.92 F731.621
M108 R35.0
M102
G1 X4.74 Y0.0 Z3.92 F731.621
G1 X4.71 Y0.22 Z3.92 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z3.925 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z3.925 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z3.925 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z3.925 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z3.925 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z3.925 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z3.925 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z3.925 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z3.925 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z3.925 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z3.925 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z3.925 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z3.925 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z3.92 F928.153
M108 R0.4792
G1 X3.4 Y-0.91 Z3.92 F731.621
G1 X3.05 Y-1.76 Z3.92 F731.621
G1 X2.49 Y-2.49 Z3.92 F731.621
G1 X1.76 Y-3.05 Z3.92 F731.621
G1 X1.3 Y-3.24 Z3.92 F731.621
G1 X1.03 Y-3.26 Z3.92 F731.621
G1 X0.81 Y-3.01 Z3.92 F731.621
G1 X0.86 Y-2.74 Z3.92 F731.621
G1 X2.81 Y0.62 Z3.92 F731.621
G1 X3.01 Y0.81 Z3.92 F731.621
G1 X3.2 Y0.77 Z3.92 F731.621
M108 R35.0
M102
G1 X3.34 Y0.74 Z3.92 F731.621
G1 X3.46 Y0.49 Z3.92 F731.621
G1 X3.52 Y0.0 Z3.92 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z3.925 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z3.925 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z3.92 F975.494
G1 X0.28 Y2.2 Z3.92 F975.494
M108 R35.0
M101
G1 X-0.86 Y2.74 Z3.92 F975.494
M108 R0.4792
G1 X-2.81 Y-0.62 Z3.92 F731.621
G1 X-3.01 Y-0.81 Z3.92 F731.621
G1 X-3.34 Y-0.74 Z3.92 F731.621
G1 X-3.46 Y-0.49 Z3.92 F731.621
G1 X-3.52 Y-0.0 Z3.92 F731.621
G1 X-3.4 Y0.91 Z3.92 F731.621
G1 X-3.05 Y1.76 Z3.92 F731.621
G1 X-2.49 Y2.49 Z3.92 F731.621
G1 X-1.76 Y3.05 Z3.92 F731.621
G1 X-1.3 Y3.24 Z3.92 F731.621
G1 X-1.03 Y3.26 Z3.92 F731.621
G1 X-0.81 Y3.01 Z3.92 F731.621
G1 X-0.86 Y2.74 Z3.92 F731.621
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.48 Y1.97 Z3.92 F975.494
M101
G1 X-0.48 Y-3.95 Z3.92 F731.621
M103
G1 X-0.96 Y-3.89 Z3.92 F975.494
M101
G1 X-0.96 Y1.14 Z3.92 F731.621
M103
G1 X-1.44 Y0.3 Z3.92 F975.494
M101
G1 X-1.44 Y-3.71 Z3.92 F731.621
M103
G1 X-1.93 Y-3.51 Z3.92 F975.494
M101
G1 X-1.93 Y-0.53 Z3.92 F731.621
M103
G1 X-2.41 Y-1.23 Z3.92 F975.494
M101
G1 X-2.41 Y-3.17 Z3.92 F731.621
G1 X-2.89 Y-2.77 Z3.92 F731.621
G1 X-2.89 Y-1.56 Z3.92 F731.621
G1 X-3.22 Y-1.96 Z3.92 F731.621
M108 R35.0
M102
G1 X-3.37 Y-2.14 Z3.92 F731.621
G1 X-3.37 Y-1.46 Z3.92 F731.621
M108 R0.4792
M103
G1 X-0.25 Y2.92 Z3.92 F975.494
M108 R35.0
M101
G1 X0.48 Y3.95 Z3.92 F975.494
M108 R0.4792
G1 X0.48 Y-1.97 Z3.92 F731.621
M103
G1 X0.96 Y-1.14 Z3.92 F975.494
M101
G1 X0.96 Y3.89 Z3.92 F731.621
M103
G1 X1.44 Y3.71 Z3.92 F975.494
M101
G1 X1.44 Y-0.3 Z3.92 F731.621
M103
G1 X1.93 Y0.53 Z3.92 F975.494
M101
G1 X1.93 Y2.59 Z3.92 F731.621
M108 R35.0
M102
G1 X1.93 Y3.51 Z3.92 F731.621
M108 R0.4792
M103
G1 X2.64 Y2.5 Z3.92 F975.494
M108 R35.0
M101
G1 X3.37 Y1.46 Z3.92 F975.494
M108 R0.4792
G1 X3.37 Y2.14 Z3.92 F731.621
G1 X2.89 Y1.56 Z3.92 F731.621
G1 X2.89 Y2.77 Z3.92 F731.621
G1 X2.41 Y3.17 Z3.92 F731.621
G1 X2.41 Y2.14 Z3.92 F731.621
M108 R35.0
M102
G1 X2.41 Y1.23 Z3.92 F731.621
M108 R0.4792
M103
G1 X0.94 Y-2.54 Z3.92 F975.494
M108 R35.0
M101
G1 X0.48 Y-3.72 Z3.92 F975.494
M108 R0.4792
G1 X0.48 Y-3.94 Z3.92 F731.621
G1 X-0.0 Y-4.01 Z3.92 F731.621
G1 X0.0 Y4.01 Z3.92 F731.621
G1 X-0.48 Y3.94 Z3.92 F731.621
G1 X-0.48 Y3.72 Z3.92 F731.621
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 4.215 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z4.215 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z4.215 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z4.215 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z4.215 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z4.215 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z4.215 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z4.215 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z4.215 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z4.215 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z4.215 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z4.215 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z4.215 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z4.215 </boundaryPoint>)
(<loop> outer )
M108 R0.4168
G1 X-0.69 Y3.54 Z4.21 F848.443
M101
G1 X-0.34 Y3.13 Z4.21 F636.332
G1 X-0.46 Y2.58 Z4.21 F636.332
G1 X-2.46 Y-0.9 Z4.21 F636.332
G1 X-2.88 Y-1.28 Z4.21 F636.332
G1 X-3.63 Y-1.12 Z4.21 F636.332
G1 X-3.71 Y-0.95 Z4.21 F636.332
G1 X-4.18 Y-0.99 Z4.21 F636.332
G1 X-3.72 Y-2.15 Z4.21 F636.332
G1 X-3.04 Y-3.04 Z4.21 F636.332
G1 X-2.15 Y-3.72 Z4.21 F636.332
G1 X-1.11 Y-4.15 Z4.21 F636.332
G1 X-0.0 Y-4.3 Z4.21 F636.332
G1 X1.24 Y-4.11 Z4.21 F636.332
G1 X1.03 Y-3.69 Z4.21 F636.332
G1 X0.84 Y-3.71 Z4.21 F636.332
G1 X0.34 Y-3.13 Z4.21 F636.332
G1 X0.46 Y-2.58 Z4.21 F636.332
G1 X2.46 Y0.9 Z4.21 F636.332
G1 X2.88 Y1.28 Z4.21 F636.332
G1 X3.63 Y1.12 Z4.21 F636.332
G1 X3.71 Y0.95 Z4.21 F636.332
G1 X4.18 Y0.99 Z4.21 F636.332
G1 X3.72 Y2.15 Z4.21 F636.332
G1 X3.04 Y3.04 Z4.21 F636.332
G1 X2.15 Y3.72 Z4.21 F636.332
G1 X1.11 Y4.15 Z4.21 F636.332
G1 X0.0 Y4.3 Z4.21 F636.332
G1 X-1.24 Y4.11 Z4.21 F636.332
G1 X-1.2 Y4.04 Z4.21 F636.332
M108 R35.0
M102
G1 X-1.03 Y3.69 Z4.21 F636.332
G1 X-0.84 Y3.71 Z4.21 F636.332
G1 X-0.69 Y3.54 Z4.21 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.76 Y3.53 Z4.21 F848.443
M108 R35.0
M101
G1 X-1.86 Y3.46 Z4.21 F848.443
M108 R0.4168
G1 X-2.02 Y3.77 Z4.21 F636.332
G1 X-2.15 Y3.72 Z4.21 F636.332
G1 X-3.04 Y3.04 Z4.21 F636.332
G1 X-3.72 Y2.15 Z4.21 F636.332
G1 X-4.15 Y1.11 Z4.21 F636.332
G1 X-4.3 Y0.0 Z4.21 F636.332
G1 X-4.28 Y-0.14 Z4.21 F636.332
G1 X-3.93 Y-0.12 Z4.21 F636.332
G1 X-3.96 Y-0.0 Z4.21 F636.332
G1 X-3.82 Y1.02 Z4.21 F636.332
G1 X-3.43 Y1.98 Z4.21 F636.332
G1 X-2.8 Y2.8 Z4.21 F636.332
G1 X-2.51 Y3.02 Z4.21 F636.332
M108 R35.0
M102
G1 X-1.98 Y3.43 Z4.21 F636.332
G1 X-1.86 Y3.46 Z4.21 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z4.21 F848.443
G1 X3.15 Y0.9 Z4.21 F848.443
M108 R35.0
M101
G1 X3.23 Y0.85 Z4.21 F848.443
G1 X3.93 Y0.12 Z4.21 F848.443
M108 R0.4168
G1 X3.96 Y0.0 Z4.21 F636.332
G1 X3.82 Y-1.02 Z4.21 F636.332
G1 X3.43 Y-1.98 Z4.21 F636.332
G1 X2.8 Y-2.8 Z4.21 F636.332
G1 X1.98 Y-3.43 Z4.21 F636.332
G1 X1.86 Y-3.46 Z4.21 F636.332
G1 X2.02 Y-3.77 Z4.21 F636.332
G1 X2.15 Y-3.72 Z4.21 F636.332
G1 X3.04 Y-3.04 Z4.21 F636.332
G1 X3.72 Y-2.15 Z4.21 F636.332
G1 X4.15 Y-1.11 Z4.21 F636.332
G1 X4.3 Y-0.0 Z4.21 F636.332
G1 X4.28 Y0.14 Z4.21 F636.332
G1 X3.93 Y0.12 Z4.21 F636.332
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z4.21 F848.443
M101
G1 X4.57 Y1.23 Z4.21 F636.332
G1 X4.1 Y2.37 Z4.21 F636.332
G1 X3.35 Y3.35 Z4.21 F636.332
G1 X2.37 Y4.1 Z4.21 F636.332
G1 X1.23 Y4.57 Z4.21 F636.332
G1 X-0.0 Y4.74 Z4.21 F636.332
G1 X-1.23 Y4.57 Z4.21 F636.332
G1 X-2.37 Y4.1 Z4.21 F636.332
G1 X-3.35 Y3.35 Z4.21 F636.332
G1 X-4.1 Y2.37 Z4.21 F636.332
G1 X-4.57 Y1.23 Z4.21 F636.332
G1 X-4.74 Y-0.0 Z4.21 F636.332
G1 X-4.57 Y-1.23 Z4.21 F636.332
G1 X-4.1 Y-2.37 Z4.21 F636.332
G1 X-3.35 Y-3.35 Z4.21 F636.332
G1 X-2.37 Y-4.1 Z4.21 F636.332
G1 X-1.23 Y-4.57 Z4.21 F636.332
G1 X0.0 Y-4.74 Z4.21 F636.332
G1 X1.23 Y-4.57 Z4.21 F636.332
G1 X2.37 Y-4.1 Z4.21 F636.332
G1 X3.35 Y-3.35 Z4.21 F636.332
G1 X4.1 Y-2.37 Z4.21 F636.332
G1 X4.57 Y-1.23 Z4.21 F636.332
G1 X4.66 Y-0.57 Z4.21 F636.332
M108 R35.0
M102
G1 X4.74 Y0.0 Z4.21 F636.332
G1 X4.71 Y0.22 Z4.21 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z4.215 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z4.215 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z4.215 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z4.215 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z4.215 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z4.215 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z4.215 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z4.215 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z4.215 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z4.215 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z4.215 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z4.215 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z4.215 </boundaryPoint>)
(<perimeter> inner )
G1 X4.6 Y0.2 Z4.21 F848.443
M108 R35.0
M101
G1 X3.52 Y0.0 Z4.21 F848.443
M108 R0.4168
G1 X3.4 Y-0.91 Z4.21 F636.332
G1 X3.05 Y-1.76 Z4.21 F636.332
G1 X2.49 Y-2.49 Z4.21 F636.332
G1 X1.76 Y-3.05 Z4.21 F636.332
G1 X1.3 Y-3.24 Z4.21 F636.332
G1 X1.03 Y-3.26 Z4.21 F636.332
G1 X0.81 Y-3.01 Z4.21 F636.332
G1 X0.86 Y-2.74 Z4.21 F636.332
G1 X2.81 Y0.62 Z4.21 F636.332
G1 X3.01 Y0.81 Z4.21 F636.332
G1 X3.31 Y0.75 Z4.21 F636.332
M108 R35.0
M102
G1 X3.34 Y0.74 Z4.21 F636.332
G1 X3.46 Y0.49 Z4.21 F636.332
G1 X3.52 Y0.0 Z4.21 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z4.215 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z4.215 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z4.21 F848.443
G1 X0.14 Y2.27 Z4.21 F848.443
M108 R35.0
M101
G1 X-0.86 Y2.74 Z4.21 F848.443
M108 R0.4168
G1 X-2.81 Y-0.62 Z4.21 F636.332
G1 X-3.01 Y-0.81 Z4.21 F636.332
G1 X-3.34 Y-0.74 Z4.21 F636.332
G1 X-3.46 Y-0.49 Z4.21 F636.332
G1 X-3.52 Y-0.0 Z4.21 F636.332
G1 X-3.4 Y0.91 Z4.21 F636.332
G1 X-3.05 Y1.76 Z4.21 F636.332
G1 X-2.49 Y2.49 Z4.21 F636.332
G1 X-1.76 Y3.05 Z4.21 F636.332
G1 X-1.3 Y3.24 Z4.21 F636.332
G1 X-1.03 Y3.26 Z4.21 F636.332
G1 X-0.81 Y3.01 Z4.21 F636.332
G1 X-0.86 Y2.74 Z4.21 F636.332
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.1 Y2.89 Z4.21 F848.443
M101
G1 X2.14 Y3.37 Z4.21 F636.332
G1 X2.77 Y2.89 Z4.21 F636.332
G1 X3.51 Y1.93 Z4.21 F636.332
G1 X-0.23 Y2.41 Z4.21 F636.332
G1 X-0.79 Y1.44 Z4.21 F636.332
M103
G1 X-1.06 Y0.96 Z4.21 F848.443
M101
G1 X1.9 Y0.48 Z4.21 F636.332
G1 X2.18 Y0.96 Z4.21 F636.332
G1 X2.65 Y1.44 Z4.21 F636.332
M103
G1 X3.47 Y1.44 Z4.21 F848.443
M101
M108 R35.0
M102
G1 X3.56 Y1.44 Z4.21 F76.0
M108 R0.4168
M103
G1 X2.5 Y0.66 Z4.21 F848.443
M108 R35.0
M101
G1 X1.62 Y-0.0 Z4.21 F848.443
M108 R0.4168
G1 X-1.34 Y0.48 Z4.21 F636.332
G1 X-1.5 Y0.21 Z4.21 F636.332
M108 R35.0
M102
G1 X-1.9 Y-0.48 Z4.21 F636.332
M108 R0.4168
M103
G1 X-1.97 Y-0.57 Z4.21 F848.443
M108 R35.0
M101
G1 X-2.65 Y-1.44 Z4.21 F848.443
M108 R0.4168
G1 X-2.18 Y-0.96 Z4.21 F636.332
G1 X0.31 Y-1.2 Z4.21 F636.332
M108 R35.0
M102
G1 X0.37 Y-1.2 Z4.21 F636.332
G1 X1.06 Y-0.96 Z4.21 F636.332
M108 R0.4168
M103
G1 X1.06 Y-0.97 Z4.21 F848.443
M108 R35.0
M101
G1 X0.51 Y-1.93 Z4.21 F848.443
M108 R0.4168
G1 X-3.17 Y-2.41 Z4.21 F636.332
G1 X-3.38 Y-2.1 Z4.21 F636.332
M108 R35.0
M102
G1 X-3.51 Y-1.93 Z4.21 F636.332
G1 X-3.47 Y-1.44 Z4.21 F636.332
G1 X-3.56 Y-1.44 Z4.21 F636.332
M108 R0.4168
M103
G1 X-3.3 Y-1.92 Z4.21 F848.443
M108 R35.0
M101
G1 X-2.77 Y-2.89 Z4.21 F848.443
M108 R0.4168
G1 X-2.14 Y-3.37 Z4.21 F636.332
G1 X0.23 Y-2.41 Z4.21 F636.332
G1 X0.1 Y-2.89 Z4.21 F636.332
G1 X-1.1 Y-3.85 Z4.21 F636.332
G1 X-0.28 Y-3.85 Z4.21 F636.332
M108 R35.0
M102
G1 X0.52 Y-3.85 Z4.21 F636.332
M108 R0.4168
M103
G1 X1.02 Y2.75 Z4.21 F848.443
M108 R35.0
M101
G1 X1.1 Y3.85 Z4.21 F848.443
M108 R0.4168
G1 X-0.52 Y3.85 Z4.21 F636.332
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 4.505 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z4.505 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z4.505 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z4.505 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z4.505 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z4.505 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z4.505 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z4.505 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z4.505 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z4.505 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z4.505 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z4.505 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z4.505 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z4.505 </boundaryPoint>)
(<loop> outer )
M108 R0.4792
G1 X-0.84 Y3.71 Z4.5 F975.494
M101
G1 X-0.34 Y3.13 Z4.5 F731.621
G1 X-0.46 Y2.58 Z4.5 F731.621
G1 X-2.46 Y-0.9 Z4.5 F731.621
G1 X-2.88 Y-1.28 Z4.5 F731.621
G1 X-3.63 Y-1.12 Z4.5 F731.621
G1 X-3.71 Y-0.95 Z4.5 F731.621
G1 X-4.18 Y-0.99 Z4.5 F731.621
G1 X-3.72 Y-2.15 Z4.5 F731.621
G1 X-3.04 Y-3.04 Z4.5 F731.621
G1 X-2.15 Y-3.72 Z4.5 F731.621
G1 X-1.11 Y-4.15 Z4.5 F731.621
G1 X-0.0 Y-4.3 Z4.5 F731.621
G1 X1.24 Y-4.11 Z4.5 F731.621
G1 X1.03 Y-3.69 Z4.5 F731.621
G1 X0.84 Y-3.71 Z4.5 F731.621
G1 X0.34 Y-3.13 Z4.5 F731.621
G1 X0.46 Y-2.58 Z4.5 F731.621
G1 X2.46 Y0.9 Z4.5 F731.621
G1 X2.88 Y1.28 Z4.5 F731.621
G1 X3.63 Y1.12 Z4.5 F731.621
G1 X3.71 Y0.95 Z4.5 F731.621
G1 X4.18 Y0.99 Z4.5 F731.621
G1 X3.72 Y2.15 Z4.5 F731.621
G1 X3.04 Y3.04 Z4.5 F731.621
G1 X2.15 Y3.72 Z4.5 F731.621
G1 X1.11 Y4.15 Z4.5 F731.621
G1 X0.0 Y4.3 Z4.5 F731.621
G1 X-0.98 Y4.15 Z4.5 F731.621
M108 R35.0
M102
G1 X-1.24 Y4.11 Z4.5 F731.621
G1 X-1.03 Y3.69 Z4.5 F731.621
G1 X-0.84 Y3.71 Z4.5 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X-1.86 Y3.46 Z4.5 F807.656
M108 R0.4792
G1 X-2.02 Y3.77 Z4.5 F731.621
G1 X-2.15 Y3.72 Z4.5 F731.621
G1 X-3.04 Y3.04 Z4.5 F731.621
G1 X-3.72 Y2.15 Z4.5 F731.621
G1 X-4.15 Y1.11 Z4.5 F731.621
G1 X-4.3 Y0.0 Z4.5 F731.621
G1 X-4.28 Y-0.14 Z4.5 F731.621
G1 X-3.93 Y-0.12 Z4.5 F731.621
G1 X-3.96 Y-0.0 Z4.5 F731.621
G1 X-3.82 Y1.02 Z4.5 F731.621
G1 X-3.43 Y1.98 Z4.5 F731.621
G1 X-2.8 Y2.8 Z4.5 F731.621
G1 X-2.61 Y2.94 Z4.5 F731.621
M108 R35.0
M102
G1 X-1.98 Y3.43 Z4.5 F731.621
G1 X-1.86 Y3.46 Z4.5 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z4.5 F975.494
G1 X3.01 Y0.98 Z4.5 F975.494
M108 R35.0
M101
G1 X3.23 Y0.85 Z4.5 F975.494
G1 X3.93 Y0.12 Z4.5 F975.494
M108 R0.4792
G1 X3.96 Y0.0 Z4.5 F731.621
G1 X3.82 Y-1.02 Z4.5 F731.621
G1 X3.43 Y-1.98 Z4.5 F731.621
G1 X2.8 Y-2.8 Z4.5 F731.621
G1 X1.98 Y-3.43 Z4.5 F731.621
G1 X1.86 Y-3.46 Z4.5 F731.621
G1 X2.02 Y-3.77 Z4.5 F731.621
G1 X2.15 Y-3.72 Z4.5 F731.621
G1 X3.04 Y-3.04 Z4.5 F731.621
G1 X3.72 Y-2.15 Z4.5 F731.621
G1 X4.15 Y-1.11 Z4.5 F731.621
G1 X4.3 Y-0.0 Z4.5 F731.621
G1 X4.28 Y0.14 Z4.5 F731.621
G1 X3.93 Y0.12 Z4.5 F731.621
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z4.5 F975.494
M101
G1 X4.57 Y1.23 Z4.5 F731.621
G1 X4.1 Y2.37 Z4.5 F731.621
G1 X3.35 Y3.35 Z4.5 F731.621
G1 X2.37 Y4.1 Z4.5 F731.621
G1 X1.23 Y4.57 Z4.5 F731.621
G1 X-0.0 Y4.74 Z4.5 F731.621
G1 X-1.23 Y4.57 Z4.5 F731.621
G1 X-2.37 Y4.1 Z4.5 F731.621
G1 X-3.35 Y3.35 Z4.5 F731.621
G1 X-4.1 Y2.37 Z4.5 F731.621
G1 X-4.57 Y1.23 Z4.5 F731.621
G1 X-4.74 Y-0.0 Z4.5 F731.621
G1 X-4.57 Y-1.23 Z4.5 F731.621
G1 X-4.1 Y-2.37 Z4.5 F731.621
G1 X-3.35 Y-3.35 Z4.5 F731.621
G1 X-2.37 Y-4.1 Z4.5 F731.621
G1 X-1.23 Y-4.57 Z4.5 F731.621
G1 X0.0 Y-4.74 Z4.5 F731.621
G1 X1.23 Y-4.57 Z4.5 F731.621
G1 X2.37 Y-4.1 Z4.5 F731.621
G1 X3.35 Y-3.35 Z4.5 F731.621
G1 X4.1 Y-2.37 Z4.5 F731.621
G1 X4.57 Y-1.23 Z4.5 F731.621
G1 X4.64 Y-0.69 Z4.5 F731.621
M108 R35.0
M102
G1 X4.74 Y0.0 Z4.5 F731.621
G1 X4.71 Y0.22 Z4.5 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z4.505 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z4.505 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z4.505 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z4.505 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z4.505 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z4.505 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z4.505 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z4.505 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z4.505 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z4.505 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z4.505 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z4.505 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z4.505 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z4.5 F928.153
M108 R0.4792
G1 X3.4 Y-0.91 Z4.5 F731.621
G1 X3.05 Y-1.76 Z4.5 F731.621
G1 X2.49 Y-2.49 Z4.5 F731.621
G1 X1.76 Y-3.05 Z4.5 F731.621
G1 X1.3 Y-3.24 Z4.5 F731.621
G1 X1.03 Y-3.26 Z4.5 F731.621
G1 X0.81 Y-3.01 Z4.5 F731.621
G1 X0.86 Y-2.74 Z4.5 F731.621
G1 X2.81 Y0.62 Z4.5 F731.621
G1 X3.01 Y0.81 Z4.5 F731.621
G1 X3.2 Y0.77 Z4.5 F731.621
M108 R35.0
M102
G1 X3.34 Y0.74 Z4.5 F731.621
G1 X3.46 Y0.49 Z4.5 F731.621
G1 X3.52 Y0.0 Z4.5 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z4.505 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z4.505 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z4.5 F975.494
G1 X0.28 Y2.2 Z4.5 F975.494
M108 R35.0
M101
G1 X-0.86 Y2.74 Z4.5 F975.494
M108 R0.4792
G1 X-2.81 Y-0.62 Z4.5 F731.621
G1 X-3.01 Y-0.81 Z4.5 F731.621
G1 X-3.34 Y-0.74 Z4.5 F731.621
G1 X-3.46 Y-0.49 Z4.5 F731.621
G1 X-3.52 Y-0.0 Z4.5 F731.621
G1 X-3.4 Y0.91 Z4.5 F731.621
G1 X-3.05 Y1.76 Z4.5 F731.621
G1 X-2.49 Y2.49 Z4.5 F731.621
G1 X-1.76 Y3.05 Z4.5 F731.621
G1 X-1.3 Y3.24 Z4.5 F731.621
G1 X-1.03 Y3.26 Z4.5 F731.621
G1 X-0.81 Y3.01 Z4.5 F731.621
G1 X-0.86 Y2.74 Z4.5 F731.621
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.48 Y1.97 Z4.5 F975.494
M101
G1 X-0.48 Y-3.95 Z4.5 F731.621
M103
G1 X-0.96 Y-3.89 Z4.5 F975.494
M101
G1 X-0.96 Y1.14 Z4.5 F731.621
M103
G1 X-1.44 Y0.3 Z4.5 F975.494
M101
G1 X-1.44 Y-3.71 Z4.5 F731.621
M103
G1 X-1.93 Y-3.51 Z4.5 F975.494
M101
G1 X-1.93 Y-0.53 Z4.5 F731.621
M103
G1 X-2.41 Y-1.23 Z4.5 F975.494
M101
G1 X-2.41 Y-3.17 Z4.5 F731.621
G1 X-2.89 Y-2.77 Z4.5 F731.621
G1 X-2.89 Y-1.56 Z4.5 F731.621
G1 X-3.22 Y-1.96 Z4.5 F731.621
M108 R35.0
M102
G1 X-3.37 Y-2.14 Z4.5 F731.621
G1 X-3.37 Y-1.46 Z4.5 F731.621
M108 R0.4792
M103
G1 X-0.25 Y2.92 Z4.5 F975.494
M108 R35.0
M101
G1 X0.48 Y3.95 Z4.5 F975.494
M108 R0.4792
G1 X0.48 Y-1.97 Z4.5 F731.621
M103
G1 X0.96 Y-1.14 Z4.5 F975.494
M101
G1 X0.96 Y3.89 Z4.5 F731.621
M103
G1 X1.44 Y3.71 Z4.5 F975.494
M101
G1 X1.44 Y-0.3 Z4.5 F731.621
M103
G1 X1.93 Y0.53 Z4.5 F975.494
M101
G1 X1.93 Y2.59 Z4.5 F731.621
M108 R35.0
M102
G1 X1.93 Y3.51 Z4.5 F731.621
M108 R0.4792
M103
G1 X2.64 Y2.5 Z4.5 F975.494
M108 R35.0
M101
G1 X3.37 Y1.46 Z4.5 F975.494
M108 R0.4792
G1 X3.37 Y2.14 Z4.5 F731.621
G1 X2.89 Y1.56 Z4.5 F731.621
G1 X2.89 Y2.77 Z4.5 F731.621
G1 X2.41 Y3.17 Z4.5 F731.621
G1 X2.41 Y2.14 Z4.5 F731.621
M108 R35.0
M102
G1 X2.41 Y1.23 Z4.5 F731.621
M108 R0.4792
M103
G1 X0.94 Y-2.54 Z4.5 F975.494
M108 R35.0
M101
G1 X0.48 Y-3.72 Z4.5 F975.494
M108 R0.4792
G1 X0.48 Y-3.94 Z4.5 F731.621
G1 X-0.0 Y-4.01 Z4.5 F731.621
G1 X0.0 Y4.01 Z4.5 F731.621
G1 X-0.48 Y3.94 Z4.5 F731.621
G1 X-0.48 Y3.72 Z4.5 F731.621
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 4.795 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z4.795 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z4.795 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z4.795 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z4.795 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z4.795 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z4.795 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z4.795 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z4.795 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z4.795 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z4.795 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z4.795 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z4.795 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z4.795 </boundaryPoint>)
(<loop> outer )
M108 R0.4168
G1 X-0.69 Y3.54 Z4.79 F848.443
M101
G1 X-0.34 Y3.13 Z4.79 F636.332
G1 X-0.46 Y2.58 Z4.79 F636.332
G1 X-2.46 Y-0.9 Z4.79 F636.332
G1 X-2.88 Y-1.28 Z4.79 F636.332
G1 X-3.63 Y-1.12 Z4.79 F636.332
G1 X-3.71 Y-0.95 Z4.79 F636.332
G1 X-4.18 Y-0.99 Z4.79 F636.332
G1 X-3.72 Y-2.15 Z4.79 F636.332
G1 X-3.04 Y-3.04 Z4.79 F636.332
G1 X-2.15 Y-3.72 Z4.79 F636.332
G1 X-1.11 Y-4.15 Z4.79 F636.332
G1 X-0.0 Y-4.3 Z4.79 F636.332
G1 X1.24 Y-4.11 Z4.79 F636.332
G1 X1.03 Y-3.69 Z4.79 F636.332
G1 X0.84 Y-3.71 Z4.79 F636.332
G1 X0.34 Y-3.13 Z4.79 F636.332
G1 X0.46 Y-2.58 Z4.79 F636.332
G1 X2.46 Y0.9 Z4.79 F636.332
G1 X2.88 Y1.28 Z4.79 F636.332
G1 X3.63 Y1.12 Z4.79 F636.332
G1 X3.71 Y0.95 Z4.79 F636.332
G1 X4.18 Y0.99 Z4.79 F636.332
G1 X3.72 Y2.15 Z4.79 F636.332
G1 X3.04 Y3.04 Z4.79 F636.332
G1 X2.15 Y3.72 Z4.79 F636.332
G1 X1.11 Y4.15 Z4.79 F636.332
G1 X0.0 Y4.3 Z4.79 F636.332
G1 X-1.24 Y4.11 Z4.79 F636.332
G1 X-1.2 Y4.04 Z4.79 F636.332
M108 R35.0
M102
G1 X-1.03 Y3.69 Z4.79 F636.332
G1 X-0.84 Y3.71 Z4.79 F636.332
G1 X-0.69 Y3.54 Z4.79 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.76 Y3.53 Z4.79 F848.443
M108 R35.0
M101
G1 X-1.86 Y3.46 Z4.79 F848.443
M108 R0.4168
G1 X-2.02 Y3.77 Z4.79 F636.332
G1 X-2.15 Y3.72 Z4.79 F636.332
G1 X-3.04 Y3.04 Z4.79 F636.332
G1 X-3.72 Y2.15 Z4.79 F636.332
G1 X-4.15 Y1.11 Z4.79 F636.332
G1 X-4.3 Y0.0 Z4.79 F636.332
G1 X-4.28 Y-0.14 Z4.79 F636.332
G1 X-3.93 Y-0.12 Z4.79 F636.332
G1 X-3.96 Y-0.0 Z4.79 F636.332
G1 X-3.82 Y1.02 Z4.79 F636.332
G1 X-3.43 Y1.98 Z4.79 F636.332
G1 X-2.8 Y2.8 Z4.79 F636.332
G1 X-2.51 Y3.02 Z4.79 F636.332
M108 R35.0
M102
G1 X-1.98 Y3.43 Z4.79 F636.332
G1 X-1.86 Y3.46 Z4.79 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z4.79 F848.443
G1 X3.15 Y0.9 Z4.79 F848.443
M108 R35.0
M101
G1 X3.23 Y0.85 Z4.79 F848.443
G1 X3.93 Y0.12 Z4.79 F848.443
M108 R0.4168
G1 X3.96 Y0.0 Z4.79 F636.332
G1 X3.82 Y-1.02 Z4.79 F636.332
G1 X3.43 Y-1.98 Z4.79 F636.332
G1 X2.8 Y-2.8 Z4.79 F636.332
G1 X1.98 Y-3.43 Z4.79 F636.332
G1 X1.86 Y-3.46 Z4.79 F636.332
G1 X2.02 Y-3.77 Z4.79 F636.332
G1 X2.15 Y-3.72 Z4.79 F636.332
G1 X3.04 Y-3.04 Z4.79 F636.332
G1 X3.72 Y-2.15 Z4.79 F636.332
G1 X4.15 Y-1.11 Z4.79 F636.332
G1 X4.3 Y-0.0 Z4.79 F636.332
G1 X4.28 Y0.14 Z4.79 F636.332
G1 X3.93 Y0.12 Z4.79 F636.332
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z4.79 F848.443
M101
G1 X4.57 Y1.23 Z4.79 F636.332
G1 X4.1 Y2.37 Z4.79 F636.332
G1 X3.35 Y3.35 Z4.79 F636.332
G1 X2.37 Y4.1 Z4.79 F636.332
G1 X1.23 Y4.57 Z4.79 F636.332
G1 X-0.0 Y4.74 Z4.79 F636.332
G1 X-1.23 Y4.57 Z4.79 F636.332
G1 X-2.37 Y4.1 Z4.79 F636.332
G1 X-3.35 Y3.35 Z4.79 F636.332
G1 X-4.1 Y2.37 Z4.79 F636.332
G1 X-4.57 Y1.23 Z4.79 F636.332
G1 X-4.74 Y-0.0 Z4.79 F636.332
G1 X-4.57 Y-1.23 Z4.79 F636.332
G1 X-4.1 Y-2.37 Z4.79 F636.332
G1 X-3.35 Y-3.35 Z4.79 F636.332
G1 X-2.37 Y-4.1 Z4.79 F636.332
G1 X-1.23 Y-4.57 Z4.79 F636.332
G1 X0.0 Y-4.74 Z4.79 F636.332
G1 X1.23 Y-4.57 Z4.79 F636.332
G1 X2.37 Y-4.1 Z4.79 F636.332
G1 X3.35 Y-3.35 Z4.79 F636.332
G1 X4.1 Y-2.37 Z4.79 F636.332
G1 X4.57 Y-1.23 Z4.79 F636.332
G1 X4.66 Y-0.57 Z4.79 F636.332
M108 R35.0
M102
G1 X4.74 Y0.0 Z4.79 F636.332
G1 X4.71 Y0.22 Z4.79 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z4.795 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z4.795 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z4.795 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z4.795 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z4.795 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z4.795 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z4.795 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z4.795 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z4.795 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z4.795 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z4.795 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z4.795 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z4.795 </boundaryPoint>)
(<perimeter> inner )
G1 X4.6 Y0.2 Z4.79 F848.443
M108 R35.0
M101
G1 X3.52 Y0.0 Z4.79 F848.443
M108 R0.4168
G1 X3.4 Y-0.91 Z4.79 F636.332
G1 X3.05 Y-1.76 Z4.79 F636.332
G1 X2.49 Y-2.49 Z4.79 F636.332
G1 X1.76 Y-3.05 Z4.79 F636.332
G1 X1.3 Y-3.24 Z4.79 F636.332
G1 X1.03 Y-3.26 Z4.79 F636.332
G1 X0.81 Y-3.01 Z4.79 F636.332
G1 X0.86 Y-2.74 Z4.79 F636.332
G1 X2.81 Y0.62 Z4.79 F636.332
G1 X3.01 Y0.81 Z4.79 F636.332
G1 X3.31 Y0.75 Z4.79 F636.332
M108 R35.0
M102
G1 X3.34 Y0.74 Z4.79 F636.332
G1 X3.46 Y0.49 Z4.79 F636.332
G1 X3.52 Y0.0 Z4.79 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z4.795 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z4.795 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z4.79 F848.443
G1 X0.14 Y2.27 Z4.79 F848.443
M108 R35.0
M101
G1 X-0.86 Y2.74 Z4.79 F848.443
M108 R0.4168
G1 X-2.81 Y-0.62 Z4.79 F636.332
G1 X-3.01 Y-0.81 Z4.79 F636.332
G1 X-3.34 Y-0.74 Z4.79 F636.332
G1 X-3.46 Y-0.49 Z4.79 F636.332
G1 X-3.52 Y-0.0 Z4.79 F636.332
G1 X-3.4 Y0.91 Z4.79 F636.332
G1 X-3.05 Y1.76 Z4.79 F636.332
G1 X-2.49 Y2.49 Z4.79 F636.332
G1 X-1.76 Y3.05 Z4.79 F636.332
G1 X-1.3 Y3.24 Z4.79 F636.332
G1 X-1.03 Y3.26 Z4.79 F636.332
G1 X-0.81 Y3.01 Z4.79 F636.332
G1 X-0.86 Y2.74 Z4.79 F636.332
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.1 Y2.89 Z4.79 F848.443
M101
G1 X2.14 Y3.37 Z4.79 F636.332
G1 X2.77 Y2.89 Z4.79 F636.332
G1 X3.51 Y1.93 Z4.79 F636.332
G1 X-0.23 Y2.41 Z4.79 F636.332
G1 X-0.79 Y1.44 Z4.79 F636.332
M103
G1 X-1.06 Y0.96 Z4.79 F848.443
M101
G1 X1.9 Y0.48 Z4.79 F636.332
G1 X2.18 Y0.96 Z4.79 F636.332
G1 X2.65 Y1.44 Z4.79 F636.332
M103
G1 X3.47 Y1.44 Z4.79 F848.443
M101
M108 R35.0
M102
G1 X3.56 Y1.44 Z4.79 F76.0
M108 R0.4168
M103
G1 X2.5 Y0.66 Z4.79 F848.443
M108 R35.0
M101
G1 X1.62 Y-0.0 Z4.79 F848.443
M108 R0.4168
G1 X-1.34 Y0.48 Z4.79 F636.332
G1 X-1.5 Y0.21 Z4.79 F636.332
M108 R35.0
M102
G1 X-1.9 Y-0.48 Z4.79 F636.332
M108 R0.4168
M103
G1 X-1.97 Y-0.57 Z4.79 F848.443
M108 R35.0
M101
G1 X-2.65 Y-1.44 Z4.79 F848.443
M108 R0.4168
G1 X-2.18 Y-0.96 Z4.79 F636.332
G1 X0.31 Y-1.2 Z4.79 F636.332
M108 R35.0
M102
G1 X0.37 Y-1.2 Z4.79 F636.332
G1 X1.06 Y-0.96 Z4.79 F636.332
M108 R0.4168
M103
G1 X1.06 Y-0.97 Z4.79 F848.443
M108 R35.0
M101
G1 X0.51 Y-1.93 Z4.79 F848.443
M108 R0.4168
G1 X-3.17 Y-2.41 Z4.79 F636.332
G1 X-3.38 Y-2.1 Z4.79 F636.332
M108 R35.0
M102
G1 X-3.51 Y-1.93 Z4.79 F636.332
G1 X-3.47 Y-1.44 Z4.79 F636.332
G1 X-3.56 Y-1.44 Z4.79 F636.332
M108 R0.4168
M103
G1 X-3.3 Y-1.92 Z4.79 F848.443
M108 R35.0
M101
G1 X-2.77 Y-2.89 Z4.79 F848.443
M108 R0.4168
G1 X-2.14 Y-3.37 Z4.79 F636.332
G1 X0.23 Y-2.41 Z4.79 F636.332
G1 X0.1 Y-2.89 Z4.79 F636.332
G1 X-1.1 Y-3.85 Z4.79 F636.332
G1 X-0.28 Y-3.85 Z4.79 F636.332
M108 R35.0
M102
G1 X0.52 Y-3.85 Z4.79 F636.332
M108 R0.4168
M103
G1 X1.02 Y2.75 Z4.79 F848.443
M108 R35.0
M101
G1 X1.1 Y3.85 Z4.79 F848.443
M108 R0.4168
G1 X-0.52 Y3.85 Z4.79 F636.332
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 5.085 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z5.085 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z5.085 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z5.085 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z5.085 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z5.085 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z5.085 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z5.085 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z5.085 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z5.085 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z5.085 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z5.085 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z5.085 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z5.085 </boundaryPoint>)
(<loop> outer )
M108 R0.4792
G1 X-0.84 Y3.71 Z5.08 F975.494
M101
G1 X-0.34 Y3.13 Z5.08 F731.621
G1 X-0.46 Y2.58 Z5.08 F731.621
G1 X-2.46 Y-0.9 Z5.08 F731.621
G1 X-2.88 Y-1.28 Z5.08 F731.621
G1 X-3.63 Y-1.12 Z5.08 F731.621
G1 X-3.71 Y-0.95 Z5.08 F731.621
G1 X-4.18 Y-0.99 Z5.08 F731.621
G1 X-3.72 Y-2.15 Z5.08 F731.621
G1 X-3.04 Y-3.04 Z5.08 F731.621
G1 X-2.15 Y-3.72 Z5.08 F731.621
G1 X-1.11 Y-4.15 Z5.08 F731.621
G1 X-0.0 Y-4.3 Z5.08 F731.621
G1 X1.24 Y-4.11 Z5.08 F731.621
G1 X1.03 Y-3.69 Z5.08 F731.621
G1 X0.84 Y-3.71 Z5.08 F731.621
G1 X0.34 Y-3.13 Z5.08 F731.621
G1 X0.46 Y-2.58 Z5.08 F731.621
G1 X2.46 Y0.9 Z5.08 F731.621
G1 X2.88 Y1.28 Z5.08 F731.621
G1 X3.63 Y1.12 Z5.08 F731.621
G1 X3.71 Y0.95 Z5.08 F731.621
G1 X4.18 Y0.99 Z5.08 F731.621
G1 X3.72 Y2.15 Z5.08 F731.621
G1 X3.04 Y3.04 Z5.08 F731.621
G1 X2.15 Y3.72 Z5.08 F731.621
G1 X1.11 Y4.15 Z5.08 F731.621
G1 X0.0 Y4.3 Z5.08 F731.621
G1 X-0.98 Y4.15 Z5.08 F731.621
M108 R35.0
M102
G1 X-1.24 Y4.11 Z5.08 F731.621
G1 X-1.03 Y3.69 Z5.08 F731.621
G1 X-0.84 Y3.71 Z5.08 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X-1.86 Y3.46 Z5.08 F807.656
M108 R0.4792
G1 X-2.02 Y3.77 Z5.08 F731.621
G1 X-2.15 Y3.72 Z5.08 F731.621
G1 X-3.04 Y3.04 Z5.08 F731.621
G1 X-3.72 Y2.15 Z5.08 F731.621
G1 X-4.15 Y1.11 Z5.08 F731.621
G1 X-4.3 Y0.0 Z5.08 F731.621
G1 X-4.28 Y-0.14 Z5.08 F731.621
G1 X-3.93 Y-0.12 Z5.08 F731.621
G1 X-3.96 Y-0.0 Z5.08 F731.621
G1 X-3.82 Y1.02 Z5.08 F731.621
G1 X-3.43 Y1.98 Z5.08 F731.621
G1 X-2.8 Y2.8 Z5.08 F731.621
G1 X-2.61 Y2.94 Z5.08 F731.621
M108 R35.0
M102
G1 X-1.98 Y3.43 Z5.08 F731.621
G1 X-1.86 Y3.46 Z5.08 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z5.08 F975.494
G1 X3.01 Y0.98 Z5.08 F975.494
M108 R35.0
M101
G1 X3.23 Y0.85 Z5.08 F975.494
G1 X3.93 Y0.12 Z5.08 F975.494
M108 R0.4792
G1 X3.96 Y0.0 Z5.08 F731.621
G1 X3.82 Y-1.02 Z5.08 F731.621
G1 X3.43 Y-1.98 Z5.08 F731.621
G1 X2.8 Y-2.8 Z5.08 F731.621
G1 X1.98 Y-3.43 Z5.08 F731.621
G1 X1.86 Y-3.46 Z5.08 F731.621
G1 X2.02 Y-3.77 Z5.08 F731.621
G1 X2.15 Y-3.72 Z5.08 F731.621
G1 X3.04 Y-3.04 Z5.08 F731.621
G1 X3.72 Y-2.15 Z5.08 F731.621
G1 X4.15 Y-1.11 Z5.08 F731.621
G1 X4.3 Y-0.0 Z5.08 F731.621
G1 X4.28 Y0.14 Z5.08 F731.621
G1 X3.93 Y0.12 Z5.08 F731.621
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z5.08 F975.494
M101
G1 X4.57 Y1.23 Z5.08 F731.621
G1 X4.1 Y2.37 Z5.08 F731.621
G1 X3.35 Y3.35 Z5.08 F731.621
G1 X2.37 Y4.1 Z5.08 F731.621
G1 X1.23 Y4.57 Z5.08 F731.621
G1 X-0.0 Y4.74 Z5.08 F731.621
G1 X-1.23 Y4.57 Z5.08 F731.621
G1 X-2.37 Y4.1 Z5.08 F731.621
G1 X-3.35 Y3.35 Z5.08 F731.621
G1 X-4.1 Y2.37 Z5.08 F731.621
G1 X-4.57 Y1.23 Z5.08 F731.621
G1 X-4.74 Y-0.0 Z5.08 F731.621
G1 X-4.57 Y-1.23 Z5.08 F731.621
G1 X-4.1 Y-2.37 Z5.08 F731.621
G1 X-3.35 Y-3.35 Z5.08 F731.621
G1 X-2.37 Y-4.1 Z5.08 F731.621
G1 X-1.23 Y-4.57 Z5.08 F731.621
G1 X0.0 Y-4.74 Z5.08 F731.621
G1 X1.23 Y-4.57 Z5.08 F731.621
G1 X2.37 Y-4.1 Z5.08 F731.621
G1 X3.35 Y-3.35 Z5.08 F731.621
G1 X4.1 Y-2.37 Z5.08 F731.621
G1 X4.57 Y-1.23 Z5.08 F731.621
G1 X4.64 Y-0.69 Z5.08 F731.621
M108 R35.0
M102
G1 X4.74 Y0.0 Z5.08 F731.621
G1 X4.71 Y0.22 Z5.08 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z5.085 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z5.085 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z5.085 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z5.085 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z5.085 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z5.085 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z5.085 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z5.085 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z5.085 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z5.085 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z5.085 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z5.085 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z5.085 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z5.08 F928.153
M108 R0.4792
G1 X3.4 Y-0.91 Z5.08 F731.621
G1 X3.05 Y-1.76 Z5.08 F731.621
G1 X2.49 Y-2.49 Z5.08 F731.621
G1 X1.76 Y-3.05 Z5.08 F731.621
G1 X1.3 Y-3.24 Z5.08 F731.621
G1 X1.03 Y-3.26 Z5.08 F731.621
G1 X0.81 Y-3.01 Z5.08 F731.621
G1 X0.86 Y-2.74 Z5.08 F731.621
G1 X2.81 Y0.62 Z5.08 F731.621
G1 X3.01 Y0.81 Z5.08 F731.621
G1 X3.2 Y0.77 Z5.08 F731.621
M108 R35.0
M102
G1 X3.34 Y0.74 Z5.08 F731.621
G1 X3.46 Y0.49 Z5.08 F731.621
G1 X3.52 Y0.0 Z5.08 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z5.085 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z5.085 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z5.08 F975.494
G1 X0.28 Y2.2 Z5.08 F975.494
M108 R35.0
M101
G1 X-0.86 Y2.74 Z5.08 F975.494
M108 R0.4792
G1 X-2.81 Y-0.62 Z5.08 F731.621
G1 X-3.01 Y-0.81 Z5.08 F731.621
G1 X-3.34 Y-0.74 Z5.08 F731.621
G1 X-3.46 Y-0.49 Z5.08 F731.621
G1 X-3.52 Y-0.0 Z5.08 F731.621
G1 X-3.4 Y0.91 Z5.08 F731.621
G1 X-3.05 Y1.76 Z5.08 F731.621
G1 X-2.49 Y2.49 Z5.08 F731.621
G1 X-1.76 Y3.05 Z5.08 F731.621
G1 X-1.3 Y3.24 Z5.08 F731.621
G1 X-1.03 Y3.26 Z5.08 F731.621
G1 X-0.81 Y3.01 Z5.08 F731.621
G1 X-0.86 Y2.74 Z5.08 F731.621
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.48 Y1.97 Z5.08 F975.494
M101
G1 X-0.48 Y-3.95 Z5.08 F731.621
M103
G1 X-0.96 Y-3.89 Z5.08 F975.494
M101
G1 X-0.96 Y1.14 Z5.08 F731.621
M103
G1 X-1.44 Y0.3 Z5.08 F975.494
M101
G1 X-1.44 Y-3.71 Z5.08 F731.621
M103
G1 X-1.93 Y-3.51 Z5.08 F975.494
M101
G1 X-1.93 Y-0.53 Z5.08 F731.621
M103
G1 X-2.41 Y-1.23 Z5.08 F975.494
M101
G1 X-2.41 Y-3.17 Z5.08 F731.621
G1 X-2.89 Y-2.77 Z5.08 F731.621
G1 X-2.89 Y-1.56 Z5.08 F731.621
G1 X-3.22 Y-1.96 Z5.08 F731.621
M108 R35.0
M102
G1 X-3.37 Y-2.14 Z5.08 F731.621
G1 X-3.37 Y-1.46 Z5.08 F731.621
M108 R0.4792
M103
G1 X-0.25 Y2.92 Z5.08 F975.494
M108 R35.0
M101
G1 X0.48 Y3.95 Z5.08 F975.494
M108 R0.4792
G1 X0.48 Y-1.97 Z5.08 F731.621
M103
G1 X0.96 Y-1.14 Z5.08 F975.494
M101
G1 X0.96 Y3.89 Z5.08 F731.621
M103
G1 X1.44 Y3.71 Z5.08 F975.494
M101
G1 X1.44 Y-0.3 Z5.08 F731.621
M103
G1 X1.93 Y0.53 Z5.08 F975.494
M101
G1 X1.93 Y2.59 Z5.08 F731.621
M108 R35.0
M102
G1 X1.93 Y3.51 Z5.08 F731.621
M108 R0.4792
M103
G1 X2.64 Y2.5 Z5.08 F975.494
M108 R35.0
M101
G1 X3.37 Y1.46 Z5.08 F975.494
M108 R0.4792
G1 X3.37 Y2.14 Z5.08 F731.621
G1 X2.89 Y1.56 Z5.08 F731.621
G1 X2.89 Y2.77 Z5.08 F731.621
G1 X2.41 Y3.17 Z5.08 F731.621
G1 X2.41 Y2.14 Z5.08 F731.621
M108 R35.0
M102
G1 X2.41 Y1.23 Z5.08 F731.621
M108 R0.4792
M103
G1 X0.94 Y-2.54 Z5.08 F975.494
M108 R35.0
M101
G1 X0.48 Y-3.72 Z5.08 F975.494
M108 R0.4792
G1 X0.48 Y-3.94 Z5.08 F731.621
G1 X-0.0 Y-4.01 Z5.08 F731.621
G1 X0.0 Y4.01 Z5.08 F731.621
G1 X-0.48 Y3.94 Z5.08 F731.621
G1 X-0.48 Y3.72 Z5.08 F731.621
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 5.375 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z5.375 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z5.375 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z5.375 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z5.375 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z5.375 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z5.375 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z5.375 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z5.375 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z5.375 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z5.375 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z5.375 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z5.375 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z5.375 </boundaryPoint>)
(<loop> outer )
M108 R0.4168
G1 X-0.69 Y3.54 Z5.38 F848.443
M101
G1 X-0.34 Y3.13 Z5.38 F636.332
G1 X-0.46 Y2.58 Z5.38 F636.332
G1 X-2.46 Y-0.9 Z5.38 F636.332
G1 X-2.88 Y-1.28 Z5.38 F636.332
G1 X-3.63 Y-1.12 Z5.38 F636.332
G1 X-3.71 Y-0.95 Z5.38 F636.332
G1 X-4.18 Y-0.99 Z5.38 F636.332
G1 X-3.72 Y-2.15 Z5.38 F636.332
G1 X-3.04 Y-3.04 Z5.38 F636.332
G1 X-2.15 Y-3.72 Z5.38 F636.332
G1 X-1.11 Y-4.15 Z5.38 F636.332
G1 X-0.0 Y-4.3 Z5.38 F636.332
G1 X1.24 Y-4.11 Z5.38 F636.332
G1 X1.03 Y-3.69 Z5.38 F636.332
G1 X0.84 Y-3.71 Z5.38 F636.332
G1 X0.34 Y-3.13 Z5.38 F636.332
G1 X0.46 Y-2.58 Z5.38 F636.332
G1 X2.46 Y0.9 Z5.38 F636.332
G1 X2.88 Y1.28 Z5.38 F636.332
G1 X3.63 Y1.12 Z5.38 F636.332
G1 X3.71 Y0.95 Z5.38 F636.332
G1 X4.18 Y0.99 Z5.38 F636.332
G1 X3.72 Y2.15 Z5.38 F636.332
G1 X3.04 Y3.04 Z5.38 F636.332
G1 X2.15 Y3.72 Z5.38 F636.332
G1 X1.11 Y4.15 Z5.38 F636.332
G1 X0.0 Y4.3 Z5.38 F636.332
G1 X-1.24 Y4.11 Z5.38 F636.332
G1 X-1.2 Y4.04 Z5.38 F636.332
M108 R35.0
M102
G1 X-1.03 Y3.69 Z5.38 F636.332
G1 X-0.84 Y3.71 Z5.38 F636.332
G1 X-0.69 Y3.54 Z5.38 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.76 Y3.53 Z5.38 F848.443
M108 R35.0
M101
G1 X-1.86 Y3.46 Z5.38 F848.443
M108 R0.4168
G1 X-2.02 Y3.77 Z5.38 F636.332
G1 X-2.15 Y3.72 Z5.38 F636.332
G1 X-3.04 Y3.04 Z5.38 F636.332
G1 X-3.72 Y2.15 Z5.38 F636.332
G1 X-4.15 Y1.11 Z5.38 F636.332
G1 X-4.3 Y0.0 Z5.38 F636.332
G1 X-4.28 Y-0.14 Z5.38 F636.332
G1 X-3.93 Y-0.12 Z5.38 F636.332
G1 X-3.96 Y-0.0 Z5.38 F636.332
G1 X-3.82 Y1.02 Z5.38 F636.332
G1 X-3.43 Y1.98 Z5.38 F636.332
G1 X-2.8 Y2.8 Z5.38 F636.332
G1 X-2.51 Y3.02 Z5.38 F636.332
M108 R35.0
M102
G1 X-1.98 Y3.43 Z5.38 F636.332
G1 X-1.86 Y3.46 Z5.38 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z5.38 F848.443
G1 X3.15 Y0.9 Z5.38 F848.443
M108 R35.0
M101
G1 X3.23 Y0.85 Z5.38 F848.443
G1 X3.93 Y0.12 Z5.38 F848.443
M108 R0.4168
G1 X3.96 Y0.0 Z5.38 F636.332
G1 X3.82 Y-1.02 Z5.38 F636.332
G1 X3.43 Y-1.98 Z5.38 F636.332
G1 X2.8 Y-2.8 Z5.38 F636.332
G1 X1.98 Y-3.43 Z5.38 F636.332
G1 X1.86 Y-3.46 Z5.38 F636.332
G1 X2.02 Y-3.77 Z5.38 F636.332
G1 X2.15 Y-3.72 Z5.38 F636.332
G1 X3.04 Y-3.04 Z5.38 F636.332
G1 X3.72 Y-2.15 Z5.38 F636.332
G1 X4.15 Y-1.11 Z5.38 F636.332
G1 X4.3 Y-0.0 Z5.38 F636.332
G1 X4.28 Y0.14 Z5.38 F636.332
G1 X3.93 Y0.12 Z5.38 F636.332
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z5.38 F848.443
M101
G1 X4.57 Y1.23 Z5.38 F636.332
G1 X4.1 Y2.37 Z5.38 F636.332
G1 X3.35 Y3.35 Z5.38 F636.332
G1 X2.37 Y4.1 Z5.38 F636.332
G1 X1.23 Y4.57 Z5.38 F636.332
G1 X-0.0 Y4.74 Z5.38 F636.332
G1 X-1.23 Y4.57 Z5.38 F636.332
G1 X-2.37 Y4.1 Z5.38 F636.332
G1 X-3.35 Y3.35 Z5.38 F636.332
G1 X-4.1 Y2.37 Z5.38 F636.332
G1 X-4.57 Y1.23 Z5.38 F636.332
G1 X-4.74 Y-0.0 Z5.38 F636.332
G1 X-4.57 Y-1.23 Z5.38 F636.332
G1 X-4.1 Y-2.37 Z5.38 F636.332
G1 X-3.35 Y-3.35 Z5.38 F636.332
G1 X-2.37 Y-4.1 Z5.38 F636.332
G1 X-1.23 Y-4.57 Z5.38 F636.332
G1 X0.0 Y-4.74 Z5.38 F636.332
G1 X1.23 Y-4.57 Z5.38 F636.332
G1 X2.37 Y-4.1 Z5.38 F636.332
G1 X3.35 Y-3.35 Z5.38 F636.332
G1 X4.1 Y-2.37 Z5.38 F636.332
G1 X4.57 Y-1.23 Z5.38 F636.332
G1 X4.66 Y-0.57 Z5.38 F636.332
M108 R35.0
M102
G1 X4.74 Y0.0 Z5.38 F636.332
G1 X4.71 Y0.22 Z5.38 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z5.375 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z5.375 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z5.375 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z5.375 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z5.375 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z5.375 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z5.375 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z5.375 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z5.375 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z5.375 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z5.375 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z5.375 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z5.375 </boundaryPoint>)
(<perimeter> inner )
G1 X4.6 Y0.2 Z5.38 F848.443
M108 R35.0
M101
G1 X3.52 Y0.0 Z5.38 F848.443
M108 R0.4168
G1 X3.4 Y-0.91 Z5.38 F636.332
G1 X3.05 Y-1.76 Z5.38 F636.332
G1 X2.49 Y-2.49 Z5.38 F636.332
G1 X1.76 Y-3.05 Z5.38 F636.332
G1 X1.3 Y-3.24 Z5.38 F636.332
G1 X1.03 Y-3.26 Z5.38 F636.332
G1 X0.81 Y-3.01 Z5.38 F636.332
G1 X0.86 Y-2.74 Z5.38 F636.332
G1 X2.81 Y0.62 Z5.38 F636.332
G1 X3.01 Y0.81 Z5.38 F636.332
G1 X3.31 Y0.75 Z5.38 F636.332
M108 R35.0
M102
G1 X3.34 Y0.74 Z5.38 F636.332
G1 X3.46 Y0.49 Z5.38 F636.332
G1 X3.52 Y0.0 Z5.38 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z5.375 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z5.375 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z5.38 F848.443
G1 X0.14 Y2.27 Z5.38 F848.443
M108 R35.0
M101
G1 X-0.86 Y2.74 Z5.38 F848.443
M108 R0.4168
G1 X-2.81 Y-0.62 Z5.38 F636.332
G1 X-3.01 Y-0.81 Z5.38 F636.332
G1 X-3.34 Y-0.74 Z5.38 F636.332
G1 X-3.46 Y-0.49 Z5.38 F636.332
G1 X-3.52 Y-0.0 Z5.38 F636.332
G1 X-3.4 Y0.91 Z5.38 F636.332
G1 X-3.05 Y1.76 Z5.38 F636.332
G1 X-2.49 Y2.49 Z5.38 F636.332
G1 X-1.76 Y3.05 Z5.38 F636.332
G1 X-1.3 Y3.24 Z5.38 F636.332
G1 X-1.03 Y3.26 Z5.38 F636.332
G1 X-0.81 Y3.01 Z5.38 F636.332
G1 X-0.86 Y2.74 Z5.38 F636.332
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.1 Y2.89 Z5.38 F848.443
M101
G1 X2.14 Y3.37 Z5.38 F636.332
G1 X2.77 Y2.89 Z5.38 F636.332
G1 X3.51 Y1.93 Z5.38 F636.332
G1 X-0.23 Y2.41 Z5.38 F636.332
G1 X-0.79 Y1.44 Z5.38 F636.332
M103
G1 X-1.06 Y0.96 Z5.38 F848.443
M101
G1 X1.9 Y0.48 Z5.38 F636.332
G1 X2.18 Y0.96 Z5.38 F636.332
G1 X2.65 Y1.44 Z5.38 F636.332
M103
G1 X3.47 Y1.44 Z5.38 F848.443
M101
M108 R35.0
M102
G1 X3.56 Y1.44 Z5.38 F76.0
M108 R0.4168
M103
G1 X2.5 Y0.66 Z5.38 F848.443
M108 R35.0
M101
G1 X1.62 Y-0.0 Z5.38 F848.443
M108 R0.4168
G1 X-1.34 Y0.48 Z5.38 F636.332
G1 X-1.5 Y0.21 Z5.38 F636.332
M108 R35.0
M102
G1 X-1.9 Y-0.48 Z5.38 F636.332
M108 R0.4168
M103
G1 X-1.97 Y-0.57 Z5.38 F848.443
M108 R35.0
M101
G1 X-2.65 Y-1.44 Z5.38 F848.443
M108 R0.4168
G1 X-2.18 Y-0.96 Z5.38 F636.332
G1 X0.31 Y-1.2 Z5.38 F636.332
M108 R35.0
M102
G1 X0.37 Y-1.2 Z5.38 F636.332
G1 X1.06 Y-0.96 Z5.38 F636.332
M108 R0.4168
M103
G1 X1.06 Y-0.97 Z5.38 F848.443
M108 R35.0
M101
G1 X0.51 Y-1.93 Z5.38 F848.443
M108 R0.4168
G1 X-3.17 Y-2.41 Z5.38 F636.332
G1 X-3.38 Y-2.1 Z5.38 F636.332
M108 R35.0
M102
G1 X-3.51 Y-1.93 Z5.38 F636.332
G1 X-3.47 Y-1.44 Z5.38 F636.332
G1 X-3.56 Y-1.44 Z5.38 F636.332
M108 R0.4168
M103
G1 X-3.3 Y-1.92 Z5.38 F848.443
M108 R35.0
M101
G1 X-2.77 Y-2.89 Z5.38 F848.443
M108 R0.4168
G1 X-2.14 Y-3.37 Z5.38 F636.332
G1 X0.23 Y-2.41 Z5.38 F636.332
G1 X0.1 Y-2.89 Z5.38 F636.332
G1 X-1.1 Y-3.85 Z5.38 F636.332
G1 X-0.28 Y-3.85 Z5.38 F636.332
M108 R35.0
M102
G1 X0.52 Y-3.85 Z5.38 F636.332
M108 R0.4168
M103
G1 X1.02 Y2.75 Z5.38 F848.443
M108 R35.0
M101
G1 X1.1 Y3.85 Z5.38 F848.443
M108 R0.4168
G1 X-0.52 Y3.85 Z5.38 F636.332
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 5.665 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z5.665 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z5.665 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z5.665 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z5.665 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z5.665 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z5.665 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z5.665 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z5.665 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z5.665 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z5.665 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z5.665 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z5.665 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z5.665 </boundaryPoint>)
(<loop> outer )
M108 R0.4792
G1 X-0.84 Y3.71 Z5.67 F975.494
M101
G1 X-0.34 Y3.13 Z5.67 F731.621
G1 X-0.46 Y2.58 Z5.67 F731.621
G1 X-2.46 Y-0.9 Z5.67 F731.621
G1 X-2.88 Y-1.28 Z5.67 F731.621
G1 X-3.63 Y-1.12 Z5.67 F731.621
G1 X-3.71 Y-0.95 Z5.67 F731.621
G1 X-4.18 Y-0.99 Z5.67 F731.621
G1 X-3.72 Y-2.15 Z5.67 F731.621
G1 X-3.04 Y-3.04 Z5.67 F731.621
G1 X-2.15 Y-3.72 Z5.67 F731.621
G1 X-1.11 Y-4.15 Z5.67 F731.621
G1 X-0.0 Y-4.3 Z5.67 F731.621
G1 X1.24 Y-4.11 Z5.67 F731.621
G1 X1.03 Y-3.69 Z5.67 F731.621
G1 X0.84 Y-3.71 Z5.67 F731.621
G1 X0.34 Y-3.13 Z5.67 F731.621
G1 X0.46 Y-2.58 Z5.67 F731.621
G1 X2.46 Y0.9 Z5.67 F731.621
G1 X2.88 Y1.28 Z5.67 F731.621
G1 X3.63 Y1.12 Z5.67 F731.621
G1 X3.71 Y0.95 Z5.67 F731.621
G1 X4.18 Y0.99 Z5.67 F731.621
G1 X3.72 Y2.15 Z5.67 F731.621
G1 X3.04 Y3.04 Z5.67 F731.621
G1 X2.15 Y3.72 Z5.67 F731.621
G1 X1.11 Y4.15 Z5.67 F731.621
G1 X0.0 Y4.3 Z5.67 F731.621
G1 X-0.98 Y4.15 Z5.67 F731.621
M108 R35.0
M102
G1 X-1.24 Y4.11 Z5.67 F731.621
G1 X-1.03 Y3.69 Z5.67 F731.621
G1 X-0.84 Y3.71 Z5.67 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X-1.86 Y3.46 Z5.67 F807.656
M108 R0.4792
G1 X-2.02 Y3.77 Z5.67 F731.621
G1 X-2.15 Y3.72 Z5.67 F731.621
G1 X-3.04 Y3.04 Z5.67 F731.621
G1 X-3.72 Y2.15 Z5.67 F731.621
G1 X-4.15 Y1.11 Z5.67 F731.621
G1 X-4.3 Y0.0 Z5.67 F731.621
G1 X-4.28 Y-0.14 Z5.67 F731.621
G1 X-3.93 Y-0.12 Z5.67 F731.621
G1 X-3.96 Y-0.0 Z5.67 F731.621
G1 X-3.82 Y1.02 Z5.67 F731.621
G1 X-3.43 Y1.98 Z5.67 F731.621
G1 X-2.8 Y2.8 Z5.67 F731.621
G1 X-2.61 Y2.94 Z5.67 F731.621
M108 R35.0
M102
G1 X-1.98 Y3.43 Z5.67 F731.621
G1 X-1.86 Y3.46 Z5.67 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z5.67 F975.494
G1 X3.01 Y0.98 Z5.67 F975.494
M108 R35.0
M101
G1 X3.23 Y0.85 Z5.67 F975.494
G1 X3.93 Y0.12 Z5.67 F975.494
M108 R0.4792
G1 X3.96 Y0.0 Z5.67 F731.621
G1 X3.82 Y-1.02 Z5.67 F731.621
G1 X3.43 Y-1.98 Z5.67 F731.621
G1 X2.8 Y-2.8 Z5.67 F731.621
G1 X1.98 Y-3.43 Z5.67 F731.621
G1 X1.86 Y-3.46 Z5.67 F731.621
G1 X2.02 Y-3.77 Z5.67 F731.621
G1 X2.15 Y-3.72 Z5.67 F731.621
G1 X3.04 Y-3.04 Z5.67 F731.621
G1 X3.72 Y-2.15 Z5.67 F731.621
G1 X4.15 Y-1.11 Z5.67 F731.621
G1 X4.3 Y-0.0 Z5.67 F731.621
G1 X4.28 Y0.14 Z5.67 F731.621
G1 X3.93 Y0.12 Z5.67 F731.621
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z5.67 F975.494
M101
G1 X4.57 Y1.23 Z5.67 F731.621
G1 X4.1 Y2.37 Z5.67 F731.621
G1 X3.35 Y3.35 Z5.67 F731.621
G1 X2.37 Y4.1 Z5.67 F731.621
G1 X1.23 Y4.57 Z5.67 F731.621
G1 X-0.0 Y4.74 Z5.67 F731.621
G1 X-1.23 Y4.57 Z5.67 F731.621
G1 X-2.37 Y4.1 Z5.67 F731.621
G1 X-3.35 Y3.35 Z5.67 F731.621
G1 X-4.1 Y2.37 Z5.67 F731.621
G1 X-4.57 Y1.23 Z5.67 F731.621
G1 X-4.74 Y-0.0 Z5.67 F731.621
G1 X-4.57 Y-1.23 Z5.67 F731.621
G1 X-4.1 Y-2.37 Z5.67 F731.621
G1 X-3.35 Y-3.35 Z5.67 F731.621
G1 X-2.37 Y-4.1 Z5.67 F731.621
G1 X-1.23 Y-4.57 Z5.67 F731.621
G1 X0.0 Y-4.74 Z5.67 F731.621
G1 X1.23 Y-4.57 Z5.67 F731.621
G1 X2.37 Y-4.1 Z5.67 F731.621
G1 X3.35 Y-3.35 Z5.67 F731.621
G1 X4.1 Y-2.37 Z5.67 F731.621
G1 X4.57 Y-1.23 Z5.67 F731.621
G1 X4.64 Y-0.69 Z5.67 F731.621
M108 R35.0
M102
G1 X4.74 Y0.0 Z5.67 F731.621
G1 X4.71 Y0.22 Z5.67 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z5.665 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z5.665 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z5.665 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z5.665 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z5.665 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z5.665 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z5.665 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z5.665 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z5.665 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z5.665 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z5.665 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z5.665 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z5.665 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z5.67 F928.153
M108 R0.4792
G1 X3.4 Y-0.91 Z5.67 F731.621
G1 X3.05 Y-1.76 Z5.67 F731.621
G1 X2.49 Y-2.49 Z5.67 F731.621
G1 X1.76 Y-3.05 Z5.67 F731.621
G1 X1.3 Y-3.24 Z5.67 F731.621
G1 X1.03 Y-3.26 Z5.67 F731.621
G1 X0.81 Y-3.01 Z5.67 F731.621
G1 X0.86 Y-2.74 Z5.67 F731.621
G1 X2.81 Y0.62 Z5.67 F731.621
G1 X3.01 Y0.81 Z5.67 F731.621
G1 X3.2 Y0.77 Z5.67 F731.621
M108 R35.0
M102
G1 X3.34 Y0.74 Z5.67 F731.621
G1 X3.46 Y0.49 Z5.67 F731.621
G1 X3.52 Y0.0 Z5.67 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z5.665 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z5.665 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z5.67 F975.494
G1 X0.28 Y2.2 Z5.67 F975.494
M108 R35.0
M101
G1 X-0.86 Y2.74 Z5.67 F975.494
M108 R0.4792
G1 X-2.81 Y-0.62 Z5.67 F731.621
G1 X-3.01 Y-0.81 Z5.67 F731.621
G1 X-3.34 Y-0.74 Z5.67 F731.621
G1 X-3.46 Y-0.49 Z5.67 F731.621
G1 X-3.52 Y-0.0 Z5.67 F731.621
G1 X-3.4 Y0.91 Z5.67 F731.621
G1 X-3.05 Y1.76 Z5.67 F731.621
G1 X-2.49 Y2.49 Z5.67 F731.621
G1 X-1.76 Y3.05 Z5.67 F731.621
G1 X-1.3 Y3.24 Z5.67 F731.621
G1 X-1.03 Y3.26 Z5.67 F731.621
G1 X-0.81 Y3.01 Z5.67 F731.621
G1 X-0.86 Y2.74 Z5.67 F731.621
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.48 Y1.97 Z5.67 F975.494
M101
G1 X-0.48 Y-3.95 Z5.67 F731.621
M103
G1 X-0.96 Y-3.89 Z5.67 F975.494
M101
G1 X-0.96 Y1.14 Z5.67 F731.621
M103
G1 X-1.44 Y0.3 Z5.67 F975.494
M101
G1 X-1.44 Y-3.71 Z5.67 F731.621
M103
G1 X-1.93 Y-3.51 Z5.67 F975.494
M101
G1 X-1.93 Y-0.53 Z5.67 F731.621
M103
G1 X-2.41 Y-1.23 Z5.67 F975.494
M101
G1 X-2.41 Y-3.17 Z5.67 F731.621
G1 X-2.89 Y-2.77 Z5.67 F731.621
G1 X-2.89 Y-1.56 Z5.67 F731.621
G1 X-3.22 Y-1.96 Z5.67 F731.621
M108 R35.0
M102
G1 X-3.37 Y-2.14 Z5.67 F731.621
G1 X-3.37 Y-1.46 Z5.67 F731.621
M108 R0.4792
M103
G1 X-0.25 Y2.92 Z5.67 F975.494
M108 R35.0
M101
G1 X0.48 Y3.95 Z5.67 F975.494
M108 R0.4792
G1 X0.48 Y-1.97 Z5.67 F731.621
M103
G1 X0.96 Y-1.14 Z5.67 F975.494
M101
G1 X0.96 Y3.89 Z5.67 F731.621
M103
G1 X1.44 Y3.71 Z5.67 F975.494
M101
G1 X1.44 Y-0.3 Z5.67 F731.621
M103
G1 X1.93 Y0.53 Z5.67 F975.494
M101
G1 X1.93 Y2.59 Z5.67 F731.621
M108 R35.0
M102
G1 X1.93 Y3.51 Z5.67 F731.621
M108 R0.4792
M103
G1 X2.64 Y2.5 Z5.67 F975.494
M108 R35.0
M101
G1 X3.37 Y1.46 Z5.67 F975.494
M108 R0.4792
G1 X3.37 Y2.14 Z5.67 F731.621
G1 X2.89 Y1.56 Z5.67 F731.621
G1 X2.89 Y2.77 Z5.67 F731.621
G1 X2.41 Y3.17 Z5.67 F731.621
G1 X2.41 Y2.14 Z5.67 F731.621
M108 R35.0
M102
G1 X2.41 Y1.23 Z5.67 F731.621
M108 R0.4792
M103
G1 X0.94 Y-2.54 Z5.67 F975.494
M108 R35.0
M101
G1 X0.48 Y-3.72 Z5.67 F975.494
M108 R0.4792
G1 X0.48 Y-3.94 Z5.67 F731.621
G1 X-0.0 Y-4.01 Z5.67 F731.621
G1 X0.0 Y4.01 Z5.67 F731.621
G1 X-0.48 Y3.94 Z5.67 F731.621
G1 X-0.48 Y3.72 Z5.67 F731.621
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 5.955 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z5.955 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z5.955 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z5.955 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z5.955 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z5.955 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z5.955 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z5.955 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z5.955 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z5.955 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z5.955 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z5.955 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z5.955 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z5.955 </boundaryPoint>)
(<loop> outer )
M108 R0.4168
G1 X-0.69 Y3.54 Z5.96 F848.443
M101
G1 X-0.34 Y3.13 Z5.96 F636.332
G1 X-0.46 Y2.58 Z5.96 F636.332
G1 X-2.46 Y-0.9 Z5.96 F636.332
G1 X-2.88 Y-1.28 Z5.96 F636.332
G1 X-3.63 Y-1.12 Z5.96 F636.332
G1 X-3.71 Y-0.95 Z5.96 F636.332
G1 X-4.18 Y-0.99 Z5.96 F636.332
G1 X-3.72 Y-2.15 Z5.96 F636.332
G1 X-3.04 Y-3.04 Z5.96 F636.332
G1 X-2.15 Y-3.72 Z5.96 F636.332
G1 X-1.11 Y-4.15 Z5.96 F636.332
G1 X-0.0 Y-4.3 Z5.96 F636.332
G1 X1.24 Y-4.11 Z5.96 F636.332
G1 X1.03 Y-3.69 Z5.96 F636.332
G1 X0.84 Y-3.71 Z5.96 F636.332
G1 X0.34 Y-3.13 Z5.96 F636.332
G1 X0.46 Y-2.58 Z5.96 F636.332
G1 X2.46 Y0.9 Z5.96 F636.332
G1 X2.88 Y1.28 Z5.96 F636.332
G1 X3.63 Y1.12 Z5.96 F636.332
G1 X3.71 Y0.95 Z5.96 F636.332
G1 X4.18 Y0.99 Z5.96 F636.332
G1 X3.72 Y2.15 Z5.96 F636.332
G1 X3.04 Y3.04 Z5.96 F636.332
G1 X2.15 Y3.72 Z5.96 F636.332
G1 X1.11 Y4.15 Z5.96 F636.332
G1 X0.0 Y4.3 Z5.96 F636.332
G1 X-1.24 Y4.11 Z5.96 F636.332
G1 X-1.2 Y4.04 Z5.96 F636.332
M108 R35.0
M102
G1 X-1.03 Y3.69 Z5.96 F636.332
G1 X-0.84 Y3.71 Z5.96 F636.332
G1 X-0.69 Y3.54 Z5.96 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.76 Y3.53 Z5.96 F848.443
M108 R35.0
M101
G1 X-1.86 Y3.46 Z5.96 F848.443
M108 R0.4168
G1 X-2.02 Y3.77 Z5.96 F636.332
G1 X-2.15 Y3.72 Z5.96 F636.332
G1 X-3.04 Y3.04 Z5.96 F636.332
G1 X-3.72 Y2.15 Z5.96 F636.332
G1 X-4.15 Y1.11 Z5.96 F636.332
G1 X-4.3 Y0.0 Z5.96 F636.332
G1 X-4.28 Y-0.14 Z5.96 F636.332
G1 X-3.93 Y-0.12 Z5.96 F636.332
G1 X-3.96 Y-0.0 Z5.96 F636.332
G1 X-3.82 Y1.02 Z5.96 F636.332
G1 X-3.43 Y1.98 Z5.96 F636.332
G1 X-2.8 Y2.8 Z5.96 F636.332
G1 X-2.51 Y3.02 Z5.96 F636.332
M108 R35.0
M102
G1 X-1.98 Y3.43 Z5.96 F636.332
G1 X-1.86 Y3.46 Z5.96 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z5.96 F848.443
G1 X3.15 Y0.9 Z5.96 F848.443
M108 R35.0
M101
G1 X3.23 Y0.85 Z5.96 F848.443
G1 X3.93 Y0.12 Z5.96 F848.443
M108 R0.4168
G1 X3.96 Y0.0 Z5.96 F636.332
G1 X3.82 Y-1.02 Z5.96 F636.332
G1 X3.43 Y-1.98 Z5.96 F636.332
G1 X2.8 Y-2.8 Z5.96 F636.332
G1 X1.98 Y-3.43 Z5.96 F636.332
G1 X1.86 Y-3.46 Z5.96 F636.332
G1 X2.02 Y-3.77 Z5.96 F636.332
G1 X2.15 Y-3.72 Z5.96 F636.332
G1 X3.04 Y-3.04 Z5.96 F636.332
G1 X3.72 Y-2.15 Z5.96 F636.332
G1 X4.15 Y-1.11 Z5.96 F636.332
G1 X4.3 Y-0.0 Z5.96 F636.332
G1 X4.28 Y0.14 Z5.96 F636.332
G1 X3.93 Y0.12 Z5.96 F636.332
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z5.96 F848.443
M101
G1 X4.57 Y1.23 Z5.96 F636.332
G1 X4.1 Y2.37 Z5.96 F636.332
G1 X3.35 Y3.35 Z5.96 F636.332
G1 X2.37 Y4.1 Z5.96 F636.332
G1 X1.23 Y4.57 Z5.96 F636.332
G1 X-0.0 Y4.74 Z5.96 F636.332
G1 X-1.23 Y4.57 Z5.96 F636.332
G1 X-2.37 Y4.1 Z5.96 F636.332
G1 X-3.35 Y3.35 Z5.96 F636.332
G1 X-4.1 Y2.37 Z5.96 F636.332
G1 X-4.57 Y1.23 Z5.96 F636.332
G1 X-4.74 Y-0.0 Z5.96 F636.332
G1 X-4.57 Y-1.23 Z5.96 F636.332
G1 X-4.1 Y-2.37 Z5.96 F636.332
G1 X-3.35 Y-3.35 Z5.96 F636.332
G1 X-2.37 Y-4.1 Z5.96 F636.332
G1 X-1.23 Y-4.57 Z5.96 F636.332
G1 X0.0 Y-4.74 Z5.96 F636.332
G1 X1.23 Y-4.57 Z5.96 F636.332
G1 X2.37 Y-4.1 Z5.96 F636.332
G1 X3.35 Y-3.35 Z5.96 F636.332
G1 X4.1 Y-2.37 Z5.96 F636.332
G1 X4.57 Y-1.23 Z5.96 F636.332
G1 X4.66 Y-0.57 Z5.96 F636.332
M108 R35.0
M102
G1 X4.74 Y0.0 Z5.96 F636.332
G1 X4.71 Y0.22 Z5.96 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z5.955 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z5.955 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z5.955 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z5.955 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z5.955 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z5.955 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z5.955 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z5.955 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z5.955 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z5.955 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z5.955 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z5.955 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z5.955 </boundaryPoint>)
(<perimeter> inner )
G1 X4.6 Y0.2 Z5.96 F848.443
M108 R35.0
M101
G1 X3.52 Y0.0 Z5.96 F848.443
M108 R0.4168
G1 X3.4 Y-0.91 Z5.96 F636.332
G1 X3.05 Y-1.76 Z5.96 F636.332
G1 X2.49 Y-2.49 Z5.96 F636.332
G1 X1.76 Y-3.05 Z5.96 F636.332
G1 X1.3 Y-3.24 Z5.96 F636.332
G1 X1.03 Y-3.26 Z5.96 F636.332
G1 X0.81 Y-3.01 Z5.96 F636.332
G1 X0.86 Y-2.74 Z5.96 F636.332
G1 X2.81 Y0.62 Z5.96 F636.332
G1 X3.01 Y0.81 Z5.96 F636.332
G1 X3.31 Y0.75 Z5.96 F636.332
M108 R35.0
M102
G1 X3.34 Y0.74 Z5.96 F636.332
G1 X3.46 Y0.49 Z5.96 F636.332
G1 X3.52 Y0.0 Z5.96 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z5.955 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z5.955 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z5.96 F848.443
G1 X0.14 Y2.27 Z5.96 F848.443
M108 R35.0
M101
G1 X-0.86 Y2.74 Z5.96 F848.443
M108 R0.4168
G1 X-2.81 Y-0.62 Z5.96 F636.332
G1 X-3.01 Y-0.81 Z5.96 F636.332
G1 X-3.34 Y-0.74 Z5.96 F636.332
G1 X-3.46 Y-0.49 Z5.96 F636.332
G1 X-3.52 Y-0.0 Z5.96 F636.332
G1 X-3.4 Y0.91 Z5.96 F636.332
G1 X-3.05 Y1.76 Z5.96 F636.332
G1 X-2.49 Y2.49 Z5.96 F636.332
G1 X-1.76 Y3.05 Z5.96 F636.332
G1 X-1.3 Y3.24 Z5.96 F636.332
G1 X-1.03 Y3.26 Z5.96 F636.332
G1 X-0.81 Y3.01 Z5.96 F636.332
G1 X-0.86 Y2.74 Z5.96 F636.332
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.1 Y2.89 Z5.96 F848.443
M101
G1 X2.14 Y3.37 Z5.96 F636.332
G1 X2.77 Y2.89 Z5.96 F636.332
G1 X3.51 Y1.93 Z5.96 F636.332
G1 X-0.23 Y2.41 Z5.96 F636.332
G1 X-0.79 Y1.44 Z5.96 F636.332
M103
G1 X-1.06 Y0.96 Z5.96 F848.443
M101
G1 X1.9 Y0.48 Z5.96 F636.332
G1 X2.18 Y0.96 Z5.96 F636.332
G1 X2.65 Y1.44 Z5.96 F636.332
M103
G1 X3.47 Y1.44 Z5.96 F848.443
M101
M108 R35.0
M102
G1 X3.56 Y1.44 Z5.96 F76.0
M108 R0.4168
M103
G1 X2.5 Y0.66 Z5.96 F848.443
M108 R35.0
M101
G1 X1.62 Y-0.0 Z5.96 F848.443
M108 R0.4168
G1 X-1.34 Y0.48 Z5.96 F636.332
G1 X-1.5 Y0.21 Z5.96 F636.332
M108 R35.0
M102
G1 X-1.9 Y-0.48 Z5.96 F636.332
M108 R0.4168
M103
G1 X-1.97 Y-0.57 Z5.96 F848.443
M108 R35.0
M101
G1 X-2.65 Y-1.44 Z5.96 F848.443
M108 R0.4168
G1 X-2.18 Y-0.96 Z5.96 F636.332
G1 X0.31 Y-1.2 Z5.96 F636.332
M108 R35.0
M102
G1 X0.37 Y-1.2 Z5.96 F636.332
G1 X1.06 Y-0.96 Z5.96 F636.332
M108 R0.4168
M103
G1 X1.06 Y-0.97 Z5.96 F848.443
M108 R35.0
M101
G1 X0.51 Y-1.93 Z5.96 F848.443
M108 R0.4168
G1 X-3.17 Y-2.41 Z5.96 F636.332
G1 X-3.38 Y-2.1 Z5.96 F636.332
M108 R35.0
M102
G1 X-3.51 Y-1.93 Z5.96 F636.332
G1 X-3.47 Y-1.44 Z5.96 F636.332
G1 X-3.56 Y-1.44 Z5.96 F636.332
M108 R0.4168
M103
G1 X-3.3 Y-1.92 Z5.96 F848.443
M108 R35.0
M101
G1 X-2.77 Y-2.89 Z5.96 F848.443
M108 R0.4168
G1 X-2.14 Y-3.37 Z5.96 F636.332
G1 X0.23 Y-2.41 Z5.96 F636.332
G1 X0.1 Y-2.89 Z5.96 F636.332
G1 X-1.1 Y-3.85 Z5.96 F636.332
G1 X-0.28 Y-3.85 Z5.96 F636.332
M108 R35.0
M102
G1 X0.52 Y-3.85 Z5.96 F636.332
M108 R0.4168
M103
G1 X1.02 Y2.75 Z5.96 F848.443
M108 R35.0
M101
G1 X1.1 Y3.85 Z5.96 F848.443
M108 R0.4168
G1 X-0.52 Y3.85 Z5.96 F636.332
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 6.245 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z6.245 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z6.245 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z6.245 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z6.245 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z6.245 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z6.245 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z6.245 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z6.245 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z6.245 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z6.245 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z6.245 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z6.245 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z6.245 </boundaryPoint>)
(<loop> outer )
M108 R0.4792
G1 X-0.84 Y3.71 Z6.25 F975.494
M101
G1 X-0.34 Y3.13 Z6.25 F731.621
G1 X-0.46 Y2.58 Z6.25 F731.621
G1 X-2.46 Y-0.9 Z6.25 F731.621
G1 X-2.88 Y-1.28 Z6.25 F731.621
G1 X-3.63 Y-1.12 Z6.25 F731.621
G1 X-3.71 Y-0.95 Z6.25 F731.621
G1 X-4.18 Y-0.99 Z6.25 F731.621
G1 X-3.72 Y-2.15 Z6.25 F731.621
G1 X-3.04 Y-3.04 Z6.25 F731.621
G1 X-2.15 Y-3.72 Z6.25 F731.621
G1 X-1.11 Y-4.15 Z6.25 F731.621
G1 X-0.0 Y-4.3 Z6.25 F731.621
G1 X1.24 Y-4.11 Z6.25 F731.621
G1 X1.03 Y-3.69 Z6.25 F731.621
G1 X0.84 Y-3.71 Z6.25 F731.621
G1 X0.34 Y-3.13 Z6.25 F731.621
G1 X0.46 Y-2.58 Z6.25 F731.621
G1 X2.46 Y0.9 Z6.25 F731.621
G1 X2.88 Y1.28 Z6.25 F731.621
G1 X3.63 Y1.12 Z6.25 F731.621
G1 X3.71 Y0.95 Z6.25 F731.621
G1 X4.18 Y0.99 Z6.25 F731.621
G1 X3.72 Y2.15 Z6.25 F731.621
G1 X3.04 Y3.04 Z6.25 F731.621
G1 X2.15 Y3.72 Z6.25 F731.621
G1 X1.11 Y4.15 Z6.25 F731.621
G1 X0.0 Y4.3 Z6.25 F731.621
G1 X-0.98 Y4.15 Z6.25 F731.621
M108 R35.0
M102
G1 X-1.24 Y4.11 Z6.25 F731.621
G1 X-1.03 Y3.69 Z6.25 F731.621
G1 X-0.84 Y3.71 Z6.25 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X-1.86 Y3.46 Z6.25 F807.656
M108 R0.4792
G1 X-2.02 Y3.77 Z6.25 F731.621
G1 X-2.15 Y3.72 Z6.25 F731.621
G1 X-3.04 Y3.04 Z6.25 F731.621
G1 X-3.72 Y2.15 Z6.25 F731.621
G1 X-4.15 Y1.11 Z6.25 F731.621
G1 X-4.3 Y0.0 Z6.25 F731.621
G1 X-4.28 Y-0.14 Z6.25 F731.621
G1 X-3.93 Y-0.12 Z6.25 F731.621
G1 X-3.96 Y-0.0 Z6.25 F731.621
G1 X-3.82 Y1.02 Z6.25 F731.621
G1 X-3.43 Y1.98 Z6.25 F731.621
G1 X-2.8 Y2.8 Z6.25 F731.621
G1 X-2.61 Y2.94 Z6.25 F731.621
M108 R35.0
M102
G1 X-1.98 Y3.43 Z6.25 F731.621
G1 X-1.86 Y3.46 Z6.25 F731.621
M108 R0.4792
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z6.25 F975.494
G1 X3.01 Y0.98 Z6.25 F975.494
M108 R35.0
M101
G1 X3.23 Y0.85 Z6.25 F975.494
G1 X3.93 Y0.12 Z6.25 F975.494
M108 R0.4792
G1 X3.96 Y0.0 Z6.25 F731.621
G1 X3.82 Y-1.02 Z6.25 F731.621
G1 X3.43 Y-1.98 Z6.25 F731.621
G1 X2.8 Y-2.8 Z6.25 F731.621
G1 X1.98 Y-3.43 Z6.25 F731.621
G1 X1.86 Y-3.46 Z6.25 F731.621
G1 X2.02 Y-3.77 Z6.25 F731.621
G1 X2.15 Y-3.72 Z6.25 F731.621
G1 X3.04 Y-3.04 Z6.25 F731.621
G1 X3.72 Y-2.15 Z6.25 F731.621
G1 X4.15 Y-1.11 Z6.25 F731.621
G1 X4.3 Y-0.0 Z6.25 F731.621
G1 X4.28 Y0.14 Z6.25 F731.621
G1 X3.93 Y0.12 Z6.25 F731.621
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z6.25 F975.494
M101
G1 X4.57 Y1.23 Z6.25 F731.621
G1 X4.1 Y2.37 Z6.25 F731.621
G1 X3.35 Y3.35 Z6.25 F731.621
G1 X2.37 Y4.1 Z6.25 F731.621
G1 X1.23 Y4.57 Z6.25 F731.621
G1 X-0.0 Y4.74 Z6.25 F731.621
G1 X-1.23 Y4.57 Z6.25 F731.621
G1 X-2.37 Y4.1 Z6.25 F731.621
G1 X-3.35 Y3.35 Z6.25 F731.621
G1 X-4.1 Y2.37 Z6.25 F731.621
G1 X-4.57 Y1.23 Z6.25 F731.621
G1 X-4.74 Y-0.0 Z6.25 F731.621
G1 X-4.57 Y-1.23 Z6.25 F731.621
G1 X-4.1 Y-2.37 Z6.25 F731.621
G1 X-3.35 Y-3.35 Z6.25 F731.621
G1 X-2.37 Y-4.1 Z6.25 F731.621
G1 X-1.23 Y-4.57 Z6.25 F731.621
G1 X0.0 Y-4.74 Z6.25 F731.621
G1 X1.23 Y-4.57 Z6.25 F731.621
G1 X2.37 Y-4.1 Z6.25 F731.621
G1 X3.35 Y-3.35 Z6.25 F731.621
G1 X4.1 Y-2.37 Z6.25 F731.621
G1 X4.57 Y-1.23 Z6.25 F731.621
G1 X4.64 Y-0.69 Z6.25 F731.621
M108 R35.0
M102
G1 X4.74 Y0.0 Z6.25 F731.621
G1 X4.71 Y0.22 Z6.25 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z6.245 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z6.245 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z6.245 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z6.245 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z6.245 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z6.245 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z6.245 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z6.245 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z6.245 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z6.245 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z6.245 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z6.245 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z6.245 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z6.25 F928.153
M108 R0.4792
G1 X3.4 Y-0.91 Z6.25 F731.621
G1 X3.05 Y-1.76 Z6.25 F731.621
G1 X2.49 Y-2.49 Z6.25 F731.621
G1 X1.76 Y-3.05 Z6.25 F731.621
G1 X1.3 Y-3.24 Z6.25 F731.621
G1 X1.03 Y-3.26 Z6.25 F731.621
G1 X0.81 Y-3.01 Z6.25 F731.621
G1 X0.86 Y-2.74 Z6.25 F731.621
G1 X2.81 Y0.62 Z6.25 F731.621
G1 X3.01 Y0.81 Z6.25 F731.621
G1 X3.2 Y0.77 Z6.25 F731.621
M108 R35.0
M102
G1 X3.34 Y0.74 Z6.25 F731.621
G1 X3.46 Y0.49 Z6.25 F731.621
G1 X3.52 Y0.0 Z6.25 F731.621
M108 R0.4792
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z6.245 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z6.245 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z6.25 F975.494
G1 X0.28 Y2.2 Z6.25 F975.494
M108 R35.0
M101
G1 X-0.86 Y2.74 Z6.25 F975.494
M108 R0.4792
G1 X-2.81 Y-0.62 Z6.25 F731.621
G1 X-3.01 Y-0.81 Z6.25 F731.621
G1 X-3.34 Y-0.74 Z6.25 F731.621
G1 X-3.46 Y-0.49 Z6.25 F731.621
G1 X-3.52 Y-0.0 Z6.25 F731.621
G1 X-3.4 Y0.91 Z6.25 F731.621
G1 X-3.05 Y1.76 Z6.25 F731.621
G1 X-2.49 Y2.49 Z6.25 F731.621
G1 X-1.76 Y3.05 Z6.25 F731.621
G1 X-1.3 Y3.24 Z6.25 F731.621
G1 X-1.03 Y3.26 Z6.25 F731.621
G1 X-0.81 Y3.01 Z6.25 F731.621
G1 X-0.86 Y2.74 Z6.25 F731.621
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.48 Y1.97 Z6.25 F975.494
M101
G1 X-0.48 Y-3.95 Z6.25 F731.621
M103
G1 X-0.96 Y-3.89 Z6.25 F975.494
M101
G1 X-0.96 Y1.14 Z6.25 F731.621
M103
G1 X-1.44 Y0.3 Z6.25 F975.494
M101
G1 X-1.44 Y-3.71 Z6.25 F731.621
M103
G1 X-1.93 Y-3.51 Z6.25 F975.494
M101
G1 X-1.93 Y-0.53 Z6.25 F731.621
M103
G1 X-2.41 Y-1.23 Z6.25 F975.494
M101
G1 X-2.41 Y-3.17 Z6.25 F731.621
G1 X-2.89 Y-2.77 Z6.25 F731.621
G1 X-2.89 Y-1.56 Z6.25 F731.621
G1 X-3.22 Y-1.96 Z6.25 F731.621
M108 R35.0
M102
G1 X-3.37 Y-2.14 Z6.25 F731.621
G1 X-3.37 Y-1.46 Z6.25 F731.621
M108 R0.4792
M103
G1 X-0.25 Y2.92 Z6.25 F975.494
M108 R35.0
M101
G1 X0.48 Y3.95 Z6.25 F975.494
M108 R0.4792
G1 X0.48 Y-1.97 Z6.25 F731.621
M103
G1 X0.96 Y-1.14 Z6.25 F975.494
M101
G1 X0.96 Y3.89 Z6.25 F731.621
M103
G1 X1.44 Y3.71 Z6.25 F975.494
M101
G1 X1.44 Y-0.3 Z6.25 F731.621
M103
G1 X1.93 Y0.53 Z6.25 F975.494
M101
G1 X1.93 Y2.59 Z6.25 F731.621
M108 R35.0
M102
G1 X1.93 Y3.51 Z6.25 F731.621
M108 R0.4792
M103
G1 X2.64 Y2.5 Z6.25 F975.494
M108 R35.0
M101
G1 X3.37 Y1.46 Z6.25 F975.494
M108 R0.4792
G1 X3.37 Y2.14 Z6.25 F731.621
G1 X2.89 Y1.56 Z6.25 F731.621
G1 X2.89 Y2.77 Z6.25 F731.621
G1 X2.41 Y3.17 Z6.25 F731.621
G1 X2.41 Y2.14 Z6.25 F731.621
M108 R35.0
M102
G1 X2.41 Y1.23 Z6.25 F731.621
M108 R0.4792
M103
G1 X0.94 Y-2.54 Z6.25 F975.494
M108 R35.0
M101
G1 X0.48 Y-3.72 Z6.25 F975.494
M108 R0.4792
G1 X0.48 Y-3.94 Z6.25 F731.621
G1 X-0.0 Y-4.01 Z6.25 F731.621
G1 X0.0 Y4.01 Z6.25 F731.621
G1 X-0.48 Y3.94 Z6.25 F731.621
G1 X-0.48 Y3.72 Z6.25 F731.621
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 6.535 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z6.535 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z6.535 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z6.535 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z6.535 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z6.535 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z6.535 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z6.535 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z6.535 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z6.535 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z6.535 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z6.535 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z6.535 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z6.535 </boundaryPoint>)
(<loop> outer )
M108 R0.4168
G1 X-0.69 Y3.54 Z6.54 F848.443
M101
G1 X-0.34 Y3.13 Z6.54 F636.332
G1 X-0.46 Y2.58 Z6.54 F636.332
G1 X-2.46 Y-0.9 Z6.54 F636.332
G1 X-2.88 Y-1.28 Z6.54 F636.332
G1 X-3.63 Y-1.12 Z6.54 F636.332
G1 X-3.71 Y-0.95 Z6.54 F636.332
G1 X-4.18 Y-0.99 Z6.54 F636.332
G1 X-3.72 Y-2.15 Z6.54 F636.332
G1 X-3.04 Y-3.04 Z6.54 F636.332
G1 X-2.15 Y-3.72 Z6.54 F636.332
G1 X-1.11 Y-4.15 Z6.54 F636.332
G1 X-0.0 Y-4.3 Z6.54 F636.332
G1 X1.24 Y-4.11 Z6.54 F636.332
G1 X1.03 Y-3.69 Z6.54 F636.332
G1 X0.84 Y-3.71 Z6.54 F636.332
G1 X0.34 Y-3.13 Z6.54 F636.332
G1 X0.46 Y-2.58 Z6.54 F636.332
G1 X2.46 Y0.9 Z6.54 F636.332
G1 X2.88 Y1.28 Z6.54 F636.332
G1 X3.63 Y1.12 Z6.54 F636.332
G1 X3.71 Y0.95 Z6.54 F636.332
G1 X4.18 Y0.99 Z6.54 F636.332
G1 X3.72 Y2.15 Z6.54 F636.332
G1 X3.04 Y3.04 Z6.54 F636.332
G1 X2.15 Y3.72 Z6.54 F636.332
G1 X1.11 Y4.15 Z6.54 F636.332
G1 X0.0 Y4.3 Z6.54 F636.332
G1 X-1.24 Y4.11 Z6.54 F636.332
G1 X-1.2 Y4.04 Z6.54 F636.332
M108 R35.0
M102
G1 X-1.03 Y3.69 Z6.54 F636.332
G1 X-0.84 Y3.71 Z6.54 F636.332
G1 X-0.69 Y3.54 Z6.54 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.76 Y3.53 Z6.54 F848.443
M108 R35.0
M101
G1 X-1.86 Y3.46 Z6.54 F848.443
M108 R0.4168
G1 X-2.02 Y3.77 Z6.54 F636.332
G1 X-2.15 Y3.72 Z6.54 F636.332
G1 X-3.04 Y3.04 Z6.54 F636.332
G1 X-3.72 Y2.15 Z6.54 F636.332
G1 X-4.15 Y1.11 Z6.54 F636.332
G1 X-4.3 Y0.0 Z6.54 F636.332
G1 X-4.28 Y-0.14 Z6.54 F636.332
G1 X-3.93 Y-0.12 Z6.54 F636.332
G1 X-3.96 Y-0.0 Z6.54 F636.332
G1 X-3.82 Y1.02 Z6.54 F636.332
G1 X-3.43 Y1.98 Z6.54 F636.332
G1 X-2.8 Y2.8 Z6.54 F636.332
G1 X-2.51 Y3.02 Z6.54 F636.332
M108 R35.0
M102
G1 X-1.98 Y3.43 Z6.54 F636.332
G1 X-1.86 Y3.46 Z6.54 F636.332
M108 R0.4168
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z6.54 F848.443
G1 X3.15 Y0.9 Z6.54 F848.443
M108 R35.0
M101
G1 X3.23 Y0.85 Z6.54 F848.443
G1 X3.93 Y0.12 Z6.54 F848.443
M108 R0.4168
G1 X3.96 Y0.0 Z6.54 F636.332
G1 X3.82 Y-1.02 Z6.54 F636.332
G1 X3.43 Y-1.98 Z6.54 F636.332
G1 X2.8 Y-2.8 Z6.54 F636.332
G1 X1.98 Y-3.43 Z6.54 F636.332
G1 X1.86 Y-3.46 Z6.54 F636.332
G1 X2.02 Y-3.77 Z6.54 F636.332
G1 X2.15 Y-3.72 Z6.54 F636.332
G1 X3.04 Y-3.04 Z6.54 F636.332
G1 X3.72 Y-2.15 Z6.54 F636.332
G1 X4.15 Y-1.11 Z6.54 F636.332
G1 X4.3 Y-0.0 Z6.54 F636.332
G1 X4.28 Y0.14 Z6.54 F636.332
G1 X3.93 Y0.12 Z6.54 F636.332
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z6.54 F848.443
M101
G1 X4.57 Y1.23 Z6.54 F636.332
G1 X4.1 Y2.37 Z6.54 F636.332
G1 X3.35 Y3.35 Z6.54 F636.332
G1 X2.37 Y4.1 Z6.54 F636.332
G1 X1.23 Y4.57 Z6.54 F636.332
G1 X-0.0 Y4.74 Z6.54 F636.332
G1 X-1.23 Y4.57 Z6.54 F636.332
G1 X-2.37 Y4.1 Z6.54 F636.332
G1 X-3.35 Y3.35 Z6.54 F636.332
G1 X-4.1 Y2.37 Z6.54 F636.332
G1 X-4.57 Y1.23 Z6.54 F636.332
G1 X-4.74 Y-0.0 Z6.54 F636.332
G1 X-4.57 Y-1.23 Z6.54 F636.332
G1 X-4.1 Y-2.37 Z6.54 F636.332
G1 X-3.35 Y-3.35 Z6.54 F636.332
G1 X-2.37 Y-4.1 Z6.54 F636.332
G1 X-1.23 Y-4.57 Z6.54 F636.332
G1 X0.0 Y-4.74 Z6.54 F636.332
G1 X1.23 Y-4.57 Z6.54 F636.332
G1 X2.37 Y-4.1 Z6.54 F636.332
G1 X3.35 Y-3.35 Z6.54 F636.332
G1 X4.1 Y-2.37 Z6.54 F636.332
G1 X4.57 Y-1.23 Z6.54 F636.332
G1 X4.66 Y-0.57 Z6.54 F636.332
M108 R35.0
M102
G1 X4.74 Y0.0 Z6.54 F636.332
G1 X4.71 Y0.22 Z6.54 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z6.535 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z6.535 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z6.535 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z6.535 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z6.535 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z6.535 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z6.535 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z6.535 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z6.535 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z6.535 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z6.535 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z6.535 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z6.535 </boundaryPoint>)
(<perimeter> inner )
G1 X4.6 Y0.2 Z6.54 F848.443
M108 R35.0
M101
G1 X3.52 Y0.0 Z6.54 F848.443
M108 R0.4168
G1 X3.4 Y-0.91 Z6.54 F636.332
G1 X3.05 Y-1.76 Z6.54 F636.332
G1 X2.49 Y-2.49 Z6.54 F636.332
G1 X1.76 Y-3.05 Z6.54 F636.332
G1 X1.3 Y-3.24 Z6.54 F636.332
G1 X1.03 Y-3.26 Z6.54 F636.332
G1 X0.81 Y-3.01 Z6.54 F636.332
G1 X0.86 Y-2.74 Z6.54 F636.332
G1 X2.81 Y0.62 Z6.54 F636.332
G1 X3.01 Y0.81 Z6.54 F636.332
G1 X3.31 Y0.75 Z6.54 F636.332
M108 R35.0
M102
G1 X3.34 Y0.74 Z6.54 F636.332
G1 X3.46 Y0.49 Z6.54 F636.332
G1 X3.52 Y0.0 Z6.54 F636.332
M108 R0.4168
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z6.535 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z6.535 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z6.54 F848.443
G1 X0.14 Y2.27 Z6.54 F848.443
M108 R35.0
M101
G1 X-0.86 Y2.74 Z6.54 F848.443
M108 R0.4168
G1 X-2.81 Y-0.62 Z6.54 F636.332
G1 X-3.01 Y-0.81 Z6.54 F636.332
G1 X-3.34 Y-0.74 Z6.54 F636.332
G1 X-3.46 Y-0.49 Z6.54 F636.332
G1 X-3.52 Y-0.0 Z6.54 F636.332
G1 X-3.4 Y0.91 Z6.54 F636.332
G1 X-3.05 Y1.76 Z6.54 F636.332
G1 X-2.49 Y2.49 Z6.54 F636.332
G1 X-1.76 Y3.05 Z6.54 F636.332
G1 X-1.3 Y3.24 Z6.54 F636.332
G1 X-1.03 Y3.26 Z6.54 F636.332
G1 X-0.81 Y3.01 Z6.54 F636.332
G1 X-0.86 Y2.74 Z6.54 F636.332
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.1 Y2.89 Z6.54 F848.443
M101
G1 X2.14 Y3.37 Z6.54 F636.332
G1 X2.77 Y2.89 Z6.54 F636.332
G1 X3.51 Y1.93 Z6.54 F636.332
G1 X-0.23 Y2.41 Z6.54 F636.332
G1 X-0.79 Y1.44 Z6.54 F636.332
M103
G1 X-1.06 Y0.96 Z6.54 F848.443
M101
G1 X1.9 Y0.48 Z6.54 F636.332
G1 X2.18 Y0.96 Z6.54 F636.332
G1 X2.65 Y1.44 Z6.54 F636.332
M103
G1 X3.47 Y1.44 Z6.54 F848.443
M101
M108 R35.0
M102
G1 X3.56 Y1.44 Z6.54 F76.0
M108 R0.4168
M103
G1 X2.5 Y0.66 Z6.54 F848.443
M108 R35.0
M101
G1 X1.62 Y-0.0 Z6.54 F848.443
M108 R0.4168
G1 X-1.34 Y0.48 Z6.54 F636.332
G1 X-1.5 Y0.21 Z6.54 F636.332
M108 R35.0
M102
G1 X-1.9 Y-0.48 Z6.54 F636.332
M108 R0.4168
M103
G1 X-1.97 Y-0.57 Z6.54 F848.443
M108 R35.0
M101
G1 X-2.65 Y-1.44 Z6.54 F848.443
M108 R0.4168
G1 X-2.18 Y-0.96 Z6.54 F636.332
G1 X0.31 Y-1.2 Z6.54 F636.332
M108 R35.0
M102
G1 X0.37 Y-1.2 Z6.54 F636.332
G1 X1.06 Y-0.96 Z6.54 F636.332
M108 R0.4168
M103
G1 X1.06 Y-0.97 Z6.54 F848.443
M108 R35.0
M101
G1 X0.51 Y-1.93 Z6.54 F848.443
M108 R0.4168
G1 X-3.17 Y-2.41 Z6.54 F636.332
G1 X-3.38 Y-2.1 Z6.54 F636.332
M108 R35.0
M102
G1 X-3.51 Y-1.93 Z6.54 F636.332
G1 X-3.47 Y-1.44 Z6.54 F636.332
G1 X-3.56 Y-1.44 Z6.54 F636.332
M108 R0.4168
M103
G1 X-3.3 Y-1.92 Z6.54 F848.443
M108 R35.0
M101
G1 X-2.77 Y-2.89 Z6.54 F848.443
M108 R0.4168
G1 X-2.14 Y-3.37 Z6.54 F636.332
G1 X0.23 Y-2.41 Z6.54 F636.332
G1 X0.1 Y-2.89 Z6.54 F636.332
G1 X-1.1 Y-3.85 Z6.54 F636.332
G1 X-0.28 Y-3.85 Z6.54 F636.332
M108 R35.0
M102
G1 X0.52 Y-3.85 Z6.54 F636.332
M108 R0.4168
M103
G1 X1.02 Y2.75 Z6.54 F848.443
M108 R35.0
M101
G1 X1.1 Y3.85 Z6.54 F848.443
M108 R0.4168
G1 X-0.52 Y3.85 Z6.54 F636.332
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 6.825 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z6.825 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z6.825 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z6.825 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z6.825 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z6.825 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z6.825 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z6.825 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z6.825 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z6.825 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z6.825 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z6.825 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z6.825 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z6.825 </boundaryPoint>)
(<loop> outer )
M108 R0.5097
G1 X-0.84 Y3.71 Z6.83 F1037.476
M101
G1 X-0.34 Y3.13 Z6.83 F778.107
G1 X-0.46 Y2.58 Z6.83 F778.107
G1 X-2.46 Y-0.9 Z6.83 F778.107
G1 X-2.88 Y-1.28 Z6.83 F778.107
G1 X-3.63 Y-1.12 Z6.83 F778.107
G1 X-3.71 Y-0.95 Z6.83 F778.107
G1 X-4.18 Y-0.99 Z6.83 F778.107
G1 X-3.72 Y-2.15 Z6.83 F778.107
G1 X-3.04 Y-3.04 Z6.83 F778.107
G1 X-2.15 Y-3.72 Z6.83 F778.107
G1 X-1.11 Y-4.15 Z6.83 F778.107
G1 X-0.0 Y-4.3 Z6.83 F778.107
G1 X1.24 Y-4.11 Z6.83 F778.107
G1 X1.03 Y-3.69 Z6.83 F778.107
G1 X0.84 Y-3.71 Z6.83 F778.107
G1 X0.34 Y-3.13 Z6.83 F778.107
G1 X0.46 Y-2.58 Z6.83 F778.107
G1 X2.46 Y0.9 Z6.83 F778.107
G1 X2.88 Y1.28 Z6.83 F778.107
G1 X3.63 Y1.12 Z6.83 F778.107
G1 X3.71 Y0.95 Z6.83 F778.107
G1 X4.18 Y0.99 Z6.83 F778.107
G1 X3.72 Y2.15 Z6.83 F778.107
G1 X3.04 Y3.04 Z6.83 F778.107
G1 X2.15 Y3.72 Z6.83 F778.107
G1 X1.11 Y4.15 Z6.83 F778.107
G1 X0.0 Y4.3 Z6.83 F778.107
G1 X-0.92 Y4.16 Z6.83 F778.107
M108 R35.0
M102
G1 X-1.24 Y4.11 Z6.83 F778.107
G1 X-1.03 Y3.69 Z6.83 F778.107
G1 X-0.84 Y3.71 Z6.83 F778.107
M108 R0.5097
M103
(</loop>)
(<loop> outer )
M108 R35.0
M101
G1 X-1.86 Y3.46 Z6.83 F807.656
M108 R0.5097
G1 X-2.02 Y3.77 Z6.83 F778.107
G1 X-2.15 Y3.72 Z6.83 F778.107
G1 X-3.04 Y3.04 Z6.83 F778.107
G1 X-3.72 Y2.15 Z6.83 F778.107
G1 X-4.15 Y1.11 Z6.83 F778.107
G1 X-4.3 Y0.0 Z6.83 F778.107
G1 X-4.28 Y-0.14 Z6.83 F778.107
G1 X-3.93 Y-0.12 Z6.83 F778.107
G1 X-3.96 Y-0.0 Z6.83 F778.107
G1 X-3.82 Y1.02 Z6.83 F778.107
G1 X-3.43 Y1.98 Z6.83 F778.107
G1 X-2.8 Y2.8 Z6.83 F778.107
G1 X-2.65 Y2.91 Z6.83 F778.107
M108 R35.0
M102
G1 X-1.98 Y3.43 Z6.83 F778.107
G1 X-1.86 Y3.46 Z6.83 F778.107
M108 R0.5097
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z6.83 F1037.476
G1 X2.94 Y1.02 Z6.83 F1037.476
M108 R35.0
M101
G1 X3.23 Y0.85 Z6.83 F1037.476
G1 X3.93 Y0.12 Z6.83 F1037.476
M108 R0.5097
G1 X3.96 Y0.0 Z6.83 F778.107
G1 X3.82 Y-1.02 Z6.83 F778.107
G1 X3.43 Y-1.98 Z6.83 F778.107
G1 X2.8 Y-2.8 Z6.83 F778.107
G1 X1.98 Y-3.43 Z6.83 F778.107
G1 X1.86 Y-3.46 Z6.83 F778.107
G1 X2.02 Y-3.77 Z6.83 F778.107
G1 X2.15 Y-3.72 Z6.83 F778.107
G1 X3.04 Y-3.04 Z6.83 F778.107
G1 X3.72 Y-2.15 Z6.83 F778.107
G1 X4.15 Y-1.11 Z6.83 F778.107
G1 X4.3 Y-0.0 Z6.83 F778.107
G1 X4.28 Y0.14 Z6.83 F778.107
G1 X3.93 Y0.12 Z6.83 F778.107
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z6.83 F1037.476
M101
G1 X4.57 Y1.23 Z6.83 F778.107
G1 X4.1 Y2.37 Z6.83 F778.107
G1 X3.35 Y3.35 Z6.83 F778.107
G1 X2.37 Y4.1 Z6.83 F778.107
G1 X1.23 Y4.57 Z6.83 F778.107
G1 X-0.0 Y4.74 Z6.83 F778.107
G1 X-1.23 Y4.57 Z6.83 F778.107
G1 X-2.37 Y4.1 Z6.83 F778.107
G1 X-3.35 Y3.35 Z6.83 F778.107
G1 X-4.1 Y2.37 Z6.83 F778.107
G1 X-4.57 Y1.23 Z6.83 F778.107
G1 X-4.74 Y-0.0 Z6.83 F778.107
G1 X-4.57 Y-1.23 Z6.83 F778.107
G1 X-4.1 Y-2.37 Z6.83 F778.107
G1 X-3.35 Y-3.35 Z6.83 F778.107
G1 X-2.37 Y-4.1 Z6.83 F778.107
G1 X-1.23 Y-4.57 Z6.83 F778.107
G1 X0.0 Y-4.74 Z6.83 F778.107
G1 X1.23 Y-4.57 Z6.83 F778.107
G1 X2.37 Y-4.1 Z6.83 F778.107
G1 X3.35 Y-3.35 Z6.83 F778.107
G1 X4.1 Y-2.37 Z6.83 F778.107
G1 X4.57 Y-1.23 Z6.83 F778.107
G1 X4.64 Y-0.74 Z6.83 F778.107
M108 R35.0
M102
G1 X4.74 Y0.0 Z6.83 F778.107
G1 X4.71 Y0.22 Z6.83 F778.107
M108 R0.5097
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z6.825 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z6.825 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z6.825 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z6.825 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z6.825 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z6.825 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z6.825 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z6.825 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z6.825 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z6.825 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z6.825 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z6.825 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z6.825 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z6.83 F928.153
M108 R0.5097
G1 X3.4 Y-0.91 Z6.83 F778.107
G1 X3.05 Y-1.76 Z6.83 F778.107
G1 X2.49 Y-2.49 Z6.83 F778.107
G1 X1.76 Y-3.05 Z6.83 F778.107
G1 X1.3 Y-3.24 Z6.83 F778.107
G1 X1.03 Y-3.26 Z6.83 F778.107
G1 X0.81 Y-3.01 Z6.83 F778.107
G1 X0.86 Y-2.74 Z6.83 F778.107
G1 X2.81 Y0.62 Z6.83 F778.107
G1 X3.01 Y0.81 Z6.83 F778.107
G1 X3.14 Y0.78 Z6.83 F778.107
M108 R35.0
M102
G1 X3.34 Y0.74 Z6.83 F778.107
G1 X3.46 Y0.49 Z6.83 F778.107
G1 X3.52 Y0.0 Z6.83 F778.107
M108 R0.5097
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z6.825 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z6.825 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z6.83 F1037.476
G1 X0.36 Y2.17 Z6.83 F1037.476
M108 R35.0
M101
G1 X-0.86 Y2.74 Z6.83 F1037.476
M108 R0.5097
G1 X-2.81 Y-0.62 Z6.83 F778.107
G1 X-3.01 Y-0.81 Z6.83 F778.107
G1 X-3.34 Y-0.74 Z6.83 F778.107
G1 X-3.46 Y-0.49 Z6.83 F778.107
G1 X-3.52 Y-0.0 Z6.83 F778.107
G1 X-3.4 Y0.91 Z6.83 F778.107
G1 X-3.05 Y1.76 Z6.83 F778.107
G1 X-2.49 Y2.49 Z6.83 F778.107
G1 X-1.76 Y3.05 Z6.83 F778.107
G1 X-1.38 Y3.21 Z6.83 F778.107
M108 R35.0
M102
G1 X-1.3 Y3.24 Z6.83 F778.107
G1 X-1.03 Y3.26 Z6.83 F778.107
G1 X-0.81 Y3.01 Z6.83 F778.107
G1 X-0.86 Y2.74 Z6.83 F778.107
M108 R0.5097
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X0.08 Y-0.75 Z6.83 F1037.476
M108 R35.0
M101
G1 X0.43 Y-2.06 Z6.83 F1037.476
M108 R0.5097
G1 X0.43 Y3.96 Z6.83 F778.107
G1 X0.0 Y4.01 Z6.83 F778.107
G1 X-0.0 Y-4.01 Z6.83 F778.107
G1 X-0.43 Y-3.96 Z6.83 F778.107
G1 X-0.43 Y2.06 Z6.83 F778.107
M103
G1 X-0.87 Y1.31 Z6.83 F1037.476
M101
G1 X-0.87 Y-3.9 Z6.83 F778.107
M103
G1 X-1.3 Y-3.77 Z6.83 F1037.476
M101
G1 X-1.3 Y0.56 Z6.83 F778.107
G1 X-1.73 Y-0.2 Z6.83 F778.107
G1 X-1.73 Y-3.59 Z6.83 F778.107
G1 X-2.17 Y-3.35 Z6.83 F778.107
G1 X-2.17 Y-0.95 Z6.83 F778.107
G1 X-2.6 Y-1.4 Z6.83 F778.107
G1 X-2.6 Y-3.02 Z6.83 F778.107
G1 X-3.03 Y-2.58 Z6.83 F778.107
G1 X-3.03 Y-1.53 Z6.83 F778.107
G1 X-3.2 Y-1.72 Z6.83 F778.107
M108 R35.0
M102
G1 X-3.47 Y-2.02 Z6.83 F778.107
G1 X-3.47 Y-1.45 Z6.83 F778.107
M108 R0.5097
M103
G1 X0.02 Y2.85 Z6.83 F1037.476
M108 R35.0
M101
G1 X0.87 Y3.9 Z6.83 F1037.476
M108 R0.5097
G1 X0.87 Y-0.33 Z6.83 F778.107
M108 R35.0
M102
G1 X0.87 Y-1.31 Z6.83 F778.107
M108 R0.5097
M103
G1 X0.43 Y-3.67 Z6.83 F1037.476
M101
G1 X0.43 Y-3.95 Z6.83 F778.107
M103
G1 X0.81 Y-2.66 Z6.83 F1037.476
G1 X2.73 Y0.31 Z6.83 F1037.476
M108 R35.0
M101
G1 X3.47 Y1.45 Z6.83 F1037.476
M108 R0.5097
G1 X3.47 Y2.02 Z6.83 F778.107
G1 X3.03 Y1.53 Z6.83 F778.107
G1 X3.03 Y2.58 Z6.83 F778.107
G1 X2.6 Y3.02 Z6.83 F778.107
G1 X2.6 Y1.4 Z6.83 F778.107
G1 X2.17 Y0.95 Z6.83 F778.107
G1 X2.17 Y3.35 Z6.83 F778.107
G1 X1.73 Y3.59 Z6.83 F778.107
G1 X1.73 Y0.2 Z6.83 F778.107
G1 X1.3 Y-0.56 Z6.83 F778.107
G1 X1.3 Y2.79 Z6.83 F778.107
M108 R35.0
M102
G1 X1.3 Y3.77 Z6.83 F778.107
M108 R0.5097
M103
G1 X-0.43 Y3.67 Z6.83 F1037.476
M101
G1 X-0.43 Y3.95 Z6.83 F778.107
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(<layer> 7.115 )
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-4.784 Y1.282 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-4.953 Y-0.0 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-4.784 Y-1.282 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y-2.477 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y-3.502 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y-4.289 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y-4.784 Z7.115 </boundaryPoint>)
(<boundaryPoint> X0.0 Y-4.953 Z7.115 </boundaryPoint>)
(<boundaryPoint> X1.282 Y-4.784 Z7.115 </boundaryPoint>)
(<boundaryPoint> X2.477 Y-4.289 Z7.115 </boundaryPoint>)
(<boundaryPoint> X3.502 Y-3.502 Z7.115 </boundaryPoint>)
(<boundaryPoint> X4.289 Y-2.477 Z7.115 </boundaryPoint>)
(<boundaryPoint> X4.784 Y-1.282 Z7.115 </boundaryPoint>)
(<boundaryPoint> X4.953 Y0.0 Z7.115 </boundaryPoint>)
(<boundaryPoint> X4.784 Y1.282 Z7.115 </boundaryPoint>)
(<boundaryPoint> X4.289 Y2.477 Z7.115 </boundaryPoint>)
(<boundaryPoint> X3.502 Y3.502 Z7.115 </boundaryPoint>)
(<boundaryPoint> X2.477 Y4.289 Z7.115 </boundaryPoint>)
(<boundaryPoint> X1.282 Y4.784 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-0.0 Y4.953 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-1.282 Y4.784 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-2.477 Y4.289 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-3.502 Y3.502 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-4.289 Y2.477 Z7.115 </boundaryPoint>)
(<loop> outer )
M108 R0.4866
M108 R35.0
M101
G1 X-0.47 Y4.23 Z7.12 F310.704
M108 R0.4866
G1 X-1.24 Y4.11 Z7.12 F742.943
G1 X-1.03 Y3.69 Z7.12 F742.943
G1 X-0.84 Y3.71 Z7.12 F742.943
G1 X-0.34 Y3.13 Z7.12 F742.943
G1 X-0.46 Y2.58 Z7.12 F742.943
G1 X-2.46 Y-0.9 Z7.12 F742.943
G1 X-2.88 Y-1.28 Z7.12 F742.943
G1 X-3.63 Y-1.12 Z7.12 F742.943
G1 X-3.71 Y-0.95 Z7.12 F742.943
G1 X-4.18 Y-0.99 Z7.12 F742.943
G1 X-3.72 Y-2.15 Z7.12 F742.943
G1 X-3.04 Y-3.04 Z7.12 F742.943
G1 X-2.15 Y-3.72 Z7.12 F742.943
G1 X-1.11 Y-4.15 Z7.12 F742.943
G1 X-0.0 Y-4.3 Z7.12 F742.943
G1 X1.24 Y-4.11 Z7.12 F742.943
G1 X1.03 Y-3.69 Z7.12 F742.943
G1 X0.84 Y-3.71 Z7.12 F742.943
G1 X0.34 Y-3.13 Z7.12 F742.943
G1 X0.46 Y-2.58 Z7.12 F742.943
G1 X2.46 Y0.9 Z7.12 F742.943
G1 X2.88 Y1.28 Z7.12 F742.943
G1 X3.63 Y1.12 Z7.12 F742.943
G1 X3.71 Y0.95 Z7.12 F742.943
G1 X4.18 Y0.99 Z7.12 F742.943
G1 X3.72 Y2.15 Z7.12 F742.943
G1 X3.04 Y3.04 Z7.12 F742.943
G1 X2.15 Y3.72 Z7.12 F742.943
G1 X1.11 Y4.15 Z7.12 F742.943
G1 X0.45 Y4.24 Z7.12 F742.943
M108 R35.0
M102
G1 X0.0 Y4.3 Z7.12 F742.943
G1 X-0.47 Y4.23 Z7.12 F742.943
M108 R0.4866
M103
(</loop>)
(<loop> outer )
G1 X-0.74 Y4.08 Z7.12 F990.591
M108 R35.0
M101
G1 X-1.86 Y3.46 Z7.12 F990.591
M108 R0.4866
G1 X-2.02 Y3.77 Z7.12 F742.943
G1 X-2.15 Y3.72 Z7.12 F742.943
G1 X-3.04 Y3.04 Z7.12 F742.943
G1 X-3.72 Y2.15 Z7.12 F742.943
G1 X-4.15 Y1.11 Z7.12 F742.943
G1 X-4.3 Y0.0 Z7.12 F742.943
G1 X-4.28 Y-0.14 Z7.12 F742.943
G1 X-3.93 Y-0.12 Z7.12 F742.943
G1 X-3.96 Y-0.0 Z7.12 F742.943
G1 X-3.82 Y1.02 Z7.12 F742.943
G1 X-3.43 Y1.98 Z7.12 F742.943
G1 X-2.8 Y2.8 Z7.12 F742.943
G1 X-2.62 Y2.94 Z7.12 F742.943
M108 R35.0
M102
G1 X-1.98 Y3.43 Z7.12 F742.943
G1 X-1.86 Y3.46 Z7.12 F742.943
M108 R0.4866
M103
(</loop>)
(<loop> outer )
G1 X-0.88 Y3.22 Z7.12 F990.591
G1 X2.99 Y0.99 Z7.12 F990.591
M108 R35.0
M101
G1 X3.23 Y0.85 Z7.12 F990.591
G1 X3.93 Y0.12 Z7.12 F990.591
M108 R0.4866
G1 X3.96 Y0.0 Z7.12 F742.943
G1 X3.82 Y-1.02 Z7.12 F742.943
G1 X3.43 Y-1.98 Z7.12 F742.943
G1 X2.8 Y-2.8 Z7.12 F742.943
G1 X1.98 Y-3.43 Z7.12 F742.943
G1 X1.86 Y-3.46 Z7.12 F742.943
G1 X2.02 Y-3.77 Z7.12 F742.943
G1 X2.15 Y-3.72 Z7.12 F742.943
G1 X3.04 Y-3.04 Z7.12 F742.943
G1 X3.72 Y-2.15 Z7.12 F742.943
G1 X4.15 Y-1.11 Z7.12 F742.943
G1 X4.3 Y-0.0 Z7.12 F742.943
G1 X4.28 Y0.14 Z7.12 F742.943
G1 X3.93 Y0.12 Z7.12 F742.943
M103
(</loop>)
(<perimeter> outer )
G1 X4.71 Y0.22 Z7.12 F990.591
M101
G1 X4.57 Y1.23 Z7.12 F742.943
G1 X4.1 Y2.37 Z7.12 F742.943
G1 X3.35 Y3.35 Z7.12 F742.943
G1 X2.37 Y4.1 Z7.12 F742.943
G1 X1.23 Y4.57 Z7.12 F742.943
G1 X-0.0 Y4.74 Z7.12 F742.943
G1 X-1.23 Y4.57 Z7.12 F742.943
G1 X-2.37 Y4.1 Z7.12 F742.943
G1 X-3.35 Y3.35 Z7.12 F742.943
G1 X-4.1 Y2.37 Z7.12 F742.943
G1 X-4.57 Y1.23 Z7.12 F742.943
G1 X-4.74 Y-0.0 Z7.12 F742.943
G1 X-4.57 Y-1.23 Z7.12 F742.943
G1 X-4.1 Y-2.37 Z7.12 F742.943
G1 X-3.35 Y-3.35 Z7.12 F742.943
G1 X-2.37 Y-4.1 Z7.12 F742.943
G1 X-1.23 Y-4.57 Z7.12 F742.943
G1 X0.0 Y-4.74 Z7.12 F742.943
G1 X1.23 Y-4.57 Z7.12 F742.943
G1 X2.37 Y-4.1 Z7.12 F742.943
G1 X3.35 Y-3.35 Z7.12 F742.943
G1 X4.1 Y-2.37 Z7.12 F742.943
G1 X4.57 Y-1.23 Z7.12 F742.943
G1 X4.64 Y-0.7 Z7.12 F742.943
M108 R35.0
M102
G1 X4.74 Y0.0 Z7.12 F742.943
G1 X4.71 Y0.22 Z7.12 F742.943
M108 R0.4866
M103
(</perimeter>)
(</boundaryPerimeter>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X2.86 Y-1.651 Z7.115 </boundaryPoint>)
(<boundaryPoint> X2.335 Y-2.335 Z7.115 </boundaryPoint>)
(<boundaryPoint> X1.651 Y-2.86 Z7.115 </boundaryPoint>)
(<boundaryPoint> X1.251 Y-3.025 Z7.115 </boundaryPoint>)
(<boundaryPoint> X1.117 Y-3.036 Z7.115 </boundaryPoint>)
(<boundaryPoint> X1.041 Y-2.949 Z7.115 </boundaryPoint>)
(<boundaryPoint> X1.069 Y-2.818 Z7.115 </boundaryPoint>)
(<boundaryPoint> X2.975 Y0.484 Z7.115 </boundaryPoint>)
(<boundaryPoint> X3.074 Y0.574 Z7.115 </boundaryPoint>)
(<boundaryPoint> X3.187 Y0.551 Z7.115 </boundaryPoint>)
(<boundaryPoint> X3.245 Y0.431 Z7.115 </boundaryPoint>)
(<boundaryPoint> X3.302 Y0.0 Z7.115 </boundaryPoint>)
(<boundaryPoint> X3.189 Y-0.855 Z7.115 </boundaryPoint>)
(<perimeter> inner )
M108 R35.0
M101
G1 X3.52 Y0.0 Z7.12 F928.153
M108 R0.4866
G1 X3.4 Y-0.91 Z7.12 F742.943
G1 X3.05 Y-1.76 Z7.12 F742.943
G1 X2.49 Y-2.49 Z7.12 F742.943
G1 X1.76 Y-3.05 Z7.12 F742.943
G1 X1.3 Y-3.24 Z7.12 F742.943
G1 X1.03 Y-3.26 Z7.12 F742.943
G1 X0.81 Y-3.01 Z7.12 F742.943
G1 X0.86 Y-2.74 Z7.12 F742.943
G1 X2.81 Y0.62 Z7.12 F742.943
G1 X3.01 Y0.81 Z7.12 F742.943
G1 X3.18 Y0.77 Z7.12 F742.943
M108 R35.0
M102
G1 X3.34 Y0.74 Z7.12 F742.943
G1 X3.46 Y0.49 Z7.12 F742.943
G1 X3.52 Y0.0 Z7.12 F742.943
M108 R0.4866
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
(<surroundingLoop>)
(<boundaryPerimeter>)
(<boundaryPoint> X-2.335 Y2.335 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-1.651 Y2.86 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-1.251 Y3.025 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-1.117 Y3.036 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-1.041 Y2.949 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-1.069 Y2.818 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-2.975 Y-0.484 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-3.074 Y-0.574 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-3.187 Y-0.551 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-3.245 Y-0.431 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-3.302 Y-0.0 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-3.189 Y0.855 Z7.115 </boundaryPoint>)
(<boundaryPoint> X-2.86 Y1.651 Z7.115 </boundaryPoint>)
(<perimeter> inner )
G1 X3.35 Y0.77 Z7.12 F990.591
G1 X0.3 Y2.19 Z7.12 F990.591
M108 R35.0
M101
G1 X-0.86 Y2.74 Z7.12 F990.591
M108 R0.4866
G1 X-2.81 Y-0.62 Z7.12 F742.943
G1 X-3.01 Y-0.81 Z7.12 F742.943
G1 X-3.34 Y-0.74 Z7.12 F742.943
G1 X-3.46 Y-0.49 Z7.12 F742.943
G1 X-3.52 Y-0.0 Z7.12 F742.943
G1 X-3.4 Y0.91 Z7.12 F742.943
G1 X-3.05 Y1.76 Z7.12 F742.943
G1 X-2.49 Y2.49 Z7.12 F742.943
G1 X-1.76 Y3.05 Z7.12 F742.943
G1 X-1.3 Y3.24 Z7.12 F742.943
G1 X-1.03 Y3.26 Z7.12 F742.943
G1 X-0.81 Y3.01 Z7.12 F742.943
G1 X-0.86 Y2.74 Z7.12 F742.943
M103
(</perimeter>)
(</boundaryPerimeter>)
(</surroundingLoop>)
G1 X-0.16 Y2.6 Z7.12 F990.591
M101
G1 X3.02 Y2.6 Z7.12 F742.943
G1 X3.35 Y2.17 Z7.12 F742.943
G1 X-0.37 Y2.17 Z7.12 F742.943
M103
G1 X-0.62 Y1.73 Z7.12 F990.591
M101
G1 X2.65 Y1.73 Z7.12 F742.943
M108 R35.0
M102
G1 X3.58 Y1.73 Z7.12 F742.943
M108 R0.4866
M103
M108 R35.0
M101
G1 X2.49 Y1.3 Z7.12 F905.772
M108 R0.4866
G1 X-0.87 Y1.3 Z7.12 F742.943
G1 X-1.12 Y0.87 Z7.12 F742.943
G1 X2.12 Y0.87 Z7.12 F742.943
G1 X1.87 Y0.43 Z7.12 F742.943
G1 X-1.37 Y0.43 Z7.12 F742.943
G1 X-1.62 Y0.0 Z7.12 F742.943
G1 X1.62 Y-0.0 Z7.12 F742.943
G1 X1.37 Y-0.43 Z7.12 F742.943
G1 X-1.87 Y-0.43 Z7.12 F742.943
G1 X-2.12 Y-0.87 Z7.12 F742.943
G1 X1.12 Y-0.87 Z7.12 F742.943
G1 X0.87 Y-1.3 Z7.12 F742.943
G1 X-1.56 Y-1.3 Z7.12 F742.943
M108 R35.0
M102
G1 X-2.49 Y-1.3 Z7.12 F742.943
M108 R0.4866
M103
M108 R35.0
M101
G1 X-3.58 Y-1.73 Z7.12 F905.772
M108 R0.4866
G1 X0.62 Y-1.73 Z7.12 F742.943
M103
G1 X0.37 Y-2.17 Z7.12 F990.591
M101
G1 X-3.35 Y-2.17 Z7.12 F742.943
G1 X-3.02 Y-2.6 Z7.12 F742.943
G1 X0.16 Y-2.6 Z7.12 F742.943
M103
G1 X0.07 Y-3.03 Z7.12 F990.591
M101
G1 X-2.58 Y-3.03 Z7.12 F742.943
G1 X-2.02 Y-3.47 Z7.12 F742.943
G1 X0.26 Y-3.47 Z7.12 F742.943
G1 X0.51 Y-3.9 Z7.12 F742.943
G1 X0.07 Y-3.9 Z7.12 F742.943
M108 R35.0
M102
G1 X-0.86 Y-3.9 Z7.12 F742.943
M108 R0.4866
M103
G1 X0.58 Y2.64 Z7.12 F990.591
M108 R35.0
M101
G1 X0.86 Y3.9 Z7.12 F990.591
M108 R0.4866
G1 X-0.51 Y3.9 Z7.12 F742.943
G1 X-0.26 Y3.47 Z7.12 F742.943
G1 X2.02 Y3.47 Z7.12 F742.943
G1 X2.58 Y3.03 Z7.12 F742.943
G1 X0.86 Y3.03 Z7.12 F742.943
M108 R35.0
M102
G1 X-0.07 Y3.03 Z7.12 F742.943
M108 R0.4866
M103
(</surroundingLoop>)
M108 R1.179
(</layer>)
(</extrusion>)
M104 S0
(<alteration>)
(**** Beginning of end.gcode ****)
(This file is for a MakerBot Thing-O-Matic)
(*** begin settings ****)
(**** end settings ****)
(**** begin move to cooling position ****)
G1 X0.0 F3300.0       (move to cooling position)
G1 X0.0 Y55.0 F3300.0 (move to cooling position)
(**** end move to cooling position ****)
(**** begin filament reversal ****)
M108 R1.98
M102 (Extruder on, reverse)
G04 P2000 (Wait t/1000 seconds)
M108 R1.98
M103 (Extruder off)
(**** end filament reversal ****)
M18 (Turn off steppers)
(**** begin eject ****)
(**** end eject ****)
(**** begin cool for safety ****)
M104 S0 T0 (set extruder temperature)
M109 S0 T0 (set heated-build-platform temperature)
(**** end cool for safety ****)
(**** end of end.gcode ****)
(</alteration>)
;M113 S0.0
